use num_derive::FromPrimitive;

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum CommonActions {
    #[default]
    Common_INVALID_ID = -1,
    Common_BACKSTAGE = 0,
    Common_FOOTWORK = 1,
    Common_FOOTWORK_IDLE = 2,
    Common_CROUCH = 4,
    Common_SIT_DOWN = 5,
    Common_STAND_UP = 6,
    Common_TURN_STAND = 7,
    Common_TURN_CROUCH = 8,
    Common_WALK_F_BGN = 9,
    Common_WALK_FORWARD = 10,
    Common_WALK_F_END = 11,
    Common_SLIDE_FEET_F = 12,
    Common_WALK_B_BGN = 13,
    Common_WALK_BACK = 14,
    Common_WALK_B_END = 15,
    Common_SLIDE_FEET_B = 16,
    Common_DASH_F = 17,
    Common_DASH_B = 18,
    Common_DASH_F_END = 19,
    Common_DASH_B_END = 20,
    Common_RUN_F_BGN = 21,
    Common_RUN_F = 22,
    Common_RUN_F_END = 23,
    Common_RUN_B_BGN = 24,
    Common_RUN_B = 25,
    Common_RUN_B_END = 26,
    Common_DUCK_WALK_F_BGN = 27,
    Common_DUCK_WALK_F = 28,
    Common_DUCK_WALK_F_END = 29,
    Common_DUCK_WALK_B_BGN = 30,
    Common_DUCK_WALK_B = 31,
    Common_DUCK_WALK_B_END = 32,
    Common_JUMP_V_BGN = 33,
    Common_JUMP_F_BGN = 34,
    Common_JUMP_B_BGN = 35,
    Common_JUMP_V = 36,
    Common_JUMP_F = 37,
    Common_JUMP_B = 38,
    Common_JUMP_V_END = 39,
    Common_JUMP_F_END = 40,
    Common_JUMP_B_END = 41,
    Common_JUMP_ATK_END = 42,
    Common_W_JUMP_V = 44,
    Common_W_JUMP_F = 45,
    Common_W_JUMP_B = 46,
    Common_T_JUMP_WALL = 47,
    Common_T_JUMP = 48,
    Common_L_JUMP_V_BGN = 54,
    Common_L_JUMP_F_BGN = 55,
    Common_L_JUMP_B_BGN = 56,
    Common_L_JUMP_V = 57,
    Common_L_JUMP_F = 58,
    Common_L_JUMP_B = 59,
    Common_H_JUMP_V_BGN = 60,
    Common_H_JUMP_F_BGN = 61,
    Common_H_JUMP_B_BGN = 62,
    Common_H_JUMP_V = 63,
    Common_H_JUMP_F = 64,
    Common_H_JUMP_B = 65,
    Common_FLY_BGN = 66,
    Common_FLY_END = 67,
    Common_FLY_BASE = 68,
    Common_FLY_UU = 69,
    Common_FLY_BU = 70,
    Common_FLY_BB = 71,
    Common_FLY_BD = 72,
    Common_FLY_DD = 73,
    Common_FLY_FD = 74,
    Common_FLY_FF = 75,
    Common_FLY_FU = 76,
    Common_FLY_UU_END = 77,
    Common_FLY_BU_END = 78,
    Common_FLY_BB_END = 79,
    Common_FLY_BD_END = 80,
    Common_FLY_DD_END = 81,
    Common_FLY_FD_END = 82,
    Common_FLY_FF_END = 83,
    Common_FLY_FU_END = 84,
    Common_AIR_DASH_U = 85,
    Common_AIR_DASH_BU = 86,
    Common_AIR_DASH_B = 87,
    Common_AIR_DASH_BD = 88,
    Common_AIR_DASH_D = 89,
    Common_AIR_DASH_FD = 90,
    Common_AIR_DASH_F = 91,
    Common_AIR_DASH_FU = 92,
    Common_FALL_V = 93,
    Common_GRD_STAND_H_BGN = 100,
    Common_GRD_STAND_H = 101,
    Common_GRD_STAND_H_END = 102,
    Common_GRD_STAND_H_DM_L = 103,
    Common_GRD_STAND_H_DM_M = 104,
    Common_GRD_STAND_H_DM_H = 105,
    Common_GRD_STAND_H_DM_S = 106,
    Common_GRD_STAND_M_BGN = 107,
    Common_GRD_STAND_M = 108,
    Common_GRD_STAND_M_END = 109,
    Common_GRD_STAND_M_DM_L = 110,
    Common_GRD_STAND_M_DM_M = 111,
    Common_GRD_STAND_M_DM_H = 112,
    Common_GRD_STAND_M_DM_S = 113,
    Common_GRD_STAND_L_BGN = 114,
    Common_GRD_STAND_L = 115,
    Common_GRD_STAND_L_END = 116,
    Common_GRD_STAND_L_DM_L = 117,
    Common_GRD_STAND_L_DM_M = 118,
    Common_GRD_STAND_L_DM_H = 119,
    Common_GRD_STAND_L_DM_S = 120,
    Common_GRD_CROUCH_H_BGN = 121,
    Common_GRD_CROUCH_H = 122,
    Common_GRD_CROUCH_H_END = 123,
    Common_GRD_CROUCH_H_DM_L = 124,
    Common_GRD_CROUCH_H_DM_M = 125,
    Common_GRD_CROUCH_H_DM_H = 126,
    Common_GRD_CROUCH_H_DM_S = 127,
    Common_GRD_CROUCH_L_BGN = 128,
    Common_GRD_CROUCH_L = 129,
    Common_GRD_CROUCH_L_END = 130,
    Common_GRD_CROUCH_L_DM_L = 131,
    Common_GRD_CROUCH_L_DM_M = 132,
    Common_GRD_CROUCH_L_DM_H = 133,
    Common_GRD_CROUCH_L_DM_S = 134,
    Common_GRD_AIR_BGN = 135,
    Common_GRD_AIR = 136,
    Common_GRD_AIR_END = 137,
    Common_GRD_AIR_DM_L = 138,
    Common_GRD_AIR_DM_M = 139,
    Common_GRD_AIR_DM_H = 140,
    Common_GRD_AIR_DM_S = 141,
    Common_GRD_ZUSA_STAND = 143,
    Common_GRD_ZUSA_CROUCH = 144,
    Common_GRD_ZUSA_WALL = 145,
    Common_DGD_STAND_H_BGN = 150,
    Common_DGD_STAND_H = 151,
    Common_DGD_STAND_H_END = 152,
    Common_DGD_STAND_H_DM_L = 153,
    Common_DGD_STAND_H_DM_M = 154,
    Common_DGD_STAND_H_DM_H = 155,
    Common_DGD_STAND_H_DM_S = 156,
    Common_DGD_STAND_M_BGN = 157,
    Common_DGD_STAND_M = 158,
    Common_DGD_STAND_M_END = 159,
    Common_DGD_STAND_M_DM_L = 160,
    Common_DGD_STAND_M_DM_M = 161,
    Common_DGD_STAND_M_DM_H = 162,
    Common_DGD_STAND_M_DM_S = 163,
    Common_DGD_STAND_L_BGN = 164,
    Common_DGD_STAND_L = 165,
    Common_DGD_STAND_L_END = 166,
    Common_DGD_STAND_L_DM_L = 167,
    Common_DGD_STAND_L_DM_M = 168,
    Common_DGD_STAND_L_DM_H = 169,
    Common_DGD_STAND_L_DM_S = 170,
    Common_DGD_CROUCH_H_BGN = 171,
    Common_DGD_CROUCH_H = 172,
    Common_DGD_CROUCH_H_END = 173,
    Common_DGD_CROUCH_H_DM_L = 174,
    Common_DGD_CROUCH_H_DM_M = 175,
    Common_DGD_CROUCH_H_DM_H = 176,
    Common_DGD_CROUCH_H_DM_S = 177,
    Common_DGD_CROUCH_L_BGN = 178,
    Common_DGD_CROUCH_L = 179,
    Common_DGD_CROUCH_L_END = 180,
    Common_DGD_CROUCH_L_DM_L = 181,
    Common_DGD_CROUCH_L_DM_M = 182,
    Common_DGD_CROUCH_L_DM_H = 183,
    Common_DGD_CROUCH_L_DM_S = 184,
    Common_DGD_AIR_BGN = 185,
    Common_DGD_AIR = 186,
    Common_DGD_AIR_END = 187,
    Common_DGD_AIR_DM_L = 188,
    Common_DGD_AIR_DM_M = 189,
    Common_DGD_AIR_DM_H = 190,
    Common_DGD_AIR_DM_S = 191,
    Common_DMG_STD_H_FR_L = 200,
    Common_DMG_STD_H_FR_M = 201,
    Common_DMG_STD_H_FR_H = 202,
    Common_DMG_CRT_STD_H_FR = 203,
    Common_DMG_STD_M_FR_L = 204,
    Common_DMG_STD_M_FR_M = 205,
    Common_DMG_STD_M_FR_H = 206,
    Common_DMG_CRT_STD_M_FR = 207,
    Common_DMG_STD_L_FR_L = 208,
    Common_DMG_STD_L_FR_M = 209,
    Common_DMG_STD_L_FR_H = 210,
    Common_DMG_CRT_STD_L_FR = 211,
    Common_DMG_CRO_H_FR_L = 212,
    Common_DMG_CRO_H_FR_M = 213,
    Common_DMG_CRO_H_FR_H = 214,
    Common_DMG_CRT_CRO_H_FR = 215,
    Common_DMG_CRO_L_FR_L = 216,
    Common_DMG_CRO_L_FR_M = 217,
    Common_DMG_CRO_L_FR_H = 218,
    Common_DMG_CRT_CRO_L_FR = 219,
    Common_DMG_AIR_FR_L = 220,
    Common_DMG_AIR_FR_M = 221,
    Common_DMG_AIR_FR_H = 222,
    Common_DMG_STD_BK = 224,
    Common_BUTT_RISE_90 = 230,
    Common_BUTT_RISE_45 = 231,
    Common_BUTT_RISE_00 = 232,
    Common_BUTT_RISE_45m = 233,
    Common_BUTT_RISE_90m = 234,
    Common_BUTT_RISE_BK = 235,
    Common_BUTT_RISE_BK_90m = 236,
    Common_BUTT_FALL_90 = 237,
    Common_BUTT_FALL_45 = 238,
    Common_BUTT_FALL_00 = 239,
    Common_BUTT_FALL_45m = 240,
    Common_BUTT_FALL_90m = 241,
    Common_BUTT_FALL_BK = 242,
    Common_BUTT_FALL_BK_90m = 243,
    Common_BUTT_H_START_90 = 244,
    Common_BUTT_H_START_45 = 245,
    Common_BUTT_H_START_00 = 246,
    Common_BUTT_H_START_45m = 247,
    Common_BUTT_H_START_90m = 248,
    Common_BUTT_H_START_BK = 249,
    Common_BUTT_H_START_BK_90m = 250,
    Common_BUTT_B_START_90 = 251,
    Common_BUTT_B_START_45 = 252,
    Common_BUTT_B_START_00 = 253,
    Common_BUTT_B_START_45m = 254,
    Common_BUTT_B_START_90m = 255,
    Common_BUTT_START_BK = 256,
    Common_BUTT_START_BK_90m = 257,
    Common_KNOCK_DOWN_BK = 258,
    Common_DMG_HL_DOWN = 260,
    Common_DMG_HM_DOWN = 261,
    Common_DMG_HH_DOWN = 262,
    Common_DMG_CL_DOWN = 263,
    Common_DMG_CM_DOWN = 264,
    Common_DMG_CH_DOWN = 265,
    Common_DMG_HL_UPPER = 266,
    Common_DMG_HM_UPPER = 267,
    Common_DMG_HH_UPPER = 268,
    Common_DMG_BL_UPPER = 269,
    Common_DMG_BM_UPPER = 270,
    Common_DMG_BH_UPPER = 271,
    Common_ASHIBARAI = 273,
    Common_ASHIBARAI_BACK = 274,
    Common_KUZURE = 276,
    Common_FLOP_DOWN = 277,
    Common_DMG_H_SPIN_GROUND = 279,
    Common_DMG_H_SPIN_AIR = 280,
    Common_DMG_V_SPIN_GROUND = 281,
    Common_DMG_V_SPIN_AIR = 282,
    Common_WALL_HIT_FR = 284,
    Common_WALL_HIT_BK = 285,
    Common_WALL_DOWN_FR = 286,
    Common_WALL_DOWN_BK = 287,
    Common_DMG_GORO_FR = 289,
    Common_DMG_GORO_DOWN_FR = 290,
    Common_WALL_GROUND_FR = 291,
    Common_WALL_PIYO_STOP = 293,
    Common_WALL_PIYO_DOWN = 294,
    Common_THROWBREAK_TO = 320,
    Common_THROWBREAK_DONE = 321,
    Common_GUARD_BREAK_STAND = 322,
    Common_GUARD_BREAK_CROUCH = 323,
    Common_HARDDOWN_FU = 330,
    Common_HARDDOWN_FD = 331,
    Common_SLIDEDOWN_FU = 332,
    Common_SLIDEDOWN_FU_CMN = 333,
    Common_SLIDEDOWN_FD = 334,
    Common_SLIDEDOWN_FD_CMN = 335,
    Common_LIE_DOWN_FU = 336,
    Common_LIE_DOWN_FD = 337,
    Common_DOWN_DMG_FU = 338,
    Common_DOWN_DMG_FD = 339,
    Common_WAKEUP_FU = 340,
    Common_WAKEUP_FD = 341,
    Common_WAKEUP_F_FU = 342,
    Common_WAKEUP_F_FD = 343,
    Common_WAKEUP_B_FU = 344,
    Common_WAKEUP_B_FD = 345,
    Common_BUTT_TAOREN = 346,
    Common_AIR_RECOVERY_BK = 347,
    Common_BOUND_FU = 350,
    Common_BOUND_FD = 351,
    Common_STUN = 353,
    Common_STUN_END = 354,
    Common_KUZURE_DIE = 356,
    Common_APPEAR = 400,
    Common_APPEAR_END = 401,
    Common_APPEAR_ARCADE = 402,
    Common_APPEAR_STORY = 403,
    Common_LOSE = 405,
    Common_MID_LOSE_FU = 407,
    Common_MID_LOSE_FD = 408,
    Common_DRAW = 410,
    Common_RESULT = 412,
    Common_WIN = 414,
    Common_WIN_STORY = 415,
    Common_WIN_PERFECT = 416,
    Common_WIN_HI = 417,
    Common_WIN_MID = 418,
    Common_WIN_LOW = 419,
    Common_MINION_ENTRY = 470,
    Common_V_TOUCH_ENTRY = 471,
    Common_V_TOUCH_STOP = 472,
    Common_V_TOUCH_EXIT = 473,
    Common_TOUCH_POSE = 474,
    Common_TOUCH_JUMP = 475,
    Common_TOUCH_SUKI = 476,
    Common_TOUCH_NOKI = 477,
    Common_ASSIST_SUKI = 478,
    Common_PARRY_BGN = 480,
    Common_PARRY_LOOP = 481,
    Common_PARRY_END = 482,
    Common_PARRY_HIT_H = 483,
    Common_PARRY_HIT_M = 484,
    Common_PARRY_HIT_L = 485,
    Common_PARRY_JUST_H = 486,
    Common_PARRY_JUST_M = 487,
    Common_PARRY_JUST_L = 488,
    Common_PARRY_CRO_BGN = 489,
    Common_T_FOOTWORK = 510,
    Common_T_CROUCH = 511,
    Common_T_SIT_DOWN = 512,
    Common_T_STAND_UP = 513,
    Common_T_TURN_STAND = 514,
    Common_T_TURN_CROUCH = 515,
    Common_T_WALK_F_BGN = 516,
    Common_T_WALK_FORWARD = 517,
    Common_T_WALK_F_END = 518,
    Common_T_WALK_B_BGN = 519,
    Common_T_WALK_BACK = 520,
    Common_T_WALK_B_END = 521,
    Common_CONTINUE_FU = 530,
    Common_CONTINUE_FD = 531,
    Common_CONTINUE_SUCCESS = 532,
    Common_CONTINUE_FAILURE = 533,
    Common_ADV_STAND = 570,
    Common_ADV_SIT = 571,
    Common_ADV_AIR = 572,
    Common_IMM_STAGE_INIT = 580,
    Common_IMM_ROUND_INIT = 581,
    Common_IMM_DAMAGE_INIT = 582,
    Common_IMM_DAMAGE_EXIT = 583,
    Common_IMM_TO_NORMAL = 584,
    Common_IMM_TOUCH_EXIT = 585,
    Common_IMM_TOUCH_ENTRY = 586,
    Common_IMM_LANDING = 587,
    Common_IMM_HOLD_EXIT = 588,
    Common_IMM_FRAME_OUT = 589,
    Common_IMM_APPEAR_END = 590,
    Common_IMM_RESULT_INIT = 591,
    Common_COMMON_END = 599,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum RyuActions {
    #[default]
    Ryu_INVALID_ID = -1,
    Ryu_BACKSTAGE = 0,
    Ryu_FOOTWORK = 1,
    Ryu_FOOTWORK_IDLE = 2,
    Ryu_CROUCH = 4,
    Ryu_SIT_DOWN = 5,
    Ryu_STAND_UP = 6,
    Ryu_TURN_STAND = 7,
    Ryu_TURN_CROUCH = 8,
    Ryu_WALK_F_BGN = 9,
    Ryu_WALK_FORWARD = 10,
    Ryu_WALK_F_END = 11,
    Ryu_SLIDE_FEET_F = 12,
    Ryu_WALK_B_BGN = 13,
    Ryu_WALK_BACK = 14,
    Ryu_WALK_B_END = 15,
    Ryu_SLIDE_FEET_B = 16,
    Ryu_DASH_F = 17,
    Ryu_DASH_B = 18,
    Ryu_DASH_F_END = 19,
    Ryu_DASH_B_END = 20,
    Ryu_RUN_F_BGN = 21,
    Ryu_RUN_F = 22,
    Ryu_RUN_F_END = 23,
    Ryu_RUN_B_BGN = 24,
    Ryu_RUN_B = 25,
    Ryu_RUN_B_END = 26,
    Ryu_DUCK_WALK_F_BGN = 27,
    Ryu_DUCK_WALK_F = 28,
    Ryu_DUCK_WALK_F_END = 29,
    Ryu_DUCK_WALK_B_BGN = 30,
    Ryu_DUCK_WALK_B = 31,
    Ryu_DUCK_WALK_B_END = 32,
    Ryu_JUMP_V_BGN = 33,
    Ryu_JUMP_F_BGN = 34,
    Ryu_JUMP_B_BGN = 35,
    Ryu_JUMP_V = 36,
    Ryu_JUMP_F = 37,
    Ryu_JUMP_B = 38,
    Ryu_JUMP_V_END = 39,
    Ryu_JUMP_F_END = 40,
    Ryu_JUMP_B_END = 41,
    Ryu_JUMP_ATK_END = 42,
    Ryu_W_JUMP_V = 44,
    Ryu_W_JUMP_F = 45,
    Ryu_W_JUMP_B = 46,
    Ryu_T_JUMP_WALL = 47,
    Ryu_T_JUMP = 48,
    Ryu_L_JUMP_V_BGN = 54,
    Ryu_L_JUMP_F_BGN = 55,
    Ryu_L_JUMP_B_BGN = 56,
    Ryu_L_JUMP_V = 57,
    Ryu_L_JUMP_F = 58,
    Ryu_L_JUMP_B = 59,
    Ryu_H_JUMP_V_BGN = 60,
    Ryu_H_JUMP_F_BGN = 61,
    Ryu_H_JUMP_B_BGN = 62,
    Ryu_H_JUMP_V = 63,
    Ryu_H_JUMP_F = 64,
    Ryu_H_JUMP_B = 65,
    Ryu_FLY_BGN = 66,
    Ryu_FLY_END = 67,
    Ryu_FLY_BASE = 68,
    Ryu_FLY_UU = 69,
    Ryu_FLY_BU = 70,
    Ryu_FLY_BB = 71,
    Ryu_FLY_BD = 72,
    Ryu_FLY_DD = 73,
    Ryu_FLY_FD = 74,
    Ryu_FLY_FF = 75,
    Ryu_FLY_FU = 76,
    Ryu_FLY_UU_END = 77,
    Ryu_FLY_BU_END = 78,
    Ryu_FLY_BB_END = 79,
    Ryu_FLY_BD_END = 80,
    Ryu_FLY_DD_END = 81,
    Ryu_FLY_FD_END = 82,
    Ryu_FLY_FF_END = 83,
    Ryu_FLY_FU_END = 84,
    Ryu_AIR_DASH_U = 85,
    Ryu_AIR_DASH_BU = 86,
    Ryu_AIR_DASH_B = 87,
    Ryu_AIR_DASH_BD = 88,
    Ryu_AIR_DASH_D = 89,
    Ryu_AIR_DASH_FD = 90,
    Ryu_AIR_DASH_F = 91,
    Ryu_AIR_DASH_FU = 92,
    Ryu_FALL_V = 93,
    Ryu_GRD_STAND_H_BGN = 100,
    Ryu_GRD_STAND_H = 101,
    Ryu_GRD_STAND_H_END = 102,
    Ryu_GRD_STAND_H_DM_L = 103,
    Ryu_GRD_STAND_H_DM_M = 104,
    Ryu_GRD_STAND_H_DM_H = 105,
    Ryu_GRD_STAND_H_DM_S = 106,
    Ryu_GRD_STAND_M_BGN = 107,
    Ryu_GRD_STAND_M = 108,
    Ryu_GRD_STAND_M_END = 109,
    Ryu_GRD_STAND_M_DM_L = 110,
    Ryu_GRD_STAND_M_DM_M = 111,
    Ryu_GRD_STAND_M_DM_H = 112,
    Ryu_GRD_STAND_M_DM_S = 113,
    Ryu_GRD_STAND_L_BGN = 114,
    Ryu_GRD_STAND_L = 115,
    Ryu_GRD_STAND_L_END = 116,
    Ryu_GRD_STAND_L_DM_L = 117,
    Ryu_GRD_STAND_L_DM_M = 118,
    Ryu_GRD_STAND_L_DM_H = 119,
    Ryu_GRD_STAND_L_DM_S = 120,
    Ryu_GRD_CROUCH_H_BGN = 121,
    Ryu_GRD_CROUCH_H = 122,
    Ryu_GRD_CROUCH_H_END = 123,
    Ryu_GRD_CROUCH_H_DM_L = 124,
    Ryu_GRD_CROUCH_H_DM_M = 125,
    Ryu_GRD_CROUCH_H_DM_H = 126,
    Ryu_GRD_CROUCH_H_DM_S = 127,
    Ryu_GRD_CROUCH_L_BGN = 128,
    Ryu_GRD_CROUCH_L = 129,
    Ryu_GRD_CROUCH_L_END = 130,
    Ryu_GRD_CROUCH_L_DM_L = 131,
    Ryu_GRD_CROUCH_L_DM_M = 132,
    Ryu_GRD_CROUCH_L_DM_H = 133,
    Ryu_GRD_CROUCH_L_DM_S = 134,
    Ryu_GRD_AIR_BGN = 135,
    Ryu_GRD_AIR = 136,
    Ryu_GRD_AIR_END = 137,
    Ryu_GRD_AIR_DM_L = 138,
    Ryu_GRD_AIR_DM_M = 139,
    Ryu_GRD_AIR_DM_H = 140,
    Ryu_GRD_AIR_DM_S = 141,
    Ryu_GRD_ZUSA_STAND = 143,
    Ryu_GRD_ZUSA_CROUCH = 144,
    Ryu_GRD_ZUSA_WALL = 145,
    Ryu_DGD_STAND_H_BGN = 150,
    Ryu_DGD_STAND_H = 151,
    Ryu_DGD_STAND_H_END = 152,
    Ryu_DGD_STAND_H_DM_L = 153,
    Ryu_DGD_STAND_H_DM_M = 154,
    Ryu_DGD_STAND_H_DM_H = 155,
    Ryu_DGD_STAND_H_DM_S = 156,
    Ryu_DGD_STAND_M_BGN = 157,
    Ryu_DGD_STAND_M = 158,
    Ryu_DGD_STAND_M_END = 159,
    Ryu_DGD_STAND_M_DM_L = 160,
    Ryu_DGD_STAND_M_DM_M = 161,
    Ryu_DGD_STAND_M_DM_H = 162,
    Ryu_DGD_STAND_M_DM_S = 163,
    Ryu_DGD_STAND_L_BGN = 164,
    Ryu_DGD_STAND_L = 165,
    Ryu_DGD_STAND_L_END = 166,
    Ryu_DGD_STAND_L_DM_L = 167,
    Ryu_DGD_STAND_L_DM_M = 168,
    Ryu_DGD_STAND_L_DM_H = 169,
    Ryu_DGD_STAND_L_DM_S = 170,
    Ryu_DGD_CROUCH_H_BGN = 171,
    Ryu_DGD_CROUCH_H = 172,
    Ryu_DGD_CROUCH_H_END = 173,
    Ryu_DGD_CROUCH_H_DM_L = 174,
    Ryu_DGD_CROUCH_H_DM_M = 175,
    Ryu_DGD_CROUCH_H_DM_H = 176,
    Ryu_DGD_CROUCH_H_DM_S = 177,
    Ryu_DGD_CROUCH_L_BGN = 178,
    Ryu_DGD_CROUCH_L = 179,
    Ryu_DGD_CROUCH_L_END = 180,
    Ryu_DGD_CROUCH_L_DM_L = 181,
    Ryu_DGD_CROUCH_L_DM_M = 182,
    Ryu_DGD_CROUCH_L_DM_H = 183,
    Ryu_DGD_CROUCH_L_DM_S = 184,
    Ryu_DGD_AIR_BGN = 185,
    Ryu_DGD_AIR = 186,
    Ryu_DGD_AIR_END = 187,
    Ryu_DGD_AIR_DM_L = 188,
    Ryu_DGD_AIR_DM_M = 189,
    Ryu_DGD_AIR_DM_H = 190,
    Ryu_DGD_AIR_DM_S = 191,
    Ryu_DMG_STD_H_FR_L = 200,
    Ryu_DMG_STD_H_FR_M = 201,
    Ryu_DMG_STD_H_FR_H = 202,
    Ryu_DMG_CRT_STD_H_FR = 203,
    Ryu_DMG_STD_M_FR_L = 204,
    Ryu_DMG_STD_M_FR_M = 205,
    Ryu_DMG_STD_M_FR_H = 206,
    Ryu_DMG_CRT_STD_M_FR = 207,
    Ryu_DMG_STD_L_FR_L = 208,
    Ryu_DMG_STD_L_FR_M = 209,
    Ryu_DMG_STD_L_FR_H = 210,
    Ryu_DMG_CRT_STD_L_FR = 211,
    Ryu_DMG_CRO_H_FR_L = 212,
    Ryu_DMG_CRO_H_FR_M = 213,
    Ryu_DMG_CRO_H_FR_H = 214,
    Ryu_DMG_CRT_CRO_H_FR = 215,
    Ryu_DMG_CRO_L_FR_L = 216,
    Ryu_DMG_CRO_L_FR_M = 217,
    Ryu_DMG_CRO_L_FR_H = 218,
    Ryu_DMG_CRT_CRO_L_FR = 219,
    Ryu_DMG_AIR_FR_L = 220,
    Ryu_DMG_AIR_FR_M = 221,
    Ryu_DMG_AIR_FR_H = 222,
    Ryu_DMG_STD_BK = 224,
    Ryu_BUTT_RISE_90 = 230,
    Ryu_BUTT_RISE_45 = 231,
    Ryu_BUTT_RISE_00 = 232,
    Ryu_BUTT_RISE_45m = 233,
    Ryu_BUTT_RISE_90m = 234,
    Ryu_BUTT_RISE_BK = 235,
    Ryu_BUTT_RISE_BK_90m = 236,
    Ryu_BUTT_FALL_90 = 237,
    Ryu_BUTT_FALL_45 = 238,
    Ryu_BUTT_FALL_00 = 239,
    Ryu_BUTT_FALL_45m = 240,
    Ryu_BUTT_FALL_90m = 241,
    Ryu_BUTT_FALL_BK = 242,
    Ryu_BUTT_FALL_BK_90m = 243,
    Ryu_BUTT_H_START_90 = 244,
    Ryu_BUTT_H_START_45 = 245,
    Ryu_BUTT_H_START_00 = 246,
    Ryu_BUTT_H_START_45m = 247,
    Ryu_BUTT_H_START_90m = 248,
    Ryu_BUTT_H_START_BK = 249,
    Ryu_BUTT_H_START_BK_90m = 250,
    Ryu_BUTT_B_START_90 = 251,
    Ryu_BUTT_B_START_45 = 252,
    Ryu_BUTT_B_START_00 = 253,
    Ryu_BUTT_B_START_45m = 254,
    Ryu_BUTT_B_START_90m = 255,
    Ryu_BUTT_START_BK = 256,
    Ryu_BUTT_START_BK_90m = 257,
    Ryu_KNOCK_DOWN_BK = 258,
    Ryu_DMG_HL_DOWN = 260,
    Ryu_DMG_HM_DOWN = 261,
    Ryu_DMG_HH_DOWN = 262,
    Ryu_DMG_CL_DOWN = 263,
    Ryu_DMG_CM_DOWN = 264,
    Ryu_DMG_CH_DOWN = 265,
    Ryu_DMG_HL_UPPER = 266,
    Ryu_DMG_HM_UPPER = 267,
    Ryu_DMG_HH_UPPER = 268,
    Ryu_DMG_BL_UPPER = 269,
    Ryu_DMG_BM_UPPER = 270,
    Ryu_DMG_BH_UPPER = 271,
    Ryu_ASHIBARAI = 273,
    Ryu_ASHIBARAI_BACK = 274,
    Ryu_KUZURE = 276,
    Ryu_FLOP_DOWN = 277,
    Ryu_DMG_H_SPIN_GROUND = 279,
    Ryu_DMG_H_SPIN_AIR = 280,
    Ryu_DMG_V_SPIN_GROUND = 281,
    Ryu_DMG_V_SPIN_AIR = 282,
    Ryu_WALL_HIT_FR = 284,
    Ryu_WALL_HIT_BK = 285,
    Ryu_WALL_DOWN_FR = 286,
    Ryu_WALL_DOWN_BK = 287,
    Ryu_DMG_GORO_FR = 289,
    Ryu_DMG_GORO_DOWN_FR = 290,
    Ryu_WALL_GROUND_FR = 291,
    Ryu_WALL_PIYO_STOP = 293,
    Ryu_WALL_PIYO_DOWN = 294,
    Ryu_THROWBREAK_TO = 320,
    Ryu_THROWBREAK_DONE = 321,
    Ryu_GUARD_BREAK_STAND = 322,
    Ryu_GUARD_BREAK_CROUCH = 323,
    Ryu_HARDDOWN_FU = 330,
    Ryu_HARDDOWN_FD = 331,
    Ryu_SLIDEDOWN_FU = 332,
    Ryu_SLIDEDOWN_FU_CMN = 333,
    Ryu_SLIDEDOWN_FD = 334,
    Ryu_SLIDEDOWN_FD_CMN = 335,
    Ryu_LIE_DOWN_FU = 336,
    Ryu_LIE_DOWN_FD = 337,
    Ryu_DOWN_DMG_FU = 338,
    Ryu_DOWN_DMG_FD = 339,
    Ryu_WAKEUP_FU = 340,
    Ryu_WAKEUP_FD = 341,
    Ryu_WAKEUP_F_FU = 342,
    Ryu_WAKEUP_F_FD = 343,
    Ryu_WAKEUP_B_FU = 344,
    Ryu_WAKEUP_B_FD = 345,
    Ryu_BUTT_TAOREN = 346,
    Ryu_AIR_RECOVERY_BK = 347,
    Ryu_BOUND_FU = 350,
    Ryu_BOUND_FD = 351,
    Ryu_STUN = 353,
    Ryu_STUN_END = 354,
    Ryu_KUZURE_DIE = 356,
    Ryu_APPEAR = 400,
    Ryu_APPEAR_END = 401,
    Ryu_APPEAR_ARCADE = 402,
    Ryu_APPEAR_STORY = 403,
    Ryu_LOSE = 405,
    Ryu_MID_LOSE_FU = 407,
    Ryu_MID_LOSE_FD = 408,
    Ryu_DRAW = 410,
    Ryu_RESULT = 412,
    Ryu_WIN = 414,
    Ryu_WIN_STORY = 415,
    Ryu_WIN_PERFECT = 416,
    Ryu_WIN_HI = 417,
    Ryu_WIN_MID = 418,
    Ryu_WIN_LOW = 419,
    Ryu_MINION_ENTRY = 470,
    Ryu_V_TOUCH_ENTRY = 471,
    Ryu_V_TOUCH_STOP = 472,
    Ryu_V_TOUCH_EXIT = 473,
    Ryu_TOUCH_POSE = 474,
    Ryu_TOUCH_JUMP = 475,
    Ryu_TOUCH_SUKI = 476,
    Ryu_TOUCH_NOKI = 477,
    Ryu_ASSIST_SUKI = 478,
    Ryu_PARRY_BGN = 480,
    Ryu_PARRY_LOOP = 481,
    Ryu_PARRY_END = 482,
    Ryu_PARRY_HIT_H = 483,
    Ryu_PARRY_HIT_M = 484,
    Ryu_PARRY_HIT_L = 485,
    Ryu_PARRY_JUST_H = 486,
    Ryu_PARRY_JUST_M = 487,
    Ryu_PARRY_JUST_L = 488,
    Ryu_PARRY_CRO_BGN = 489,
    Ryu_T_FOOTWORK = 510,
    Ryu_T_CROUCH = 511,
    Ryu_T_SIT_DOWN = 512,
    Ryu_T_STAND_UP = 513,
    Ryu_T_TURN_STAND = 514,
    Ryu_T_TURN_CROUCH = 515,
    Ryu_T_WALK_F_BGN = 516,
    Ryu_T_WALK_FORWARD = 517,
    Ryu_T_WALK_F_END = 518,
    Ryu_T_WALK_B_BGN = 519,
    Ryu_T_WALK_BACK = 520,
    Ryu_T_WALK_B_END = 521,
    Ryu_CONTINUE_FU = 530,
    Ryu_CONTINUE_FD = 531,
    Ryu_CONTINUE_SUCCESS = 532,
    Ryu_CONTINUE_FAILURE = 533,
    Ryu_ADV_STAND = 570,
    Ryu_ADV_SIT = 571,
    Ryu_ADV_AIR = 572,
    Ryu_IMM_STAGE_INIT = 580,
    Ryu_IMM_ROUND_INIT = 581,
    Ryu_IMM_DAMAGE_INIT = 582,
    Ryu_IMM_DAMAGE_EXIT = 583,
    Ryu_IMM_TO_NORMAL = 584,
    Ryu_IMM_TOUCH_EXIT = 585,
    Ryu_IMM_TOUCH_ENTRY = 586,
    Ryu_IMM_LANDING = 587,
    Ryu_IMM_HOLD_EXIT = 588,
    Ryu_IMM_FRAME_OUT = 589,
    Ryu_IMM_APPEAR_END = 590,
    Ryu_IMM_RESULT_INIT = 591,
    Ryu_COMMON_END = 599,
    Ryu_5lp = 600,
    Ryu_RC_5LP = 601,
    Ryu_RC_5LP_2 = 602,
    Ryu_5mp = 605,
    Ryu_5hp = 608,
    Ryu_5lk = 611,
    Ryu_5mk = 614,
    Ryu_5hk = 617,
    Ryu_5HK_GRD = 618,
    Ryu_2lp = 622,
    Ryu_RC_2LP = 623,
    Ryu_RC_2LP_2 = 624,
    Ryu_2MP = 627,
    Ryu_2HP = 630,
    Ryu_2HP_WHIFF = 632,
    Ryu_2lk = 635,
    Ryu_RC_2LK = 636,
    Ryu_RC_2LK_2 = 637,
    Ryu_2MK = 640,
    Ryu_2HK = 643,
    Ryu_8LP = 651,
    Ryu_8MP = 652,
    Ryu_8HP = 653,
    Ryu_8LK = 654,
    Ryu_8MK = 655,
    Ryu_8HK = 656,
    Ryu_AIR_NORMAL_LAND = 657,
    Ryu_6MP = 660,
    Ryu_6MP_WHIFF = 661,
    Ryu_4hp = 663,
    Ryu_4hp_2 = 664,
    Ryu_6hp = 666,
    Ryu_4HK = 668,
    Ryu_6hk = 670,
    Ryu_TC_5HK = 685,
    Ryu_tc_5LK = 687,
    Ryu_tc_5HK = 689,
    Ryu_THROW_N = 715,
    Ryu_THROW_B = 716,
    Ryu_THROW_F_ATK = 720,
    Ryu_THROW_F_ATK_PUNISH = 722,
    Ryu_THROW_B_ATK = 724,
    Ryu_THROW_B_ATK_PUNISH = 726,
    Ryu_DR_NORMAL_CANCEL = 739,
    Ryu_DR_RAW = 740,
    Ryu_DRIVE_REVERSAL = 850,
    Ryu_DRIVE_REVERSAL_NO_HIT = 851,
    Ryu_DRIVE_IMPACT = 854,
    Ryu_DRIVE_IMPACT_COUNTER_HIT = 855,
    Ryu_DRIVE_IMPACT_COUNTER = 856,
    Ryu_HADO_L = 900,
    Ryu_HADO_M = 902,
    Ryu_HADO_H = 904,
    Ryu_HADO_EX = 906,
    Ryu_HADO_L_SHOT = 909,
    Ryu_HADO_M_SHOT = 910,
    Ryu_HADO_H_SHOT = 911,
    Ryu_HADO_EX_SHOT = 913,
    Ryu_SHORYU_L = 930,
    Ryu_SHORYU_M = 932,
    Ryu_SHORYU_H = 934,
    Ryu_SHORYU_EX = 936,
    Ryu_SHORYU_LAND = 938,
    Ryu_SHORYU_M_LAND = 939,
    Ryu_SHORYU_H_LAND = 940,
    Ryu_SHORYU_EX_LAND = 941,
    Ryu_GND_TATSUMAKI_L = 1000,
    Ryu_GND_TATSUMAKI_M = 1002,
    Ryu_GND_TATSUMAKI_H = 1005,
    Ryu_GND_TATSUMAKI_EX = 1009,
    Ryu_AIR_TATSUMAKI = 1011,
    Ryu_AIR_TATSUMAKI_EX = 1013,
    Ryu_6HK_TATSUMAKI_EX = 1014,
    Ryu_AIR_TATSUMAKI_LAND = 1016,
    Ryu_SOKUTOU_L = 1025,
    Ryu_SOKUTOU_M = 1027,
    Ryu_SOKUTOU_M_WHIFF = 1028,
    Ryu_SOKUTOU_H = 1029,
    Ryu_SOKUTOU_EX = 1031,
    Ryu_HASHOGEKI_L = 1036,
    Ryu_HASHOGEKI_M = 1037,
    Ryu_HASHOGEKI_M_GRD = 1038,
    Ryu_HASHOGEKI_H = 1039,
    Ryu_HASHOGEKI_EX = 1040,
    Ryu_HASHOGEKI_L_SHOT = 1043,
    Ryu_HASHOGEKI_M_SHOT = 1044,
    Ryu_HASHOGEKI_H_SHOT = 1045,
    Ryu_HASHOGEKI_EX_SHOT = 1047,
    Ryu_DENJIN_CHARGE = 1051,
    Ryu_DENJIN_HADO = 1052,
    Ryu_CHARGED_HADO_EX = 1053,
    Ryu_DENJIN_HADO_SHOT = 1055,
    Ryu_CHARGED_HADO_EX_SHOT = 1057,
    Ryu_CHARGED_HASHOGEKI = 1061,
    Ryu_CHARGED_HASHOGEKI_GRD = 1062,
    Ryu_CHARGED_HASHOGEKI_SHOT = 1063,
    Ryu_CHARGED_HASHOGEKI_EX = 1066,
    Ryu_CHARGED_HASHOGEKI_EX_SHOT = 1067,
    Ryu_CA1_SHINKUU_L = 1200,
    Ryu_DENJIN_HADOKEN = 1201,
    RYU_CA1_SHINKUU_SHOT = 1203,
    Ryu_DENJIN_HADOKEN_SHOT = 1205,
    Ryu_CA2_SHIN_HASHOGEKI = 1213,
    Ryu_CA2_DENJIN_HASHOGEKI = 1214,
    Ryu_CA2_SHIN_HASHOGEKI_HIT = 1216,
    Ryu_CA2_SHIN_HASHOGEKI_HOLD = 1217,
    Ryu_CA2_SHIN_HASHOGEKI_HOLD_2 = 1218,
    Ryu_CA2_DENJIN_HASHOGEKI_HIT = 1220,
    Ryu_CA2_DENJIN_HASHOGEKI_HOLD = 1221,
    Ryu_CA2_DENJIN_HASHOGEKI_HOLD_2 = 1222,
    Ryu_CA2_SHIN_HASHOGEKI_SHOT = 1224,
    Ryu_CA2_SHIN_HASHOGEKI_HOLD_SHOT = 1225,
    Ryu_CA2_SHIN_HASHOGEKI_HOLD_2_SHOT = 1226,
    Ryu_CA2_DENJIN_HASHOGEKI_SHOT = 1228,
    Ryu_CA2_DENJIN_HASHOGEKI_HOLD_SHOT = 1229,
    Ryu_CA2_DENJIN_HASHOGEKI_HOLD_2SHOT = 1230,
    Ryu_CA3_SHIN_SHORYUKEN = 1234,
    Ryu_CA3_SHIN_SHORYUKEN_HIT = 1235,
    Ryu_CA3lowHP_SHIN_SHORYUKEN = 1238,
    Ryu_CA3lowHP_SHIN_SHORYUKEN_HIT = 1239,
    Ryu_APPEAL_2 = 1498,
    Ryu_APPEAL_3 = 1499,
    Ryu_APPEAL_1 = 1500,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum LukeActions {
    #[default]
    Luke_INVALID_ID = -1,
    Luke_BACKSTAGE = 0,
    Luke_FOOTWORK = 1,
    Luke_FOOTWORK_IDLE = 2,
    Luke_CROUCH = 4,
    Luke_SIT_DOWN = 5,
    Luke_STAND_UP = 6,
    Luke_TURN_STAND = 7,
    Luke_TURN_CROUCH = 8,
    Luke_WALK_F_BGN = 9,
    Luke_WALK_FORWARD = 10,
    Luke_WALK_F_END = 11,
    Luke_SLIDE_FEET_F = 12,
    Luke_WALK_B_BGN = 13,
    Luke_WALK_BACK = 14,
    Luke_WALK_B_END = 15,
    Luke_SLIDE_FEET_B = 16,
    Luke_DASH_F = 17,
    Luke_DASH_B = 18,
    Luke_DASH_F_END = 19,
    Luke_DASH_B_END = 20,
    Luke_RUN_F_BGN = 21,
    Luke_RUN_F = 22,
    Luke_RUN_F_END = 23,
    Luke_RUN_B_BGN = 24,
    Luke_RUN_B = 25,
    Luke_RUN_B_END = 26,
    Luke_DUCK_WALK_F_BGN = 27,
    Luke_DUCK_WALK_F = 28,
    Luke_DUCK_WALK_F_END = 29,
    Luke_DUCK_WALK_B_BGN = 30,
    Luke_DUCK_WALK_B = 31,
    Luke_DUCK_WALK_B_END = 32,
    Luke_JUMP_V_BGN = 33,
    Luke_JUMP_F_BGN = 34,
    Luke_JUMP_B_BGN = 35,
    Luke_JUMP_V = 36,
    Luke_JUMP_F = 37,
    Luke_JUMP_B = 38,
    Luke_JUMP_V_END = 39,
    Luke_JUMP_F_END = 40,
    Luke_JUMP_B_END = 41,
    Luke_JUMP_ATK_END = 42,
    Luke_W_JUMP_V = 44,
    Luke_W_JUMP_F = 45,
    Luke_W_JUMP_B = 46,
    Luke_T_JUMP_WALL = 47,
    Luke_T_JUMP = 48,
    Luke_L_JUMP_V_BGN = 54,
    Luke_L_JUMP_F_BGN = 55,
    Luke_L_JUMP_B_BGN = 56,
    Luke_L_JUMP_V = 57,
    Luke_L_JUMP_F = 58,
    Luke_L_JUMP_B = 59,
    Luke_H_JUMP_V_BGN = 60,
    Luke_H_JUMP_F_BGN = 61,
    Luke_H_JUMP_B_BGN = 62,
    Luke_H_JUMP_V = 63,
    Luke_H_JUMP_F = 64,
    Luke_H_JUMP_B = 65,
    Luke_FLY_BGN = 66,
    Luke_FLY_END = 67,
    Luke_FLY_BASE = 68,
    Luke_FLY_UU = 69,
    Luke_FLY_BU = 70,
    Luke_FLY_BB = 71,
    Luke_FLY_BD = 72,
    Luke_FLY_DD = 73,
    Luke_FLY_FD = 74,
    Luke_FLY_FF = 75,
    Luke_FLY_FU = 76,
    Luke_FLY_UU_END = 77,
    Luke_FLY_BU_END = 78,
    Luke_FLY_BB_END = 79,
    Luke_FLY_BD_END = 80,
    Luke_FLY_DD_END = 81,
    Luke_FLY_FD_END = 82,
    Luke_FLY_FF_END = 83,
    Luke_FLY_FU_END = 84,
    Luke_AIR_DASH_U = 85,
    Luke_AIR_DASH_BU = 86,
    Luke_AIR_DASH_B = 87,
    Luke_AIR_DASH_BD = 88,
    Luke_AIR_DASH_D = 89,
    Luke_AIR_DASH_FD = 90,
    Luke_AIR_DASH_F = 91,
    Luke_AIR_DASH_FU = 92,
    Luke_FALL_V = 93,
    Luke_GRD_STAND_H_BGN = 100,
    Luke_GRD_STAND_H = 101,
    Luke_GRD_STAND_H_END = 102,
    Luke_GRD_STAND_H_DM_L = 103,
    Luke_GRD_STAND_H_DM_M = 104,
    Luke_GRD_STAND_H_DM_H = 105,
    Luke_GRD_STAND_H_DM_S = 106,
    Luke_GRD_STAND_M_BGN = 107,
    Luke_GRD_STAND_M = 108,
    Luke_GRD_STAND_M_END = 109,
    Luke_GRD_STAND_M_DM_L = 110,
    Luke_GRD_STAND_M_DM_M = 111,
    Luke_GRD_STAND_M_DM_H = 112,
    Luke_GRD_STAND_M_DM_S = 113,
    Luke_GRD_STAND_L_BGN = 114,
    Luke_GRD_STAND_L = 115,
    Luke_GRD_STAND_L_END = 116,
    Luke_GRD_STAND_L_DM_L = 117,
    Luke_GRD_STAND_L_DM_M = 118,
    Luke_GRD_STAND_L_DM_H = 119,
    Luke_GRD_STAND_L_DM_S = 120,
    Luke_GRD_CROUCH_H_BGN = 121,
    Luke_GRD_CROUCH_H = 122,
    Luke_GRD_CROUCH_H_END = 123,
    Luke_GRD_CROUCH_H_DM_L = 124,
    Luke_GRD_CROUCH_H_DM_M = 125,
    Luke_GRD_CROUCH_H_DM_H = 126,
    Luke_GRD_CROUCH_H_DM_S = 127,
    Luke_GRD_CROUCH_L_BGN = 128,
    Luke_GRD_CROUCH_L = 129,
    Luke_GRD_CROUCH_L_END = 130,
    Luke_GRD_CROUCH_L_DM_L = 131,
    Luke_GRD_CROUCH_L_DM_M = 132,
    Luke_GRD_CROUCH_L_DM_H = 133,
    Luke_GRD_CROUCH_L_DM_S = 134,
    Luke_GRD_AIR_BGN = 135,
    Luke_GRD_AIR = 136,
    Luke_GRD_AIR_END = 137,
    Luke_GRD_AIR_DM_L = 138,
    Luke_GRD_AIR_DM_M = 139,
    Luke_GRD_AIR_DM_H = 140,
    Luke_GRD_AIR_DM_S = 141,
    Luke_GRD_ZUSA_STAND = 143,
    Luke_GRD_ZUSA_CROUCH = 144,
    Luke_GRD_ZUSA_WALL = 145,
    Luke_DGD_STAND_H_BGN = 150,
    Luke_DGD_STAND_H = 151,
    Luke_DGD_STAND_H_END = 152,
    Luke_DGD_STAND_H_DM_L = 153,
    Luke_DGD_STAND_H_DM_M = 154,
    Luke_DGD_STAND_H_DM_H = 155,
    Luke_DGD_STAND_H_DM_S = 156,
    Luke_DGD_STAND_M_BGN = 157,
    Luke_DGD_STAND_M = 158,
    Luke_DGD_STAND_M_END = 159,
    Luke_DGD_STAND_M_DM_L = 160,
    Luke_DGD_STAND_M_DM_M = 161,
    Luke_DGD_STAND_M_DM_H = 162,
    Luke_DGD_STAND_M_DM_S = 163,
    Luke_DGD_STAND_L_BGN = 164,
    Luke_DGD_STAND_L = 165,
    Luke_DGD_STAND_L_END = 166,
    Luke_DGD_STAND_L_DM_L = 167,
    Luke_DGD_STAND_L_DM_M = 168,
    Luke_DGD_STAND_L_DM_H = 169,
    Luke_DGD_STAND_L_DM_S = 170,
    Luke_DGD_CROUCH_H_BGN = 171,
    Luke_DGD_CROUCH_H = 172,
    Luke_DGD_CROUCH_H_END = 173,
    Luke_DGD_CROUCH_H_DM_L = 174,
    Luke_DGD_CROUCH_H_DM_M = 175,
    Luke_DGD_CROUCH_H_DM_H = 176,
    Luke_DGD_CROUCH_H_DM_S = 177,
    Luke_DGD_CROUCH_L_BGN = 178,
    Luke_DGD_CROUCH_L = 179,
    Luke_DGD_CROUCH_L_END = 180,
    Luke_DGD_CROUCH_L_DM_L = 181,
    Luke_DGD_CROUCH_L_DM_M = 182,
    Luke_DGD_CROUCH_L_DM_H = 183,
    Luke_DGD_CROUCH_L_DM_S = 184,
    Luke_DGD_AIR_BGN = 185,
    Luke_DGD_AIR = 186,
    Luke_DGD_AIR_END = 187,
    Luke_DGD_AIR_DM_L = 188,
    Luke_DGD_AIR_DM_M = 189,
    Luke_DGD_AIR_DM_H = 190,
    Luke_DGD_AIR_DM_S = 191,
    Luke_DMG_STD_H_FR_L = 200,
    Luke_DMG_STD_H_FR_M = 201,
    Luke_DMG_STD_H_FR_H = 202,
    Luke_DMG_CRT_STD_H_FR = 203,
    Luke_DMG_STD_M_FR_L = 204,
    Luke_DMG_STD_M_FR_M = 205,
    Luke_DMG_STD_M_FR_H = 206,
    Luke_DMG_CRT_STD_M_FR = 207,
    Luke_DMG_STD_L_FR_L = 208,
    Luke_DMG_STD_L_FR_M = 209,
    Luke_DMG_STD_L_FR_H = 210,
    Luke_DMG_CRT_STD_L_FR = 211,
    Luke_DMG_CRO_H_FR_L = 212,
    Luke_DMG_CRO_H_FR_M = 213,
    Luke_DMG_CRO_H_FR_H = 214,
    Luke_DMG_CRT_CRO_H_FR = 215,
    Luke_DMG_CRO_L_FR_L = 216,
    Luke_DMG_CRO_L_FR_M = 217,
    Luke_DMG_CRO_L_FR_H = 218,
    Luke_DMG_CRT_CRO_L_FR = 219,
    Luke_DMG_AIR_FR_L = 220,
    Luke_DMG_AIR_FR_M = 221,
    Luke_DMG_AIR_FR_H = 222,
    Luke_DMG_STD_BK = 224,
    Luke_BUTT_RISE_90 = 230,
    Luke_BUTT_RISE_45 = 231,
    Luke_BUTT_RISE_00 = 232,
    Luke_BUTT_RISE_45m = 233,
    Luke_BUTT_RISE_90m = 234,
    Luke_BUTT_RISE_BK = 235,
    Luke_BUTT_RISE_BK_90m = 236,
    Luke_BUTT_FALL_90 = 237,
    Luke_BUTT_FALL_45 = 238,
    Luke_BUTT_FALL_00 = 239,
    Luke_BUTT_FALL_45m = 240,
    Luke_BUTT_FALL_90m = 241,
    Luke_BUTT_FALL_BK = 242,
    Luke_BUTT_FALL_BK_90m = 243,
    Luke_BUTT_H_START_90 = 244,
    Luke_BUTT_H_START_45 = 245,
    Luke_BUTT_H_START_00 = 246,
    Luke_BUTT_H_START_45m = 247,
    Luke_BUTT_H_START_90m = 248,
    Luke_BUTT_H_START_BK = 249,
    Luke_BUTT_H_START_BK_90m = 250,
    Luke_BUTT_B_START_90 = 251,
    Luke_BUTT_B_START_45 = 252,
    Luke_BUTT_B_START_00 = 253,
    Luke_BUTT_B_START_45m = 254,
    Luke_BUTT_B_START_90m = 255,
    Luke_BUTT_START_BK = 256,
    Luke_BUTT_START_BK_90m = 257,
    Luke_KNOCK_DOWN_BK = 258,
    Luke_DMG_HL_DOWN = 260,
    Luke_DMG_HM_DOWN = 261,
    Luke_DMG_HH_DOWN = 262,
    Luke_DMG_CL_DOWN = 263,
    Luke_DMG_CM_DOWN = 264,
    Luke_DMG_CH_DOWN = 265,
    Luke_DMG_HL_UPPER = 266,
    Luke_DMG_HM_UPPER = 267,
    Luke_DMG_HH_UPPER = 268,
    Luke_DMG_BL_UPPER = 269,
    Luke_DMG_BM_UPPER = 270,
    Luke_DMG_BH_UPPER = 271,
    Luke_ASHIBARAI = 273,
    Luke_ASHIBARAI_BACK = 274,
    Luke_KUZURE = 276,
    Luke_FLOP_DOWN = 277,
    Luke_DMG_H_SPIN_GROUND = 279,
    Luke_DMG_H_SPIN_AIR = 280,
    Luke_DMG_V_SPIN_GROUND = 281,
    Luke_DMG_V_SPIN_AIR = 282,
    Luke_WALL_HIT_FR = 284,
    Luke_WALL_HIT_BK = 285,
    Luke_WALL_DOWN_FR = 286,
    Luke_WALL_DOWN_BK = 287,
    Luke_DMG_GORO_FR = 289,
    Luke_DMG_GORO_DOWN_FR = 290,
    Luke_WALL_GROUND_FR = 291,
    Luke_WALL_PIYO_STOP = 293,
    Luke_WALL_PIYO_DOWN = 294,
    Luke_THROWBREAK_TO = 320,
    Luke_THROWBREAK_DONE = 321,
    Luke_GUARD_BREAK_STAND = 322,
    Luke_GUARD_BREAK_CROUCH = 323,
    Luke_HARDDOWN_FU = 330,
    Luke_HARDDOWN_FD = 331,
    Luke_SLIDEDOWN_FU = 332,
    Luke_SLIDEDOWN_FU_CMN = 333,
    Luke_SLIDEDOWN_FD = 334,
    Luke_SLIDEDOWN_FD_CMN = 335,
    Luke_LIE_DOWN_FU = 336,
    Luke_LIE_DOWN_FD = 337,
    Luke_DOWN_DMG_FU = 338,
    Luke_DOWN_DMG_FD = 339,
    Luke_WAKEUP_FU = 340,
    Luke_WAKEUP_FD = 341,
    Luke_WAKEUP_F_FU = 342,
    Luke_WAKEUP_F_FD = 343,
    Luke_WAKEUP_B_FU = 344,
    Luke_WAKEUP_B_FD = 345,
    Luke_BUTT_TAOREN = 346,
    Luke_AIR_RECOVERY_BK = 347,
    Luke_BOUND_FU = 350,
    Luke_BOUND_FD = 351,
    Luke_STUN = 353,
    Luke_STUN_END = 354,
    Luke_KUZURE_DIE = 356,
    Luke_APPEAR = 400,
    Luke_APPEAR_END = 401,
    Luke_APPEAR_ARCADE = 402,
    Luke_APPEAR_STORY = 403,
    Luke_LOSE = 405,
    Luke_MID_LOSE_FU = 407,
    Luke_MID_LOSE_FD = 408,
    Luke_DRAW = 410,
    Luke_RESULT = 412,
    Luke_WIN = 414,
    Luke_WIN_STORY = 415,
    Luke_WIN_PERFECT = 416,
    Luke_WIN_HI = 417,
    Luke_WIN_MID = 418,
    Luke_WIN_LOW = 419,
    Luke_MINION_ENTRY = 470,
    Luke_V_TOUCH_ENTRY = 471,
    Luke_V_TOUCH_STOP = 472,
    Luke_V_TOUCH_EXIT = 473,
    Luke_TOUCH_POSE = 474,
    Luke_TOUCH_JUMP = 475,
    Luke_TOUCH_SUKI = 476,
    Luke_TOUCH_NOKI = 477,
    Luke_ASSIST_SUKI = 478,
    Luke_PARRY_BGN = 480,
    Luke_PARRY_LOOP = 481,
    Luke_PARRY_END = 482,
    Luke_PARRY_HIT_H = 483,
    Luke_PARRY_HIT_M = 484,
    Luke_PARRY_HIT_L = 485,
    Luke_PARRY_JUST_H = 486,
    Luke_PARRY_JUST_M = 487,
    Luke_PARRY_JUST_L = 488,
    Luke_PARRY_CRO_BGN = 489,
    Luke_T_FOOTWORK = 510,
    Luke_T_CROUCH = 511,
    Luke_T_SIT_DOWN = 512,
    Luke_T_STAND_UP = 513,
    Luke_T_TURN_STAND = 514,
    Luke_T_TURN_CROUCH = 515,
    Luke_T_WALK_F_BGN = 516,
    Luke_T_WALK_FORWARD = 517,
    Luke_T_WALK_F_END = 518,
    Luke_T_WALK_B_BGN = 519,
    Luke_T_WALK_BACK = 520,
    Luke_T_WALK_B_END = 521,
    Luke_CONTINUE_FU = 530,
    Luke_CONTINUE_FD = 531,
    Luke_CONTINUE_SUCCESS = 532,
    Luke_CONTINUE_FAILURE = 533,
    Luke_ADV_STAND = 570,
    Luke_ADV_SIT = 571,
    Luke_ADV_AIR = 572,
    Luke_IMM_STAGE_INIT = 580,
    Luke_IMM_ROUND_INIT = 581,
    Luke_IMM_DAMAGE_INIT = 582,
    Luke_IMM_DAMAGE_EXIT = 583,
    Luke_IMM_TO_NORMAL = 584,
    Luke_IMM_TOUCH_EXIT = 585,
    Luke_IMM_TOUCH_ENTRY = 586,
    Luke_IMM_LANDING = 587,
    Luke_IMM_HOLD_EXIT = 588,
    Luke_IMM_FRAME_OUT = 589,
    Luke_IMM_APPEAR_END = 590,
    Luke_IMM_RESULT_INIT = 591,
    Luke_COMMON_END = 599,
    Luke_5LP = 600,
    Luke_5LP_WHIFF = 601,
    Luke_5MP = 603,
    Luke_5HP = 606,
    Luke_5LK = 609,
    Luke_5MK = 612,
    Luke_5MK_WHIFF = 613,
    Luke_5HK = 615,
    Luke_2LP = 618,
    Luke_RC_2LP = 620,
    Luke_2MP = 623,
    Luke_2HP = 626,
    Luke_2LK = 629,
    Luke_RC_2LK = 631,
    Luke_2MK = 634,
    Luke_2HK = 637,
    Luke_2HK_GRD = 639,
    Luke_8LP = 650,
    Luke_8MP = 651,
    Luke_8HP = 652,
    Luke_8LK = 653,
    Luke_8MK = 654,
    Luke_8HK = 655,
    Luke_AIR_NORMAL_LAND = 656,
    Luke_6MP = 659,
    Luke_4HP = 662,
    Luke_6HP = 665,
    Luke_6HP_WHIFF = 666,
    Luke_6HP_TC = 667,
    Luke_4HK = 669,
    Luke_4HK_GRD = 671,
    Luke_5MP_TC = 674,
    Luke_5HP_TC = 675,
    Luke_5MP_MP_TC = 677,
    Luke_5MP_MP_MP_TC = 678,
    Luke_5MP_MP_MP_MP_TC = 679,
    Luke_TC_3HP = 681,
    Luke_THROW_F = 715,
    Luke_THROW_B = 717,
    Luke_THROW_F_ATK = 720,
    Luke_THROW_F_DMG = 721,
    Luke_THROW_F_ATK_PUNISH_COUNTER = 722,
    Luke_THROW_B_ATK = 724,
    Luke_THROW_B_DMG = 725,
    Luke_THROW_B_ATK_PUNISH_COUNTER = 726,
    Luke_NORMAL_CANCEL_DRIVE_RUSH = 739,
    Luke_RAW_DRIVE_RUSH = 740,
    Luke_DRIVE_REVERSAL = 850,
    Luke_DRIVE_REVERSAL_2 = 851,
    Luke_DRIVE_IMPACT = 855,
    Luke_DRIVE_IMPACT_COUNTER_HIT = 856,
    Luke_DRIVE_IMPACT_COUNTER = 857,
    Luke_SAND_L = 900,
    Luke_SAND_M = 902,
    Luke_SAND_H = 904,
    Luke_SAND_EX_1 = 906,
    Luke_SAND_EX_2 = 907,
    Luke_SAND_L_SHOT = 909,
    Luke_SAND_M_SHOT = 910,
    Luke_SAND_H_SHOT = 911,
    Luke_SAND_EX_1_SHOT = 913,
    Luke_SAND_EX_2_SHOT = 914,
    Luke_FLASH_KNUCKLE_UNUSED = 917,
    Luke_FLASH_KNUCKLE_L = 921,
    Luke_FLASH_KNUCKLE_L_RELEASE = 922,
    Luke_FLASH_KNUCKLE_L_PERFECT = 923,
    Luke_FLASH_KNUCKLE_M = 925,
    Luke_FLASH_KNUCKLE_M_RELEASE = 926,
    Luke_FLASH_KNUCKLE_M_PERFECT = 927,
    Luke_FLASH_KNUCKLE_H = 929,
    Luke_FLASH_KNUCKLE_H_RELEASE = 930,
    Luke_FLASH_KNUCKLE_H_PERFECT = 931,
    Luke_FLASH_KNUCKLE_EX = 933,
    Luke_FLASH_KNUCKLE_EX_HIT = 934,
    Luke_FLASH_KNUCKLE_EX_HIT_UNUSED = 935,
    Luke_FLASH_KNUCKLE_EX_DDT = 936,
    Luke_AIR_FLASH_KNUCKLE_L = 946,
    Luke_AIR_FLASH_KNUCKLE_L_RELEASE = 947,
    Luke_AIR_FLASH_KNUCKLE_LAND = 948,
    Luke_AIR_FLASH_KNUCKLE_EX = 950,
    Luke_AIR_FLASH_KNUCKLE_L_HOLD_LAND = 952,
    Luke_RISING_L = 955,
    Luke_RISING_M = 956,
    Luke_RISING_H = 957,
    Luke_RISING_EX = 958,
    Luke_RISING_L_LAND = 960,
    Luke_RISING_M_LAND = 961,
    Luke_RISING_H_LAND = 962,
    Luke_RISING_EX_LAND = 963,
    Luke_RISING_EX_2 = 967,
    Luke_RISING_EX_2_LAND = 968,
    Luke_AVENGER = 972,
    Luke_AVENGER_KICK = 974,
    Luke_AVENGER_PUNCH = 975,
    Luke_AVENGER_EX = 977,
    Luke_AVENGER_EX_KICK = 979,
    Luke_AVENGER_EX_PUNCH = 980,
    Luke_SUPERJUMP_F_UNUSED = 1113,
    Luke_SUPERJUMP_F_DOWN_UNUSED = 1114,
    Luke_8HK_UNUSED = 1115,
    Luke_SUPERJUMP_F_UNUSED_2 = 1106,
    Luke_SUPERJUMP_F_DOWN_UNUSED_2 = 1107,
    Luke_8MK_UNUSED = 1108,
    Luke_CA1 = 1200,
    Luke_CA1_SHOT = 1203,
    Luke_CA1_SHOT_2 = 1207,
    Luke_CA2 = 1210,
    Luke_CA2_BLOCK_WHIFF = 1211,
    Luke_CA3 = 1215,
    Luke_CA3_MOVE = 1216,
    Luke_CA3_HIT = 1218,
    Luke_CA3_LOWHP = 1221,
    Luke_CA3_LOWHP_MOVE = 1222,
    Luke_CA3_LOW_HP_HIT = 1223,
    Luke_APPEAL = 1497,
    Luke_APPEAL_2 = 1498,
    Luke_APPEAL_3 = 1499,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum KimberlyActions {
    #[default]
    Kimberly_INVALID_ID = -1,
    Kimberly_BACKSTAGE = 0,
    Kimberly_FOOTWORK = 1,
    Kimberly_FOOTWORK_IDLE = 2,
    Kimberly_CROUCH = 4,
    Kimberly_SIT_DOWN = 5,
    Kimberly_STAND_UP = 6,
    Kimberly_TURN_STAND = 7,
    Kimberly_TURN_CROUCH = 8,
    Kimberly_WALK_F_BGN = 9,
    Kimberly_WALK_FORWARD = 10,
    Kimberly_WALK_F_END = 11,
    Kimberly_SLIDE_FEET_F = 12,
    Kimberly_WALK_B_BGN = 13,
    Kimberly_WALK_BACK = 14,
    Kimberly_WALK_B_END = 15,
    Kimberly_SLIDE_FEET_B = 16,
    Kimberly_DASH_F = 17,
    Kimberly_DASH_B = 18,
    Kimberly_DASH_F_END = 19,
    Kimberly_DASH_B_END = 20,
    Kimberly_RUN_F_BGN = 21,
    Kimberly_RUN_F = 22,
    Kimberly_RUN_F_END = 23,
    Kimberly_RUN_B_BGN = 24,
    Kimberly_RUN_B = 25,
    Kimberly_RUN_B_END = 26,
    Kimberly_DUCK_WALK_F_BGN = 27,
    Kimberly_DUCK_WALK_F = 28,
    Kimberly_DUCK_WALK_F_END = 29,
    Kimberly_DUCK_WALK_B_BGN = 30,
    Kimberly_DUCK_WALK_B = 31,
    Kimberly_DUCK_WALK_B_END = 32,
    Kimberly_JUMP_V_BGN = 33,
    Kimberly_JUMP_F_BGN = 34,
    Kimberly_JUMP_B_BGN = 35,
    Kimberly_JUMP_V = 36,
    Kimberly_JUMP_F = 37,
    Kimberly_JUMP_B = 38,
    Kimberly_JUMP_V_END = 39,
    Kimberly_JUMP_F_END = 40,
    Kimberly_JUMP_B_END = 41,
    Kimberly_JUMP_ATK_END = 42,
    Kimberly_W_JUMP_V = 44,
    Kimberly_W_JUMP_F = 45,
    Kimberly_W_JUMP_B = 46,
    Kimberly_T_JUMP_WALL = 47,
    Kimberly_T_JUMP = 48,
    Kimberly_L_JUMP_V_BGN = 54,
    Kimberly_L_JUMP_F_BGN = 55,
    Kimberly_L_JUMP_B_BGN = 56,
    Kimberly_L_JUMP_V = 57,
    Kimberly_L_JUMP_F = 58,
    Kimberly_L_JUMP_B = 59,
    Kimberly_H_JUMP_V_BGN = 60,
    Kimberly_H_JUMP_F_BGN = 61,
    Kimberly_H_JUMP_B_BGN = 62,
    Kimberly_H_JUMP_V = 63,
    Kimberly_H_JUMP_F = 64,
    Kimberly_H_JUMP_B = 65,
    Kimberly_FLY_BGN = 66,
    Kimberly_FLY_END = 67,
    Kimberly_FLY_BASE = 68,
    Kimberly_FLY_UU = 69,
    Kimberly_FLY_BU = 70,
    Kimberly_FLY_BB = 71,
    Kimberly_FLY_BD = 72,
    Kimberly_FLY_DD = 73,
    Kimberly_FLY_FD = 74,
    Kimberly_FLY_FF = 75,
    Kimberly_FLY_FU = 76,
    Kimberly_FLY_UU_END = 77,
    Kimberly_FLY_BU_END = 78,
    Kimberly_FLY_BB_END = 79,
    Kimberly_FLY_BD_END = 80,
    Kimberly_FLY_DD_END = 81,
    Kimberly_FLY_FD_END = 82,
    Kimberly_FLY_FF_END = 83,
    Kimberly_FLY_FU_END = 84,
    Kimberly_AIR_DASH_U = 85,
    Kimberly_AIR_DASH_BU = 86,
    Kimberly_AIR_DASH_B = 87,
    Kimberly_AIR_DASH_BD = 88,
    Kimberly_AIR_DASH_D = 89,
    Kimberly_AIR_DASH_FD = 90,
    Kimberly_AIR_DASH_F = 91,
    Kimberly_AIR_DASH_FU = 92,
    Kimberly_FALL_V = 93,
    Kimberly_GRD_STAND_H_BGN = 100,
    Kimberly_GRD_STAND_H = 101,
    Kimberly_GRD_STAND_H_END = 102,
    Kimberly_GRD_STAND_H_DM_L = 103,
    Kimberly_GRD_STAND_H_DM_M = 104,
    Kimberly_GRD_STAND_H_DM_H = 105,
    Kimberly_GRD_STAND_H_DM_S = 106,
    Kimberly_GRD_STAND_M_BGN = 107,
    Kimberly_GRD_STAND_M = 108,
    Kimberly_GRD_STAND_M_END = 109,
    Kimberly_GRD_STAND_M_DM_L = 110,
    Kimberly_GRD_STAND_M_DM_M = 111,
    Kimberly_GRD_STAND_M_DM_H = 112,
    Kimberly_GRD_STAND_M_DM_S = 113,
    Kimberly_GRD_STAND_L_BGN = 114,
    Kimberly_GRD_STAND_L = 115,
    Kimberly_GRD_STAND_L_END = 116,
    Kimberly_GRD_STAND_L_DM_L = 117,
    Kimberly_GRD_STAND_L_DM_M = 118,
    Kimberly_GRD_STAND_L_DM_H = 119,
    Kimberly_GRD_STAND_L_DM_S = 120,
    Kimberly_GRD_CROUCH_H_BGN = 121,
    Kimberly_GRD_CROUCH_H = 122,
    Kimberly_GRD_CROUCH_H_END = 123,
    Kimberly_GRD_CROUCH_H_DM_L = 124,
    Kimberly_GRD_CROUCH_H_DM_M = 125,
    Kimberly_GRD_CROUCH_H_DM_H = 126,
    Kimberly_GRD_CROUCH_H_DM_S = 127,
    Kimberly_GRD_CROUCH_L_BGN = 128,
    Kimberly_GRD_CROUCH_L = 129,
    Kimberly_GRD_CROUCH_L_END = 130,
    Kimberly_GRD_CROUCH_L_DM_L = 131,
    Kimberly_GRD_CROUCH_L_DM_M = 132,
    Kimberly_GRD_CROUCH_L_DM_H = 133,
    Kimberly_GRD_CROUCH_L_DM_S = 134,
    Kimberly_GRD_AIR_BGN = 135,
    Kimberly_GRD_AIR = 136,
    Kimberly_GRD_AIR_END = 137,
    Kimberly_GRD_AIR_DM_L = 138,
    Kimberly_GRD_AIR_DM_M = 139,
    Kimberly_GRD_AIR_DM_H = 140,
    Kimberly_GRD_AIR_DM_S = 141,
    Kimberly_GRD_ZUSA_STAND = 143,
    Kimberly_GRD_ZUSA_CROUCH = 144,
    Kimberly_GRD_ZUSA_WALL = 145,
    Kimberly_DGD_STAND_H_BGN = 150,
    Kimberly_DGD_STAND_H = 151,
    Kimberly_DGD_STAND_H_END = 152,
    Kimberly_DGD_STAND_H_DM_L = 153,
    Kimberly_DGD_STAND_H_DM_M = 154,
    Kimberly_DGD_STAND_H_DM_H = 155,
    Kimberly_DGD_STAND_H_DM_S = 156,
    Kimberly_DGD_STAND_M_BGN = 157,
    Kimberly_DGD_STAND_M = 158,
    Kimberly_DGD_STAND_M_END = 159,
    Kimberly_DGD_STAND_M_DM_L = 160,
    Kimberly_DGD_STAND_M_DM_M = 161,
    Kimberly_DGD_STAND_M_DM_H = 162,
    Kimberly_DGD_STAND_M_DM_S = 163,
    Kimberly_DGD_STAND_L_BGN = 164,
    Kimberly_DGD_STAND_L = 165,
    Kimberly_DGD_STAND_L_END = 166,
    Kimberly_DGD_STAND_L_DM_L = 167,
    Kimberly_DGD_STAND_L_DM_M = 168,
    Kimberly_DGD_STAND_L_DM_H = 169,
    Kimberly_DGD_STAND_L_DM_S = 170,
    Kimberly_DGD_CROUCH_H_BGN = 171,
    Kimberly_DGD_CROUCH_H = 172,
    Kimberly_DGD_CROUCH_H_END = 173,
    Kimberly_DGD_CROUCH_H_DM_L = 174,
    Kimberly_DGD_CROUCH_H_DM_M = 175,
    Kimberly_DGD_CROUCH_H_DM_H = 176,
    Kimberly_DGD_CROUCH_H_DM_S = 177,
    Kimberly_DGD_CROUCH_L_BGN = 178,
    Kimberly_DGD_CROUCH_L = 179,
    Kimberly_DGD_CROUCH_L_END = 180,
    Kimberly_DGD_CROUCH_L_DM_L = 181,
    Kimberly_DGD_CROUCH_L_DM_M = 182,
    Kimberly_DGD_CROUCH_L_DM_H = 183,
    Kimberly_DGD_CROUCH_L_DM_S = 184,
    Kimberly_DGD_AIR_BGN = 185,
    Kimberly_DGD_AIR = 186,
    Kimberly_DGD_AIR_END = 187,
    Kimberly_DGD_AIR_DM_L = 188,
    Kimberly_DGD_AIR_DM_M = 189,
    Kimberly_DGD_AIR_DM_H = 190,
    Kimberly_DGD_AIR_DM_S = 191,
    Kimberly_DMG_STD_H_FR_L = 200,
    Kimberly_DMG_STD_H_FR_M = 201,
    Kimberly_DMG_STD_H_FR_H = 202,
    Kimberly_DMG_CRT_STD_H_FR = 203,
    Kimberly_DMG_STD_M_FR_L = 204,
    Kimberly_DMG_STD_M_FR_M = 205,
    Kimberly_DMG_STD_M_FR_H = 206,
    Kimberly_DMG_CRT_STD_M_FR = 207,
    Kimberly_DMG_STD_L_FR_L = 208,
    Kimberly_DMG_STD_L_FR_M = 209,
    Kimberly_DMG_STD_L_FR_H = 210,
    Kimberly_DMG_CRT_STD_L_FR = 211,
    Kimberly_DMG_CRO_H_FR_L = 212,
    Kimberly_DMG_CRO_H_FR_M = 213,
    Kimberly_DMG_CRO_H_FR_H = 214,
    Kimberly_DMG_CRT_CRO_H_FR = 215,
    Kimberly_DMG_CRO_L_FR_L = 216,
    Kimberly_DMG_CRO_L_FR_M = 217,
    Kimberly_DMG_CRO_L_FR_H = 218,
    Kimberly_DMG_CRT_CRO_L_FR = 219,
    Kimberly_DMG_AIR_FR_L = 220,
    Kimberly_DMG_AIR_FR_M = 221,
    Kimberly_DMG_AIR_FR_H = 222,
    Kimberly_DMG_STD_BK = 224,
    Kimberly_BUTT_RISE_90 = 230,
    Kimberly_BUTT_RISE_45 = 231,
    Kimberly_BUTT_RISE_00 = 232,
    Kimberly_BUTT_RISE_45m = 233,
    Kimberly_BUTT_RISE_90m = 234,
    Kimberly_BUTT_RISE_BK = 235,
    Kimberly_BUTT_RISE_BK_90m = 236,
    Kimberly_BUTT_FALL_90 = 237,
    Kimberly_BUTT_FALL_45 = 238,
    Kimberly_BUTT_FALL_00 = 239,
    Kimberly_BUTT_FALL_45m = 240,
    Kimberly_BUTT_FALL_90m = 241,
    Kimberly_BUTT_FALL_BK = 242,
    Kimberly_BUTT_FALL_BK_90m = 243,
    Kimberly_BUTT_H_START_90 = 244,
    Kimberly_BUTT_H_START_45 = 245,
    Kimberly_BUTT_H_START_00 = 246,
    Kimberly_BUTT_H_START_45m = 247,
    Kimberly_BUTT_H_START_90m = 248,
    Kimberly_BUTT_H_START_BK = 249,
    Kimberly_BUTT_H_START_BK_90m = 250,
    Kimberly_BUTT_B_START_90 = 251,
    Kimberly_BUTT_B_START_45 = 252,
    Kimberly_BUTT_B_START_00 = 253,
    Kimberly_BUTT_B_START_45m = 254,
    Kimberly_BUTT_B_START_90m = 255,
    Kimberly_BUTT_START_BK = 256,
    Kimberly_BUTT_START_BK_90m = 257,
    Kimberly_KNOCK_DOWN_BK = 258,
    Kimberly_DMG_HL_DOWN = 260,
    Kimberly_DMG_HM_DOWN = 261,
    Kimberly_DMG_HH_DOWN = 262,
    Kimberly_DMG_CL_DOWN = 263,
    Kimberly_DMG_CM_DOWN = 264,
    Kimberly_DMG_CH_DOWN = 265,
    Kimberly_DMG_HL_UPPER = 266,
    Kimberly_DMG_HM_UPPER = 267,
    Kimberly_DMG_HH_UPPER = 268,
    Kimberly_DMG_BL_UPPER = 269,
    Kimberly_DMG_BM_UPPER = 270,
    Kimberly_DMG_BH_UPPER = 271,
    Kimberly_ASHIBARAI = 273,
    Kimberly_ASHIBARAI_BACK = 274,
    Kimberly_KUZURE = 276,
    Kimberly_FLOP_DOWN = 277,
    Kimberly_DMG_H_SPIN_GROUND = 279,
    Kimberly_DMG_H_SPIN_AIR = 280,
    Kimberly_DMG_V_SPIN_GROUND = 281,
    Kimberly_DMG_V_SPIN_AIR = 282,
    Kimberly_WALL_HIT_FR = 284,
    Kimberly_WALL_HIT_BK = 285,
    Kimberly_WALL_DOWN_FR = 286,
    Kimberly_WALL_DOWN_BK = 287,
    Kimberly_DMG_GORO_FR = 289,
    Kimberly_DMG_GORO_DOWN_FR = 290,
    Kimberly_WALL_GROUND_FR = 291,
    Kimberly_WALL_PIYO_STOP = 293,
    Kimberly_WALL_PIYO_DOWN = 294,
    Kimberly_THROWBREAK_TO = 320,
    Kimberly_THROWBREAK_DONE = 321,
    Kimberly_GUARD_BREAK_STAND = 322,
    Kimberly_GUARD_BREAK_CROUCH = 323,
    Kimberly_HARDDOWN_FU = 330,
    Kimberly_HARDDOWN_FD = 331,
    Kimberly_SLIDEDOWN_FU = 332,
    Kimberly_SLIDEDOWN_FU_CMN = 333,
    Kimberly_SLIDEDOWN_FD = 334,
    Kimberly_SLIDEDOWN_FD_CMN = 335,
    Kimberly_LIE_DOWN_FU = 336,
    Kimberly_LIE_DOWN_FD = 337,
    Kimberly_DOWN_DMG_FU = 338,
    Kimberly_DOWN_DMG_FD = 339,
    Kimberly_WAKEUP_FU = 340,
    Kimberly_WAKEUP_FD = 341,
    Kimberly_WAKEUP_F_FU = 342,
    Kimberly_WAKEUP_F_FD = 343,
    Kimberly_WAKEUP_B_FU = 344,
    Kimberly_WAKEUP_B_FD = 345,
    Kimberly_BUTT_TAOREN = 346,
    Kimberly_AIR_RECOVERY_BK = 347,
    Kimberly_BOUND_FU = 350,
    Kimberly_BOUND_FD = 351,
    Kimberly_STUN = 353,
    Kimberly_STUN_END = 354,
    Kimberly_KUZURE_DIE = 356,
    Kimberly_APPEAR = 400,
    Kimberly_APPEAR_END = 401,
    Kimberly_APPEAR_ARCADE = 402,
    Kimberly_APPEAR_STORY = 403,
    Kimberly_LOSE = 405,
    Kimberly_MID_LOSE_FU = 407,
    Kimberly_MID_LOSE_FD = 408,
    Kimberly_DRAW = 410,
    Kimberly_RESULT = 412,
    Kimberly_WIN = 414,
    Kimberly_WIN_STORY = 415,
    Kimberly_WIN_PERFECT = 416,
    Kimberly_WIN_HI = 417,
    Kimberly_WIN_MID = 418,
    Kimberly_WIN_LOW = 419,
    Kimberly_MINION_ENTRY = 470,
    Kimberly_V_TOUCH_ENTRY = 471,
    Kimberly_V_TOUCH_STOP = 472,
    Kimberly_V_TOUCH_EXIT = 473,
    Kimberly_TOUCH_POSE = 474,
    Kimberly_TOUCH_JUMP = 475,
    Kimberly_TOUCH_SUKI = 476,
    Kimberly_TOUCH_NOKI = 477,
    Kimberly_ASSIST_SUKI = 478,
    Kimberly_PARRY_BGN = 480,
    Kimberly_PARRY_LOOP = 481,
    Kimberly_PARRY_END = 482,
    Kimberly_PARRY_HIT_H = 483,
    Kimberly_PARRY_HIT_M = 484,
    Kimberly_PARRY_HIT_L = 485,
    Kimberly_PARRY_JUST_H = 486,
    Kimberly_PARRY_JUST_M = 487,
    Kimberly_PARRY_JUST_L = 488,
    Kimberly_PARRY_CRO_BGN = 489,
    Kimberly_RAW_DRIVE_RUSH = 500,
    Kimberly_NORMAL_CANCEL_DRIVE_RUSH = 501,
    Kimberly_T_FOOTWORK = 510,
    Kimberly_T_CROUCH = 511,
    Kimberly_T_SIT_DOWN = 512,
    Kimberly_T_STAND_UP = 513,
    Kimberly_T_TURN_STAND = 514,
    Kimberly_T_TURN_CROUCH = 515,
    Kimberly_T_WALK_F_BGN = 516,
    Kimberly_T_WALK_FORWARD = 517,
    Kimberly_T_WALK_F_END = 518,
    Kimberly_T_WALK_B_BGN = 519,
    Kimberly_T_WALK_BACK = 520,
    Kimberly_T_WALK_B_END = 521,
    Kimberly_CONTINUE_FU = 530,
    Kimberly_CONTINUE_FD = 531,
    Kimberly_CONTINUE_SUCCESS = 532,
    Kimberly_CONTINUE_FAILURE = 533,
    Kimberly_ADV_STAND = 570,
    Kimberly_ADV_SIT = 571,
    Kimberly_ADV_AIR = 572,
    Kimberly_IMM_STAGE_INIT = 580,
    Kimberly_IMM_ROUND_INIT = 581,
    Kimberly_IMM_DAMAGE_INIT = 582,
    Kimberly_IMM_DAMAGE_EXIT = 583,
    Kimberly_IMM_TO_NORMAL = 584,
    Kimberly_IMM_TOUCH_EXIT = 585,
    Kimberly_IMM_TOUCH_ENTRY = 586,
    Kimberly_IMM_LANDING = 587,
    Kimberly_IMM_HOLD_EXIT = 588,
    Kimberly_IMM_FRAME_OUT = 589,
    Kimberly_IMM_APPEAR_END = 590,
    Kimberly_IMM_RESULT_INIT = 591,
    Kimberly_COMMON_END = 599,
    Kimberly_5LP = 600,
    Kimberly_RC_5LP = 601,
    Kimberly_5MP = 603,
    Kimberly_5HP = 604,
    Kimberly_5LK = 606,
    Kimberly_5MK = 607,
    Kimberly_5HK = 608,
    Kimberly_2LP = 610,
    Kimberly_RC_2LP = 611,
    Kimberly_2MP = 613,
    Kimberly_2HP = 614,
    Kimberly_2LK = 616,
    Kimberly_RC_2LK_2 = 617,
    Kimberly_RC_2LK = 618,
    Kimberly_2MK = 619,
    Kimberly_2HK = 620,
    Kimberly_8LP = 622,
    Kimberly_8MP = 623,
    Kimberly_8HP = 624,
    Kimberly_8LK = 625,
    Kimberly_8MK = 626,
    Kimberly_8HK = 627,
    Kimberly_AIR_NORMAL_LAND = 629,
    Kimberly_4HK = 631,
    Kimberly_6HK = 632,
    Kimberly_6HK_LAND = 633,
    Kimberly_6HK_BACK_JUMP = 634,
    Kimberly_6HK_NEUTRAL_JUMP = 635,
    Kimberly_6HK_FORWARD_JUMP = 636,
    Kimberly_3MK = 637,
    Kimberly_92MP = 638,
    Kimberly_92MP_LAND = 639,
    Kimberly_TC_5MP = 641,
    Kimberly_TC_5HP__1 = 642,
    Kimberly_TC_5HK = 643,
    Kimberly_TC_5HP = 645,
    Kimberly_TC_2HP = 647,
    Kimberly_TC_2HP_5HK = 648,
    Kimberly_TC_THROW = 650,
    Kimberly_TC_THROW_HIT = 651,
    Kimberly_THROW_F = 715,
    Kimberly_THROW_F_ATK = 716,
    Kimberly_THROW_F_ATK_PUNISH_COUNTER = 718,
    Kimberly_THROW_B = 720,
    Kimberly_THROW_B_ATK = 721,
    Kimberly_THROW_B_ATK_PUNISH = 723,
    Kimberly_DRIVE_REVERSAL = 850,
    Kimberly_DRIVE_REVERSAL_2 = 851,
    Kimberly_DRIVE_IMPACT = 855,
    Kimberly_DRIVE_IMPACT_COUNTER_HIT = 856,
    Kimberly_DRIVE_IMPACT_COUNTER = 857,
    Kimberly_CMD_DASH = 900,
    Kimberly_CMD_DASH_EX = 902,
    Kimberly_CMD_DASH_STOP = 903,
    Kimberly_CMD_DASH_EX_STOP = 904,
    Kimberly_CMD_DASH_LK = 906,
    Kimberly_CMD_DASH_EX_LK = 907,
    Kimberly_CMD_DASH_MK = 909,
    Kimberly_CMD_DASH_EX_MK = 910,
    Kimberly_CMD_DASH_HK = 912,
    Kimberly_CMD_DASH_EX_HK = 913,
    Kimberly_CMD_DASH_ARC_STEP = 915,
    Kimberly_CMD_DASH_EX_ARC_STEP = 917,
    Kimberly_ARC_STEP_GRAB = 920,
    Kimberly_ARC_STEP_GRAB_HIT = 921,
    Kimberly_EX_ARC_STEP_GRAB = 924,
    Kimberly_EX_ARC_STEP_GRAB_HIT = 925,
    Kimberly_ARC_STEP_KICK = 931,
    Kimberly_ARC_STEP_KICK_LAND = 932,
    Kimberly_EX_ARC_STEP_KICK = 934,
    Kimberly_EX_ARC_STEP_KICK_HIT = 935,
    Kimberly_EX_ARC_STEP_KICK_LAND = 936,
    Kimberly_EX_ARC_STEP_KICK_GAURD = 937,
    Kimberly_GND_TATSU_L = 940,
    Kimberly_GND_TATSU_M = 941,
    Kimberly_GND_TATSU_H = 942,
    Kimberly_GND_TATSU_EX = 943,
    Kimberly_GND_TATSU_LAND = 944,
    Kimberly_AIR_TATSU = 949,
    Kimberly_AIR_TATSU_LAND = 950,
    Kimberly_AIR_TATSU_EX = 951,
    Kimberly_EDGE_L = 957,
    Kimberly_EDGE_M = 958,
    Kimberly_EDGE_M_GRD = 959,
    Kimberly_EDGE_H = 960,
    Kimberly_EDGE_H_GRD = 961,
    Kimberly_EDGE_EX = 962,
    Kimberly_EDGE_EX_GRD = 963,
    Kimberly_HIDDEN_L = 966,
    Kimberly_HIDDEN_EX = 970,
    Kimberly_BOMB_REFIL = 973,
    Kimberly_BOMB_EX_REFILL = 974,
    Kimberly_BOMB_L = 975,
    Kimberly_BOMB_M = 976,
    Kimberly_BOMB_H = 977,
    Kimberly_BOMB_LM_EX = 978,
    Kimberly_BOMB_LH_EX = 979,
    Kimberly_BOMB_MH_EX = 980,
    Kimberly_AIR_CMD_GRAB = 998,
    Kimberly_AIR_CMD_GRAB_HIT = 999,
    Kimberly_AIR_CMD_GRAB_HIT_LAND = 1000,
    Kimberly_AIR_CMD_GRAB_HIT_PUNISH_COUNTER = 1003,
    Kimberly_AIR_CMD_GRAB_HIT_PUNISH_COUNTER_LAND = 1004,
    Kimberly_AIR_CMD_GRAB_EX = 1006,
    Kimberly_AIR_CMD_GRAB_EX_HIT = 1007,
    Kimberly_AIR_CMD_GRAB_EX_HIT_LAND = 1008,
    Kimberly_AIR_CMD_GRAB_EX_HIT_PUNISH_COUNTER = 1011,
    Kimberly_AIR_CMD_GRAB_EX_HIT_PUNISH_COUNTER_LAND = 1012,
    Kimberly_AIR_CMD_GRAB_WHIFF_LAND = 1014,
    Kimberly_CA1_NO_BOMB = 1200,
    Kimberly_CA1_NO_BOMB_HIT = 1201,
    Kimberly_CA1_PLUSBOMB = 1203,
    Kimberly_CA1_PLUS_BOMB_HIT = 1204,
    Kimberly_CA2 = 1210,
    Kimberly_AIR_CA2 = 1211,
    Kimberly_CA2_GO = 1212,
    Kimberly_CA2_MISS = 1213,
    Kimberly_CA2_HIT = 1214,
    Kimberly_CA2_HIT_2 = 1215,
    Kimberly_CA2_HIT_3 = 1216,
    Kimberly_CA3 = 1220,
    Kimberly_CA3_HIT = 1221,
    Kimberly_CA3_LOW_HP = 1224,
    Kimberly_CA3_LOW_HP_HIT = 1225,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum ChunLiActions {
    #[default]
    ChunLi_INVALID_ID = -1,
    ChunLi_BACKSTAGE = 0,
    ChunLi_FOOTWORK = 1,
    ChunLi_FOOTWORK_IDLE = 2,
    ChunLi_FOOTWORK_IDLE_2 = 3,
    ChunLi_CROUCH = 4,
    ChunLi_SIT_DOWN = 5,
    ChunLi_STAND_UP = 6,
    ChunLi_TURN_STAND = 7,
    ChunLi_TURN_CROUCH = 8,
    ChunLi_WALK_F_BGN = 9,
    ChunLi_WALK_FORWARD = 10,
    ChunLi_WALK_F_END = 11,
    ChunLi_SLIDE_FEET_F = 12,
    ChunLi_WALK_B_BGN = 13,
    ChunLi_WALK_BACK = 14,
    ChunLi_WALK_B_END = 15,
    ChunLi_SLIDE_FEET_B = 16,
    ChunLi_DASH_F = 17,
    ChunLi_DASH_B = 18,
    ChunLi_DASH_F_END = 19,
    ChunLi_DASH_B_END = 20,
    ChunLi_RUN_F_BGN = 21,
    ChunLi_RUN_F = 22,
    ChunLi_RUN_F_END = 23,
    ChunLi_RUN_B_BGN = 24,
    ChunLi_RUN_B = 25,
    ChunLi_RUN_B_END = 26,
    ChunLi_DUCK_WALK_F_BGN = 27,
    ChunLi_DUCK_WALK_F = 28,
    ChunLi_DUCK_WALK_F_END = 29,
    ChunLi_DUCK_WALK_B_BGN = 30,
    ChunLi_DUCK_WALK_B = 31,
    ChunLi_DUCK_WALK_B_END = 32,
    ChunLi_JUMP_V_BGN = 33,
    ChunLi_JUMP_F_BGN = 34,
    ChunLi_JUMP_B_BGN = 35,
    ChunLi_JUMP_V = 36,
    ChunLi_JUMP_F = 37,
    ChunLi_JUMP_B = 38,
    ChunLi_JUMP_V_END = 39,
    ChunLi_JUMP_F_END = 40,
    ChunLi_JUMP_B_END = 41,
    ChunLi_JUMP_ATK_END = 42,
    ChunLi_W_JUMP_V = 44,
    ChunLi_W_JUMP_F = 45,
    ChunLi_W_JUMP_B = 46,
    ChunLi_T_JUMP_WALL = 47,
    ChunLi_T_JUMP = 48,
    ChunLi_L_JUMP_V_BGN = 54,
    ChunLi_L_JUMP_F_BGN = 55,
    ChunLi_L_JUMP_B_BGN = 56,
    ChunLi_L_JUMP_V = 57,
    ChunLi_L_JUMP_F = 58,
    ChunLi_L_JUMP_B = 59,
    ChunLi_H_JUMP_V_BGN = 60,
    ChunLi_H_JUMP_F_BGN = 61,
    ChunLi_H_JUMP_B_BGN = 62,
    ChunLi_H_JUMP_V = 63,
    ChunLi_H_JUMP_F = 64,
    ChunLi_H_JUMP_B = 65,
    ChunLi_FLY_BGN = 66,
    ChunLi_FLY_END = 67,
    ChunLi_FLY_BASE = 68,
    ChunLi_FLY_UU = 69,
    ChunLi_FLY_BU = 70,
    ChunLi_FLY_BB = 71,
    ChunLi_FLY_BD = 72,
    ChunLi_FLY_DD = 73,
    ChunLi_FLY_FD = 74,
    ChunLi_FLY_FF = 75,
    ChunLi_FLY_FU = 76,
    ChunLi_FLY_UU_END = 77,
    ChunLi_FLY_BU_END = 78,
    ChunLi_FLY_BB_END = 79,
    ChunLi_FLY_BD_END = 80,
    ChunLi_FLY_DD_END = 81,
    ChunLi_FLY_FD_END = 82,
    ChunLi_FLY_FF_END = 83,
    ChunLi_FLY_FU_END = 84,
    ChunLi_AIR_DASH_U = 85,
    ChunLi_AIR_DASH_BU = 86,
    ChunLi_AIR_DASH_B = 87,
    ChunLi_AIR_DASH_BD = 88,
    ChunLi_AIR_DASH_D = 89,
    ChunLi_AIR_DASH_FD = 90,
    ChunLi_AIR_DASH_F = 91,
    ChunLi_AIR_DASH_FU = 92,
    ChunLi_FALL_V = 93,
    ChunLi_GRD_STAND_H_BGN = 100,
    ChunLi_GRD_STAND_H = 101,
    ChunLi_GRD_STAND_H_END = 102,
    ChunLi_GRD_STAND_H_DM_L = 103,
    ChunLi_GRD_STAND_H_DM_M = 104,
    ChunLi_GRD_STAND_H_DM_H = 105,
    ChunLi_GRD_STAND_H_DM_S = 106,
    ChunLi_GRD_STAND_M_BGN = 107,
    ChunLi_GRD_STAND_M = 108,
    ChunLi_GRD_STAND_M_END = 109,
    ChunLi_GRD_STAND_M_DM_L = 110,
    ChunLi_GRD_STAND_M_DM_M = 111,
    ChunLi_GRD_STAND_M_DM_H = 112,
    ChunLi_GRD_STAND_M_DM_S = 113,
    ChunLi_GRD_STAND_L_BGN = 114,
    ChunLi_GRD_STAND_L = 115,
    ChunLi_GRD_STAND_L_END = 116,
    ChunLi_GRD_STAND_L_DM_L = 117,
    ChunLi_GRD_STAND_L_DM_M = 118,
    ChunLi_GRD_STAND_L_DM_H = 119,
    ChunLi_GRD_STAND_L_DM_S = 120,
    ChunLi_GRD_CROUCH_H_BGN = 121,
    ChunLi_GRD_CROUCH_H = 122,
    ChunLi_GRD_CROUCH_H_END = 123,
    ChunLi_GRD_CROUCH_H_DM_L = 124,
    ChunLi_GRD_CROUCH_H_DM_M = 125,
    ChunLi_GRD_CROUCH_H_DM_H = 126,
    ChunLi_GRD_CROUCH_H_DM_S = 127,
    ChunLi_GRD_CROUCH_L_BGN = 128,
    ChunLi_GRD_CROUCH_L = 129,
    ChunLi_GRD_CROUCH_L_END = 130,
    ChunLi_GRD_CROUCH_L_DM_L = 131,
    ChunLi_GRD_CROUCH_L_DM_M = 132,
    ChunLi_GRD_CROUCH_L_DM_H = 133,
    ChunLi_GRD_CROUCH_L_DM_S = 134,
    ChunLi_GRD_AIR_BGN = 135,
    ChunLi_GRD_AIR = 136,
    ChunLi_GRD_AIR_END = 137,
    ChunLi_GRD_AIR_DM_L = 138,
    ChunLi_GRD_AIR_DM_M = 139,
    ChunLi_GRD_AIR_DM_H = 140,
    ChunLi_GRD_AIR_DM_S = 141,
    ChunLi_GRD_ZUSA_STAND = 143,
    ChunLi_GRD_ZUSA_CROUCH = 144,
    ChunLi_GRD_ZUSA_WALL = 145,
    ChunLi_DGD_STAND_H_BGN = 150,
    ChunLi_DGD_STAND_H = 151,
    ChunLi_DGD_STAND_H_END = 152,
    ChunLi_DGD_STAND_H_DM_L = 153,
    ChunLi_DGD_STAND_H_DM_M = 154,
    ChunLi_DGD_STAND_H_DM_H = 155,
    ChunLi_DGD_STAND_H_DM_S = 156,
    ChunLi_DGD_STAND_M_BGN = 157,
    ChunLi_DGD_STAND_M = 158,
    ChunLi_DGD_STAND_M_END = 159,
    ChunLi_DGD_STAND_M_DM_L = 160,
    ChunLi_DGD_STAND_M_DM_M = 161,
    ChunLi_DGD_STAND_M_DM_H = 162,
    ChunLi_DGD_STAND_M_DM_S = 163,
    ChunLi_DGD_STAND_L_BGN = 164,
    ChunLi_DGD_STAND_L = 165,
    ChunLi_DGD_STAND_L_END = 166,
    ChunLi_DGD_STAND_L_DM_L = 167,
    ChunLi_DGD_STAND_L_DM_M = 168,
    ChunLi_DGD_STAND_L_DM_H = 169,
    ChunLi_DGD_STAND_L_DM_S = 170,
    ChunLi_DGD_CROUCH_H_BGN = 171,
    ChunLi_DGD_CROUCH_H = 172,
    ChunLi_DGD_CROUCH_H_END = 173,
    ChunLi_DGD_CROUCH_H_DM_L = 174,
    ChunLi_DGD_CROUCH_H_DM_M = 175,
    ChunLi_DGD_CROUCH_H_DM_H = 176,
    ChunLi_DGD_CROUCH_H_DM_S = 177,
    ChunLi_DGD_CROUCH_L_BGN = 178,
    ChunLi_DGD_CROUCH_L = 179,
    ChunLi_DGD_CROUCH_L_END = 180,
    ChunLi_DGD_CROUCH_L_DM_L = 181,
    ChunLi_DGD_CROUCH_L_DM_M = 182,
    ChunLi_DGD_CROUCH_L_DM_H = 183,
    ChunLi_DGD_CROUCH_L_DM_S = 184,
    ChunLi_DGD_AIR_BGN = 185,
    ChunLi_DGD_AIR = 186,
    ChunLi_DGD_AIR_END = 187,
    ChunLi_DGD_AIR_DM_L = 188,
    ChunLi_DGD_AIR_DM_M = 189,
    ChunLi_DGD_AIR_DM_H = 190,
    ChunLi_DGD_AIR_DM_S = 191,
    ChunLi_DMG_STD_H_FR_L = 200,
    ChunLi_DMG_STD_H_FR_M = 201,
    ChunLi_DMG_STD_H_FR_H = 202,
    ChunLi_DMG_CRT_STD_H_FR = 203,
    ChunLi_DMG_STD_M_FR_L = 204,
    ChunLi_DMG_STD_M_FR_M = 205,
    ChunLi_DMG_STD_M_FR_H = 206,
    ChunLi_DMG_CRT_STD_M_FR = 207,
    ChunLi_DMG_STD_L_FR_L = 208,
    ChunLi_DMG_STD_L_FR_M = 209,
    ChunLi_DMG_STD_L_FR_H = 210,
    ChunLi_DMG_CRT_STD_L_FR = 211,
    ChunLi_DMG_CRO_H_FR_L = 212,
    ChunLi_DMG_CRO_H_FR_M = 213,
    ChunLi_DMG_CRO_H_FR_H = 214,
    ChunLi_DMG_CRT_CRO_H_FR = 215,
    ChunLi_DMG_CRO_L_FR_L = 216,
    ChunLi_DMG_CRO_L_FR_M = 217,
    ChunLi_DMG_CRO_L_FR_H = 218,
    ChunLi_DMG_CRT_CRO_L_FR = 219,
    ChunLi_DMG_AIR_FR_L = 220,
    ChunLi_DMG_AIR_FR_M = 221,
    ChunLi_DMG_AIR_FR_H = 222,
    ChunLi_DMG_STD_BK = 224,
    ChunLi_BUTT_RISE_90 = 230,
    ChunLi_BUTT_RISE_45 = 231,
    ChunLi_BUTT_RISE_00 = 232,
    ChunLi_BUTT_RISE_45m = 233,
    ChunLi_BUTT_RISE_90m = 234,
    ChunLi_BUTT_RISE_BK = 235,
    ChunLi_BUTT_RISE_BK_90m = 236,
    ChunLi_BUTT_FALL_90 = 237,
    ChunLi_BUTT_FALL_45 = 238,
    ChunLi_BUTT_FALL_00 = 239,
    ChunLi_BUTT_FALL_45m = 240,
    ChunLi_BUTT_FALL_90m = 241,
    ChunLi_BUTT_FALL_BK = 242,
    ChunLi_BUTT_FALL_BK_90m = 243,
    ChunLi_BUTT_H_START_90 = 244,
    ChunLi_BUTT_H_START_45 = 245,
    ChunLi_BUTT_H_START_00 = 246,
    ChunLi_BUTT_H_START_45m = 247,
    ChunLi_BUTT_H_START_90m = 248,
    ChunLi_BUTT_H_START_BK = 249,
    ChunLi_BUTT_H_START_BK_90m = 250,
    ChunLi_BUTT_B_START_90 = 251,
    ChunLi_BUTT_B_START_45 = 252,
    ChunLi_BUTT_B_START_00 = 253,
    ChunLi_BUTT_B_START_45m = 254,
    ChunLi_BUTT_B_START_90m = 255,
    ChunLi_BUTT_START_BK = 256,
    ChunLi_BUTT_START_BK_90m = 257,
    ChunLi_KNOCK_DOWN_BK = 258,
    ChunLi_DMG_HL_DOWN = 260,
    ChunLi_DMG_HM_DOWN = 261,
    ChunLi_DMG_HH_DOWN = 262,
    ChunLi_DMG_CL_DOWN = 263,
    ChunLi_DMG_CM_DOWN = 264,
    ChunLi_DMG_CH_DOWN = 265,
    ChunLi_DMG_HL_UPPER = 266,
    ChunLi_DMG_HM_UPPER = 267,
    ChunLi_DMG_HH_UPPER = 268,
    ChunLi_DMG_BL_UPPER = 269,
    ChunLi_DMG_BM_UPPER = 270,
    ChunLi_DMG_BH_UPPER = 271,
    ChunLi_ASHIBARAI = 273,
    ChunLi_ASHIBARAI_BACK = 274,
    ChunLi_KUZURE = 276,
    ChunLi_FLOP_DOWN = 277,
    ChunLi_DMG_H_SPIN_GROUND = 279,
    ChunLi_DMG_H_SPIN_AIR = 280,
    ChunLi_DMG_V_SPIN_GROUND = 281,
    ChunLi_DMG_V_SPIN_AIR = 282,
    ChunLi_WALL_HIT_FR = 284,
    ChunLi_WALL_HIT_BK = 285,
    ChunLi_WALL_DOWN_FR = 286,
    ChunLi_WALL_DOWN_BK = 287,
    ChunLi_DMG_GORO_FR = 289,
    ChunLi_DMG_GORO_DOWN_FR = 290,
    ChunLi_WALL_GROUND_FR = 291,
    ChunLi_WALL_PIYO_STOP = 293,
    ChunLi_WALL_PIYO_DOWN = 294,
    ChunLi_THROWBREAK_TO = 320,
    ChunLi_THROWBREAK_DONE = 321,
    ChunLi_GUARD_BREAK_STAND = 322,
    ChunLi_GUARD_BREAK_CROUCH = 323,
    ChunLi_HARDDOWN_FU = 330,
    ChunLi_HARDDOWN_FD = 331,
    ChunLi_SLIDEDOWN_FU = 332,
    ChunLi_SLIDEDOWN_FU_CMN = 333,
    ChunLi_SLIDEDOWN_FD = 334,
    ChunLi_SLIDEDOWN_FD_CMN = 335,
    ChunLi_LIE_DOWN_FU = 336,
    ChunLi_LIE_DOWN_FD = 337,
    ChunLi_DOWN_DMG_FU = 338,
    ChunLi_DOWN_DMG_FD = 339,
    ChunLi_WAKEUP_FU = 340,
    ChunLi_WAKEUP_FD = 341,
    ChunLi_WAKEUP_F_FU = 342,
    ChunLi_WAKEUP_F_FD = 343,
    ChunLi_WAKEUP_B_FU = 344,
    ChunLi_WAKEUP_B_FD = 345,
    ChunLi_BUTT_TAOREN = 346,
    ChunLi_AIR_RECOVERY_BK = 347,
    ChunLi_BOUND_FU = 350,
    ChunLi_BOUND_FD = 351,
    ChunLi_STUN = 353,
    ChunLi_STUN_END = 354,
    ChunLi_KUZURE_DIE = 356,
    ChunLi_APPEAR = 400,
    ChunLi_APPEAR_END = 401,
    ChunLi_APPEAR_ARCADE = 402,
    ChunLi_APPEAR_STORY = 403,
    ChunLi_LOSE = 405,
    ChunLi_MID_LOSE_FU = 407,
    ChunLi_MID_LOSE_FD = 408,
    ChunLi_DRAW = 410,
    ChunLi_RESULT = 412,
    ChunLi_WIN = 414,
    ChunLi_WIN_STORY = 415,
    ChunLi_WIN_PERFECT = 416,
    ChunLi_WIN_HI = 417,
    ChunLi_WIN_MID = 418,
    ChunLi_WIN_LOW = 419,
    ChunLi_MINION_ENTRY = 470,
    ChunLi_V_TOUCH_ENTRY = 471,
    ChunLi_V_TOUCH_STOP = 472,
    ChunLi_V_TOUCH_EXIT = 473,
    ChunLi_TOUCH_POSE = 474,
    ChunLi_TOUCH_JUMP = 475,
    ChunLi_TOUCH_SUKI = 476,
    ChunLi_TOUCH_NOKI = 477,
    ChunLi_ASSIST_SUKI = 478,
    ChunLi_PARRY_BGN = 480,
    ChunLi_PARRY_LOOP = 481,
    ChunLi_PARRY_END = 482,
    ChunLi_PARRY_HIT_H = 483,
    ChunLi_PARRY_HIT_M = 484,
    ChunLi_PARRY_HIT_L = 485,
    ChunLi_PARRY_JUST_H = 486,
    ChunLi_PARRY_JUST_M = 487,
    ChunLi_PARRY_JUST_L = 488,
    ChunLi_PARRY_CRO_BGN = 489,
    ChunLi_T_FOOTWORK = 510,
    ChunLi_T_CROUCH = 511,
    ChunLi_T_SIT_DOWN = 512,
    ChunLi_T_STAND_UP = 513,
    ChunLi_T_TURN_STAND = 514,
    ChunLi_T_TURN_CROUCH = 515,
    ChunLi_T_WALK_F_BGN = 516,
    ChunLi_T_WALK_FORWARD = 517,
    ChunLi_T_WALK_F_END = 518,
    ChunLi_T_WALK_B_BGN = 519,
    ChunLi_T_WALK_BACK = 520,
    ChunLi_T_WALK_B_END = 521,
    ChunLi_CONTINUE_FU = 530,
    ChunLi_CONTINUE_FD = 531,
    ChunLi_CONTINUE_SUCCESS = 532,
    ChunLi_CONTINUE_FAILURE = 533,
    ChunLi_ADV_STAND = 570,
    ChunLi_ADV_SIT = 571,
    ChunLi_ADV_AIR = 572,
    ChunLi_IMM_STAGE_INIT = 580,
    ChunLi_IMM_ROUND_INIT = 581,
    ChunLi_IMM_DAMAGE_INIT = 582,
    ChunLi_IMM_DAMAGE_EXIT = 583,
    ChunLi_IMM_TO_NORMAL = 584,
    ChunLi_IMM_TOUCH_EXIT = 585,
    ChunLi_IMM_TOUCH_ENTRY = 586,
    ChunLi_IMM_LANDING = 587,
    ChunLi_IMM_HOLD_EXIT = 588,
    ChunLi_IMM_FRAME_OUT = 589,
    ChunLi_IMM_APPEAR_END = 590,
    ChunLi_IMM_RESULT_INIT = 591,
    ChunLi_COMMON_END = 599,
    ChunLi_5LP = 600,
    ChunLi_5MP = 601,
    ChunLi_5HP = 602,
    ChunLi_5LK = 603,
    ChunLi_5MK = 604,
    ChunLi_5HK = 605,
    ChunLi_2LP = 608,
    ChunLi_2MP = 609,
    ChunLi_2HP = 610,
    ChunLi_2LK = 612,
    ChunLi_2MK = 613,
    ChunLi_2HK = 614,
    ChunLi_8LP = 616,
    ChunLi_8MP = 617,
    ChunLi_8HP = 618,
    ChunLi_8LK = 619,
    ChunLi_8MK = 620,
    ChunLi_8HK = 621,
    ChunLi_6HK__1 = 622,
    ChunLi_AIR_NORMAL_LAND = 623,
    ChunLi_4or6MP = 625,
    ChunLi_4HP = 626,
    ChunLi_3HP = 627,
    ChunLi_6HK = 628,
    ChunLi_3HK = 629,
    ChunLi_3HK_LAND = 630,
    ChunLi_3HK_HIT = 631,
    ChunLi_RC_5LP = 634,
    ChunLi_RC_5LP_2 = 635,
    ChunLi_RC_2LP = 637,
    ChunLi_RC_2LK = 640,
    ChunLi_214_STANCE = 658,
    ChunLi_214_STANCE_LP = 663,
    ChunLi_214_STANCE_MP = 664,
    ChunLi_214_STANCE_HP = 665,
    ChunLi_214_STANCE_LK = 666,
    ChunLi_214_STANCE_MK = 667,
    ChunLi_214_STANCE_HK = 668,
    ChunLi_214_STANCE_RECOVER = 670,
    ChunLi_2MK__1 = 698,
    ChunLi_2MK_2 = 699,
    ChunLi_2MK_3 = 700,
    ChunLi_2MK_END = 701,
    ChunLi_2MK_END_2 = 702,
    ChunLi_2MK_END_3 = 703,
    ChunLi_2MK_END_CORNER = 705,
    ChunLi_2MK_END_CORNER_2 = 706,
    ChunLi_2MK_END_CORNER_3 = 707,
    ChunLi_TC_8HP = 709,
    ChunLi_THROW_N = 715,
    ChunLi_THROW_B = 717,
    ChunLi_THROW_AIR = 719,
    ChunLi_THROW_N_HIT = 725,
    ChunLi_THROW_N_HIT_PUNISH = 727,
    ChunLi_THROW_B_HIT = 730,
    ChunLi_THROW_B_HIT_PUNISH = 732,
    ChunLi_THROW_AIR_ATK = 741,
    ChunLi_THROW_AIR_ATK_LAND = 744,
    ChunLi_THROW_AIR_HIT_PUNISH = 747,
    ChunLi_THROW_AIR_HIT_PUNISH_LAND = 748,
    ChunLi_CA2_KICKS_JUMP = 755,
    ChunLi_CA2_KICKS_JUMP_2 = 756,
    ChunLi_DRIVE_RUSH_RAW = 760,
    ChunLi_DRIVE_RUSH_CANCEL = 761,
    ChunLi_DRIVE_REVERSAL = 850,
    ChunLi_DRIVE_REVERSAL_HIT = 851,
    ChunLi_DRIVE_IMPACT = 854,
    ChunLi_DRIVE_IMPACT_COUNTER_HIT = 855,
    ChunLi_DRIVE_IMPACT_COUNTER = 856,
    ChunLi_KIKO_L = 900,
    ChunLi_KIKO_M = 901,
    ChunLi_KIKO_H = 902,
    ChunLi_KIKO_EX = 904,
    ChunLi_GND_KICKS_L = 914,
    ChunLi_GND_KICKS_M = 915,
    ChunLi_GND_KICKS_H = 916,
    ChunLi_GND_KICKS_EX = 918,
    ChunLi_GND_KICKS_EX_2 = 919,
    ChunLi_AIR_KICKS_L = 924,
    ChunLi_AIR_KICKS_M = 925,
    ChunLi_AIR_KICKS_H = 926,
    ChunLi_AIR_KICKS_EX = 928,
    ChunLi_AIR_KICKS_LAND = 930,
    ChunLi_HAZANSHU_L = 935,
    ChunLi_HAZANSHU_M = 936,
    ChunLi_HAZANSHU_H = 937,
    ChunLi_HAZANSHU_EX = 938,
    ChunLi_HAZANSHU_H_HIT = 939,
    ChunLi_BIRD_L = 942,
    ChunLi_BIRD_M = 943,
    ChunLi_BIRD_H = 944,
    ChunLi_BIRD_EX = 945,
    ChunLi_TENSHO_L = 951,
    ChunLi_TENSHO_M = 952,
    ChunLi_TENSHO_H = 953,
    ChunLi_TENSHO_LAND = 954,
    ChunLi_TENSHO_EX = 956,
    ChunLi_TENSHO_EX_HIT = 957,
    ChunLi_TENSHO_EX_LAND = 958,
    ChunLi_CA_KIKO = 1200,
    ChunLi_CA_KIKO_FINISH = 1201,
    ChunLi_CA_KIKO_AIR = 1207,
    ChunLi_CA_KIKO_AIR_LAND = 1208,
    ChunLi_CA2_KICKS = 1215,
    ChunLi_CA2_KICKS_2 = 1216,
    ChunLi_CA3_RANKA = 1218,
    ChunLi_CA3_RANKA_HIT = 1219,
    ChunLi_CA3_RANKA_CA = 1222,
    ChunLi_CA3_RANKA_CA_HIT = 1223,
    ChunLi_APPEAL = 1497,
    ChunLi_APPEAL_2 = 1498,
    ChunLi_APPEAL_3 = 1499,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum ManonActions {
    #[default]
    Manon_INVALID_ID = -1,
    Manon_BACKSTAGE = 0,
    Manon_FOOTWORK = 1,
    Manon_FOOTWORK_IDLE = 2,
    Manon_CROUCH = 4,
    Manon_SIT_DOWN = 5,
    Manon_STAND_UP = 6,
    Manon_TURN_STAND = 7,
    Manon_TURN_CROUCH = 8,
    Manon_WALK_F_BGN = 9,
    Manon_WALK_FORWARD = 10,
    Manon_WALK_F_END = 11,
    Manon_SLIDE_FEET_F = 12,
    Manon_WALK_B_BGN = 13,
    Manon_WALK_BACK = 14,
    Manon_WALK_B_END = 15,
    Manon_SLIDE_FEET_B = 16,
    Manon_DASH_F = 17,
    Manon_DASH_B = 18,
    Manon_DASH_F_END = 19,
    Manon_DASH_B_END = 20,
    Manon_RUN_F_BGN = 21,
    Manon_RUN_F = 22,
    Manon_RUN_F_END = 23,
    Manon_RUN_B_BGN = 24,
    Manon_RUN_B = 25,
    Manon_RUN_B_END = 26,
    Manon_DUCK_WALK_F_BGN = 27,
    Manon_DUCK_WALK_F = 28,
    Manon_DUCK_WALK_F_END = 29,
    Manon_DUCK_WALK_B_BGN = 30,
    Manon_DUCK_WALK_B = 31,
    Manon_DUCK_WALK_B_END = 32,
    Manon_JUMP_V_BGN = 33,
    Manon_JUMP_F_BGN = 34,
    Manon_JUMP_B_BGN = 35,
    Manon_JUMP_V = 36,
    Manon_JUMP_F = 37,
    Manon_JUMP_B = 38,
    Manon_JUMP_V_END = 39,
    Manon_JUMP_F_END = 40,
    Manon_JUMP_B_END = 41,
    Manon_JUMP_ATK_END = 42,
    Manon_W_JUMP_V = 44,
    Manon_W_JUMP_F = 45,
    Manon_W_JUMP_B = 46,
    Manon_T_JUMP_WALL = 47,
    Manon_T_JUMP = 48,
    Manon_L_JUMP_V_BGN = 54,
    Manon_L_JUMP_F_BGN = 55,
    Manon_L_JUMP_B_BGN = 56,
    Manon_L_JUMP_V = 57,
    Manon_L_JUMP_F = 58,
    Manon_L_JUMP_B = 59,
    Manon_H_JUMP_V_BGN = 60,
    Manon_H_JUMP_F_BGN = 61,
    Manon_H_JUMP_B_BGN = 62,
    Manon_H_JUMP_V = 63,
    Manon_H_JUMP_F = 64,
    Manon_H_JUMP_B = 65,
    Manon_FLY_BGN = 66,
    Manon_FLY_END = 67,
    Manon_FLY_BASE = 68,
    Manon_FLY_UU = 69,
    Manon_FLY_BU = 70,
    Manon_FLY_BB = 71,
    Manon_FLY_BD = 72,
    Manon_FLY_DD = 73,
    Manon_FLY_FD = 74,
    Manon_FLY_FF = 75,
    Manon_FLY_FU = 76,
    Manon_FLY_UU_END = 77,
    Manon_FLY_BU_END = 78,
    Manon_FLY_BB_END = 79,
    Manon_FLY_BD_END = 80,
    Manon_FLY_DD_END = 81,
    Manon_FLY_FD_END = 82,
    Manon_FLY_FF_END = 83,
    Manon_FLY_FU_END = 84,
    Manon_AIR_DASH_U = 85,
    Manon_AIR_DASH_BU = 86,
    Manon_AIR_DASH_B = 87,
    Manon_AIR_DASH_BD = 88,
    Manon_AIR_DASH_D = 89,
    Manon_AIR_DASH_FD = 90,
    Manon_AIR_DASH_F = 91,
    Manon_AIR_DASH_FU = 92,
    Manon_FALL_V = 93,
    Manon_GRD_STAND_H_BGN = 100,
    Manon_GRD_STAND_H = 101,
    Manon_GRD_STAND_H_END = 102,
    Manon_GRD_STAND_H_DM_L = 103,
    Manon_GRD_STAND_H_DM_M = 104,
    Manon_GRD_STAND_H_DM_H = 105,
    Manon_GRD_STAND_H_DM_S = 106,
    Manon_GRD_STAND_M_BGN = 107,
    Manon_GRD_STAND_M = 108,
    Manon_GRD_STAND_M_END = 109,
    Manon_GRD_STAND_M_DM_L = 110,
    Manon_GRD_STAND_M_DM_M = 111,
    Manon_GRD_STAND_M_DM_H = 112,
    Manon_GRD_STAND_M_DM_S = 113,
    Manon_GRD_STAND_L_BGN = 114,
    Manon_GRD_STAND_L = 115,
    Manon_GRD_STAND_L_END = 116,
    Manon_GRD_STAND_L_DM_L = 117,
    Manon_GRD_STAND_L_DM_M = 118,
    Manon_GRD_STAND_L_DM_H = 119,
    Manon_GRD_STAND_L_DM_S = 120,
    Manon_GRD_CROUCH_H_BGN = 121,
    Manon_GRD_CROUCH_H = 122,
    Manon_GRD_CROUCH_H_END = 123,
    Manon_GRD_CROUCH_H_DM_L = 124,
    Manon_GRD_CROUCH_H_DM_M = 125,
    Manon_GRD_CROUCH_H_DM_H = 126,
    Manon_GRD_CROUCH_H_DM_S = 127,
    Manon_GRD_CROUCH_L_BGN = 128,
    Manon_GRD_CROUCH_L = 129,
    Manon_GRD_CROUCH_L_END = 130,
    Manon_GRD_CROUCH_L_DM_L = 131,
    Manon_GRD_CROUCH_L_DM_M = 132,
    Manon_GRD_CROUCH_L_DM_H = 133,
    Manon_GRD_CROUCH_L_DM_S = 134,
    Manon_GRD_AIR_BGN = 135,
    Manon_GRD_AIR = 136,
    Manon_GRD_AIR_END = 137,
    Manon_GRD_AIR_DM_L = 138,
    Manon_GRD_AIR_DM_M = 139,
    Manon_GRD_AIR_DM_H = 140,
    Manon_GRD_AIR_DM_S = 141,
    Manon_GRD_ZUSA_STAND = 143,
    Manon_GRD_ZUSA_CROUCH = 144,
    Manon_GRD_ZUSA_WALL = 145,
    Manon_DGD_STAND_H_BGN = 150,
    Manon_DGD_STAND_H = 151,
    Manon_DGD_STAND_H_END = 152,
    Manon_DGD_STAND_H_DM_L = 153,
    Manon_DGD_STAND_H_DM_M = 154,
    Manon_DGD_STAND_H_DM_H = 155,
    Manon_DGD_STAND_H_DM_S = 156,
    Manon_DGD_STAND_M_BGN = 157,
    Manon_DGD_STAND_M = 158,
    Manon_DGD_STAND_M_END = 159,
    Manon_DGD_STAND_M_DM_L = 160,
    Manon_DGD_STAND_M_DM_M = 161,
    Manon_DGD_STAND_M_DM_H = 162,
    Manon_DGD_STAND_M_DM_S = 163,
    Manon_DGD_STAND_L_BGN = 164,
    Manon_DGD_STAND_L = 165,
    Manon_DGD_STAND_L_END = 166,
    Manon_DGD_STAND_L_DM_L = 167,
    Manon_DGD_STAND_L_DM_M = 168,
    Manon_DGD_STAND_L_DM_H = 169,
    Manon_DGD_STAND_L_DM_S = 170,
    Manon_DGD_CROUCH_H_BGN = 171,
    Manon_DGD_CROUCH_H = 172,
    Manon_DGD_CROUCH_H_END = 173,
    Manon_DGD_CROUCH_H_DM_L = 174,
    Manon_DGD_CROUCH_H_DM_M = 175,
    Manon_DGD_CROUCH_H_DM_H = 176,
    Manon_DGD_CROUCH_H_DM_S = 177,
    Manon_DGD_CROUCH_L_BGN = 178,
    Manon_DGD_CROUCH_L = 179,
    Manon_DGD_CROUCH_L_END = 180,
    Manon_DGD_CROUCH_L_DM_L = 181,
    Manon_DGD_CROUCH_L_DM_M = 182,
    Manon_DGD_CROUCH_L_DM_H = 183,
    Manon_DGD_CROUCH_L_DM_S = 184,
    Manon_DGD_AIR_BGN = 185,
    Manon_DGD_AIR = 186,
    Manon_DGD_AIR_END = 187,
    Manon_DGD_AIR_DM_L = 188,
    Manon_DGD_AIR_DM_M = 189,
    Manon_DGD_AIR_DM_H = 190,
    Manon_DGD_AIR_DM_S = 191,
    Manon_DMG_STD_H_FR_L = 200,
    Manon_DMG_STD_H_FR_M = 201,
    Manon_DMG_STD_H_FR_H = 202,
    Manon_DMG_CRT_STD_H_FR = 203,
    Manon_DMG_STD_M_FR_L = 204,
    Manon_DMG_STD_M_FR_M = 205,
    Manon_DMG_STD_M_FR_H = 206,
    Manon_DMG_CRT_STD_M_FR = 207,
    Manon_DMG_STD_L_FR_L = 208,
    Manon_DMG_STD_L_FR_M = 209,
    Manon_DMG_STD_L_FR_H = 210,
    Manon_DMG_CRT_STD_L_FR = 211,
    Manon_DMG_CRO_H_FR_L = 212,
    Manon_DMG_CRO_H_FR_M = 213,
    Manon_DMG_CRO_H_FR_H = 214,
    Manon_DMG_CRT_CRO_H_FR = 215,
    Manon_DMG_CRO_L_FR_L = 216,
    Manon_DMG_CRO_L_FR_M = 217,
    Manon_DMG_CRO_L_FR_H = 218,
    Manon_DMG_CRT_CRO_L_FR = 219,
    Manon_DMG_AIR_FR_L = 220,
    Manon_DMG_AIR_FR_M = 221,
    Manon_DMG_AIR_FR_H = 222,
    Manon_DMG_STD_BK = 224,
    Manon_BUTT_RISE_90 = 230,
    Manon_BUTT_RISE_45 = 231,
    Manon_BUTT_RISE_00 = 232,
    Manon_BUTT_RISE_45m = 233,
    Manon_BUTT_RISE_90m = 234,
    Manon_BUTT_RISE_BK = 235,
    Manon_BUTT_RISE_BK_90m = 236,
    Manon_BUTT_FALL_90 = 237,
    Manon_BUTT_FALL_45 = 238,
    Manon_BUTT_FALL_00 = 239,
    Manon_BUTT_FALL_45m = 240,
    Manon_BUTT_FALL_90m = 241,
    Manon_BUTT_FALL_BK = 242,
    Manon_BUTT_FALL_BK_90m = 243,
    Manon_BUTT_H_START_90 = 244,
    Manon_BUTT_H_START_45 = 245,
    Manon_BUTT_H_START_00 = 246,
    Manon_BUTT_H_START_45m = 247,
    Manon_BUTT_H_START_90m = 248,
    Manon_BUTT_H_START_BK = 249,
    Manon_BUTT_H_START_BK_90m = 250,
    Manon_BUTT_B_START_90 = 251,
    Manon_BUTT_B_START_45 = 252,
    Manon_BUTT_B_START_00 = 253,
    Manon_BUTT_B_START_45m = 254,
    Manon_BUTT_B_START_90m = 255,
    Manon_BUTT_START_BK = 256,
    Manon_BUTT_START_BK_90m = 257,
    Manon_KNOCK_DOWN_BK = 258,
    Manon_DMG_HL_DOWN = 260,
    Manon_DMG_HM_DOWN = 261,
    Manon_DMG_HH_DOWN = 262,
    Manon_DMG_CL_DOWN = 263,
    Manon_DMG_CM_DOWN = 264,
    Manon_DMG_CH_DOWN = 265,
    Manon_DMG_HL_UPPER = 266,
    Manon_DMG_HM_UPPER = 267,
    Manon_DMG_HH_UPPER = 268,
    Manon_DMG_BL_UPPER = 269,
    Manon_DMG_BM_UPPER = 270,
    Manon_DMG_BH_UPPER = 271,
    Manon_ASHIBARAI = 273,
    Manon_ASHIBARAI_BACK = 274,
    Manon_KUZURE = 276,
    Manon_FLOP_DOWN = 277,
    Manon_DMG_H_SPIN_GROUND = 279,
    Manon_DMG_H_SPIN_AIR = 280,
    Manon_DMG_V_SPIN_GROUND = 281,
    Manon_DMG_V_SPIN_AIR = 282,
    Manon_WALL_HIT_FR = 284,
    Manon_WALL_HIT_BK = 285,
    Manon_WALL_DOWN_FR = 286,
    Manon_WALL_DOWN_BK = 287,
    Manon_DMG_GORO_FR = 289,
    Manon_DMG_GORO_DOWN_FR = 290,
    Manon_WALL_GROUND_FR = 291,
    Manon_WALL_PIYO_STOP = 293,
    Manon_WALL_PIYO_DOWN = 294,
    Manon_THROWBREAK_TO = 320,
    Manon_THROWBREAK_DONE = 321,
    Manon_GUARD_BREAK_STAND = 322,
    Manon_GUARD_BREAK_CROUCH = 323,
    Manon_HARDDOWN_FU = 330,
    Manon_HARDDOWN_FD = 331,
    Manon_SLIDEDOWN_FU = 332,
    Manon_SLIDEDOWN_FU_CMN = 333,
    Manon_SLIDEDOWN_FD = 334,
    Manon_SLIDEDOWN_FD_CMN = 335,
    Manon_LIE_DOWN_FU = 336,
    Manon_LIE_DOWN_FD = 337,
    Manon_DOWN_DMG_FU = 338,
    Manon_DOWN_DMG_FD = 339,
    Manon_WAKEUP_FU = 340,
    Manon_WAKEUP_FD = 341,
    Manon_WAKEUP_F_FU = 342,
    Manon_WAKEUP_F_FD = 343,
    Manon_WAKEUP_B_FU = 344,
    Manon_WAKEUP_B_FD = 345,
    Manon_BUTT_TAOREN = 346,
    Manon_AIR_RECOVERY_BK = 347,
    Manon_BOUND_FU = 350,
    Manon_BOUND_FD = 351,
    Manon_STUN = 353,
    Manon_STUN_END = 354,
    Manon_KUZURE_DIE = 356,
    Manon_APPEAR = 400,
    Manon_APPEAR_END = 401,
    Manon_APPEAR_ARCADE = 402,
    Manon_APPEAR_STORY = 403,
    Manon_LOSE = 405,
    Manon_MID_LOSE_FU = 407,
    Manon_MID_LOSE_FD = 408,
    Manon_DRAW = 410,
    Manon_RESULT = 412,
    Manon_WIN = 414,
    Manon_WIN_STORY = 415,
    Manon_WIN_PERFECT = 416,
    Manon_WIN_HI = 417,
    Manon_WIN_MID = 418,
    Manon_WIN_LOW = 419,
    Manon_MINION_ENTRY = 470,
    Manon_V_TOUCH_ENTRY = 471,
    Manon_V_TOUCH_STOP = 472,
    Manon_V_TOUCH_EXIT = 473,
    Manon_TOUCH_POSE = 474,
    Manon_TOUCH_JUMP = 475,
    Manon_TOUCH_SUKI = 476,
    Manon_TOUCH_NOKI = 477,
    Manon_ASSIST_SUKI = 478,
    Manon_PARRY_BGN = 480,
    Manon_PARRY_LOOP = 481,
    Manon_PARRY_END = 482,
    Manon_PARRY_HIT_H = 483,
    Manon_PARRY_HIT_M = 484,
    Manon_PARRY_HIT_L = 485,
    Manon_PARRY_JUST_H = 486,
    Manon_PARRY_JUST_M = 487,
    Manon_PARRY_JUST_L = 488,
    Manon_PARRY_CRO_BGN = 489,
    Manon_RAW_DRIVE_RUSH = 500,
    Manon_NORMAL_CANCEL_DRIVE_RUSH = 501,
    Manon_T_FOOTWORK = 510,
    Manon_T_CROUCH = 511,
    Manon_T_SIT_DOWN = 512,
    Manon_T_STAND_UP = 513,
    Manon_T_TURN_STAND = 514,
    Manon_T_TURN_CROUCH = 515,
    Manon_T_WALK_F_BGN = 516,
    Manon_T_WALK_FORWARD = 517,
    Manon_T_WALK_F_END = 518,
    Manon_T_WALK_B_BGN = 519,
    Manon_T_WALK_BACK = 520,
    Manon_T_WALK_B_END = 521,
    Manon_CONTINUE_FU = 530,
    Manon_CONTINUE_FD = 531,
    Manon_CONTINUE_SUCCESS = 532,
    Manon_CONTINUE_FAILURE = 533,
    Manon_ADV_STAND = 570,
    Manon_ADV_SIT = 571,
    Manon_ADV_AIR = 572,
    Manon_IMM_STAGE_INIT = 580,
    Manon_IMM_ROUND_INIT = 581,
    Manon_IMM_DAMAGE_INIT = 582,
    Manon_IMM_DAMAGE_EXIT = 583,
    Manon_IMM_TO_NORMAL = 584,
    Manon_IMM_TOUCH_EXIT = 585,
    Manon_IMM_TOUCH_ENTRY = 586,
    Manon_IMM_LANDING = 587,
    Manon_IMM_HOLD_EXIT = 588,
    Manon_IMM_FRAME_OUT = 589,
    Manon_IMM_APPEAR_END = 590,
    Manon_IMM_RESULT_INIT = 591,
    Manon_COMMON_END = 599,
    Manon_5LP = 600,
    Manon_RC_5LP = 602,
    Manon_RC_5LP_2 = 603,
    Manon_5MP = 605,
    Manon_5MK_TC = 606,
    Manon_5HP = 609,
    Manon_5HP_TC = 610,
    Manon_5HP_TC_GRD = 611,
    Manon_5LK = 614,
    Manon_5MK = 618,
    Manon_5HK = 620,
    Manon_2LP = 623,
    Manon_RC_2LP = 625,
    Manon_RC_2LP_2 = 626,
    Manon_2MP = 628,
    Manon_2MP_WHIFF = 629,
    Manon_2HP = 631,
    Manon_2HP_TC = 632,
    Manon_2LK = 635,
    Manon_RC_2LK = 637,
    Manon_2MK = 640,
    Manon_2HK = 643,
    Manon_8LP = 650,
    Manon_8MP = 651,
    Manon_8HP = 652,
    Manon_8LK = 653,
    Manon_8MK = 654,
    Manon_8HK = 655,
    Manon_AIR_NORMAL_LAND = 656,
    Manon_4MK = 658,
    Manon_4MK_TC = 659,
    Manon_3HK = 661,
    Manon_4HP = 665,
    Manon_THROW_F = 715,
    Manon_THROW_B = 717,
    Manon_THROW_F_ATK = 720,
    Manon_THROW_F_ATK_PUNISH_COUNTER = 722,
    Manon_THROW_B_ATK = 724,
    Manon_THROW_B_ATK_PUNISH_COUNTER = 726,
    Manon_DRIVE_REVERSAL = 850,
    Manon_DRIVE_REVERSAL_2 = 851,
    Manon_DRIVE_IMPACT = 855,
    Manon_DRIVE_IMPACT_COUNTER_HIT = 856,
    Manon_DRIVE_IMPACT_COUNTER = 857,
    Manon_CMD_GRAB_L = 900,
    Manon_CMD_GRAB_M = 901,
    Manon_CMD_GRAB_H = 902,
    Manon_CMD_GRAB_LV0_HIT = 903,
    Manon_CMD_GRAB_HIT_PUNISH_COUNTER = 905,
    Manon_CMD_GRAB_EX = 907,
    Manon_CMD_GRAB_EX_HIT = 908,
    Manon_CMD_GRAB_EX_HIT_PUNISH_COUNTER = 910,
    Manon_LV2_CMD_GRAB_L = 913,
    Manon_LV2_CMD_GRAB_M = 914,
    Manon_LV2_CMD_GRAB_H = 915,
    Manon_CMD_GRAB_LV2_HIT = 916,
    Manon_LV2_CMD_GRAB_HIT_PUNISH_COUNTER = 918,
    Manon_LV2_CMD_GRAB_EX = 920,
    Manon_LV2_CMD_GRAB_EX_HIT = 921,
    Manon_LV2_CMD_GRAB_EX_HIT_PUNISH_COUNTER = 923,
    Manon_LV3_CMD_GRAB_L = 926,
    Manon_LV3_CMD_GRAB_M = 927,
    Manon_LV3_CMD_GRAB_H = 928,
    Manon_LV3_CMD_GRAB_LV3_HIT = 929,
    Manon_LV3_CMD_GRAB_HIT_PUNISH_COUNTER = 931,
    Manon_LV3_CMD_GRAB_EX = 933,
    Manon_LV3_CMD_GRAB_EX_HIT = 934,
    Manon_LV3_CMD_GRAB_EX_HIT_PUNISH_COUNTER = 936,
    Manon_LV4_CMD_GRAB_L = 939,
    Manon_LV4_CMD_GRAB_M = 940,
    Manon_LV4_CMD_GRAB_H = 941,
    Manon_LV4_CMD_GRAB_HIT = 942,
    Manon_LV4_CMD_GRAB_HIT_PUNISH_COUNTER = 944,
    Manon_LV4_CMD_GRAB_EX = 946,
    Manon_LV4_CMD_GRAB_EX_HIT = 947,
    Manon_LV4_EX_CMD_GRAB_HIT_PUNISH_COUNTER = 949,
    Manon_MAX_LVL_CMD_GRAB_L = 952,
    Manon_MAX_LVL_CMD_GRAB_M = 953,
    Manon_MAX_LVL_CMD_GRAB_H = 954,
    Manon_MAX_LVL_CMD_GRAB_HIT = 955,
    Manon_MAX_LVL_CMD_GRAB_HIT_PUNISH_COUNTER = 957,
    Manon_MAX_LVL_CMD_GRAB_EX = 959,
    Manon_MAX_LVL_CMD_GRAB_EX_HIT = 960,
    Manon_MAX_LVL_EX_CMD_GRAB_HIT_PUNISH_COUNTER = 962,
    Manon_214LK = 1001,
    Manon_214MK = 1002,
    Manon_214HK = 1003,
    Manon_214KK_EX = 1004,
    Manon_623LK = 1007,
    Manon_623MK = 1008,
    Manon_623HK = 1009,
    Manon_623KK_EX = 1010,
    Manon_236P_K = 1013,
    Manon_236PP_EX_K = 1014,
    Manon_236LP = 1016,
    Manon_LV2_236_LP = 1017,
    Manon_LV3_236LP = 1018,
    Manon_LV4_236LP = 1019,
    Manon_MAX_LVL_236LP = 1020,
    Manon_236MP = 1022,
    Manon_LV2_236MP = 1023,
    Manon_LV3_236MP = 1024,
    Manon_LV4_236MP = 1025,
    Manon_MAX_LVL_236MP = 1026,
    Manon_236HP = 1028,
    Manon_LV2_236HP = 1029,
    Manon_LV3_236HP = 1030,
    Manon_LV4_236HP = 1031,
    Manon_MAX_LVL_236HP = 1032,
    Manon_236PP_EX = 1034,
    Manon_LV2_236PP_EX = 1035,
    Manon_LV3_236PP_EX = 1036,
    Manon_LV4_236PP_EX = 1037,
    Manon_MAX_LVL_236PP_EX = 1038,
    Manon_236P_FEINT = 1039,
    Manon_236P_HIT = 1041,
    Manon_LV2_236P_HIT = 1042,
    Manon_LV3_236P_HIT = 1043,
    Manon_LV4_236P_HIT = 1044,
    Manon_MAX_LVL_236P_HIT = 1045,
    Manon_236PP_EX_HIT = 1054,
    Manon_LV2_236PP_EX_HIT = 1055,
    Manon_LV3_236PP_EX_HIT = 1056,
    Manon_LV4_236PP_EX_HIT = 1057,
    Manon_MAX_LVL_236PP_EX_HIT = 1058,
    Manon_CA1 = 1200,
    Manon_CA2 = 1210,
    Manon_CA3 = 1215,
    Manon_CA3_HIT = 1216,
    Manon_CA3_LOW_HP = 1219,
    Manon_CA3_LOW_HP_HIT = 1220,
    Manon_CA3_236P_CANCEL = 1224,
    Manon_CA3_LOW_HP_236P_CANCEL = 1226,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum ZangiefActions {
    #[default]
    Zangief_INVALID_ID = -1,
    Zangief_BACKSTAGE = 0,
    Zangief_FOOTWORK = 1,
    Zangief_FOOTWORK_IDLE = 2,
    Zangief_CROUCH = 4,
    Zangief_SIT_DOWN = 5,
    Zangief_STAND_UP = 6,
    Zangief_TURN_STAND = 7,
    Zangief_TURN_CROUCH = 8,
    Zangief_WALK_F_BGN = 9,
    Zangief_WALK_FORWARD = 10,
    Zangief_WALK_F_END = 11,
    Zangief_SLIDE_FEET_F = 12,
    Zangief_WALK_B_BGN = 13,
    Zangief_WALK_BACK = 14,
    Zangief_WALK_B_END = 15,
    Zangief_SLIDE_FEET_B = 16,
    Zangief_DASH_F = 17,
    Zangief_DASH_B = 18,
    Zangief_DASH_F_END = 19,
    Zangief_DASH_B_END = 20,
    Zangief_RUN_F_BGN = 21,
    Zangief_RUN_F = 22,
    Zangief_RUN_F_END = 23,
    Zangief_RUN_B_BGN = 24,
    Zangief_RUN_B = 25,
    Zangief_RUN_B_END = 26,
    Zangief_DUCK_WALK_F_BGN = 27,
    Zangief_DUCK_WALK_F = 28,
    Zangief_DUCK_WALK_F_END = 29,
    Zangief_DUCK_WALK_B_BGN = 30,
    Zangief_DUCK_WALK_B = 31,
    Zangief_DUCK_WALK_B_END = 32,
    Zangief_JUMP_V_BGN = 33,
    Zangief_JUMP_F_BGN = 34,
    Zangief_JUMP_B_BGN = 35,
    Zangief_JUMP_V = 36,
    Zangief_JUMP_F = 37,
    Zangief_JUMP_B = 38,
    Zangief_JUMP_V_END = 39,
    Zangief_JUMP_F_END = 40,
    Zangief_JUMP_B_END = 41,
    Zangief_JUMP_ATK_END = 42,
    Zangief_W_JUMP_V = 44,
    Zangief_W_JUMP_F = 45,
    Zangief_W_JUMP_B = 46,
    Zangief_T_JUMP_WALL = 47,
    Zangief_T_JUMP = 48,
    Zangief_L_JUMP_V_BGN = 54,
    Zangief_L_JUMP_F_BGN = 55,
    Zangief_L_JUMP_B_BGN = 56,
    Zangief_L_JUMP_V = 57,
    Zangief_L_JUMP_F = 58,
    Zangief_L_JUMP_B = 59,
    Zangief_H_JUMP_V_BGN = 60,
    Zangief_H_JUMP_F_BGN = 61,
    Zangief_H_JUMP_B_BGN = 62,
    Zangief_H_JUMP_V = 63,
    Zangief_H_JUMP_F = 64,
    Zangief_H_JUMP_B = 65,
    Zangief_FLY_BGN = 66,
    Zangief_FLY_END = 67,
    Zangief_FLY_BASE = 68,
    Zangief_FLY_UU = 69,
    Zangief_FLY_BU = 70,
    Zangief_FLY_BB = 71,
    Zangief_FLY_BD = 72,
    Zangief_FLY_DD = 73,
    Zangief_FLY_FD = 74,
    Zangief_FLY_FF = 75,
    Zangief_FLY_FU = 76,
    Zangief_FLY_UU_END = 77,
    Zangief_FLY_BU_END = 78,
    Zangief_FLY_BB_END = 79,
    Zangief_FLY_BD_END = 80,
    Zangief_FLY_DD_END = 81,
    Zangief_FLY_FD_END = 82,
    Zangief_FLY_FF_END = 83,
    Zangief_FLY_FU_END = 84,
    Zangief_AIR_DASH_U = 85,
    Zangief_AIR_DASH_BU = 86,
    Zangief_AIR_DASH_B = 87,
    Zangief_AIR_DASH_BD = 88,
    Zangief_AIR_DASH_D = 89,
    Zangief_AIR_DASH_FD = 90,
    Zangief_AIR_DASH_F = 91,
    Zangief_AIR_DASH_FU = 92,
    Zangief_FALL_V = 93,
    Zangief_GRD_STAND_H_BGN = 100,
    Zangief_GRD_STAND_H = 101,
    Zangief_GRD_STAND_H_END = 102,
    Zangief_GRD_STAND_H_DM_L = 103,
    Zangief_GRD_STAND_H_DM_M = 104,
    Zangief_GRD_STAND_H_DM_H = 105,
    Zangief_GRD_STAND_H_DM_S = 106,
    Zangief_GRD_STAND_M_BGN = 107,
    Zangief_GRD_STAND_M = 108,
    Zangief_GRD_STAND_M_END = 109,
    Zangief_GRD_STAND_M_DM_L = 110,
    Zangief_GRD_STAND_M_DM_M = 111,
    Zangief_GRD_STAND_M_DM_H = 112,
    Zangief_GRD_STAND_M_DM_S = 113,
    Zangief_GRD_STAND_L_BGN = 114,
    Zangief_GRD_STAND_L = 115,
    Zangief_GRD_STAND_L_END = 116,
    Zangief_GRD_STAND_L_DM_L = 117,
    Zangief_GRD_STAND_L_DM_M = 118,
    Zangief_GRD_STAND_L_DM_H = 119,
    Zangief_GRD_STAND_L_DM_S = 120,
    Zangief_GRD_CROUCH_H_BGN = 121,
    Zangief_GRD_CROUCH_H = 122,
    Zangief_GRD_CROUCH_H_END = 123,
    Zangief_GRD_CROUCH_H_DM_L = 124,
    Zangief_GRD_CROUCH_H_DM_M = 125,
    Zangief_GRD_CROUCH_H_DM_H = 126,
    Zangief_GRD_CROUCH_H_DM_S = 127,
    Zangief_GRD_CROUCH_L_BGN = 128,
    Zangief_GRD_CROUCH_L = 129,
    Zangief_GRD_CROUCH_L_END = 130,
    Zangief_GRD_CROUCH_L_DM_L = 131,
    Zangief_GRD_CROUCH_L_DM_M = 132,
    Zangief_GRD_CROUCH_L_DM_H = 133,
    Zangief_GRD_CROUCH_L_DM_S = 134,
    Zangief_GRD_AIR_BGN = 135,
    Zangief_GRD_AIR = 136,
    Zangief_GRD_AIR_END = 137,
    Zangief_GRD_AIR_DM_L = 138,
    Zangief_GRD_AIR_DM_M = 139,
    Zangief_GRD_AIR_DM_H = 140,
    Zangief_GRD_AIR_DM_S = 141,
    Zangief_GRD_ZUSA_STAND = 143,
    Zangief_GRD_ZUSA_CROUCH = 144,
    Zangief_GRD_ZUSA_WALL = 145,
    Zangief_DGD_STAND_H_BGN = 150,
    Zangief_DGD_STAND_H = 151,
    Zangief_DGD_STAND_H_END = 152,
    Zangief_DGD_STAND_H_DM_L = 153,
    Zangief_DGD_STAND_H_DM_M = 154,
    Zangief_DGD_STAND_H_DM_H = 155,
    Zangief_DGD_STAND_H_DM_S = 156,
    Zangief_DGD_STAND_M_BGN = 157,
    Zangief_DGD_STAND_M = 158,
    Zangief_DGD_STAND_M_END = 159,
    Zangief_DGD_STAND_M_DM_L = 160,
    Zangief_DGD_STAND_M_DM_M = 161,
    Zangief_DGD_STAND_M_DM_H = 162,
    Zangief_DGD_STAND_M_DM_S = 163,
    Zangief_DGD_STAND_L_BGN = 164,
    Zangief_DGD_STAND_L = 165,
    Zangief_DGD_STAND_L_END = 166,
    Zangief_DGD_STAND_L_DM_L = 167,
    Zangief_DGD_STAND_L_DM_M = 168,
    Zangief_DGD_STAND_L_DM_H = 169,
    Zangief_DGD_STAND_L_DM_S = 170,
    Zangief_DGD_CROUCH_H_BGN = 171,
    Zangief_DGD_CROUCH_H = 172,
    Zangief_DGD_CROUCH_H_END = 173,
    Zangief_DGD_CROUCH_H_DM_L = 174,
    Zangief_DGD_CROUCH_H_DM_M = 175,
    Zangief_DGD_CROUCH_H_DM_H = 176,
    Zangief_DGD_CROUCH_H_DM_S = 177,
    Zangief_DGD_CROUCH_L_BGN = 178,
    Zangief_DGD_CROUCH_L = 179,
    Zangief_DGD_CROUCH_L_END = 180,
    Zangief_DGD_CROUCH_L_DM_L = 181,
    Zangief_DGD_CROUCH_L_DM_M = 182,
    Zangief_DGD_CROUCH_L_DM_H = 183,
    Zangief_DGD_CROUCH_L_DM_S = 184,
    Zangief_DGD_AIR_BGN = 185,
    Zangief_DGD_AIR = 186,
    Zangief_DGD_AIR_END = 187,
    Zangief_DGD_AIR_DM_L = 188,
    Zangief_DGD_AIR_DM_M = 189,
    Zangief_DGD_AIR_DM_H = 190,
    Zangief_DGD_AIR_DM_S = 191,
    Zangief_DMG_STD_H_FR_L = 200,
    Zangief_DMG_STD_H_FR_M = 201,
    Zangief_DMG_STD_H_FR_H = 202,
    Zangief_DMG_CRT_STD_H_FR = 203,
    Zangief_DMG_STD_M_FR_L = 204,
    Zangief_DMG_STD_M_FR_M = 205,
    Zangief_DMG_STD_M_FR_H = 206,
    Zangief_DMG_CRT_STD_M_FR = 207,
    Zangief_DMG_STD_L_FR_L = 208,
    Zangief_DMG_STD_L_FR_M = 209,
    Zangief_DMG_STD_L_FR_H = 210,
    Zangief_DMG_CRT_STD_L_FR = 211,
    Zangief_DMG_CRO_H_FR_L = 212,
    Zangief_DMG_CRO_H_FR_M = 213,
    Zangief_DMG_CRO_H_FR_H = 214,
    Zangief_DMG_CRT_CRO_H_FR = 215,
    Zangief_DMG_CRO_L_FR_L = 216,
    Zangief_DMG_CRO_L_FR_M = 217,
    Zangief_DMG_CRO_L_FR_H = 218,
    Zangief_DMG_CRT_CRO_L_FR = 219,
    Zangief_DMG_AIR_FR_L = 220,
    Zangief_DMG_AIR_FR_M = 221,
    Zangief_DMG_AIR_FR_H = 222,
    Zangief_DMG_STD_BK = 224,
    Zangief_BUTT_RISE_90 = 230,
    Zangief_BUTT_RISE_45 = 231,
    Zangief_BUTT_RISE_00 = 232,
    Zangief_BUTT_RISE_45m = 233,
    Zangief_BUTT_RISE_90m = 234,
    Zangief_BUTT_RISE_BK = 235,
    Zangief_BUTT_RISE_BK_90m = 236,
    Zangief_BUTT_FALL_90 = 237,
    Zangief_BUTT_FALL_45 = 238,
    Zangief_BUTT_FALL_00 = 239,
    Zangief_BUTT_FALL_45m = 240,
    Zangief_BUTT_FALL_90m = 241,
    Zangief_BUTT_FALL_BK = 242,
    Zangief_BUTT_FALL_BK_90m = 243,
    Zangief_BUTT_H_START_90 = 244,
    Zangief_BUTT_H_START_45 = 245,
    Zangief_BUTT_H_START_00 = 246,
    Zangief_BUTT_H_START_45m = 247,
    Zangief_BUTT_H_START_90m = 248,
    Zangief_BUTT_H_START_BK = 249,
    Zangief_BUTT_H_START_BK_90m = 250,
    Zangief_BUTT_B_START_90 = 251,
    Zangief_BUTT_B_START_45 = 252,
    Zangief_BUTT_B_START_00 = 253,
    Zangief_BUTT_B_START_45m = 254,
    Zangief_BUTT_B_START_90m = 255,
    Zangief_BUTT_START_BK = 256,
    Zangief_BUTT_START_BK_90m = 257,
    Zangief_KNOCK_DOWN_BK = 258,
    Zangief_DMG_HL_DOWN = 260,
    Zangief_DMG_HM_DOWN = 261,
    Zangief_DMG_HH_DOWN = 262,
    Zangief_DMG_CL_DOWN = 263,
    Zangief_DMG_CM_DOWN = 264,
    Zangief_DMG_CH_DOWN = 265,
    Zangief_DMG_HL_UPPER = 266,
    Zangief_DMG_HM_UPPER = 267,
    Zangief_DMG_HH_UPPER = 268,
    Zangief_DMG_BL_UPPER = 269,
    Zangief_DMG_BM_UPPER = 270,
    Zangief_DMG_BH_UPPER = 271,
    Zangief_ASHIBARAI = 273,
    Zangief_ASHIBARAI_BACK = 274,
    Zangief_KUZURE = 276,
    Zangief_FLOP_DOWN = 277,
    Zangief_DMG_H_SPIN_GROUND = 279,
    Zangief_DMG_H_SPIN_AIR = 280,
    Zangief_DMG_V_SPIN_GROUND = 281,
    Zangief_DMG_V_SPIN_AIR = 282,
    Zangief_WALL_HIT_FR = 284,
    Zangief_WALL_HIT_BK = 285,
    Zangief_WALL_DOWN_FR = 286,
    Zangief_WALL_DOWN_BK = 287,
    Zangief_DMG_GORO_FR = 289,
    Zangief_DMG_GORO_DOWN_FR = 290,
    Zangief_WALL_GROUND_FR = 291,
    Zangief_WALL_PIYO_STOP = 293,
    Zangief_WALL_PIYO_DOWN = 294,
    Zangief_THROWBREAK_TO = 320,
    Zangief_THROWBREAK_DONE = 321,
    Zangief_GUARD_BREAK_STAND = 322,
    Zangief_GUARD_BREAK_CROUCH = 323,
    Zangief_HARDDOWN_FU = 330,
    Zangief_HARDDOWN_FD = 331,
    Zangief_SLIDEDOWN_FU = 332,
    Zangief_SLIDEDOWN_FU_CMN = 333,
    Zangief_SLIDEDOWN_FD = 334,
    Zangief_SLIDEDOWN_FD_CMN = 335,
    Zangief_LIE_DOWN_FU = 336,
    Zangief_LIE_DOWN_FD = 337,
    Zangief_DOWN_DMG_FU = 338,
    Zangief_DOWN_DMG_FD = 339,
    Zangief_WAKEUP_FU = 340,
    Zangief_WAKEUP_FD = 341,
    Zangief_WAKEUP_F_FU = 342,
    Zangief_WAKEUP_F_FD = 343,
    Zangief_WAKEUP_B_FU = 344,
    Zangief_WAKEUP_B_FD = 345,
    Zangief_BUTT_TAOREN = 346,
    Zangief_AIR_RECOVERY_BK = 347,
    Zangief_BOUND_FU = 350,
    Zangief_BOUND_FD = 351,
    Zangief_STUN = 353,
    Zangief_STUN_END = 354,
    Zangief_KUZURE_DIE = 356,
    Zangief_APPEAR = 400,
    Zangief_APPEAR_END = 401,
    Zangief_APPEAR_ARCADE = 402,
    Zangief_APPEAR_STORY = 403,
    Zangief_LOSE = 405,
    Zangief_MID_LOSE_FU = 407,
    Zangief_MID_LOSE_FD = 408,
    Zangief_DRAW = 410,
    Zangief_RESULT = 412,
    Zangief_WIN = 414,
    Zangief_WIN_STORY = 415,
    Zangief_WIN_PERFECT = 416,
    Zangief_WIN_HI = 417,
    Zangief_WIN_MID = 418,
    Zangief_WIN_LOW = 419,
    Zangief_MINION_ENTRY = 470,
    Zangief_V_TOUCH_ENTRY = 471,
    Zangief_V_TOUCH_STOP = 472,
    Zangief_V_TOUCH_EXIT = 473,
    Zangief_TOUCH_POSE = 474,
    Zangief_TOUCH_JUMP = 475,
    Zangief_TOUCH_SUKI = 476,
    Zangief_TOUCH_NOKI = 477,
    Zangief_ASSIST_SUKI = 478,
    Zangief_PARRY_BGN = 480,
    Zangief_PARRY_LOOP = 481,
    Zangief_PARRY_END = 482,
    Zangief_PARRY_HIT_H = 483,
    Zangief_PARRY_HIT_M = 484,
    Zangief_PARRY_HIT_L = 485,
    Zangief_PARRY_JUST_H = 486,
    Zangief_PARRY_JUST_M = 487,
    Zangief_PARRY_JUST_L = 488,
    Zangief_PARRY_CRO_BGN = 489,
    Zangief_RAW_DRIVE_RUSH = 501,
    Zangief_NORMAL_CANCEL_DRIVE_RUSH = 504,
    Zangief_T_FOOTWORK = 510,
    Zangief_T_CROUCH = 511,
    Zangief_T_SIT_DOWN = 512,
    Zangief_T_STAND_UP = 513,
    Zangief_T_TURN_STAND = 514,
    Zangief_T_TURN_CROUCH = 515,
    Zangief_T_WALK_F_BGN = 516,
    Zangief_T_WALK_FORWARD = 517,
    Zangief_T_WALK_F_END = 518,
    Zangief_T_WALK_B_BGN = 519,
    Zangief_T_WALK_BACK = 520,
    Zangief_T_WALK_B_END = 521,
    Zangief_CONTINUE_FU = 530,
    Zangief_CONTINUE_FD = 531,
    Zangief_CONTINUE_SUCCESS = 532,
    Zangief_CONTINUE_FAILURE = 533,
    Zangief_ADV_STAND = 570,
    Zangief_ADV_SIT = 571,
    Zangief_ADV_AIR = 572,
    Zangief_IMM_STAGE_INIT = 580,
    Zangief_IMM_ROUND_INIT = 581,
    Zangief_IMM_DAMAGE_INIT = 582,
    Zangief_IMM_DAMAGE_EXIT = 583,
    Zangief_IMM_TO_NORMAL = 584,
    Zangief_IMM_TOUCH_EXIT = 585,
    Zangief_IMM_TOUCH_ENTRY = 586,
    Zangief_IMM_LANDING = 587,
    Zangief_IMM_HOLD_EXIT = 588,
    Zangief_IMM_FRAME_OUT = 589,
    Zangief_IMM_APPEAR_END = 590,
    Zangief_IMM_RESULT_INIT = 591,
    Zangief_COMMON_END = 599,
    Zangief_5LP = 600,
    Zangief_RC_5LP = 601,
    Zangief_RC_5LP_2 = 602,
    Zangief_5MP = 604,
    Zangief_TC_5MP_1 = 605,
    Zangief_TC_5MP_2 = 606,
    Zangief_5HP_RELEASE = 609,
    Zangief_5HP_SWING = 610,
    Zangief_5LK = 611,
    Zangief_5MK = 613,
    Zangief_5HK = 615,
    Zangief_2LP = 617,
    Zangief_RC_2LP = 618,
    Zangief_RC_2LP_2 = 619,
    Zangief_2MP = 621,
    Zangief_2HP = 623,
    Zangief_2LK = 627,
    Zangief_RC_2LK = 628,
    Zangief_RC_2LK_2 = 629,
    Zangief_2MK = 631,
    Zangief_3HK = 633,
    Zangief_5HP = 637,
    Zangief_5HP_HOLD = 638,
    Zangief_5HP_HOLD_SWING = 639,
    Zangief_8LP = 640,
    Zangief_8MP = 641,
    Zangief_8HP = 642,
    Zangief_8LK = 643,
    Zangief_8MK = 644,
    Zangief_8HK_RELEASE = 645,
    Zangief_8HK_HOLD_LAND_2 = 646,
    Zangief_8HK = 647,
    Zangief_8HK_HOLD = 648,
    Zangief_8HK_HOLD_LAND = 649,
    Zangief_8HK_HOLD_HIT_BLOCK = 650,
    Zangief_8HK_HOLD_HIT_BLOCK_LAND = 651,
    Zangief_AIR_NORMAL_LAND = 653,
    Zangief_3MP = 655,
    Zangief_88HP = 657,
    Zangief_6HP = 660,
    Zangief_6HP_SWING = 661,
    Zangief_6HK = 662,
    Zangief_22MK = 678,
    Zangief_22MK_MK = 679,
    Zangief_22MK_MK_MK = 680,
    Zangief_6MK = 682,
    Zangief_2HK = 684,
    Zangief_92HP = 692,
    Zangief_92HP_LAND = 693,
    Zangief_THROW_1 = 710,
    Zangief_THROW_2 = 711,
    Zangief_THROW_3 = 712,
    Zangief_THROW_B = 715,
    Zangief_THROW_N = 716,
    Zangief_THROW_F = 717,
    Zangief_THROW_1_ATK = 720,
    Zangief_THROW_1_ATK_PUNISH = 722,
    Zangief_THROW_2_ATK = 724,
    Zangief_THROW_2_ATK_PUNISH = 726,
    Zangief_THROW_3_ATK = 728,
    Zangief_THROW_3_ATK_PUNISH = 730,
    Zangief_THROW_F_ATK = 735,
    Zangief_THROW_6_ATK_PUNISH = 737,
    Zangief_THROW_B_ATK = 739,
    Zangief_THROW_B_ATK_PUNISH = 741,
    Zangief_THROW_N_ATK = 743,
    Zangief_THROW_N_ATK_PUNISH = 745,
    Zangief_TUNDRA_STORM = 785,
    Zangief_TUNDRA_STORM_COUNTER_ATK = 786,
    Zangief_TUNDRA_STORM_ABSORB = 788,
    Zangief_DRIVE_REVERSAL = 850,
    Zangief_DRIVE_REVERSAL_2 = 851,
    Zangief_DRIVE_IMPACT = 854,
    Zangief_DRIVE_IMPACT_PUNISH_COUNTER = 855,
    Zangief_DRIVE_IMPACT_ABSORB = 856,
    Zangief_LARIAT_PP = 900,
    Zangief_LARIAT_EX_PPP = 901,
    Zangief_EXPRESS_CLOSE_LMH = 918,
    Zangief_EXPRESS_LMH_FAR = 919,
    Zangief_EXPRESS_LMH_HIT = 920,
    Zangief_EXPRESS_LMH_HIT_PUNISH = 922,
    Zangief_EXPRESS_EX_CLOSE = 924,
    Zangief_EXPRESS_EX_FAR = 925,
    Zangief_EXPRESS_EX_HIT = 926,
    Zangief_EXPRESS_EX_HIT_PUNISH = 928,
    Zangief_SCREW_L = 930,
    Zangief_SCREW_L_HIT = 931,
    Zangief_SCREW_L_HIT_PUNISH = 933,
    Zangief_SCREW_M = 935,
    Zangief_SCREW_M_HIT = 936,
    Zangief_SCREW_M_HIT_PUNISH = 938,
    Zangief_SCREW_H = 940,
    Zangief_SCREW_H_HIT = 941,
    Zangief_SCREW_H_HIT_PUNISH = 943,
    Zangief_SCREW_EX = 945,
    Zangief_SCREW_EX_HIT = 946,
    Zangief_SCREW_EX_HIT_PUNISH = 948,
    Zangief_DYNAMITE_L = 950,
    Zangief_DYNAMITE_L_LAND = 951,
    Zangief_DYNAMITE_LMH_HIT = 952,
    Zangief_DYNAMITE_LMH_HIT_2 = 954,
    Zangief_DYNAMITE_LMH_HIT_PUNISH = 956,
    Zangief_DYNAMITE_LMH_HIT_PUNISH_2 = 957,
    Zangief_DYNAMITE_EX = 960,
    Zangief_DYNAMITE_EX_HIT = 961,
    Zangief_DYNAMITE_EX_HIT_2 = 963,
    Zangief_DYNAMITE_EX_HIT_PUNISH = 965,
    Zangief_DYNAMITE_EX_HIT_PUNISH_2 = 966,
    Zangief_SUPLEX_L = 1015,
    Zangief_SUPLEX_L_HIT_PUNISH = 1018,
    Zangief_SUPLEX_EX = 1020,
    Zangief_SUPLEX_EX_HIT = 1021,
    Zangief_SUPLEX_EX_HIT_PUNISH = 1023,
    Zangief_CA1 = 1200,
    Zangief_CA1_HIT = 1201,
    Zangief_CA1_HIT_2 = 1203,
    Zangief_CA2 = 1206,
    Zangief_CA2_HOLD = 1207,
    Zangief_CA2_HOLD_FINISHER = 1208,
    Zangief_CA2_HIT = 1209,
    Zangief_CA2_JACKHAMMER = 1211,
    Zangief_CA3 = 1218,
    Zangief_CA3_HIT = 1219,
    Zangief_CA3_LOW_HP = 1222,
    Zangief_CA3_LOW_HP_HIT = 1223,
    Zangief_APPEAL_N = 1497,
    Zangief_APPEAL_B = 1498,
    Zangief_APPEAL_F = 1499,
    Zangief_APPEAL_2 = 1500,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum JPActions {
    #[default]
    JP_INVALID_ID = -1,
    JP_BACKSTAGE = 0,
    JP_FOOTWORK = 1,
    JP_FOOTWORK_IDLE = 2,
    JP_CROUCH = 4,
    JP_SIT_DOWN = 5,
    JP_STAND_UP = 6,
    JP_TURN_STAND = 7,
    JP_TURN_CROUCH = 8,
    JP_WALK_F_BGN = 9,
    JP_WALK_FORWARD = 10,
    JP_WALK_F_END = 11,
    JP_SLIDE_FEET_F = 12,
    JP_WALK_B_BGN = 13,
    JP_WALK_BACK = 14,
    JP_WALK_B_END = 15,
    JP_SLIDE_FEET_B = 16,
    JP_DASH_F = 17,
    JP_DASH_B = 18,
    JP_DASH_F_END = 19,
    JP_DASH_B_END = 20,
    JP_RUN_F_BGN = 21,
    JP_RUN_F = 22,
    JP_RUN_F_END = 23,
    JP_RUN_B_BGN = 24,
    JP_RUN_B = 25,
    JP_RUN_B_END = 26,
    JP_DUCK_WALK_F_BGN = 27,
    JP_DUCK_WALK_F = 28,
    JP_DUCK_WALK_F_END = 29,
    JP_DUCK_WALK_B_BGN = 30,
    JP_DUCK_WALK_B = 31,
    JP_DUCK_WALK_B_END = 32,
    JP_JUMP_V_BGN = 33,
    JP_JUMP_F_BGN = 34,
    JP_JUMP_B_BGN = 35,
    JP_JUMP_V = 36,
    JP_JUMP_F = 37,
    JP_JUMP_B = 38,
    JP_JUMP_V_END = 39,
    JP_JUMP_F_END = 40,
    JP_JUMP_B_END = 41,
    JP_JUMP_ATK_END = 42,
    JP_W_JUMP_V = 44,
    JP_W_JUMP_F = 45,
    JP_W_JUMP_B = 46,
    JP_T_JUMP_WALL = 47,
    JP_T_JUMP = 48,
    JP_L_JUMP_V_BGN = 54,
    JP_L_JUMP_F_BGN = 55,
    JP_L_JUMP_B_BGN = 56,
    JP_L_JUMP_V = 57,
    JP_L_JUMP_F = 58,
    JP_L_JUMP_B = 59,
    JP_H_JUMP_V_BGN = 60,
    JP_H_JUMP_F_BGN = 61,
    JP_H_JUMP_B_BGN = 62,
    JP_H_JUMP_V = 63,
    JP_H_JUMP_F = 64,
    JP_H_JUMP_B = 65,
    JP_FLY_BGN = 66,
    JP_FLY_END = 67,
    JP_FLY_BASE = 68,
    JP_FLY_UU = 69,
    JP_FLY_BU = 70,
    JP_FLY_BB = 71,
    JP_FLY_BD = 72,
    JP_FLY_DD = 73,
    JP_FLY_FD = 74,
    JP_FLY_FF = 75,
    JP_FLY_FU = 76,
    JP_FLY_UU_END = 77,
    JP_FLY_BU_END = 78,
    JP_FLY_BB_END = 79,
    JP_FLY_BD_END = 80,
    JP_FLY_DD_END = 81,
    JP_FLY_FD_END = 82,
    JP_FLY_FF_END = 83,
    JP_FLY_FU_END = 84,
    JP_AIR_DASH_U = 85,
    JP_AIR_DASH_BU = 86,
    JP_AIR_DASH_B = 87,
    JP_AIR_DASH_BD = 88,
    JP_AIR_DASH_D = 89,
    JP_AIR_DASH_FD = 90,
    JP_AIR_DASH_F = 91,
    JP_AIR_DASH_FU = 92,
    JP_FALL_V = 93,
    JP_GRD_STAND_H_BGN = 100,
    JP_GRD_STAND_H = 101,
    JP_GRD_STAND_H_END = 102,
    JP_GRD_STAND_H_DM_L = 103,
    JP_GRD_STAND_H_DM_M = 104,
    JP_GRD_STAND_H_DM_H = 105,
    JP_GRD_STAND_H_DM_S = 106,
    JP_GRD_STAND_M_BGN = 107,
    JP_GRD_STAND_M = 108,
    JP_GRD_STAND_M_END = 109,
    JP_GRD_STAND_M_DM_L = 110,
    JP_GRD_STAND_M_DM_M = 111,
    JP_GRD_STAND_M_DM_H = 112,
    JP_GRD_STAND_M_DM_S = 113,
    JP_GRD_STAND_L_BGN = 114,
    JP_GRD_STAND_L = 115,
    JP_GRD_STAND_L_END = 116,
    JP_GRD_STAND_L_DM_L = 117,
    JP_GRD_STAND_L_DM_M = 118,
    JP_GRD_STAND_L_DM_H = 119,
    JP_GRD_STAND_L_DM_S = 120,
    JP_GRD_CROUCH_H_BGN = 121,
    JP_GRD_CROUCH_H = 122,
    JP_GRD_CROUCH_H_END = 123,
    JP_GRD_CROUCH_H_DM_L = 124,
    JP_GRD_CROUCH_H_DM_M = 125,
    JP_GRD_CROUCH_H_DM_H = 126,
    JP_GRD_CROUCH_H_DM_S = 127,
    JP_GRD_CROUCH_L_BGN = 128,
    JP_GRD_CROUCH_L = 129,
    JP_GRD_CROUCH_L_END = 130,
    JP_GRD_CROUCH_L_DM_L = 131,
    JP_GRD_CROUCH_L_DM_M = 132,
    JP_GRD_CROUCH_L_DM_H = 133,
    JP_GRD_CROUCH_L_DM_S = 134,
    JP_GRD_AIR_BGN = 135,
    JP_GRD_AIR = 136,
    JP_GRD_AIR_END = 137,
    JP_GRD_AIR_DM_L = 138,
    JP_GRD_AIR_DM_M = 139,
    JP_GRD_AIR_DM_H = 140,
    JP_GRD_AIR_DM_S = 141,
    JP_GRD_ZUSA_STAND = 143,
    JP_GRD_ZUSA_CROUCH = 144,
    JP_GRD_ZUSA_WALL = 145,
    JP_DGD_STAND_H_BGN = 150,
    JP_DGD_STAND_H = 151,
    JP_DGD_STAND_H_END = 152,
    JP_DGD_STAND_H_DM_L = 153,
    JP_DGD_STAND_H_DM_M = 154,
    JP_DGD_STAND_H_DM_H = 155,
    JP_DGD_STAND_H_DM_S = 156,
    JP_DGD_STAND_M_BGN = 157,
    JP_DGD_STAND_M = 158,
    JP_DGD_STAND_M_END = 159,
    JP_DGD_STAND_M_DM_L = 160,
    JP_DGD_STAND_M_DM_M = 161,
    JP_DGD_STAND_M_DM_H = 162,
    JP_DGD_STAND_M_DM_S = 163,
    JP_DGD_STAND_L_BGN = 164,
    JP_DGD_STAND_L = 165,
    JP_DGD_STAND_L_END = 166,
    JP_DGD_STAND_L_DM_L = 167,
    JP_DGD_STAND_L_DM_M = 168,
    JP_DGD_STAND_L_DM_H = 169,
    JP_DGD_STAND_L_DM_S = 170,
    JP_DGD_CROUCH_H_BGN = 171,
    JP_DGD_CROUCH_H = 172,
    JP_DGD_CROUCH_H_END = 173,
    JP_DGD_CROUCH_H_DM_L = 174,
    JP_DGD_CROUCH_H_DM_M = 175,
    JP_DGD_CROUCH_H_DM_H = 176,
    JP_DGD_CROUCH_H_DM_S = 177,
    JP_DGD_CROUCH_L_BGN = 178,
    JP_DGD_CROUCH_L = 179,
    JP_DGD_CROUCH_L_END = 180,
    JP_DGD_CROUCH_L_DM_L = 181,
    JP_DGD_CROUCH_L_DM_M = 182,
    JP_DGD_CROUCH_L_DM_H = 183,
    JP_DGD_CROUCH_L_DM_S = 184,
    JP_DGD_AIR_BGN = 185,
    JP_DGD_AIR = 186,
    JP_DGD_AIR_END = 187,
    JP_DGD_AIR_DM_L = 188,
    JP_DGD_AIR_DM_M = 189,
    JP_DGD_AIR_DM_H = 190,
    JP_DGD_AIR_DM_S = 191,
    JP_DMG_STD_H_FR_L = 200,
    JP_DMG_STD_H_FR_M = 201,
    JP_DMG_STD_H_FR_H = 202,
    JP_DMG_CRT_STD_H_FR = 203,
    JP_DMG_STD_M_FR_L = 204,
    JP_DMG_STD_M_FR_M = 205,
    JP_DMG_STD_M_FR_H = 206,
    JP_DMG_CRT_STD_M_FR = 207,
    JP_DMG_STD_L_FR_L = 208,
    JP_DMG_STD_L_FR_M = 209,
    JP_DMG_STD_L_FR_H = 210,
    JP_DMG_CRT_STD_L_FR = 211,
    JP_DMG_CRO_H_FR_L = 212,
    JP_DMG_CRO_H_FR_M = 213,
    JP_DMG_CRO_H_FR_H = 214,
    JP_DMG_CRT_CRO_H_FR = 215,
    JP_DMG_CRO_L_FR_L = 216,
    JP_DMG_CRO_L_FR_M = 217,
    JP_DMG_CRO_L_FR_H = 218,
    JP_DMG_CRT_CRO_L_FR = 219,
    JP_DMG_AIR_FR_L = 220,
    JP_DMG_AIR_FR_M = 221,
    JP_DMG_AIR_FR_H = 222,
    JP_DMG_STD_BK = 224,
    JP_BUTT_RISE_90 = 230,
    JP_BUTT_RISE_45 = 231,
    JP_BUTT_RISE_00 = 232,
    JP_BUTT_RISE_45m = 233,
    JP_BUTT_RISE_90m = 234,
    JP_BUTT_RISE_BK = 235,
    JP_BUTT_RISE_BK_90m = 236,
    JP_BUTT_FALL_90 = 237,
    JP_BUTT_FALL_45 = 238,
    JP_BUTT_FALL_00 = 239,
    JP_BUTT_FALL_45m = 240,
    JP_BUTT_FALL_90m = 241,
    JP_BUTT_FALL_BK = 242,
    JP_BUTT_FALL_BK_90m = 243,
    JP_BUTT_H_START_90 = 244,
    JP_BUTT_H_START_45 = 245,
    JP_BUTT_H_START_00 = 246,
    JP_BUTT_H_START_45m = 247,
    JP_BUTT_H_START_90m = 248,
    JP_BUTT_H_START_BK = 249,
    JP_BUTT_H_START_BK_90m = 250,
    JP_BUTT_B_START_90 = 251,
    JP_BUTT_B_START_45 = 252,
    JP_BUTT_B_START_00 = 253,
    JP_BUTT_B_START_45m = 254,
    JP_BUTT_B_START_90m = 255,
    JP_BUTT_START_BK = 256,
    JP_BUTT_START_BK_90m = 257,
    JP_KNOCK_DOWN_BK = 258,
    JP_DMG_HL_DOWN = 260,
    JP_DMG_HM_DOWN = 261,
    JP_DMG_HH_DOWN = 262,
    JP_DMG_CL_DOWN = 263,
    JP_DMG_CM_DOWN = 264,
    JP_DMG_CH_DOWN = 265,
    JP_DMG_HL_UPPER = 266,
    JP_DMG_HM_UPPER = 267,
    JP_DMG_HH_UPPER = 268,
    JP_DMG_BL_UPPER = 269,
    JP_DMG_BM_UPPER = 270,
    JP_DMG_BH_UPPER = 271,
    JP_ASHIBARAI = 273,
    JP_ASHIBARAI_BACK = 274,
    JP_KUZURE = 276,
    JP_FLOP_DOWN = 277,
    JP_DMG_H_SPIN_GROUND = 279,
    JP_DMG_H_SPIN_AIR = 280,
    JP_DMG_V_SPIN_GROUND = 281,
    JP_DMG_V_SPIN_AIR = 282,
    JP_WALL_HIT_FR = 284,
    JP_WALL_HIT_BK = 285,
    JP_WALL_DOWN_FR = 286,
    JP_WALL_DOWN_BK = 287,
    JP_DMG_GORO_FR = 289,
    JP_DMG_GORO_DOWN_FR = 290,
    JP_WALL_GROUND_FR = 291,
    JP_WALL_PIYO_STOP = 293,
    JP_WALL_PIYO_DOWN = 294,
    JP_THROWBREAK_TO = 320,
    JP_THROWBREAK_DONE = 321,
    JP_GUARD_BREAK_STAND = 322,
    JP_GUARD_BREAK_CROUCH = 323,
    JP_HARDDOWN_FU = 330,
    JP_HARDDOWN_FD = 331,
    JP_SLIDEDOWN_FU = 332,
    JP_SLIDEDOWN_FU_CMN = 333,
    JP_SLIDEDOWN_FD = 334,
    JP_SLIDEDOWN_FD_CMN = 335,
    JP_LIE_DOWN_FU = 336,
    JP_LIE_DOWN_FD = 337,
    JP_DOWN_DMG_FU = 338,
    JP_DOWN_DMG_FD = 339,
    JP_WAKEUP_FU = 340,
    JP_WAKEUP_FD = 341,
    JP_WAKEUP_F_FU = 342,
    JP_WAKEUP_F_FD = 343,
    JP_WAKEUP_B_FU = 344,
    JP_WAKEUP_B_FD = 345,
    JP_BUTT_TAOREN = 346,
    JP_AIR_RECOVERY_BK = 347,
    JP_BOUND_FU = 350,
    JP_BOUND_FD = 351,
    JP_STUN = 353,
    JP_STUN_END = 354,
    JP_KUZURE_DIE = 356,
    JP_APPEAR = 400,
    JP_APPEAR_END = 401,
    JP_APPEAR_ARCADE = 402,
    JP_APPEAR_STORY = 403,
    JP_LOSE = 405,
    JP_MID_LOSE_FU = 407,
    JP_MID_LOSE_FD = 408,
    JP_DRAW = 410,
    JP_RESULT = 412,
    JP_WIN = 414,
    JP_WIN_STORY = 415,
    JP_WIN_PERFECT = 416,
    JP_WIN_HI = 417,
    JP_WIN_MID = 418,
    JP_WIN_LOW = 419,
    JP_MINION_ENTRY = 470,
    JP_V_TOUCH_ENTRY = 471,
    JP_V_TOUCH_STOP = 472,
    JP_V_TOUCH_EXIT = 473,
    JP_TOUCH_POSE = 474,
    JP_TOUCH_JUMP = 475,
    JP_TOUCH_SUKI = 476,
    JP_TOUCH_NOKI = 477,
    JP_ASSIST_SUKI = 478,
    JP_PARRY_BGN = 480,
    JP_PARRY_LOOP = 481,
    JP_PARRY_END = 482,
    JP_PARRY_HIT_H = 483,
    JP_PARRY_HIT_M = 484,
    JP_PARRY_HIT_L = 485,
    JP_PARRY_JUST_H = 486,
    JP_PARRY_JUST_M = 487,
    JP_PARRY_JUST_L = 488,
    JP_PARRY_CRO_BGN = 489,
    JP_T_FOOTWORK = 510,
    JP_T_CROUCH = 511,
    JP_T_SIT_DOWN = 512,
    JP_T_STAND_UP = 513,
    JP_T_TURN_STAND = 514,
    JP_T_TURN_CROUCH = 515,
    JP_T_WALK_F_BGN = 516,
    JP_T_WALK_FORWARD = 517,
    JP_T_WALK_F_END = 518,
    JP_T_WALK_B_BGN = 519,
    JP_T_WALK_BACK = 520,
    JP_T_WALK_B_END = 521,
    JP_CONTINUE_FU = 530,
    JP_CONTINUE_FD = 531,
    JP_CONTINUE_SUCCESS = 532,
    JP_CONTINUE_FAILURE = 533,
    JP_ADV_STAND = 570,
    JP_ADV_SIT = 571,
    JP_ADV_AIR = 572,
    JP_IMM_STAGE_INIT = 580,
    JP_IMM_ROUND_INIT = 581,
    JP_IMM_DAMAGE_INIT = 582,
    JP_IMM_DAMAGE_EXIT = 583,
    JP_IMM_TO_NORMAL = 584,
    JP_IMM_TOUCH_EXIT = 585,
    JP_IMM_TOUCH_ENTRY = 586,
    JP_IMM_LANDING = 587,
    JP_IMM_HOLD_EXIT = 588,
    JP_IMM_FRAME_OUT = 589,
    JP_IMM_APPEAR_END = 590,
    JP_IMM_RESULT_INIT = 591,
    JP_COMMON_END = 599,
    JP_5LP = 600,
    JP_RC_5LP = 601,
    JP_RC_2LP_TO_5LP = 602,
    JP_5MP = 603,
    JP_5HP = 604,
    JP_5LK = 605,
    JP_5MK = 606,
    JP_5HK = 607,
    JP_2LP = 613,
    JP_RC_2LP = 614,
    JP_2MP = 616,
    JP_2HP = 617,
    JP_2LK = 618,
    JP_RC_2LK = 619,
    JP_RC_2LP_TO_2LK = 620,
    JP_2MK = 621,
    JP_2HK = 622,
    JP_8LP = 627,
    JP_8MP = 628,
    JP_8HP = 629,
    JP_8LK = 630,
    JP_8MK = 631,
    JP_8HK = 632,
    JP_AIR_NORMAL_LAND = 633,
    JP_4MP = 637,
    JP_TC_4MP = 638,
    JP_6MK = 639,
    JP_3HP = 640,
    JP_6HK = 641,
    JP_TC_5HP_1 = 642,
    JP_TC_5HP_2 = 643,
    JP_TC_5HK_2 = 644,
    JP_6HK_RECOVERY = 645,
    JP_THROW_F = 715,
    JP_THROW_B = 716,
    JP_THROW_A = 717,
    JP_THROW_F_ATK = 720,
    JP_THROW_F_ATK_PUNISH = 722,
    JP_THROW_B_ATK = 724,
    JP_THROW_B_ATK_PUNISH = 726,
    JP_THROW_A_ATK = 728,
    JP_THROW_A_ATK_PUNISH = 730,
    JP_THROW_A_LAND = 731,
    JP_NORMAL_CANCEL_DRIVE_RUSH = 739,
    JP_RAW_DRIVE_RUSH = 740,
    JP_DRIVE_REVERSAL = 850,
    JP_DRIVE_REVERSAL_2 = 851,
    JP_DRIVE_IMPACT = 855,
    JP_DRIVE_IMPACT_COUNTER_HIT = 856,
    JP_DRIVE_IMPACT_COUNTER = 857,
    JP_STRIB_L = 900,
    JP_STRIB_M = 901,
    JP_STRIB_H = 902,
    JP_STRIB_EX = 903,
    JP_DEPART_WINDOW_TELEPORT = 912,
    JP_DEPART_SHADOW = 914,
    JP_DEPART_L = 915,
    JP_DEPART_M = 916,
    JP_DEPART_H = 917,
    JP_DEPART_LM_EX = 918,
    JP_DEPART_LH_EX = 919,
    JP_DEPART_MH_EX = 920,
    JP_DEPART_WINDOW = 933,
    JP_DEPART_WINDOW_M = 934,
    JP_DEPART_WINDOW_TELEPORT_AIR = 935,
    JP_DEPART_WINDOW_LAND = 939,
    JP_DEPART_WINDOW_H = 940,
    JP_TRIG_L = 945,
    JP_TRIG_M = 946,
    JP_TRIG_H = 947,
    JP_TRIG_LM_EX = 948,
    JP_TRIG_LH_EX = 949,
    JP_TRIG_MH_EX = 950,
    JP_TORB_L = 960,
    JP_TORB_M = 961,
    JP_TORB_H = 962,
    JP_TORB_CLONE_L = 963,
    JP_TORB_CLONE_M = 964,
    JP_TORB_CLONE_H = 965,
    JP_TORB_EX = 966,
    JP_AMNESIA_LMH = 995,
    JP_AMNESIA_LMH_COUNTER = 996,
    JP_AMNESIA_EX = 1000,
    JP_AMNESIA_EX_COUNTER = 1001,
    JP_EMBRACE_LMH = 1010,
    JP_EMBRACE_HIT = 1011,
    JP_EMBRACE_EX = 1016,
    JP_EMBRACE_EX_HIT = 1017,
    JP_CA1 = 1200,
    JP_CA1_SHOOT = 1201,
    JP_CA2 = 1211,
    JP_CA3 = 1235,
    JP_CA3_HIT = 1236,
    JP_CA3_LOW_HP = 1239,
    JP_CA3_LOW_HP_HIT = 1240,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum DhalsimActions {
    #[default]
    Dhalsim_INVALID_ID = -1,
    Dhalsim_BACKSTAGE = 0,
    Dhalsim_FOOTWORK = 1,
    Dhalsim_FOOTWORK_IDLE = 2,
    Dhalsim_CROUCH = 4,
    Dhalsim_SIT_DOWN = 5,
    Dhalsim_STAND_UP = 6,
    Dhalsim_TURN_STAND = 7,
    Dhalsim_TURN_CROUCH = 8,
    Dhalsim_WALK_F_BGN = 9,
    Dhalsim_WALK_FORWARD = 10,
    Dhalsim_WALK_F_END = 11,
    Dhalsim_SLIDE_FEET_F = 12,
    Dhalsim_WALK_B_BGN = 13,
    Dhalsim_WALK_BACK = 14,
    Dhalsim_WALK_B_END = 15,
    Dhalsim_SLIDE_FEET_B = 16,
    Dhalsim_DASH_F = 17,
    Dhalsim_DASH_B = 18,
    Dhalsim_DASH_F_END = 19,
    Dhalsim_DASH_B_END = 20,
    Dhalsim_RUN_F_BGN = 21,
    Dhalsim_RUN_F = 22,
    Dhalsim_RUN_F_END = 23,
    Dhalsim_RUN_B_BGN = 24,
    Dhalsim_RUN_B = 25,
    Dhalsim_RUN_B_END = 26,
    Dhalsim_DUCK_WALK_F_BGN = 27,
    Dhalsim_DUCK_WALK_F = 28,
    Dhalsim_DUCK_WALK_F_END = 29,
    Dhalsim_DUCK_WALK_B_BGN = 30,
    Dhalsim_DUCK_WALK_B = 31,
    Dhalsim_DUCK_WALK_B_END = 32,
    Dhalsim_JUMP_V_BGN = 33,
    Dhalsim_JUMP_F_BGN = 34,
    Dhalsim_JUMP_B_BGN = 35,
    Dhalsim_JUMP_V = 36,
    Dhalsim_JUMP_F = 37,
    Dhalsim_JUMP_B = 38,
    Dhalsim_JUMP_V_END = 39,
    Dhalsim_JUMP_F_END = 40,
    Dhalsim_JUMP_B_END = 41,
    Dhalsim_JUMP_ATK_END = 42,
    Dhalsim_W_JUMP_V = 44,
    Dhalsim_W_JUMP_F = 45,
    Dhalsim_W_JUMP_B = 46,
    Dhalsim_T_JUMP_WALL = 47,
    Dhalsim_T_JUMP = 48,
    Dhalsim_L_JUMP_V_BGN = 54,
    Dhalsim_L_JUMP_F_BGN = 55,
    Dhalsim_L_JUMP_B_BGN = 56,
    Dhalsim_L_JUMP_V = 57,
    Dhalsim_L_JUMP_F = 58,
    Dhalsim_L_JUMP_B = 59,
    Dhalsim_H_JUMP_V_BGN = 60,
    Dhalsim_H_JUMP_F_BGN = 61,
    Dhalsim_H_JUMP_B_BGN = 62,
    Dhalsim_H_JUMP_V = 63,
    Dhalsim_H_JUMP_F = 64,
    Dhalsim_H_JUMP_B = 65,
    Dhalsim_FLY_BGN = 66,
    Dhalsim_FLY_END = 67,
    Dhalsim_FLY_BASE = 68,
    Dhalsim_FLY_UU = 69,
    Dhalsim_FLY_BU = 70,
    Dhalsim_FLY_BB = 71,
    Dhalsim_FLY_BD = 72,
    Dhalsim_FLY_DD = 73,
    Dhalsim_FLY_FD = 74,
    Dhalsim_FLY_FF = 75,
    Dhalsim_FLY_FU = 76,
    Dhalsim_FLY_UU_END = 77,
    Dhalsim_FLY_BU_END = 78,
    Dhalsim_FLY_BB_END = 79,
    Dhalsim_FLY_BD_END = 80,
    Dhalsim_FLY_DD_END = 81,
    Dhalsim_FLY_FD_END = 82,
    Dhalsim_FLY_FF_END = 83,
    Dhalsim_FLY_FU_END = 84,
    Dhalsim_AIR_DASH_U = 85,
    Dhalsim_AIR_DASH_BU = 86,
    Dhalsim_AIR_DASH_B = 87,
    Dhalsim_AIR_DASH_BD = 88,
    Dhalsim_AIR_DASH_D = 89,
    Dhalsim_AIR_DASH_FD = 90,
    Dhalsim_AIR_DASH_F = 91,
    Dhalsim_AIR_DASH_FU = 92,
    Dhalsim_FALL_V = 93,
    Dhalsim_GRD_STAND_H_BGN = 100,
    Dhalsim_GRD_STAND_H = 101,
    Dhalsim_GRD_STAND_H_END = 102,
    Dhalsim_GRD_STAND_H_DM_L = 103,
    Dhalsim_GRD_STAND_H_DM_M = 104,
    Dhalsim_GRD_STAND_H_DM_H = 105,
    Dhalsim_GRD_STAND_H_DM_S = 106,
    Dhalsim_GRD_STAND_M_BGN = 107,
    Dhalsim_GRD_STAND_M = 108,
    Dhalsim_GRD_STAND_M_END = 109,
    Dhalsim_GRD_STAND_M_DM_L = 110,
    Dhalsim_GRD_STAND_M_DM_M = 111,
    Dhalsim_GRD_STAND_M_DM_H = 112,
    Dhalsim_GRD_STAND_M_DM_S = 113,
    Dhalsim_GRD_STAND_L_BGN = 114,
    Dhalsim_GRD_STAND_L = 115,
    Dhalsim_GRD_STAND_L_END = 116,
    Dhalsim_GRD_STAND_L_DM_L = 117,
    Dhalsim_GRD_STAND_L_DM_M = 118,
    Dhalsim_GRD_STAND_L_DM_H = 119,
    Dhalsim_GRD_STAND_L_DM_S = 120,
    Dhalsim_GRD_CROUCH_H_BGN = 121,
    Dhalsim_GRD_CROUCH_H = 122,
    Dhalsim_GRD_CROUCH_H_END = 123,
    Dhalsim_GRD_CROUCH_H_DM_L = 124,
    Dhalsim_GRD_CROUCH_H_DM_M = 125,
    Dhalsim_GRD_CROUCH_H_DM_H = 126,
    Dhalsim_GRD_CROUCH_H_DM_S = 127,
    Dhalsim_GRD_CROUCH_L_BGN = 128,
    Dhalsim_GRD_CROUCH_L = 129,
    Dhalsim_GRD_CROUCH_L_END = 130,
    Dhalsim_GRD_CROUCH_L_DM_L = 131,
    Dhalsim_GRD_CROUCH_L_DM_M = 132,
    Dhalsim_GRD_CROUCH_L_DM_H = 133,
    Dhalsim_GRD_CROUCH_L_DM_S = 134,
    Dhalsim_GRD_AIR_BGN = 135,
    Dhalsim_GRD_AIR = 136,
    Dhalsim_GRD_AIR_END = 137,
    Dhalsim_GRD_AIR_DM_L = 138,
    Dhalsim_GRD_AIR_DM_M = 139,
    Dhalsim_GRD_AIR_DM_H = 140,
    Dhalsim_GRD_AIR_DM_S = 141,
    Dhalsim_GRD_ZUSA_STAND = 143,
    Dhalsim_GRD_ZUSA_CROUCH = 144,
    Dhalsim_GRD_ZUSA_WALL = 145,
    Dhalsim_DGD_STAND_H_BGN = 150,
    Dhalsim_DGD_STAND_H = 151,
    Dhalsim_DGD_STAND_H_END = 152,
    Dhalsim_DGD_STAND_H_DM_L = 153,
    Dhalsim_DGD_STAND_H_DM_M = 154,
    Dhalsim_DGD_STAND_H_DM_H = 155,
    Dhalsim_DGD_STAND_H_DM_S = 156,
    Dhalsim_DGD_STAND_M_BGN = 157,
    Dhalsim_DGD_STAND_M = 158,
    Dhalsim_DGD_STAND_M_END = 159,
    Dhalsim_DGD_STAND_M_DM_L = 160,
    Dhalsim_DGD_STAND_M_DM_M = 161,
    Dhalsim_DGD_STAND_M_DM_H = 162,
    Dhalsim_DGD_STAND_M_DM_S = 163,
    Dhalsim_DGD_STAND_L_BGN = 164,
    Dhalsim_DGD_STAND_L = 165,
    Dhalsim_DGD_STAND_L_END = 166,
    Dhalsim_DGD_STAND_L_DM_L = 167,
    Dhalsim_DGD_STAND_L_DM_M = 168,
    Dhalsim_DGD_STAND_L_DM_H = 169,
    Dhalsim_DGD_STAND_L_DM_S = 170,
    Dhalsim_DGD_CROUCH_H_BGN = 171,
    Dhalsim_DGD_CROUCH_H = 172,
    Dhalsim_DGD_CROUCH_H_END = 173,
    Dhalsim_DGD_CROUCH_H_DM_L = 174,
    Dhalsim_DGD_CROUCH_H_DM_M = 175,
    Dhalsim_DGD_CROUCH_H_DM_H = 176,
    Dhalsim_DGD_CROUCH_H_DM_S = 177,
    Dhalsim_DGD_CROUCH_L_BGN = 178,
    Dhalsim_DGD_CROUCH_L = 179,
    Dhalsim_DGD_CROUCH_L_END = 180,
    Dhalsim_DGD_CROUCH_L_DM_L = 181,
    Dhalsim_DGD_CROUCH_L_DM_M = 182,
    Dhalsim_DGD_CROUCH_L_DM_H = 183,
    Dhalsim_DGD_CROUCH_L_DM_S = 184,
    Dhalsim_DGD_AIR_BGN = 185,
    Dhalsim_DGD_AIR = 186,
    Dhalsim_DGD_AIR_END = 187,
    Dhalsim_DGD_AIR_DM_L = 188,
    Dhalsim_DGD_AIR_DM_M = 189,
    Dhalsim_DGD_AIR_DM_H = 190,
    Dhalsim_DGD_AIR_DM_S = 191,
    Dhalsim_DMG_STD_H_FR_L = 200,
    Dhalsim_DMG_STD_H_FR_M = 201,
    Dhalsim_DMG_STD_H_FR_H = 202,
    Dhalsim_DMG_CRT_STD_H_FR = 203,
    Dhalsim_DMG_STD_M_FR_L = 204,
    Dhalsim_DMG_STD_M_FR_M = 205,
    Dhalsim_DMG_STD_M_FR_H = 206,
    Dhalsim_DMG_CRT_STD_M_FR = 207,
    Dhalsim_DMG_STD_L_FR_L = 208,
    Dhalsim_DMG_STD_L_FR_M = 209,
    Dhalsim_DMG_STD_L_FR_H = 210,
    Dhalsim_DMG_CRT_STD_L_FR = 211,
    Dhalsim_DMG_CRO_H_FR_L = 212,
    Dhalsim_DMG_CRO_H_FR_M = 213,
    Dhalsim_DMG_CRO_H_FR_H = 214,
    Dhalsim_DMG_CRT_CRO_H_FR = 215,
    Dhalsim_DMG_CRO_L_FR_L = 216,
    Dhalsim_DMG_CRO_L_FR_M = 217,
    Dhalsim_DMG_CRO_L_FR_H = 218,
    Dhalsim_DMG_CRT_CRO_L_FR = 219,
    Dhalsim_DMG_AIR_FR_L = 220,
    Dhalsim_DMG_AIR_FR_M = 221,
    Dhalsim_DMG_AIR_FR_H = 222,
    Dhalsim_DMG_STD_BK = 224,
    Dhalsim_BUTT_RISE_90 = 230,
    Dhalsim_BUTT_RISE_45 = 231,
    Dhalsim_BUTT_RISE_00 = 232,
    Dhalsim_BUTT_RISE_45m = 233,
    Dhalsim_BUTT_RISE_90m = 234,
    Dhalsim_BUTT_RISE_BK = 235,
    Dhalsim_BUTT_RISE_BK_90m = 236,
    Dhalsim_BUTT_FALL_90 = 237,
    Dhalsim_BUTT_FALL_45 = 238,
    Dhalsim_BUTT_FALL_00 = 239,
    Dhalsim_BUTT_FALL_45m = 240,
    Dhalsim_BUTT_FALL_90m = 241,
    Dhalsim_BUTT_FALL_BK = 242,
    Dhalsim_BUTT_FALL_BK_90m = 243,
    Dhalsim_BUTT_H_START_90 = 244,
    Dhalsim_BUTT_H_START_45 = 245,
    Dhalsim_BUTT_H_START_00 = 246,
    Dhalsim_BUTT_H_START_45m = 247,
    Dhalsim_BUTT_H_START_90m = 248,
    Dhalsim_BUTT_H_START_BK = 249,
    Dhalsim_BUTT_H_START_BK_90m = 250,
    Dhalsim_BUTT_B_START_90 = 251,
    Dhalsim_BUTT_B_START_45 = 252,
    Dhalsim_BUTT_B_START_00 = 253,
    Dhalsim_BUTT_B_START_45m = 254,
    Dhalsim_BUTT_B_START_90m = 255,
    Dhalsim_BUTT_START_BK = 256,
    Dhalsim_BUTT_START_BK_90m = 257,
    Dhalsim_KNOCK_DOWN_BK = 258,
    Dhalsim_DMG_HL_DOWN = 260,
    Dhalsim_DMG_HM_DOWN = 261,
    Dhalsim_DMG_HH_DOWN = 262,
    Dhalsim_DMG_CL_DOWN = 263,
    Dhalsim_DMG_CM_DOWN = 264,
    Dhalsim_DMG_CH_DOWN = 265,
    Dhalsim_DMG_HL_UPPER = 266,
    Dhalsim_DMG_HM_UPPER = 267,
    Dhalsim_DMG_HH_UPPER = 268,
    Dhalsim_DMG_BL_UPPER = 269,
    Dhalsim_DMG_BM_UPPER = 270,
    Dhalsim_DMG_BH_UPPER = 271,
    Dhalsim_ASHIBARAI = 273,
    Dhalsim_ASHIBARAI_BACK = 274,
    Dhalsim_KUZURE = 276,
    Dhalsim_FLOP_DOWN = 277,
    Dhalsim_DMG_H_SPIN_GROUND = 279,
    Dhalsim_DMG_H_SPIN_AIR = 280,
    Dhalsim_DMG_V_SPIN_GROUND = 281,
    Dhalsim_DMG_V_SPIN_AIR = 282,
    Dhalsim_WALL_HIT_FR = 284,
    Dhalsim_WALL_HIT_BK = 285,
    Dhalsim_WALL_DOWN_FR = 286,
    Dhalsim_WALL_DOWN_BK = 287,
    Dhalsim_DMG_GORO_FR = 289,
    Dhalsim_DMG_GORO_DOWN_FR = 290,
    Dhalsim_WALL_GROUND_FR = 291,
    Dhalsim_WALL_PIYO_STOP = 293,
    Dhalsim_WALL_PIYO_DOWN = 294,
    Dhalsim_THROWBREAK_TO = 320,
    Dhalsim_THROWBREAK_DONE = 321,
    Dhalsim_GUARD_BREAK_STAND = 322,
    Dhalsim_GUARD_BREAK_CROUCH = 323,
    Dhalsim_HARDDOWN_FU = 330,
    Dhalsim_HARDDOWN_FD = 331,
    Dhalsim_SLIDEDOWN_FU = 332,
    Dhalsim_SLIDEDOWN_FU_CMN = 333,
    Dhalsim_SLIDEDOWN_FD = 334,
    Dhalsim_SLIDEDOWN_FD_CMN = 335,
    Dhalsim_LIE_DOWN_FU = 336,
    Dhalsim_LIE_DOWN_FD = 337,
    Dhalsim_DOWN_DMG_FU = 338,
    Dhalsim_DOWN_DMG_FD = 339,
    Dhalsim_WAKEUP_FU = 340,
    Dhalsim_WAKEUP_FD = 341,
    Dhalsim_WAKEUP_F_FU = 342,
    Dhalsim_WAKEUP_F_FD = 343,
    Dhalsim_WAKEUP_B_FU = 344,
    Dhalsim_WAKEUP_B_FD = 345,
    Dhalsim_BUTT_TAOREN = 346,
    Dhalsim_AIR_RECOVERY_BK = 347,
    Dhalsim_BOUND_FU = 350,
    Dhalsim_BOUND_FD = 351,
    Dhalsim_STUN = 353,
    Dhalsim_STUN_END = 354,
    Dhalsim_KUZURE_DIE = 356,
    Dhalsim_APPEAR = 400,
    Dhalsim_APPEAR_END = 401,
    Dhalsim_APPEAR_ARCADE = 402,
    Dhalsim_APPEAR_STORY = 403,
    Dhalsim_LOSE = 405,
    Dhalsim_MID_LOSE_FU = 407,
    Dhalsim_MID_LOSE_FD = 408,
    Dhalsim_DRAW = 410,
    Dhalsim_RESULT = 412,
    Dhalsim_WIN = 414,
    Dhalsim_WIN_STORY = 415,
    Dhalsim_WIN_PERFECT = 416,
    Dhalsim_WIN_HI = 417,
    Dhalsim_WIN_MID = 418,
    Dhalsim_WIN_LOW = 419,
    Dhalsim_MINION_ENTRY = 470,
    Dhalsim_V_TOUCH_ENTRY = 471,
    Dhalsim_V_TOUCH_STOP = 472,
    Dhalsim_V_TOUCH_EXIT = 473,
    Dhalsim_TOUCH_POSE = 474,
    Dhalsim_TOUCH_JUMP = 475,
    Dhalsim_TOUCH_SUKI = 476,
    Dhalsim_TOUCH_NOKI = 477,
    Dhalsim_ASSIST_SUKI = 478,
    Dhalsim_PARRY_BGN = 480,
    Dhalsim_PARRY_LOOP = 481,
    Dhalsim_PARRY_END = 482,
    Dhalsim_PARRY_HIT_H = 483,
    Dhalsim_PARRY_HIT_M = 484,
    Dhalsim_PARRY_HIT_L = 485,
    Dhalsim_PARRY_JUST_H = 486,
    Dhalsim_PARRY_JUST_M = 487,
    Dhalsim_PARRY_JUST_L = 488,
    Dhalsim_PARRY_CRO_BGN = 489,
    Dhalsim_T_FOOTWORK = 510,
    Dhalsim_T_CROUCH = 511,
    Dhalsim_T_SIT_DOWN = 512,
    Dhalsim_T_STAND_UP = 513,
    Dhalsim_T_TURN_STAND = 514,
    Dhalsim_T_TURN_CROUCH = 515,
    Dhalsim_T_WALK_F_BGN = 516,
    Dhalsim_T_WALK_FORWARD = 517,
    Dhalsim_T_WALK_F_END = 518,
    Dhalsim_T_WALK_B_BGN = 519,
    Dhalsim_T_WALK_BACK = 520,
    Dhalsim_T_WALK_B_END = 521,
    Dhalsim_CONTINUE_FU = 530,
    Dhalsim_CONTINUE_FD = 531,
    Dhalsim_CONTINUE_SUCCESS = 532,
    Dhalsim_CONTINUE_FAILURE = 533,
    Dhalsim_ADV_STAND = 570,
    Dhalsim_ADV_SIT = 571,
    Dhalsim_ADV_AIR = 572,
    Dhalsim_IMM_STAGE_INIT = 580,
    Dhalsim_IMM_ROUND_INIT = 581,
    Dhalsim_IMM_DAMAGE_INIT = 582,
    Dhalsim_IMM_DAMAGE_EXIT = 583,
    Dhalsim_IMM_TO_NORMAL = 584,
    Dhalsim_IMM_TOUCH_EXIT = 585,
    Dhalsim_IMM_TOUCH_ENTRY = 586,
    Dhalsim_IMM_LANDING = 587,
    Dhalsim_IMM_HOLD_EXIT = 588,
    Dhalsim_IMM_FRAME_OUT = 589,
    Dhalsim_IMM_APPEAR_END = 590,
    Dhalsim_IMM_RESULT_INIT = 591,
    Dhalsim_COMMON_END = 599,
    Dhalsim_5LP = 600,
    Dhalsim_RC_5LP = 601,
    Dhalsim_5MP = 603,
    Dhalsim_5HP = 604,
    Dhalsim_5LK = 605,
    Dhalsim_5MK = 606,
    Dhalsim_5HK = 607,
    Dhalsim_2LP = 612,
    Dhalsim_RC_2LP = 613,
    Dhalsim_2MP = 615,
    Dhalsim_2HP = 616,
    Dhalsim_1LK = 617,
    Dhalsim_RC_1LK = 618,
    Dhalsim_RC_1LK_2 = 619,
    Dhalsim_1MK = 620,
    Dhalsim_1HK = 621,
    Dhalsim_8LP = 640,
    Dhalsim_8MP = 641,
    Dhalsim_8HP = 642,
    Dhalsim_8LK = 643,
    Dhalsim_8MK = 644,
    Dhalsim_8HK = 645,
    Dhalsim_AIR_NORMAL_LAND = 646,
    Dhalsim_1HP = 654,
    Dhalsim_4MP = 655,
    Dhalsim_4HP = 656,
    Dhalsim_2LK = 657,
    Dhalsim_2MK = 658,
    Dhalsim_2HK = 659,
    Dhalsim_4MK = 660,
    Dhalsim_4HK = 661,
    Dhalsim_82LK = 666,
    Dhalsim_82LK_HIT_BLOCK = 667,
    Dhalsim_82MK = 668,
    Dhalsim_82MK_HIT_BLOCK = 669,
    Dhalsim_82HK = 670,
    Dhalsim_82HK_HIT_BLOCK = 671,
    Dhalsim_82LK_LAND = 672,
    Dhalsim_82LK_LAND_2 = 673,
    Dhalsim_82MK_LAND = 674,
    Dhalsim_82MK_LAND_2 = 675,
    Dhalsim_82HK_LAND = 676,
    Dhalsim_82HK_LAND_2 = 677,
    Dhalsim_82LP = 681,
    Dhalsim_92LP_LAND = 684,
    Dhalsim_THROW_F = 715,
    Dhalsim_THROW_B = 717,
    Dhalsim_THROW_2 = 719,
    Dhalsim_THROW_F_ATK = 721,
    Dhalsim_THROW_F_ATK_PUNISH = 723,
    Dhalsim_THROW_B_ATK = 727,
    Dhalsim_THROW_B_ATK_PUNISH = 729,
    Dhalsim_THROW_2_ATK = 731,
    Dhalsim_THROW_2_ATK_PUNISH = 733,
    Dhalsim_NORMAL_CANCEL_DRIVE_RUSH = 739,
    Dhalsim_RAW_DRIVE_RUSH = 740,
    Dhalsim_DRIVE_REVERSAL = 850,
    Dhalsim_DRIVE_REVERSAL_2 = 852,
    Dhalsim_DRIVE_IMPACT = 854,
    Dhalsim_DRIVE_IMPACT_PUNISH_COUNTER = 855,
    Dhalsim_DRIVE_IMPACT_ABSORB = 856,
    Dhalsim_YOGA_FIRE_L_START = 900,
    Dhalsim_YOGA_FIRE_L_RELEASE = 901,
    Dhalsim_YOGA_FIRE_L_HOLD = 902,
    Dhalsim_YOGA_FIRE_M_START = 904,
    Dhalsim_YOGA_FIRE_M_RELEASE = 905,
    Dhalsim_YOGA_FIRE_M_HOLD = 906,
    Dhalsim_YOGA_FIRE_H_START = 908,
    Dhalsim_YOGA_FIRE_H_RELEASE = 909,
    Dhalsim_YOGA_FIRE_H_HOLD = 910,
    Dhalsim_YOGA_FIRE_EX_LM = 912,
    Dhalsim_YOGA_FIRE_EX_LH = 913,
    Dhalsim_YOGA_FIRE_EX_MH = 914,
    Dhalsim_YOGA_BLAST_L = 937,
    Dhalsim_YOGA_BLAST_M = 938,
    Dhalsim_YOGA_BLAST_H = 939,
    Dhalsim_YOGA_BLAST_EX = 940,
    Dhalsim_YOGA_FLAME_L = 966,
    Dhalsim_YOGA_FLAME_M = 967,
    Dhalsim_YOGA_FLAME_H = 968,
    Dhalsim_YOGA_FLAME_EX = 969,
    Dhalsim_YOGA_ARCH_L = 988,
    Dhalsim_YOGA_ARCH_M = 989,
    Dhalsim_YOGA_ARCH_H = 990,
    Dhalsim_YOGA_ARCH_EX_LM = 992,
    Dhalsim_YOGA_ARCH_EX_LH = 993,
    Dhalsim_YOGA_ARCH_EX_MH = 994,
    Dhalsim_6PPP_GND_YOGA_TELEPORT_F = 1031,
    Dhalsim_6KKK_YOGA_TELEPORT_F = 1032,
    Dhalsim_4KKK_4PPP_GND_YOGA_TELEPORT_B = 1033,
    Dhalsim_6PPP_AIR_YOGA_TELEPORT_F = 1036,
    Dhalsim_6KKK_AIR_YOGA_TELEPORT_F = 1037,
    Dhalsim_4PPP_AIR_YOGA_TELEPORT_B = 1038,
    Dhalsim_4KKK_AIR_YOGA_TELEPORT_B = 1039,
    Dhalsim_AIR_YOGA_TELEPORT_LAND = 1040,
    Dhalsim_2KK_YOGA_FLOAT_START = 1042,
    Dhalsim_3KK_YOGA_FLOAT_START = 1043,
    Dhalsim_YOGA_FLOAT = 1044,
    Dhalsim_82KK_AIR_YOGA_FLOAT = 1045,
    Dhalsim_YOGA_FLOAT_FORWARD = 1046,
    Dhalsim_YOGA_FLOAT_STOP_MOVEMENT_FORWARD = 1047,
    Dhalsim_YOGA_FLOAT_BACKWARD = 1048,
    Dhalsim_YOGA_FLOAT_STOP_MOVEMENT_BACKWARD = 1049,
    Dhalsim_YOGA_FLOAT_DROP = 1051,
    Dhalsim_YOGA_FLOAT_LAND = 1052,
    Dhalsim_YOGA_COMET_L = 1054,
    Dhalsim_YOGA_COMET_M = 1055,
    Dhalsim_YOGA_COMET_H = 1056,
    Dhalsim_YOGA_COMET_EX = 1057,
    Dhalsim_YOGA_COMET_LAND = 1058,
    Dhalsim_CA1_L = 1200,
    Dhalsim_CA1_M = 1203,
    Dhalsim_CA1_H = 1206,
    Dhalsim_CA2_START = 1210,
    Dhalsim_CA2_RELEASE = 1211,
    Dhalsim_CA2_HOLD = 1213,
    Dhalsim_CA3_START = 1284,
    Dhalsim_CA3_SWING = 1285,
    Dhalsim_CA3_HIT = 1286,
    Dhalsim_CA3_START_LOW_HP = 1290,
    Dhalsim_CA3_HIT_LOW_HP = 1291,
    Dhalsim_APPEAL_CLOSE_RANGE = 1496,
    Dhalsim_APPEAL_MEDIUM_RANGE = 1497,
    Dhalsim_APPEAL_FAR = 1498,
    Dhalsim_APPEAL_6 = 1499,
    Dhalsim_APPEAL_4 = 1500,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum CammyActions {
    #[default]
    Cammy_INVALID_ID = -1,
    Cammy_BACKSTAGE = 0,
    Cammy_FOOTWORK = 1,
    Cammy_FOOTWORK_IDLE = 2,
    Cammy_CROUCH = 4,
    Cammy_SIT_DOWN = 5,
    Cammy_STAND_UP = 6,
    Cammy_TURN_STAND = 7,
    Cammy_TURN_CROUCH = 8,
    Cammy_WALK_F_BGN = 9,
    Cammy_WALK_FORWARD = 10,
    Cammy_WALK_F_END = 11,
    Cammy_SLIDE_FEET_F = 12,
    Cammy_WALK_B_BGN = 13,
    Cammy_WALK_BACK = 14,
    Cammy_WALK_B_END = 15,
    Cammy_SLIDE_FEET_B = 16,
    Cammy_DASH_F = 17,
    Cammy_DASH_B = 18,
    Cammy_DASH_F_END = 19,
    Cammy_DASH_B_END = 20,
    Cammy_RUN_F_BGN = 21,
    Cammy_RUN_F = 22,
    Cammy_RUN_F_END = 23,
    Cammy_RUN_B_BGN = 24,
    Cammy_RUN_B = 25,
    Cammy_RUN_B_END = 26,
    Cammy_DUCK_WALK_F_BGN = 27,
    Cammy_DUCK_WALK_F = 28,
    Cammy_DUCK_WALK_F_END = 29,
    Cammy_DUCK_WALK_B_BGN = 30,
    Cammy_DUCK_WALK_B = 31,
    Cammy_DUCK_WALK_B_END = 32,
    Cammy_JUMP_V_BGN = 33,
    Cammy_JUMP_F_BGN = 34,
    Cammy_JUMP_B_BGN = 35,
    Cammy_JUMP_V = 36,
    Cammy_JUMP_F = 37,
    Cammy_JUMP_B = 38,
    Cammy_JUMP_V_END = 39,
    Cammy_JUMP_F_END = 40,
    Cammy_JUMP_B_END = 41,
    Cammy_JUMP_ATK_END = 42,
    Cammy_W_JUMP_V = 44,
    Cammy_W_JUMP_F = 45,
    Cammy_W_JUMP_B = 46,
    Cammy_T_JUMP_WALL = 47,
    Cammy_T_JUMP = 48,
    Cammy_L_JUMP_V_BGN = 54,
    Cammy_L_JUMP_F_BGN = 55,
    Cammy_L_JUMP_B_BGN = 56,
    Cammy_L_JUMP_V = 57,
    Cammy_L_JUMP_F = 58,
    Cammy_L_JUMP_B = 59,
    Cammy_H_JUMP_V_BGN = 60,
    Cammy_H_JUMP_F_BGN = 61,
    Cammy_H_JUMP_B_BGN = 62,
    Cammy_H_JUMP_V = 63,
    Cammy_H_JUMP_F = 64,
    Cammy_H_JUMP_B = 65,
    Cammy_FLY_BGN = 66,
    Cammy_FLY_END = 67,
    Cammy_FLY_BASE = 68,
    Cammy_FLY_UU = 69,
    Cammy_FLY_BU = 70,
    Cammy_FLY_BB = 71,
    Cammy_FLY_BD = 72,
    Cammy_FLY_DD = 73,
    Cammy_FLY_FD = 74,
    Cammy_FLY_FF = 75,
    Cammy_FLY_FU = 76,
    Cammy_FLY_UU_END = 77,
    Cammy_FLY_BU_END = 78,
    Cammy_FLY_BB_END = 79,
    Cammy_FLY_BD_END = 80,
    Cammy_FLY_DD_END = 81,
    Cammy_FLY_FD_END = 82,
    Cammy_FLY_FF_END = 83,
    Cammy_FLY_FU_END = 84,
    Cammy_AIR_DASH_U = 85,
    Cammy_AIR_DASH_BU = 86,
    Cammy_AIR_DASH_B = 87,
    Cammy_AIR_DASH_BD = 88,
    Cammy_AIR_DASH_D = 89,
    Cammy_AIR_DASH_FD = 90,
    Cammy_AIR_DASH_F = 91,
    Cammy_AIR_DASH_FU = 92,
    Cammy_FALL_V = 93,
    Cammy_GRD_STAND_H_BGN = 100,
    Cammy_GRD_STAND_H = 101,
    Cammy_GRD_STAND_H_END = 102,
    Cammy_GRD_STAND_H_DM_L = 103,
    Cammy_GRD_STAND_H_DM_M = 104,
    Cammy_GRD_STAND_H_DM_H = 105,
    Cammy_GRD_STAND_H_DM_S = 106,
    Cammy_GRD_STAND_M_BGN = 107,
    Cammy_GRD_STAND_M = 108,
    Cammy_GRD_STAND_M_END = 109,
    Cammy_GRD_STAND_M_DM_L = 110,
    Cammy_GRD_STAND_M_DM_M = 111,
    Cammy_GRD_STAND_M_DM_H = 112,
    Cammy_GRD_STAND_M_DM_S = 113,
    Cammy_GRD_STAND_L_BGN = 114,
    Cammy_GRD_STAND_L = 115,
    Cammy_GRD_STAND_L_END = 116,
    Cammy_GRD_STAND_L_DM_L = 117,
    Cammy_GRD_STAND_L_DM_M = 118,
    Cammy_GRD_STAND_L_DM_H = 119,
    Cammy_GRD_STAND_L_DM_S = 120,
    Cammy_GRD_CROUCH_H_BGN = 121,
    Cammy_GRD_CROUCH_H = 122,
    Cammy_GRD_CROUCH_H_END = 123,
    Cammy_GRD_CROUCH_H_DM_L = 124,
    Cammy_GRD_CROUCH_H_DM_M = 125,
    Cammy_GRD_CROUCH_H_DM_H = 126,
    Cammy_GRD_CROUCH_H_DM_S = 127,
    Cammy_GRD_CROUCH_L_BGN = 128,
    Cammy_GRD_CROUCH_L = 129,
    Cammy_GRD_CROUCH_L_END = 130,
    Cammy_GRD_CROUCH_L_DM_L = 131,
    Cammy_GRD_CROUCH_L_DM_M = 132,
    Cammy_GRD_CROUCH_L_DM_H = 133,
    Cammy_GRD_CROUCH_L_DM_S = 134,
    Cammy_GRD_AIR_BGN = 135,
    Cammy_GRD_AIR = 136,
    Cammy_GRD_AIR_END = 137,
    Cammy_GRD_AIR_DM_L = 138,
    Cammy_GRD_AIR_DM_M = 139,
    Cammy_GRD_AIR_DM_H = 140,
    Cammy_GRD_AIR_DM_S = 141,
    Cammy_GRD_ZUSA_STAND = 143,
    Cammy_GRD_ZUSA_CROUCH = 144,
    Cammy_GRD_ZUSA_WALL = 145,
    Cammy_DGD_STAND_H_BGN = 150,
    Cammy_DGD_STAND_H = 151,
    Cammy_DGD_STAND_H_END = 152,
    Cammy_DGD_STAND_H_DM_L = 153,
    Cammy_DGD_STAND_H_DM_M = 154,
    Cammy_DGD_STAND_H_DM_H = 155,
    Cammy_DGD_STAND_H_DM_S = 156,
    Cammy_DGD_STAND_M_BGN = 157,
    Cammy_DGD_STAND_M = 158,
    Cammy_DGD_STAND_M_END = 159,
    Cammy_DGD_STAND_M_DM_L = 160,
    Cammy_DGD_STAND_M_DM_M = 161,
    Cammy_DGD_STAND_M_DM_H = 162,
    Cammy_DGD_STAND_M_DM_S = 163,
    Cammy_DGD_STAND_L_BGN = 164,
    Cammy_DGD_STAND_L = 165,
    Cammy_DGD_STAND_L_END = 166,
    Cammy_DGD_STAND_L_DM_L = 167,
    Cammy_DGD_STAND_L_DM_M = 168,
    Cammy_DGD_STAND_L_DM_H = 169,
    Cammy_DGD_STAND_L_DM_S = 170,
    Cammy_DGD_CROUCH_H_BGN = 171,
    Cammy_DGD_CROUCH_H = 172,
    Cammy_DGD_CROUCH_H_END = 173,
    Cammy_DGD_CROUCH_H_DM_L = 174,
    Cammy_DGD_CROUCH_H_DM_M = 175,
    Cammy_DGD_CROUCH_H_DM_H = 176,
    Cammy_DGD_CROUCH_H_DM_S = 177,
    Cammy_DGD_CROUCH_L_BGN = 178,
    Cammy_DGD_CROUCH_L = 179,
    Cammy_DGD_CROUCH_L_END = 180,
    Cammy_DGD_CROUCH_L_DM_L = 181,
    Cammy_DGD_CROUCH_L_DM_M = 182,
    Cammy_DGD_CROUCH_L_DM_H = 183,
    Cammy_DGD_CROUCH_L_DM_S = 184,
    Cammy_DGD_AIR_BGN = 185,
    Cammy_DGD_AIR = 186,
    Cammy_DGD_AIR_END = 187,
    Cammy_DGD_AIR_DM_L = 188,
    Cammy_DGD_AIR_DM_M = 189,
    Cammy_DGD_AIR_DM_H = 190,
    Cammy_DGD_AIR_DM_S = 191,
    Cammy_DMG_STD_H_FR_L = 200,
    Cammy_DMG_STD_H_FR_M = 201,
    Cammy_DMG_STD_H_FR_H = 202,
    Cammy_DMG_CRT_STD_H_FR = 203,
    Cammy_DMG_STD_M_FR_L = 204,
    Cammy_DMG_STD_M_FR_M = 205,
    Cammy_DMG_STD_M_FR_H = 206,
    Cammy_DMG_CRT_STD_M_FR = 207,
    Cammy_DMG_STD_L_FR_L = 208,
    Cammy_DMG_STD_L_FR_M = 209,
    Cammy_DMG_STD_L_FR_H = 210,
    Cammy_DMG_CRT_STD_L_FR = 211,
    Cammy_DMG_CRO_H_FR_L = 212,
    Cammy_DMG_CRO_H_FR_M = 213,
    Cammy_DMG_CRO_H_FR_H = 214,
    Cammy_DMG_CRT_CRO_H_FR = 215,
    Cammy_DMG_CRO_L_FR_L = 216,
    Cammy_DMG_CRO_L_FR_M = 217,
    Cammy_DMG_CRO_L_FR_H = 218,
    Cammy_DMG_CRT_CRO_L_FR = 219,
    Cammy_DMG_AIR_FR_L = 220,
    Cammy_DMG_AIR_FR_M = 221,
    Cammy_DMG_AIR_FR_H = 222,
    Cammy_DMG_STD_BK = 224,
    Cammy_BUTT_RISE_90 = 230,
    Cammy_BUTT_RISE_45 = 231,
    Cammy_BUTT_RISE_00 = 232,
    Cammy_BUTT_RISE_45m = 233,
    Cammy_BUTT_RISE_90m = 234,
    Cammy_BUTT_RISE_BK = 235,
    Cammy_BUTT_RISE_BK_90m = 236,
    Cammy_BUTT_FALL_90 = 237,
    Cammy_BUTT_FALL_45 = 238,
    Cammy_BUTT_FALL_00 = 239,
    Cammy_BUTT_FALL_45m = 240,
    Cammy_BUTT_FALL_90m = 241,
    Cammy_BUTT_FALL_BK = 242,
    Cammy_BUTT_FALL_BK_90m = 243,
    Cammy_BUTT_H_START_90 = 244,
    Cammy_BUTT_H_START_45 = 245,
    Cammy_BUTT_H_START_00 = 246,
    Cammy_BUTT_H_START_45m = 247,
    Cammy_BUTT_H_START_90m = 248,
    Cammy_BUTT_H_START_BK = 249,
    Cammy_BUTT_H_START_BK_90m = 250,
    Cammy_BUTT_B_START_90 = 251,
    Cammy_BUTT_B_START_45 = 252,
    Cammy_BUTT_B_START_00 = 253,
    Cammy_BUTT_B_START_45m = 254,
    Cammy_BUTT_B_START_90m = 255,
    Cammy_BUTT_START_BK = 256,
    Cammy_BUTT_START_BK_90m = 257,
    Cammy_KNOCK_DOWN_BK = 258,
    Cammy_DMG_HL_DOWN = 260,
    Cammy_DMG_HM_DOWN = 261,
    Cammy_DMG_HH_DOWN = 262,
    Cammy_DMG_CL_DOWN = 263,
    Cammy_DMG_CM_DOWN = 264,
    Cammy_DMG_CH_DOWN = 265,
    Cammy_DMG_HL_UPPER = 266,
    Cammy_DMG_HM_UPPER = 267,
    Cammy_DMG_HH_UPPER = 268,
    Cammy_DMG_BL_UPPER = 269,
    Cammy_DMG_BM_UPPER = 270,
    Cammy_DMG_BH_UPPER = 271,
    Cammy_ASHIBARAI = 273,
    Cammy_ASHIBARAI_BACK = 274,
    Cammy_KUZURE = 276,
    Cammy_FLOP_DOWN = 277,
    Cammy_DMG_H_SPIN_GROUND = 279,
    Cammy_DMG_H_SPIN_AIR = 280,
    Cammy_DMG_V_SPIN_GROUND = 281,
    Cammy_DMG_V_SPIN_AIR = 282,
    Cammy_WALL_HIT_FR = 284,
    Cammy_WALL_HIT_BK = 285,
    Cammy_WALL_DOWN_FR = 286,
    Cammy_WALL_DOWN_BK = 287,
    Cammy_DMG_GORO_FR = 289,
    Cammy_DMG_GORO_DOWN_FR = 290,
    Cammy_WALL_GROUND_FR = 291,
    Cammy_WALL_PIYO_STOP = 293,
    Cammy_WALL_PIYO_DOWN = 294,
    Cammy_THROWBREAK_TO = 320,
    Cammy_THROWBREAK_DONE = 321,
    Cammy_GUARD_BREAK_STAND = 322,
    Cammy_GUARD_BREAK_CROUCH = 323,
    Cammy_HARDDOWN_FU = 330,
    Cammy_HARDDOWN_FD = 331,
    Cammy_SLIDEDOWN_FU = 332,
    Cammy_SLIDEDOWN_FU_CMN = 333,
    Cammy_SLIDEDOWN_FD = 334,
    Cammy_SLIDEDOWN_FD_CMN = 335,
    Cammy_LIE_DOWN_FU = 336,
    Cammy_LIE_DOWN_FD = 337,
    Cammy_DOWN_DMG_FU = 338,
    Cammy_DOWN_DMG_FD = 339,
    Cammy_WAKEUP_FU = 340,
    Cammy_WAKEUP_FD = 341,
    Cammy_WAKEUP_F_FU = 342,
    Cammy_WAKEUP_F_FD = 343,
    Cammy_WAKEUP_B_FU = 344,
    Cammy_WAKEUP_B_FD = 345,
    Cammy_BUTT_TAOREN = 346,
    Cammy_AIR_RECOVERY_BK = 347,
    Cammy_BOUND_FU = 350,
    Cammy_BOUND_FD = 351,
    Cammy_STUN = 353,
    Cammy_STUN_END = 354,
    Cammy_KUZURE_DIE = 356,
    Cammy_APPEAR = 400,
    Cammy_APPEAR_END = 401,
    Cammy_APPEAR_ARCADE = 402,
    Cammy_APPEAR_STORY = 403,
    Cammy_LOSE = 405,
    Cammy_MID_LOSE_FU = 407,
    Cammy_MID_LOSE_FD = 408,
    Cammy_DRAW = 410,
    Cammy_RESULT = 412,
    Cammy_WIN = 414,
    Cammy_WIN_STORY = 415,
    Cammy_WIN_PERFECT = 416,
    Cammy_WIN_HI = 417,
    Cammy_WIN_MID = 418,
    Cammy_WIN_LOW = 419,
    Cammy_MINION_ENTRY = 470,
    Cammy_V_TOUCH_ENTRY = 471,
    Cammy_V_TOUCH_STOP = 472,
    Cammy_V_TOUCH_EXIT = 473,
    Cammy_TOUCH_POSE = 474,
    Cammy_TOUCH_JUMP = 475,
    Cammy_TOUCH_SUKI = 476,
    Cammy_TOUCH_NOKI = 477,
    Cammy_ASSIST_SUKI = 478,
    Cammy_PARRY_BGN = 480,
    Cammy_PARRY_LOOP = 481,
    Cammy_PARRY_END = 482,
    Cammy_PARRY_HIT_H = 483,
    Cammy_PARRY_HIT_M = 484,
    Cammy_PARRY_HIT_L = 485,
    Cammy_PARRY_JUST_H = 486,
    Cammy_PARRY_JUST_M = 487,
    Cammy_PARRY_JUST_L = 488,
    Cammy_PARRY_CRO_BGN = 489,
    Cammy_RAW_DRIVE_RUSH = 500,
    Cammy_NORMAL_CANCEL_DRIVE_RUSH = 501,
    Cammy_T_FOOTWORK = 510,
    Cammy_T_CROUCH = 511,
    Cammy_T_SIT_DOWN = 512,
    Cammy_T_STAND_UP = 513,
    Cammy_T_TURN_STAND = 514,
    Cammy_T_TURN_CROUCH = 515,
    Cammy_T_WALK_F_BGN = 516,
    Cammy_T_WALK_FORWARD = 517,
    Cammy_T_WALK_F_END = 518,
    Cammy_T_WALK_B_BGN = 519,
    Cammy_T_WALK_BACK = 520,
    Cammy_T_WALK_B_END = 521,
    Cammy_CONTINUE_FU = 530,
    Cammy_CONTINUE_FD = 531,
    Cammy_CONTINUE_SUCCESS = 532,
    Cammy_CONTINUE_FAILURE = 533,
    Cammy_ADV_STAND = 570,
    Cammy_ADV_SIT = 571,
    Cammy_ADV_AIR = 572,
    Cammy_IMM_STAGE_INIT = 580,
    Cammy_IMM_ROUND_INIT = 581,
    Cammy_IMM_DAMAGE_INIT = 582,
    Cammy_IMM_DAMAGE_EXIT = 583,
    Cammy_IMM_TO_NORMAL = 584,
    Cammy_IMM_TOUCH_EXIT = 585,
    Cammy_IMM_TOUCH_ENTRY = 586,
    Cammy_IMM_LANDING = 587,
    Cammy_IMM_HOLD_EXIT = 588,
    Cammy_IMM_FRAME_OUT = 589,
    Cammy_IMM_APPEAR_END = 590,
    Cammy_IMM_RESULT_INIT = 591,
    Cammy_COMMON_END = 599,
    Cammy_5LP = 600,
    Cammy_5MP = 604,
    Cammy_5HP = 606,
    Cammy_5LK = 609,
    Cammy_5MK = 612,
    Cammy_5HK = 615,
    Cammy_5HK_SWING = 616,
    Cammy_2LP = 618,
    Cammy_2MP = 622,
    Cammy_2HP = 625,
    Cammy_2LK = 628,
    Cammy_2MK = 632,
    Cammy_2HK = 635,
    Cammy_8LP = 638,
    Cammy_8MP = 639,
    Cammy_HP = 640,
    Cammy_8LK = 641,
    Cammy_8MK = 642,
    Cammy_8HK = 643,
    Cammy_AIR_NORMAL_LAND = 645,
    Cammy_4MP = 647,
    Cammy_4HK = 648,
    Cammy_6HK = 649,
    Cammy_TC_4HK = 651,
    Cammy_TC_5HK = 652,
    Cammy_THROW_F = 715,
    Cammy_THROW_F_ATK = 716,
    Cammy_THROW_F_ATK_PUNISH = 718,
    Cammy_THROW_B = 720,
    Cammy_THROW_B_ATK = 721,
    Cammy_THROW_B_ATK_PUNISH = 723,
    Cammy_THROW_A = 730,
    Cammy_THROW_A_ATK = 731,
    Cammy_THROW_A_ATK_LAND__1 = 732,
    Cammy_THROW_A_ATK_PUNISH = 735,
    Cammy_THROW_A_ATK_LAND = 736,
    Cammy_DRIVE_REVERSAL = 850,
    Cammy_DRIVE_REVERSAL_2 = 851,
    Cammy_DRIVE_IMPACT = 855,
    Cammy_DRIVE_IMPACT_COUNTER_HIT = 856,
    Cammy_DRIVE_IMPACT_COUNTER = 857,
    Cammy_SPIRAL_L = 900,
    Cammy_SPIRAL_M = 902,
    Cammy_SPIRAL_H_HOLD = 904,
    Cammy_SPIRAL_H_RECOVERY = 906,
    Cammy_SPIRAL_H_RELEASE = 908,
    Cammy_SPIRAL_EX = 910,
    Cammy_SPIRAL_EX_RECOVERY = 912,
    Cammy_SPIKE_L = 915,
    Cammy_SPIKE_M = 916,
    Cammy_SPIKE_L_HIT = 918,
    Cammy_SPIKE_H_HOLD = 919,
    Cammy_SPIKE_H_HOLD_HIT = 920,
    Cammy_SPIKE_H_RELEASE = 922,
    Cammy_SPIKE_EX = 923,
    Cammy_SPIKE_EX_HIT = 924,
    Cammy_SPIKE_LAND = 926,
    Cammy_SPIKE_H_HOLD_LAND = 927,
    Cammy_SPIKE_M_HIT = 932,
    Cammy_SPIKE_H_HIT_2 = 933,
    Cammy_SPIN_KUNCKLE_L = 935,
    Cammy_SPIN_KUNCKLE_M = 936,
    Cammy_SPIN_KUNCKLE_H = 937,
    Cammy_SPIN_KUNCKLE_EX = 938,
    Cammy_SPIN_KUNCKLE_SIDE_SWAP_2 = 939,
    Cammy_SPIN_KUNCKLE_EX_SIDE_SWAP = 940,
    Cammy_NORMAL_CANCEL_SPIN_KUNCKLE_EX = 941,
    Cammy_HOOLIGAN_L = 945,
    Cammy_HOOLIGAN_M = 946,
    Cammy_HOOLIGAN_H_HOLD = 947,
    Cammy_HOOLIGAN_H_RELEASE = 948,
    Cammy_HOOLIGAN_EX_LM = 949,
    Cammy_HOOLIGAN_EX_LH = 950,
    Cammy_HOOLIGAN_EX_MH = 951,
    Cammy_HOOLIGAN_LAND = 960,
    Cammy_HOOLIGAN_HOLD_LAND = 961,
    Cammy_HOOLIGAN_EX_LAND = 962,
    Cammy_HOOLIGAN_SILENT = 964,
    Cammy_HOOLIGAN_H_HOLD_SILENT = 965,
    Cammy_HOOLIGAN_EX_SILENT = 966,
    Cammy_HOOLIGAN_SILENT_LAND = 967,
    Cammy_HOOLIGAN_THROW = 970,
    Cammy_HOOLIGAN_THROW_ATK = 972,
    Cammy_HOOLIGAN_THROW_ATK_PUNISH = 973,
    Cammy_HOOLIGAN_H_HOLD_THROW = 975,
    Cammy_HOOLIGAN_H_HOLD_THROW_ATK = 976,
    Cammy_HOOLIGAN_H_HOLD_THROW_ATK_PUNISH = 977,
    Cammy_HOOLIGAN_EX_THROW = 979,
    Cammy_HOOLIGAN_EX_THROW_ATK = 980,
    Cammy_HOOLIGAN_EX_THROW_ATK_PUNISH = 981,
    Cammy_HOOLIGAN_EDGE = 985,
    Cammy_HOOLIGAN_H_HOLD_EDGE = 987,
    Cammy_HOOLIGAN_EX_EDGE = 989,
    Cammy_HOOLIGAN_EDGE_LAND = 991,
    Cammy_HOOLIGAN_H_HOLD_EDGE_LAND = 992,
    Cammy_HOOLIGAN_L_STRIKE = 1005,
    Cammy_HOOLIGAN_STRIKE_M = 1006,
    Cammy_HOOLIGAN_STRIKE_H = 1007,
    Cammy_HOOLIGAN_H_HOLD_STRIKE = 1008,
    Cammy_HOOLIGAN_EX_STRIKE = 1009,
    Cammy_HOOLIGAN_STRIKE_LAND = 1010,
    Cammy_HOOLIGAN_EX_STRIKE_LAND = 1011,
    Cammy_AIR_STRIKE_L = 1013,
    Cammy_AIR_STRIKE_M = 1014,
    Cammy_AIR_STRIKE_H = 1015,
    Cammy_AIR_STRIKE_EX = 1016,
    Cammy_AIR_STRIKE_L_LAND = 1017,
    Cammy_AIR_STRIKE_EX_LAND = 1018,
    Cammy_CA1 = 1200,
    Cammy_CA1_HIT = 1201,
    Cammy_CA1_LAND = 1202,
    Cammy_CA2 = 1210,
    Cammy_CA2_AIR = 1211,
    Cammy_CA2_GO = 1212,
    Cammy_CA2_HIT = 1213,
    Cammy_CA2_LAND = 1215,
    Cammy_CA3 = 1231,
    Cammy_CA3_HIT = 1232,
    Cammy_CA3_LOW_HP = 1241,
    Cammy_CA3_LOW_HP_HIT = 1242,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum KenActions {
    #[default]
    Ken_INVALID_ID = -1,
    Ken_BACKSTAGE = 0,
    Ken_FOOTWORK = 1,
    Ken_FOOTWORK_IDLE = 2,
    Ken_CROUCH = 4,
    Ken_SIT_DOWN = 5,
    Ken_STAND_UP = 6,
    Ken_TURN_STAND = 7,
    Ken_TURN_CROUCH = 8,
    Ken_WALK_F_BGN = 9,
    Ken_WALK_FORWARD = 10,
    Ken_WALK_F_END = 11,
    Ken_SLIDE_FEET_F = 12,
    Ken_WALK_B_BGN = 13,
    Ken_WALK_BACK = 14,
    Ken_WALK_B_END = 15,
    Ken_SLIDE_FEET_B = 16,
    Ken_DASH_F = 17,
    Ken_DASH_B = 18,
    Ken_DASH_F_END = 19,
    Ken_DASH_B_END = 20,
    Ken_RUN_F_BGN = 21,
    Ken_RUN_F = 22,
    Ken_RUN_F_END = 23,
    Ken_RUN_B_BGN = 24,
    Ken_RUN_B = 25,
    Ken_RUN_B_END = 26,
    Ken_DUCK_WALK_F_BGN = 27,
    Ken_DUCK_WALK_F = 28,
    Ken_DUCK_WALK_F_END = 29,
    Ken_DUCK_WALK_B_BGN = 30,
    Ken_DUCK_WALK_B = 31,
    Ken_DUCK_WALK_B_END = 32,
    Ken_JUMP_V_BGN = 33,
    Ken_JUMP_F_BGN = 34,
    Ken_JUMP_B_BGN = 35,
    Ken_JUMP_V = 36,
    Ken_JUMP_F = 37,
    Ken_JUMP_B = 38,
    Ken_JUMP_V_END = 39,
    Ken_JUMP_F_END = 40,
    Ken_JUMP_B_END = 41,
    Ken_JUMP_ATK_END = 42,
    Ken_W_JUMP_V = 44,
    Ken_W_JUMP_F = 45,
    Ken_W_JUMP_B = 46,
    Ken_T_JUMP_WALL = 47,
    Ken_T_JUMP = 48,
    Ken_L_JUMP_V_BGN = 54,
    Ken_L_JUMP_F_BGN = 55,
    Ken_L_JUMP_B_BGN = 56,
    Ken_L_JUMP_V = 57,
    Ken_L_JUMP_F = 58,
    Ken_L_JUMP_B = 59,
    Ken_H_JUMP_V_BGN = 60,
    Ken_H_JUMP_F_BGN = 61,
    Ken_H_JUMP_B_BGN = 62,
    Ken_H_JUMP_V = 63,
    Ken_H_JUMP_F = 64,
    Ken_H_JUMP_B = 65,
    Ken_FLY_BGN = 66,
    Ken_FLY_END = 67,
    Ken_FLY_BASE = 68,
    Ken_FLY_UU = 69,
    Ken_FLY_BU = 70,
    Ken_FLY_BB = 71,
    Ken_FLY_BD = 72,
    Ken_FLY_DD = 73,
    Ken_FLY_FD = 74,
    Ken_FLY_FF = 75,
    Ken_FLY_FU = 76,
    Ken_FLY_UU_END = 77,
    Ken_FLY_BU_END = 78,
    Ken_FLY_BB_END = 79,
    Ken_FLY_BD_END = 80,
    Ken_FLY_DD_END = 81,
    Ken_FLY_FD_END = 82,
    Ken_FLY_FF_END = 83,
    Ken_FLY_FU_END = 84,
    Ken_AIR_DASH_U = 85,
    Ken_AIR_DASH_BU = 86,
    Ken_AIR_DASH_B = 87,
    Ken_AIR_DASH_BD = 88,
    Ken_AIR_DASH_D = 89,
    Ken_AIR_DASH_FD = 90,
    Ken_AIR_DASH_F = 91,
    Ken_AIR_DASH_FU = 92,
    Ken_FALL_V = 93,
    Ken_GRD_STAND_H_BGN = 100,
    Ken_GRD_STAND_H = 101,
    Ken_GRD_STAND_H_END = 102,
    Ken_GRD_STAND_H_DM_L = 103,
    Ken_GRD_STAND_H_DM_M = 104,
    Ken_GRD_STAND_H_DM_H = 105,
    Ken_GRD_STAND_H_DM_S = 106,
    Ken_GRD_STAND_M_BGN = 107,
    Ken_GRD_STAND_M = 108,
    Ken_GRD_STAND_M_END = 109,
    Ken_GRD_STAND_M_DM_L = 110,
    Ken_GRD_STAND_M_DM_M = 111,
    Ken_GRD_STAND_M_DM_H = 112,
    Ken_GRD_STAND_M_DM_S = 113,
    Ken_GRD_STAND_L_BGN = 114,
    Ken_GRD_STAND_L = 115,
    Ken_GRD_STAND_L_END = 116,
    Ken_GRD_STAND_L_DM_L = 117,
    Ken_GRD_STAND_L_DM_M = 118,
    Ken_GRD_STAND_L_DM_H = 119,
    Ken_GRD_STAND_L_DM_S = 120,
    Ken_GRD_CROUCH_H_BGN = 121,
    Ken_GRD_CROUCH_H = 122,
    Ken_GRD_CROUCH_H_END = 123,
    Ken_GRD_CROUCH_H_DM_L = 124,
    Ken_GRD_CROUCH_H_DM_M = 125,
    Ken_GRD_CROUCH_H_DM_H = 126,
    Ken_GRD_CROUCH_H_DM_S = 127,
    Ken_GRD_CROUCH_L_BGN = 128,
    Ken_GRD_CROUCH_L = 129,
    Ken_GRD_CROUCH_L_END = 130,
    Ken_GRD_CROUCH_L_DM_L = 131,
    Ken_GRD_CROUCH_L_DM_M = 132,
    Ken_GRD_CROUCH_L_DM_H = 133,
    Ken_GRD_CROUCH_L_DM_S = 134,
    Ken_GRD_AIR_BGN = 135,
    Ken_GRD_AIR = 136,
    Ken_GRD_AIR_END = 137,
    Ken_GRD_AIR_DM_L = 138,
    Ken_GRD_AIR_DM_M = 139,
    Ken_GRD_AIR_DM_H = 140,
    Ken_GRD_AIR_DM_S = 141,
    Ken_GRD_ZUSA_STAND = 143,
    Ken_GRD_ZUSA_CROUCH = 144,
    Ken_GRD_ZUSA_WALL = 145,
    Ken_DGD_STAND_H_BGN = 150,
    Ken_DGD_STAND_H = 151,
    Ken_DGD_STAND_H_END = 152,
    Ken_DGD_STAND_H_DM_L = 153,
    Ken_DGD_STAND_H_DM_M = 154,
    Ken_DGD_STAND_H_DM_H = 155,
    Ken_DGD_STAND_H_DM_S = 156,
    Ken_DGD_STAND_M_BGN = 157,
    Ken_DGD_STAND_M = 158,
    Ken_DGD_STAND_M_END = 159,
    Ken_DGD_STAND_M_DM_L = 160,
    Ken_DGD_STAND_M_DM_M = 161,
    Ken_DGD_STAND_M_DM_H = 162,
    Ken_DGD_STAND_M_DM_S = 163,
    Ken_DGD_STAND_L_BGN = 164,
    Ken_DGD_STAND_L = 165,
    Ken_DGD_STAND_L_END = 166,
    Ken_DGD_STAND_L_DM_L = 167,
    Ken_DGD_STAND_L_DM_M = 168,
    Ken_DGD_STAND_L_DM_H = 169,
    Ken_DGD_STAND_L_DM_S = 170,
    Ken_DGD_CROUCH_H_BGN = 171,
    Ken_DGD_CROUCH_H = 172,
    Ken_DGD_CROUCH_H_END = 173,
    Ken_DGD_CROUCH_H_DM_L = 174,
    Ken_DGD_CROUCH_H_DM_M = 175,
    Ken_DGD_CROUCH_H_DM_H = 176,
    Ken_DGD_CROUCH_H_DM_S = 177,
    Ken_DGD_CROUCH_L_BGN = 178,
    Ken_DGD_CROUCH_L = 179,
    Ken_DGD_CROUCH_L_END = 180,
    Ken_DGD_CROUCH_L_DM_L = 181,
    Ken_DGD_CROUCH_L_DM_M = 182,
    Ken_DGD_CROUCH_L_DM_H = 183,
    Ken_DGD_CROUCH_L_DM_S = 184,
    Ken_DGD_AIR_BGN = 185,
    Ken_DGD_AIR = 186,
    Ken_DGD_AIR_END = 187,
    Ken_DGD_AIR_DM_L = 188,
    Ken_DGD_AIR_DM_M = 189,
    Ken_DGD_AIR_DM_H = 190,
    Ken_DGD_AIR_DM_S = 191,
    Ken_DMG_STD_H_FR_L = 200,
    Ken_DMG_STD_H_FR_M = 201,
    Ken_DMG_STD_H_FR_H = 202,
    Ken_DMG_CRT_STD_H_FR = 203,
    Ken_DMG_STD_M_FR_L = 204,
    Ken_DMG_STD_M_FR_M = 205,
    Ken_DMG_STD_M_FR_H = 206,
    Ken_DMG_CRT_STD_M_FR = 207,
    Ken_DMG_STD_L_FR_L = 208,
    Ken_DMG_STD_L_FR_M = 209,
    Ken_DMG_STD_L_FR_H = 210,
    Ken_DMG_CRT_STD_L_FR = 211,
    Ken_DMG_CRO_H_FR_L = 212,
    Ken_DMG_CRO_H_FR_M = 213,
    Ken_DMG_CRO_H_FR_H = 214,
    Ken_DMG_CRT_CRO_H_FR = 215,
    Ken_DMG_CRO_L_FR_L = 216,
    Ken_DMG_CRO_L_FR_M = 217,
    Ken_DMG_CRO_L_FR_H = 218,
    Ken_DMG_CRT_CRO_L_FR = 219,
    Ken_DMG_AIR_FR_L = 220,
    Ken_DMG_AIR_FR_M = 221,
    Ken_DMG_AIR_FR_H = 222,
    Ken_DMG_STD_BK = 224,
    Ken_BUTT_RISE_90 = 230,
    Ken_BUTT_RISE_45 = 231,
    Ken_BUTT_RISE_00 = 232,
    Ken_BUTT_RISE_45m = 233,
    Ken_BUTT_RISE_90m = 234,
    Ken_BUTT_RISE_BK = 235,
    Ken_BUTT_RISE_BK_90m = 236,
    Ken_BUTT_FALL_90 = 237,
    Ken_BUTT_FALL_45 = 238,
    Ken_BUTT_FALL_00 = 239,
    Ken_BUTT_FALL_45m = 240,
    Ken_BUTT_FALL_90m = 241,
    Ken_BUTT_FALL_BK = 242,
    Ken_BUTT_FALL_BK_90m = 243,
    Ken_BUTT_H_START_90 = 244,
    Ken_BUTT_H_START_45 = 245,
    Ken_BUTT_H_START_00 = 246,
    Ken_BUTT_H_START_45m = 247,
    Ken_BUTT_H_START_90m = 248,
    Ken_BUTT_H_START_BK = 249,
    Ken_BUTT_H_START_BK_90m = 250,
    Ken_BUTT_B_START_90 = 251,
    Ken_BUTT_B_START_45 = 252,
    Ken_BUTT_B_START_00 = 253,
    Ken_BUTT_B_START_45m = 254,
    Ken_BUTT_B_START_90m = 255,
    Ken_BUTT_START_BK = 256,
    Ken_BUTT_START_BK_90m = 257,
    Ken_KNOCK_DOWN_BK = 258,
    Ken_DMG_HL_DOWN = 260,
    Ken_DMG_HM_DOWN = 261,
    Ken_DMG_HH_DOWN = 262,
    Ken_DMG_CL_DOWN = 263,
    Ken_DMG_CM_DOWN = 264,
    Ken_DMG_CH_DOWN = 265,
    Ken_DMG_HL_UPPER = 266,
    Ken_DMG_HM_UPPER = 267,
    Ken_DMG_HH_UPPER = 268,
    Ken_DMG_BL_UPPER = 269,
    Ken_DMG_BM_UPPER = 270,
    Ken_DMG_BH_UPPER = 271,
    Ken_ASHIBARAI = 273,
    Ken_ASHIBARAI_BACK = 274,
    Ken_KUZURE = 276,
    Ken_FLOP_DOWN = 277,
    Ken_DMG_H_SPIN_GROUND = 279,
    Ken_DMG_H_SPIN_AIR = 280,
    Ken_DMG_V_SPIN_GROUND = 281,
    Ken_DMG_V_SPIN_AIR = 282,
    Ken_WALL_HIT_FR = 284,
    Ken_WALL_HIT_BK = 285,
    Ken_WALL_DOWN_FR = 286,
    Ken_WALL_DOWN_BK = 287,
    Ken_DMG_GORO_FR = 289,
    Ken_DMG_GORO_DOWN_FR = 290,
    Ken_WALL_GROUND_FR = 291,
    Ken_WALL_PIYO_STOP = 293,
    Ken_WALL_PIYO_DOWN = 294,
    Ken_THROWBREAK_TO = 320,
    Ken_THROWBREAK_DONE = 321,
    Ken_GUARD_BREAK_STAND = 322,
    Ken_GUARD_BREAK_CROUCH = 323,
    Ken_HARDDOWN_FU = 330,
    Ken_HARDDOWN_FD = 331,
    Ken_SLIDEDOWN_FU = 332,
    Ken_SLIDEDOWN_FU_CMN = 333,
    Ken_SLIDEDOWN_FD = 334,
    Ken_SLIDEDOWN_FD_CMN = 335,
    Ken_LIE_DOWN_FU = 336,
    Ken_LIE_DOWN_FD = 337,
    Ken_DOWN_DMG_FU = 338,
    Ken_DOWN_DMG_FD = 339,
    Ken_WAKEUP_FU = 340,
    Ken_WAKEUP_FD = 341,
    Ken_WAKEUP_F_FU = 342,
    Ken_WAKEUP_F_FD = 343,
    Ken_WAKEUP_B_FU = 344,
    Ken_WAKEUP_B_FD = 345,
    Ken_BUTT_TAOREN = 346,
    Ken_AIR_RECOVERY_BK = 347,
    Ken_BOUND_FU = 350,
    Ken_BOUND_FD = 351,
    Ken_STUN = 353,
    Ken_STUN_END = 354,
    Ken_KUZURE_DIE = 356,
    Ken_APPEAR = 400,
    Ken_APPEAR_END = 401,
    Ken_APPEAR_ARCADE = 402,
    Ken_APPEAR_STORY = 403,
    Ken_LOSE = 405,
    Ken_MID_LOSE_FU = 407,
    Ken_MID_LOSE_FD = 408,
    Ken_DRAW = 410,
    Ken_RESULT = 412,
    Ken_WIN = 414,
    Ken_WIN_STORY = 415,
    Ken_WIN_PERFECT = 416,
    Ken_WIN_HI = 417,
    Ken_WIN_MID = 418,
    Ken_WIN_LOW = 419,
    Ken_MINION_ENTRY = 470,
    Ken_V_TOUCH_ENTRY = 471,
    Ken_V_TOUCH_STOP = 472,
    Ken_V_TOUCH_EXIT = 473,
    Ken_TOUCH_POSE = 474,
    Ken_TOUCH_JUMP = 475,
    Ken_TOUCH_SUKI = 476,
    Ken_TOUCH_NOKI = 477,
    Ken_ASSIST_SUKI = 478,
    Ken_PARRY_BGN = 480,
    Ken_PARRY_LOOP = 481,
    Ken_PARRY_END = 482,
    Ken_PARRY_HIT_H = 483,
    Ken_PARRY_HIT_M = 484,
    Ken_PARRY_HIT_L = 485,
    Ken_PARRY_JUST_H = 486,
    Ken_PARRY_JUST_M = 487,
    Ken_PARRY_JUST_L = 488,
    Ken_PARRY_CRO_BGN = 489,
    Ken_DRIVE_RUSH_RAW = 500,
    Ken_DRIVE_RUSH_CANCEL = 501,
    Ken_T_FOOTWORK = 510,
    Ken_T_CROUCH = 511,
    Ken_T_SIT_DOWN = 512,
    Ken_T_STAND_UP = 513,
    Ken_T_TURN_STAND = 514,
    Ken_T_TURN_CROUCH = 515,
    Ken_T_WALK_F_BGN = 516,
    Ken_T_WALK_FORWARD = 517,
    Ken_T_WALK_F_END = 518,
    Ken_T_WALK_B_BGN = 519,
    Ken_T_WALK_BACK = 520,
    Ken_T_WALK_B_END = 521,
    Ken_CONTINUE_FU = 530,
    Ken_CONTINUE_FD = 531,
    Ken_CONTINUE_SUCCESS = 532,
    Ken_CONTINUE_FAILURE = 533,
    Ken_ADV_STAND = 570,
    Ken_ADV_SIT = 571,
    Ken_ADV_AIR = 572,
    Ken_IMM_STAGE_INIT = 580,
    Ken_IMM_ROUND_INIT = 581,
    Ken_IMM_DAMAGE_INIT = 582,
    Ken_IMM_DAMAGE_EXIT = 583,
    Ken_IMM_TO_NORMAL = 584,
    Ken_IMM_TOUCH_EXIT = 585,
    Ken_IMM_TOUCH_ENTRY = 586,
    Ken_IMM_LANDING = 587,
    Ken_IMM_HOLD_EXIT = 588,
    Ken_IMM_FRAME_OUT = 589,
    Ken_IMM_APPEAR_END = 590,
    Ken_IMM_RESULT_INIT = 591,
    Ken_COMMON_END = 599,
    Ken_5LP = 600,
    Ken_RC_5LP = 601,
    Ken_RC_5LP_2 = 602,
    Ken_5MP = 604,
    Ken_5HP = 606,
    Ken_5LK = 609,
    Ken_5MK = 612,
    Ken_5HK = 615,
    Ken_5HK_WHIFF = 616,
    Ken_2LP = 618,
    Ken_RC_2LP = 619,
    Ken_RC_2LP_2 = 620,
    Ken_2MP = 623,
    Ken_2HP = 626,
    Ken_2LK = 629,
    Ken_RC_2LK = 630,
    Ken_RC_2LK_2 = 631,
    Ken_2MK = 634,
    Ken_2HK = 637,
    Ken_2HK_GRD = 639,
    Ken_8LP = 650,
    Ken_8MP = 651,
    Ken_8HP = 652,
    Ken_8LK = 653,
    Ken_8MK = 654,
    Ken_6HK = 655,
    Ken_8HK = 656,
    Ken_AIR_NORMAL_LAND = 657,
    Ken_TC_5MK = 670,
    Ken_TC_5HK = 671,
    Ken_TC_5HP = 677,
    Ken_QUICK_DASH = 680,
    Ken_QUICK_DASH_5LK = 681,
    Ken_QUICK_DASH_5MK = 682,
    Ken_QUICK_DASH_5HK = 683,
    Ken_THROW_N = 715,
    Ken_THROW_B = 717,
    Ken_THROW_F_ATK = 720,
    Ken_THROW_F_DMG = 721,
    Ken_THROW_F_ATK_PUNISH = 722,
    Ken_THROW_B_ATK = 724,
    Ken_THROW_B_DMG = 725,
    Ken_THROW_B_ATK_PUNISH = 726,
    Ken_DRIVE_REVERSAL = 850,
    Ken_DRIVE_REVERSAL_HIT = 851,
    Ken_DRIVE_IMPACT = 855,
    Ken_DRIVE_IMPACT_COUNTER = 856,
    Ken_DRIVE_IMPACT_COUNTER_HIT = 857,
    Ken_HADO_L = 900,
    Ken_HADO_M = 902,
    Ken_HADO_H = 904,
    Ken_HADO_EX = 906,
    Ken_HADO_L_SHOT = 909,
    Ken_HADO_M_SHOT = 910,
    Ken_HADO_H_SHOT = 911,
    Ken_HADO_EX_SHOT = 913,
    Ken_JINRAI_L = 920,
    Ken_JINRAI_M = 921,
    Ken_JINRAI_H = 922,
    Ken_JINRAI_L_2 = 924,
    Ken_JINRAI_M_2 = 925,
    Ken_JINRAI_H_2 = 926,
    Ken_JINRAI_EX = 928,
    Ken_JINRAI_EX_L = 930,
    Ken_JINRAI_EX_M = 931,
    Ken_JINRAI_EX_H = 932,
    Ken_JINRAI_EX_L_2 = 936,
    Ken_JINRAI_EX_M_2 = 937,
    Ken_JINRAI_EX_H_2 = 938,
    Ken_SHORYU_L = 955,
    Ken_SHORYU_M = 956,
    Ken_SHORYU_H = 957,
    Ken_SHORYU_EX = 958,
    Ken_QS_SHORYU = 959,
    Ken_SHORYU_L_LAND = 961,
    Ken_SHORYU_M_LAND = 962,
    Ken_SHORYU_H_LAND = 963,
    Ken_SHORYU_EX_LAND = 964,
    Ken_DRAGONLASH_L = 980,
    Ken_DRAGONLASH_M = 981,
    Ken_DRAGONLASH_H = 982,
    Ken_AIR_DRAGONLASH_UNUSED = 983,
    Ken_AIR_DRAGONLASH_2_UNUSED = 984,
    Ken_DRAGONLASH_EX = 985,
    Ken_AIR_DRAGONLASH_EX_UNUSED = 986,
    Ken_GND_TATSUMAKI_L = 1000,
    Ken_GND_TATSUMAKI_M = 1001,
    Ken_GND_TATSUMAKI_H = 1002,
    Ken_QS_TATSUMAKI = 1003,
    Ken_GND_TATSUMAKI_EX = 1005,
    Ken_GND_TATSUMAKI_EX_LAND = 1006,
    Ken_AIR_TATSUMAKI = 1009,
    Ken_AIR_TATSUMAKI_LAND = 1010,
    Ken_AIR_TATSUMAKI_EX = 1012,
    Ken_AIR_TATSUMAKI_EX_LAND = 1013,
    Ken_SUPERJUMP_F_UNUSED = 1162,
    Ken_SUPERJUMP_F_DOWN_UNUSED = 1163,
    Ken_8HK_UNUSED = 1164,
    Ken_CA_DRAGONLASH = 1200,
    Ken_CA_DRAGONLASH_HIT = 1201,
    Ken_CA_DRAGONLASH_LAND = 1202,
    Ken_CA2_JINRAI = 1210,
    Ken_CA2_JINRAI_GRD = 1211,
    Ken_CA2_JINRAI_END = 1212,
    Ken_CA2_JINRAI_LAND = 1213,
    Ken_CA3_SHINYU = 1215,
    Ken_CA3_SHINYU_HIT = 1217,
    Ken_CA3_SHINYU_CA = 1220,
    Ken_CA3_SHINYU_CA_HIT = 1221,
    Ken_APPEAL_1 = 1497,
    Ken_APPEAL_2 = 1498,
    Ken_APPEAL_3 = 1499,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum DeeJayActions {
    #[default]
    DeeJay_INVALID_ID = -1,
    DeeJay_BACKSTAGE = 0,
    DeeJay_FOOTWORK = 1,
    DeeJay_FOOTWORK_IDLE = 2,
    DeeJay_CROUCH = 4,
    DeeJay_SIT_DOWN = 5,
    DeeJay_STAND_UP = 6,
    DeeJay_TURN_STAND = 7,
    DeeJay_TURN_CROUCH = 8,
    DeeJay_WALK_F_BGN = 9,
    DeeJay_WALK_FORWARD = 10,
    DeeJay_WALK_F_END = 11,
    DeeJay_SLIDE_FEET_F = 12,
    DeeJay_WALK_B_BGN = 13,
    DeeJay_WALK_BACK = 14,
    DeeJay_WALK_B_END = 15,
    DeeJay_SLIDE_FEET_B = 16,
    DeeJay_DASH_F = 17,
    DeeJay_DASH_B = 18,
    DeeJay_DASH_F_END = 19,
    DeeJay_DASH_B_END = 20,
    DeeJay_RUN_F_BGN = 21,
    DeeJay_RUN_F = 22,
    DeeJay_RUN_F_END = 23,
    DeeJay_RUN_B_BGN = 24,
    DeeJay_RUN_B = 25,
    DeeJay_RUN_B_END = 26,
    DeeJay_DUCK_WALK_F_BGN = 27,
    DeeJay_DUCK_WALK_F = 28,
    DeeJay_DUCK_WALK_F_END = 29,
    DeeJay_DUCK_WALK_B_BGN = 30,
    DeeJay_DUCK_WALK_B = 31,
    DeeJay_DUCK_WALK_B_END = 32,
    DeeJay_JUMP_V_BGN = 33,
    DeeJay_JUMP_F_BGN = 34,
    DeeJay_JUMP_B_BGN = 35,
    DeeJay_JUMP_V = 36,
    DeeJay_JUMP_F = 37,
    DeeJay_JUMP_B = 38,
    DeeJay_JUMP_V_END = 39,
    DeeJay_JUMP_F_END = 40,
    DeeJay_JUMP_B_END = 41,
    DeeJay_JUMP_ATK_END = 42,
    DeeJay_W_JUMP_V = 44,
    DeeJay_W_JUMP_F = 45,
    DeeJay_W_JUMP_B = 46,
    DeeJay_T_JUMP_WALL = 47,
    DeeJay_T_JUMP = 48,
    DeeJay_L_JUMP_V_BGN = 54,
    DeeJay_L_JUMP_F_BGN = 55,
    DeeJay_L_JUMP_B_BGN = 56,
    DeeJay_L_JUMP_V = 57,
    DeeJay_L_JUMP_F = 58,
    DeeJay_L_JUMP_B = 59,
    DeeJay_H_JUMP_V_BGN = 60,
    DeeJay_H_JUMP_F_BGN = 61,
    DeeJay_H_JUMP_B_BGN = 62,
    DeeJay_H_JUMP_V = 63,
    DeeJay_H_JUMP_F = 64,
    DeeJay_H_JUMP_B = 65,
    DeeJay_FLY_BGN = 66,
    DeeJay_FLY_END = 67,
    DeeJay_FLY_BASE = 68,
    DeeJay_FLY_UU = 69,
    DeeJay_FLY_BU = 70,
    DeeJay_FLY_BB = 71,
    DeeJay_FLY_BD = 72,
    DeeJay_FLY_DD = 73,
    DeeJay_FLY_FD = 74,
    DeeJay_FLY_FF = 75,
    DeeJay_FLY_FU = 76,
    DeeJay_FLY_UU_END = 77,
    DeeJay_FLY_BU_END = 78,
    DeeJay_FLY_BB_END = 79,
    DeeJay_FLY_BD_END = 80,
    DeeJay_FLY_DD_END = 81,
    DeeJay_FLY_FD_END = 82,
    DeeJay_FLY_FF_END = 83,
    DeeJay_FLY_FU_END = 84,
    DeeJay_AIR_DASH_U = 85,
    DeeJay_AIR_DASH_BU = 86,
    DeeJay_AIR_DASH_B = 87,
    DeeJay_AIR_DASH_BD = 88,
    DeeJay_AIR_DASH_D = 89,
    DeeJay_AIR_DASH_FD = 90,
    DeeJay_AIR_DASH_F = 91,
    DeeJay_AIR_DASH_FU = 92,
    DeeJay_FALL_V = 93,
    DeeJay_GRD_STAND_H_BGN = 100,
    DeeJay_GRD_STAND_H = 101,
    DeeJay_GRD_STAND_H_END = 102,
    DeeJay_GRD_STAND_H_DM_L = 103,
    DeeJay_GRD_STAND_H_DM_M = 104,
    DeeJay_GRD_STAND_H_DM_H = 105,
    DeeJay_GRD_STAND_H_DM_S = 106,
    DeeJay_GRD_STAND_M_BGN = 107,
    DeeJay_GRD_STAND_M = 108,
    DeeJay_GRD_STAND_M_END = 109,
    DeeJay_GRD_STAND_M_DM_L = 110,
    DeeJay_GRD_STAND_M_DM_M = 111,
    DeeJay_GRD_STAND_M_DM_H = 112,
    DeeJay_GRD_STAND_M_DM_S = 113,
    DeeJay_GRD_STAND_L_BGN = 114,
    DeeJay_GRD_STAND_L = 115,
    DeeJay_GRD_STAND_L_END = 116,
    DeeJay_GRD_STAND_L_DM_L = 117,
    DeeJay_GRD_STAND_L_DM_M = 118,
    DeeJay_GRD_STAND_L_DM_H = 119,
    DeeJay_GRD_STAND_L_DM_S = 120,
    DeeJay_GRD_CROUCH_H_BGN = 121,
    DeeJay_GRD_CROUCH_H = 122,
    DeeJay_GRD_CROUCH_H_END = 123,
    DeeJay_GRD_CROUCH_H_DM_L = 124,
    DeeJay_GRD_CROUCH_H_DM_M = 125,
    DeeJay_GRD_CROUCH_H_DM_H = 126,
    DeeJay_GRD_CROUCH_H_DM_S = 127,
    DeeJay_GRD_CROUCH_L_BGN = 128,
    DeeJay_GRD_CROUCH_L = 129,
    DeeJay_GRD_CROUCH_L_END = 130,
    DeeJay_GRD_CROUCH_L_DM_L = 131,
    DeeJay_GRD_CROUCH_L_DM_M = 132,
    DeeJay_GRD_CROUCH_L_DM_H = 133,
    DeeJay_GRD_CROUCH_L_DM_S = 134,
    DeeJay_GRD_AIR_BGN = 135,
    DeeJay_GRD_AIR = 136,
    DeeJay_GRD_AIR_END = 137,
    DeeJay_GRD_AIR_DM_L = 138,
    DeeJay_GRD_AIR_DM_M = 139,
    DeeJay_GRD_AIR_DM_H = 140,
    DeeJay_GRD_AIR_DM_S = 141,
    DeeJay_GRD_ZUSA_STAND = 143,
    DeeJay_GRD_ZUSA_CROUCH = 144,
    DeeJay_GRD_ZUSA_WALL = 145,
    DeeJay_DGD_STAND_H_BGN = 150,
    DeeJay_DGD_STAND_H = 151,
    DeeJay_DGD_STAND_H_END = 152,
    DeeJay_DGD_STAND_H_DM_L = 153,
    DeeJay_DGD_STAND_H_DM_M = 154,
    DeeJay_DGD_STAND_H_DM_H = 155,
    DeeJay_DGD_STAND_H_DM_S = 156,
    DeeJay_DGD_STAND_M_BGN = 157,
    DeeJay_DGD_STAND_M = 158,
    DeeJay_DGD_STAND_M_END = 159,
    DeeJay_DGD_STAND_M_DM_L = 160,
    DeeJay_DGD_STAND_M_DM_M = 161,
    DeeJay_DGD_STAND_M_DM_H = 162,
    DeeJay_DGD_STAND_M_DM_S = 163,
    DeeJay_DGD_STAND_L_BGN = 164,
    DeeJay_DGD_STAND_L = 165,
    DeeJay_DGD_STAND_L_END = 166,
    DeeJay_DGD_STAND_L_DM_L = 167,
    DeeJay_DGD_STAND_L_DM_M = 168,
    DeeJay_DGD_STAND_L_DM_H = 169,
    DeeJay_DGD_STAND_L_DM_S = 170,
    DeeJay_DGD_CROUCH_H_BGN = 171,
    DeeJay_DGD_CROUCH_H = 172,
    DeeJay_DGD_CROUCH_H_END = 173,
    DeeJay_DGD_CROUCH_H_DM_L = 174,
    DeeJay_DGD_CROUCH_H_DM_M = 175,
    DeeJay_DGD_CROUCH_H_DM_H = 176,
    DeeJay_DGD_CROUCH_H_DM_S = 177,
    DeeJay_DGD_CROUCH_L_BGN = 178,
    DeeJay_DGD_CROUCH_L = 179,
    DeeJay_DGD_CROUCH_L_END = 180,
    DeeJay_DGD_CROUCH_L_DM_L = 181,
    DeeJay_DGD_CROUCH_L_DM_M = 182,
    DeeJay_DGD_CROUCH_L_DM_H = 183,
    DeeJay_DGD_CROUCH_L_DM_S = 184,
    DeeJay_DGD_AIR_BGN = 185,
    DeeJay_DGD_AIR = 186,
    DeeJay_DGD_AIR_END = 187,
    DeeJay_DGD_AIR_DM_L = 188,
    DeeJay_DGD_AIR_DM_M = 189,
    DeeJay_DGD_AIR_DM_H = 190,
    DeeJay_DGD_AIR_DM_S = 191,
    DeeJay_DMG_STD_H_FR_L = 200,
    DeeJay_DMG_STD_H_FR_M = 201,
    DeeJay_DMG_STD_H_FR_H = 202,
    DeeJay_DMG_CRT_STD_H_FR = 203,
    DeeJay_DMG_STD_M_FR_L = 204,
    DeeJay_DMG_STD_M_FR_M = 205,
    DeeJay_DMG_STD_M_FR_H = 206,
    DeeJay_DMG_CRT_STD_M_FR = 207,
    DeeJay_DMG_STD_L_FR_L = 208,
    DeeJay_DMG_STD_L_FR_M = 209,
    DeeJay_DMG_STD_L_FR_H = 210,
    DeeJay_DMG_CRT_STD_L_FR = 211,
    DeeJay_DMG_CRO_H_FR_L = 212,
    DeeJay_DMG_CRO_H_FR_M = 213,
    DeeJay_DMG_CRO_H_FR_H = 214,
    DeeJay_DMG_CRT_CRO_H_FR = 215,
    DeeJay_DMG_CRO_L_FR_L = 216,
    DeeJay_DMG_CRO_L_FR_M = 217,
    DeeJay_DMG_CRO_L_FR_H = 218,
    DeeJay_DMG_CRT_CRO_L_FR = 219,
    DeeJay_DMG_AIR_FR_L = 220,
    DeeJay_DMG_AIR_FR_M = 221,
    DeeJay_DMG_AIR_FR_H = 222,
    DeeJay_DMG_STD_BK = 224,
    DeeJay_BUTT_RISE_90 = 230,
    DeeJay_BUTT_RISE_45 = 231,
    DeeJay_BUTT_RISE_00 = 232,
    DeeJay_BUTT_RISE_45m = 233,
    DeeJay_BUTT_RISE_90m = 234,
    DeeJay_BUTT_RISE_BK = 235,
    DeeJay_BUTT_RISE_BK_90m = 236,
    DeeJay_BUTT_FALL_90 = 237,
    DeeJay_BUTT_FALL_45 = 238,
    DeeJay_BUTT_FALL_00 = 239,
    DeeJay_BUTT_FALL_45m = 240,
    DeeJay_BUTT_FALL_90m = 241,
    DeeJay_BUTT_FALL_BK = 242,
    DeeJay_BUTT_FALL_BK_90m = 243,
    DeeJay_BUTT_H_START_90 = 244,
    DeeJay_BUTT_H_START_45 = 245,
    DeeJay_BUTT_H_START_00 = 246,
    DeeJay_BUTT_H_START_45m = 247,
    DeeJay_BUTT_H_START_90m = 248,
    DeeJay_BUTT_H_START_BK = 249,
    DeeJay_BUTT_H_START_BK_90m = 250,
    DeeJay_BUTT_B_START_90 = 251,
    DeeJay_BUTT_B_START_45 = 252,
    DeeJay_BUTT_B_START_00 = 253,
    DeeJay_BUTT_B_START_45m = 254,
    DeeJay_BUTT_B_START_90m = 255,
    DeeJay_BUTT_START_BK = 256,
    DeeJay_BUTT_START_BK_90m = 257,
    DeeJay_KNOCK_DOWN_BK = 258,
    DeeJay_DMG_HL_DOWN = 260,
    DeeJay_DMG_HM_DOWN = 261,
    DeeJay_DMG_HH_DOWN = 262,
    DeeJay_DMG_CL_DOWN = 263,
    DeeJay_DMG_CM_DOWN = 264,
    DeeJay_DMG_CH_DOWN = 265,
    DeeJay_DMG_HL_UPPER = 266,
    DeeJay_DMG_HM_UPPER = 267,
    DeeJay_DMG_HH_UPPER = 268,
    DeeJay_DMG_BL_UPPER = 269,
    DeeJay_DMG_BM_UPPER = 270,
    DeeJay_DMG_BH_UPPER = 271,
    DeeJay_ASHIBARAI = 273,
    DeeJay_ASHIBARAI_BACK = 274,
    DeeJay_KUZURE = 276,
    DeeJay_FLOP_DOWN = 277,
    DeeJay_DMG_H_SPIN_GROUND = 279,
    DeeJay_DMG_H_SPIN_AIR = 280,
    DeeJay_DMG_V_SPIN_GROUND = 281,
    DeeJay_DMG_V_SPIN_AIR = 282,
    DeeJay_WALL_HIT_FR = 284,
    DeeJay_WALL_HIT_BK = 285,
    DeeJay_WALL_DOWN_FR = 286,
    DeeJay_WALL_DOWN_BK = 287,
    DeeJay_DMG_GORO_FR = 289,
    DeeJay_DMG_GORO_DOWN_FR = 290,
    DeeJay_WALL_GROUND_FR = 291,
    DeeJay_WALL_PIYO_STOP = 293,
    DeeJay_WALL_PIYO_DOWN = 294,
    DeeJay_THROWBREAK_TO = 320,
    DeeJay_THROWBREAK_DONE = 321,
    DeeJay_GUARD_BREAK_STAND = 322,
    DeeJay_GUARD_BREAK_CROUCH = 323,
    DeeJay_HARDDOWN_FU = 330,
    DeeJay_HARDDOWN_FD = 331,
    DeeJay_SLIDEDOWN_FU = 332,
    DeeJay_SLIDEDOWN_FU_CMN = 333,
    DeeJay_SLIDEDOWN_FD = 334,
    DeeJay_SLIDEDOWN_FD_CMN = 335,
    DeeJay_LIE_DOWN_FU = 336,
    DeeJay_LIE_DOWN_FD = 337,
    DeeJay_DOWN_DMG_FU = 338,
    DeeJay_DOWN_DMG_FD = 339,
    DeeJay_WAKEUP_FU = 340,
    DeeJay_WAKEUP_FD = 341,
    DeeJay_WAKEUP_F_FU = 342,
    DeeJay_WAKEUP_F_FD = 343,
    DeeJay_WAKEUP_B_FU = 344,
    DeeJay_WAKEUP_B_FD = 345,
    DeeJay_BUTT_TAOREN = 346,
    DeeJay_AIR_RECOVERY_BK = 347,
    DeeJay_BOUND_FU = 350,
    DeeJay_BOUND_FD = 351,
    DeeJay_STUN = 353,
    DeeJay_STUN_END = 354,
    DeeJay_KUZURE_DIE = 356,
    DeeJay_APPEAR = 400,
    DeeJay_APPEAR_END = 401,
    DeeJay_APPEAR_ARCADE = 402,
    DeeJay_APPEAR_STORY = 403,
    DeeJay_LOSE = 405,
    DeeJay_MID_LOSE_FU = 407,
    DeeJay_MID_LOSE_FD = 408,
    DeeJay_DRAW = 410,
    DeeJay_RESULT = 412,
    DeeJay_WIN = 414,
    DeeJay_WIN_STORY = 415,
    DeeJay_WIN_PERFECT = 416,
    DeeJay_WIN_HI = 417,
    DeeJay_WIN_MID = 418,
    DeeJay_WIN_LOW = 419,
    DeeJay_MINION_ENTRY = 470,
    DeeJay_V_TOUCH_ENTRY = 471,
    DeeJay_V_TOUCH_STOP = 472,
    DeeJay_V_TOUCH_EXIT = 473,
    DeeJay_TOUCH_POSE = 474,
    DeeJay_TOUCH_JUMP = 475,
    DeeJay_TOUCH_SUKI = 476,
    DeeJay_TOUCH_NOKI = 477,
    DeeJay_ASSIST_SUKI = 478,
    DeeJay_PARRY_BGN = 480,
    DeeJay_PARRY_LOOP = 481,
    DeeJay_PARRY_END = 482,
    DeeJay_PARRY_HIT_H = 483,
    DeeJay_PARRY_HIT_M = 484,
    DeeJay_PARRY_HIT_L = 485,
    DeeJay_PARRY_JUST_H = 486,
    DeeJay_PARRY_JUST_M = 487,
    DeeJay_PARRY_JUST_L = 488,
    DeeJay_PARRY_CRO_BGN = 489,
    DeeJay_T_FOOTWORK = 510,
    DeeJay_T_CROUCH = 511,
    DeeJay_T_SIT_DOWN = 512,
    DeeJay_T_STAND_UP = 513,
    DeeJay_T_TURN_STAND = 514,
    DeeJay_T_TURN_CROUCH = 515,
    DeeJay_T_WALK_F_BGN = 516,
    DeeJay_T_WALK_FORWARD = 517,
    DeeJay_T_WALK_F_END = 518,
    DeeJay_T_WALK_B_BGN = 519,
    DeeJay_T_WALK_BACK = 520,
    DeeJay_T_WALK_B_END = 521,
    DeeJay_CONTINUE_FU = 530,
    DeeJay_CONTINUE_FD = 531,
    DeeJay_CONTINUE_SUCCESS = 532,
    DeeJay_CONTINUE_FAILURE = 533,
    DeeJay_ADV_STAND = 570,
    DeeJay_ADV_SIT = 571,
    DeeJay_ADV_AIR = 572,
    DeeJay_IMM_STAGE_INIT = 580,
    DeeJay_IMM_ROUND_INIT = 581,
    DeeJay_IMM_DAMAGE_INIT = 582,
    DeeJay_IMM_DAMAGE_EXIT = 583,
    DeeJay_IMM_TO_NORMAL = 584,
    DeeJay_IMM_TOUCH_EXIT = 585,
    DeeJay_IMM_TOUCH_ENTRY = 586,
    DeeJay_IMM_LANDING = 587,
    DeeJay_IMM_HOLD_EXIT = 588,
    DeeJay_IMM_FRAME_OUT = 589,
    DeeJay_IMM_APPEAR_END = 590,
    DeeJay_IMM_RESULT_INIT = 591,
    DeeJay_COMMON_END = 599,
    DeeJay_5LP = 600,
    DeeJay_RC_5LP = 601,
    DeeJay_RC_5LP_2 = 602,
    DeeJay_5MP = 603,
    DeeJay_5HP = 606,
    DeeJay_5LK = 609,
    DeeJay_5MK = 612,
    DeeJay_5HK = 615,
    DeeJay_5HK_SWING = 616,
    DeeJay_2LP = 618,
    DeeJay_RC_2LP = 619,
    DeeJay_RC_2LP_2 = 620,
    DeeJay_2MP = 623,
    DeeJay_2HP = 626,
    DeeJay_2LK = 629,
    DeeJay_RC_2LK = 630,
    DeeJay_RC_2LK_2 = 631,
    DeeJay_2MK = 634,
    DeeJay_2HK = 637,
    DeeJay_8LP = 650,
    DeeJay_8MP = 651,
    DeeJay_8HP = 652,
    DeeJay_8LK = 653,
    DeeJay_8MK = 654,
    DeeJay_8HK = 655,
    DeeJay_AIR_NORMAL_LAND = 656,
    DeeJay_92LK = 657,
    DeeJay_6MK = 659,
    DeeJay_4HK = 669,
    DeeJay_4HK_HIT = 670,
    DeeJay_TC_5MK_1 = 673,
    DeeJay_TC_5MK_2 = 675,
    DeeJay_TC_5MP_1 = 677,
    DeeJay_TC_5HP_2 = 678,
    DeeJay_TC_4HP_2 = 679,
    DeeJay_TC_5MP_1_SWING = 680,
    DeeJay_TC_5HP_1 = 681,
    DeeJay_TC_5HK_2 = 682,
    DeeJay_TC_8HP = 683,
    DeeJay_22PP = 685,
    DeeJay_22PP_START = 688,
    DeeJay_2PP_HOLD = 689,
    DeeJay_22PP_END = 690,
    DeeJay_THROW_F = 715,
    DeeJay_THROW_B = 717,
    DeeJay_THROW_F_ATK = 720,
    DeeJay_THROW_F_ATK_PUNISH = 722,
    DeeJay_THROW_B_ATK = 724,
    DeeJay_THROW_B_ATK_PUNISH = 726,
    DeeJay_NORMAL_CANCEL_DRIVE_RUSH = 739,
    DeeJay_RAW_DRIVE_RUSH = 740,
    DeeJay_DRIVE_REVERSAL = 850,
    DeeJay_DRIVE_REVERSAL_2 = 851,
    DeeJay_DRIVE_IMPACT = 855,
    DeeJay_DRIVE_IMPACT_COUNTER_HIT = 856,
    DeeJay_DRIVE_IMPACT_COUNTER = 857,
    DeeJay_SLASH_L = 900,
    DeeJay_SLASH_M = 902,
    DeeJay_SLASH_H = 905,
    DeeJay_SLASH_EX_FAR = 906,
    DeeJay_SLASH_EX = 907,
    DeeJay_GUN_UPPER_L = 921,
    DeeJay_GUN_UPPER_L_HIT = 922,
    DeeJay_GUN_UPPER_L_HIT_2 = 923,
    DeeJay_GUN_UPPER_M = 925,
    DeeJay_GUN_UPPER_M_HIT = 926,
    DeeJay_GUN_UPPER_M_HIT_2 = 927,
    DeeJay_GUN_UPPER_H = 929,
    DeeJay_GUN_UPPER_H_HIT = 930,
    DeeJay_GUN_UPPER_H_HIT_2 = 931,
    DeeJay_GUN_UPPER_EX = 935,
    DeeJay_GUN_UPPER_EX_HIT = 936,
    DeeJay_GUN_UPPER_EX_HIT_2 = 937,
    DeeJay_GUN_UPPER_EX_HIT_3 = 938,
    DeeJay_JACKKNIFE_L = 955,
    DeeJay_JACKKNIFE_M = 956,
    DeeJay_JACKKNIFE_H = 957,
    DeeJay_JACKKNIFE_EX = 958,
    DeeJay_JACKKNIFE_EX_SWING = 959,
    DeeJay_JACKKNIFE_L_LAND = 960,
    DeeJay_JACKKNIFE_M_LAND = 961,
    DeeJay_JACKKNIFE_H_LAND = 962,
    DeeJay_JACKKNIFE_EX_SWING_LAND = 963,
    DeeJay_JACKKNIFE_EX_LAND = 964,
    DeeJay_SOBAT_L = 972,
    DeeJay_SOBAT_M = 974,
    DeeJay_SOBAT_H = 976,
    DeeJay_SOBAT_EX = 981,
    DeeJay_JUS_COOL = 985,
    DeeJay_JUS_COOL_EX = 988,
    DeeJay_JUS_COOL_EX_GRD = 989,
    DeeJay_JUS_COOL_LK = 990,
    DeeJay_JUS_COOL_MK = 991,
    DeeJay_JUS_COOL_HK = 992,
    DeeJay_JUS_COOL_EX_LK = 995,
    DeeJay_JUS_COOL_EX_MK = 996,
    DeeJay_JUS_COOL_EX_HK = 997,
    DeeJay_JUS_COOL_EX_LK_SWING = 1000,
    DeeJay_JUS_COOL_6PUNCH = 1002,
    DeeJay_JUS_COOL_6PUNCH_SWAY = 1003,
    DeeJay_JUS_COOL_EX_6PUNCH = 1005,
    DeeJay_JUS_COOL_EX_6PUNCH_SWAY = 1006,
    DeeJay_CA1 = 1200,
    DeeJay_CA2_L_START = 1203,
    DeeJay_CA2_LP_LP = 1205,
    DeeJay_CA2_LP_LP_MP = 1206,
    DeeJay_CA2_LP_LP_MP_HP = 1207,
    DeeJay_CA2_LP_LP_MP_HP_LK = 1208,
    DeeJay_CA2_LP_LP_MP_HP_LK_MK = 1209,
    DeeJay_CA2_LP_LP_MP_HP_LK_MK_HK = 1210,
    DeeJay_CA3 = 1215,
    DeeJay_CA3_HIT = 1217,
    DeeJay_CA3_LOW_HP = 1220,
    DeeJay_CA3_LOW_HP_HIT = 1221,
    DeeJay_CA2_HP_START = 1228,
    DeeJay_CA2_HP_LP_JUST = 1230,
    DeeJay_CA2_HP_LP_MP_JUST = 1231,
    DeeJay_CA2_HP_LP_MP_HP_JUST = 1232,
    DeeJay_CA2_HP_LP_MP_HP_LK_JUST = 1233,
    DeeJay_CA2_HP_LP_MP_HP_LK_MK_JUST = 1234,
    DeeJay_CA2_HP_LP_MP_HP_LK_MK_HK_JUST = 1235,
    DeeJay_CA2_MP_START = 1240,
    DeeJay_CA2_MP_LP_JUST__1 = 1241,
    DeeJay_CA2_MP_LP_MP_JUST = 1242,
    DeeJay_CA2_MP_LP_MP_HP_JUST = 1243,
    DeeJay_CA2_MP_LP_MP_HP_LK_JUST = 1244,
    DeeJay_CA2_MP_LP_MP_HP_LK_MK_JUST = 1245,
    DeeJay_CA2_MP_LP_MP_HP_LK_MK_HK_JUST = 1246,
    DeeJay_CA2_MP_LP_MP_HP_LK_MK_HK_HK_ENDER_JUST = 1247,
    DeeJay_CA2_MP_LP_MP_HP_LK_MK_HK_HP_ENDER_JUST = 1248,
    DeeJay_CA2_MP_LP_JUST = 1258,
    DeeJay_CA2_MP_LP = 1259,
    DeeJay_CA2_MP_LP_JUST_HIT = 1260,
    DeeJay_CA2_MP_LP_MP = 1261,
    DeeJay_CA2_MP_LP_MP_HP = 1262,
    DeeJay_CA2_MP_LP_MP_HP_LK = 1263,
    DeeJay_CA2_MP_LP_MP_HP_LK_MK = 1264,
    DeeJay_CA2_MP_LP_MP_HP_LK_MK_HK = 1265,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum LilyActions {
    #[default]
    Lily_INVALID_ID = -1,
    Lily_BACKSTAGE = 0,
    Lily_FOOTWORK = 1,
    Lily_FOOTWORK_IDLE = 2,
    Lily_CROUCH = 4,
    Lily_SIT_DOWN = 5,
    Lily_STAND_UP = 6,
    Lily_TURN_STAND = 7,
    Lily_TURN_CROUCH = 8,
    Lily_WALK_F_BGN = 9,
    Lily_WALK_FORWARD = 10,
    Lily_WALK_F_END = 11,
    Lily_SLIDE_FEET_F = 12,
    Lily_WALK_B_BGN = 13,
    Lily_WALK_BACK = 14,
    Lily_WALK_B_END = 15,
    Lily_SLIDE_FEET_B = 16,
    Lily_DASH_F = 17,
    Lily_DASH_B = 18,
    Lily_DASH_F_END = 19,
    Lily_DASH_B_END = 20,
    Lily_RUN_F_BGN = 21,
    Lily_RUN_F = 22,
    Lily_RUN_F_END = 23,
    Lily_RUN_B_BGN = 24,
    Lily_RUN_B = 25,
    Lily_RUN_B_END = 26,
    Lily_DUCK_WALK_F_BGN = 27,
    Lily_DUCK_WALK_F = 28,
    Lily_DUCK_WALK_F_END = 29,
    Lily_DUCK_WALK_B_BGN = 30,
    Lily_DUCK_WALK_B = 31,
    Lily_DUCK_WALK_B_END = 32,
    Lily_JUMP_V_BGN = 33,
    Lily_JUMP_F_BGN = 34,
    Lily_JUMP_B_BGN = 35,
    Lily_JUMP_V = 36,
    Lily_JUMP_F = 37,
    Lily_JUMP_B = 38,
    Lily_JUMP_V_END = 39,
    Lily_JUMP_F_END = 40,
    Lily_JUMP_B_END = 41,
    Lily_JUMP_ATK_END = 42,
    Lily_W_JUMP_V = 44,
    Lily_W_JUMP_F = 45,
    Lily_W_JUMP_B = 46,
    Lily_T_JUMP_WALL = 47,
    Lily_T_JUMP = 48,
    Lily_L_JUMP_V_BGN = 54,
    Lily_L_JUMP_F_BGN = 55,
    Lily_L_JUMP_B_BGN = 56,
    Lily_L_JUMP_V = 57,
    Lily_L_JUMP_F = 58,
    Lily_L_JUMP_B = 59,
    Lily_H_JUMP_V_BGN = 60,
    Lily_H_JUMP_F_BGN = 61,
    Lily_H_JUMP_B_BGN = 62,
    Lily_H_JUMP_V = 63,
    Lily_H_JUMP_F = 64,
    Lily_H_JUMP_B = 65,
    Lily_FLY_BGN = 66,
    Lily_FLY_END = 67,
    Lily_FLY_BASE = 68,
    Lily_FLY_UU = 69,
    Lily_FLY_BU = 70,
    Lily_FLY_BB = 71,
    Lily_FLY_BD = 72,
    Lily_FLY_DD = 73,
    Lily_FLY_FD = 74,
    Lily_FLY_FF = 75,
    Lily_FLY_FU = 76,
    Lily_FLY_UU_END = 77,
    Lily_FLY_BU_END = 78,
    Lily_FLY_BB_END = 79,
    Lily_FLY_BD_END = 80,
    Lily_FLY_DD_END = 81,
    Lily_FLY_FD_END = 82,
    Lily_FLY_FF_END = 83,
    Lily_FLY_FU_END = 84,
    Lily_AIR_DASH_U = 85,
    Lily_AIR_DASH_BU = 86,
    Lily_AIR_DASH_B = 87,
    Lily_AIR_DASH_BD = 88,
    Lily_AIR_DASH_D = 89,
    Lily_AIR_DASH_FD = 90,
    Lily_AIR_DASH_F = 91,
    Lily_AIR_DASH_FU = 92,
    Lily_FALL_V = 93,
    Lily_GRD_STAND_H_BGN = 100,
    Lily_GRD_STAND_H = 101,
    Lily_GRD_STAND_H_END = 102,
    Lily_GRD_STAND_H_DM_L = 103,
    Lily_GRD_STAND_H_DM_M = 104,
    Lily_GRD_STAND_H_DM_H = 105,
    Lily_GRD_STAND_H_DM_S = 106,
    Lily_GRD_STAND_M_BGN = 107,
    Lily_GRD_STAND_M = 108,
    Lily_GRD_STAND_M_END = 109,
    Lily_GRD_STAND_M_DM_L = 110,
    Lily_GRD_STAND_M_DM_M = 111,
    Lily_GRD_STAND_M_DM_H = 112,
    Lily_GRD_STAND_M_DM_S = 113,
    Lily_GRD_STAND_L_BGN = 114,
    Lily_GRD_STAND_L = 115,
    Lily_GRD_STAND_L_END = 116,
    Lily_GRD_STAND_L_DM_L = 117,
    Lily_GRD_STAND_L_DM_M = 118,
    Lily_GRD_STAND_L_DM_H = 119,
    Lily_GRD_STAND_L_DM_S = 120,
    Lily_GRD_CROUCH_H_BGN = 121,
    Lily_GRD_CROUCH_H = 122,
    Lily_GRD_CROUCH_H_END = 123,
    Lily_GRD_CROUCH_H_DM_L = 124,
    Lily_GRD_CROUCH_H_DM_M = 125,
    Lily_GRD_CROUCH_H_DM_H = 126,
    Lily_GRD_CROUCH_H_DM_S = 127,
    Lily_GRD_CROUCH_L_BGN = 128,
    Lily_GRD_CROUCH_L = 129,
    Lily_GRD_CROUCH_L_END = 130,
    Lily_GRD_CROUCH_L_DM_L = 131,
    Lily_GRD_CROUCH_L_DM_M = 132,
    Lily_GRD_CROUCH_L_DM_H = 133,
    Lily_GRD_CROUCH_L_DM_S = 134,
    Lily_GRD_AIR_BGN = 135,
    Lily_GRD_AIR = 136,
    Lily_GRD_AIR_END = 137,
    Lily_GRD_AIR_DM_L = 138,
    Lily_GRD_AIR_DM_M = 139,
    Lily_GRD_AIR_DM_H = 140,
    Lily_GRD_AIR_DM_S = 141,
    Lily_GRD_ZUSA_STAND = 143,
    Lily_GRD_ZUSA_CROUCH = 144,
    Lily_GRD_ZUSA_WALL = 145,
    Lily_DGD_STAND_H_BGN = 150,
    Lily_DGD_STAND_H = 151,
    Lily_DGD_STAND_H_END = 152,
    Lily_DGD_STAND_H_DM_L = 153,
    Lily_DGD_STAND_H_DM_M = 154,
    Lily_DGD_STAND_H_DM_H = 155,
    Lily_DGD_STAND_H_DM_S = 156,
    Lily_DGD_STAND_M_BGN = 157,
    Lily_DGD_STAND_M = 158,
    Lily_DGD_STAND_M_END = 159,
    Lily_DGD_STAND_M_DM_L = 160,
    Lily_DGD_STAND_M_DM_M = 161,
    Lily_DGD_STAND_M_DM_H = 162,
    Lily_DGD_STAND_M_DM_S = 163,
    Lily_DGD_STAND_L_BGN = 164,
    Lily_DGD_STAND_L = 165,
    Lily_DGD_STAND_L_END = 166,
    Lily_DGD_STAND_L_DM_L = 167,
    Lily_DGD_STAND_L_DM_M = 168,
    Lily_DGD_STAND_L_DM_H = 169,
    Lily_DGD_STAND_L_DM_S = 170,
    Lily_DGD_CROUCH_H_BGN = 171,
    Lily_DGD_CROUCH_H = 172,
    Lily_DGD_CROUCH_H_END = 173,
    Lily_DGD_CROUCH_H_DM_L = 174,
    Lily_DGD_CROUCH_H_DM_M = 175,
    Lily_DGD_CROUCH_H_DM_H = 176,
    Lily_DGD_CROUCH_H_DM_S = 177,
    Lily_DGD_CROUCH_L_BGN = 178,
    Lily_DGD_CROUCH_L = 179,
    Lily_DGD_CROUCH_L_END = 180,
    Lily_DGD_CROUCH_L_DM_L = 181,
    Lily_DGD_CROUCH_L_DM_M = 182,
    Lily_DGD_CROUCH_L_DM_H = 183,
    Lily_DGD_CROUCH_L_DM_S = 184,
    Lily_DGD_AIR_BGN = 185,
    Lily_DGD_AIR = 186,
    Lily_DGD_AIR_END = 187,
    Lily_DGD_AIR_DM_L = 188,
    Lily_DGD_AIR_DM_M = 189,
    Lily_DGD_AIR_DM_H = 190,
    Lily_DGD_AIR_DM_S = 191,
    Lily_DMG_STD_H_FR_L = 200,
    Lily_DMG_STD_H_FR_M = 201,
    Lily_DMG_STD_H_FR_H = 202,
    Lily_DMG_CRT_STD_H_FR = 203,
    Lily_DMG_STD_M_FR_L = 204,
    Lily_DMG_STD_M_FR_M = 205,
    Lily_DMG_STD_M_FR_H = 206,
    Lily_DMG_CRT_STD_M_FR = 207,
    Lily_DMG_STD_L_FR_L = 208,
    Lily_DMG_STD_L_FR_M = 209,
    Lily_DMG_STD_L_FR_H = 210,
    Lily_DMG_CRT_STD_L_FR = 211,
    Lily_DMG_CRO_H_FR_L = 212,
    Lily_DMG_CRO_H_FR_M = 213,
    Lily_DMG_CRO_H_FR_H = 214,
    Lily_DMG_CRT_CRO_H_FR = 215,
    Lily_DMG_CRO_L_FR_L = 216,
    Lily_DMG_CRO_L_FR_M = 217,
    Lily_DMG_CRO_L_FR_H = 218,
    Lily_DMG_CRT_CRO_L_FR = 219,
    Lily_DMG_AIR_FR_L = 220,
    Lily_DMG_AIR_FR_M = 221,
    Lily_DMG_AIR_FR_H = 222,
    Lily_DMG_STD_BK = 224,
    Lily_BUTT_RISE_90 = 230,
    Lily_BUTT_RISE_45 = 231,
    Lily_BUTT_RISE_00 = 232,
    Lily_BUTT_RISE_45m = 233,
    Lily_BUTT_RISE_90m = 234,
    Lily_BUTT_RISE_BK = 235,
    Lily_BUTT_RISE_BK_90m = 236,
    Lily_BUTT_FALL_90 = 237,
    Lily_BUTT_FALL_45 = 238,
    Lily_BUTT_FALL_00 = 239,
    Lily_BUTT_FALL_45m = 240,
    Lily_BUTT_FALL_90m = 241,
    Lily_BUTT_FALL_BK = 242,
    Lily_BUTT_FALL_BK_90m = 243,
    Lily_BUTT_H_START_90 = 244,
    Lily_BUTT_H_START_45 = 245,
    Lily_BUTT_H_START_00 = 246,
    Lily_BUTT_H_START_45m = 247,
    Lily_BUTT_H_START_90m = 248,
    Lily_BUTT_H_START_BK = 249,
    Lily_BUTT_H_START_BK_90m = 250,
    Lily_BUTT_B_START_90 = 251,
    Lily_BUTT_B_START_45 = 252,
    Lily_BUTT_B_START_00 = 253,
    Lily_BUTT_B_START_45m = 254,
    Lily_BUTT_B_START_90m = 255,
    Lily_BUTT_START_BK = 256,
    Lily_BUTT_START_BK_90m = 257,
    Lily_KNOCK_DOWN_BK = 258,
    Lily_DMG_HL_DOWN = 260,
    Lily_DMG_HM_DOWN = 261,
    Lily_DMG_HH_DOWN = 262,
    Lily_DMG_CL_DOWN = 263,
    Lily_DMG_CM_DOWN = 264,
    Lily_DMG_CH_DOWN = 265,
    Lily_DMG_HL_UPPER = 266,
    Lily_DMG_HM_UPPER = 267,
    Lily_DMG_HH_UPPER = 268,
    Lily_DMG_BL_UPPER = 269,
    Lily_DMG_BM_UPPER = 270,
    Lily_DMG_BH_UPPER = 271,
    Lily_ASHIBARAI = 273,
    Lily_ASHIBARAI_BACK = 274,
    Lily_KUZURE = 276,
    Lily_FLOP_DOWN = 277,
    Lily_DMG_H_SPIN_GROUND = 279,
    Lily_DMG_H_SPIN_AIR = 280,
    Lily_DMG_V_SPIN_GROUND = 281,
    Lily_DMG_V_SPIN_AIR = 282,
    Lily_WALL_HIT_FR = 284,
    Lily_WALL_HIT_BK = 285,
    Lily_WALL_DOWN_FR = 286,
    Lily_WALL_DOWN_BK = 287,
    Lily_DMG_GORO_FR = 289,
    Lily_DMG_GORO_DOWN_FR = 290,
    Lily_WALL_GROUND_FR = 291,
    Lily_WALL_PIYO_STOP = 293,
    Lily_WALL_PIYO_DOWN = 294,
    Lily_THROWBREAK_TO = 320,
    Lily_THROWBREAK_DONE = 321,
    Lily_GUARD_BREAK_STAND = 322,
    Lily_GUARD_BREAK_CROUCH = 323,
    Lily_HARDDOWN_FU = 330,
    Lily_HARDDOWN_FD = 331,
    Lily_SLIDEDOWN_FU = 332,
    Lily_SLIDEDOWN_FU_CMN = 333,
    Lily_SLIDEDOWN_FD = 334,
    Lily_SLIDEDOWN_FD_CMN = 335,
    Lily_LIE_DOWN_FU = 336,
    Lily_LIE_DOWN_FD = 337,
    Lily_DOWN_DMG_FU = 338,
    Lily_DOWN_DMG_FD = 339,
    Lily_WAKEUP_FU = 340,
    Lily_WAKEUP_FD = 341,
    Lily_WAKEUP_F_FU = 342,
    Lily_WAKEUP_F_FD = 343,
    Lily_WAKEUP_B_FU = 344,
    Lily_WAKEUP_B_FD = 345,
    Lily_BUTT_TAOREN = 346,
    Lily_AIR_RECOVERY_BK = 347,
    Lily_BOUND_FU = 350,
    Lily_BOUND_FD = 351,
    Lily_STUN = 353,
    Lily_STUN_END = 354,
    Lily_KUZURE_DIE = 356,
    Lily_APPEAR = 400,
    Lily_APPEAR_END = 401,
    Lily_APPEAR_ARCADE = 402,
    Lily_APPEAR_STORY = 403,
    Lily_LOSE = 405,
    Lily_MID_LOSE_FU = 407,
    Lily_MID_LOSE_FD = 408,
    Lily_DRAW = 410,
    Lily_RESULT = 412,
    Lily_WIN = 414,
    Lily_WIN_STORY = 415,
    Lily_WIN_PERFECT = 416,
    Lily_WIN_HI = 417,
    Lily_WIN_MID = 418,
    Lily_WIN_LOW = 419,
    Lily_MINION_ENTRY = 470,
    Lily_V_TOUCH_ENTRY = 471,
    Lily_V_TOUCH_STOP = 472,
    Lily_V_TOUCH_EXIT = 473,
    Lily_TOUCH_POSE = 474,
    Lily_TOUCH_JUMP = 475,
    Lily_TOUCH_SUKI = 476,
    Lily_TOUCH_NOKI = 477,
    Lily_ASSIST_SUKI = 478,
    Lily_PARRY_BGN = 480,
    Lily_PARRY_LOOP = 481,
    Lily_PARRY_END = 482,
    Lily_PARRY_HIT_H = 483,
    Lily_PARRY_HIT_M = 484,
    Lily_PARRY_HIT_L = 485,
    Lily_PARRY_JUST_H = 486,
    Lily_PARRY_JUST_M = 487,
    Lily_PARRY_JUST_L = 488,
    Lily_PARRY_CRO_BGN = 489,
    Lily_T_FOOTWORK = 510,
    Lily_T_CROUCH = 511,
    Lily_T_SIT_DOWN = 512,
    Lily_T_STAND_UP = 513,
    Lily_T_TURN_STAND = 514,
    Lily_T_TURN_CROUCH = 515,
    Lily_T_WALK_F_BGN = 516,
    Lily_T_WALK_FORWARD = 517,
    Lily_T_WALK_F_END = 518,
    Lily_T_WALK_B_BGN = 519,
    Lily_T_WALK_BACK = 520,
    Lily_T_WALK_B_END = 521,
    Lily_CONTINUE_FU = 530,
    Lily_CONTINUE_FD = 531,
    Lily_CONTINUE_SUCCESS = 532,
    Lily_CONTINUE_FAILURE = 533,
    Lily_ADV_STAND = 570,
    Lily_ADV_SIT = 571,
    Lily_ADV_AIR = 572,
    Lily_IMM_STAGE_INIT = 580,
    Lily_IMM_ROUND_INIT = 581,
    Lily_IMM_DAMAGE_INIT = 582,
    Lily_IMM_DAMAGE_EXIT = 583,
    Lily_IMM_TO_NORMAL = 584,
    Lily_IMM_TOUCH_EXIT = 585,
    Lily_IMM_TOUCH_ENTRY = 586,
    Lily_IMM_LANDING = 587,
    Lily_IMM_HOLD_EXIT = 588,
    Lily_IMM_FRAME_OUT = 589,
    Lily_IMM_APPEAR_END = 590,
    Lily_IMM_RESULT_INIT = 591,
    Lily_COMMON_END = 599,
    Lily_5LP = 600,
    Lily_RC_5LP = 601,
    Lily_RC_5LP_2 = 602,
    Lily_5MP = 604,
    Lily_5HP = 606,
    Lily_5LK = 608,
    Lily_RC_5LK = 609,
    Lily_RC_5LK_2 = 610,
    Lily_5MK = 612,
    Lily_5HK = 614,
    Lily_2LP = 616,
    Lily_RC_2LP = 617,
    Lily_RC_2LP_2 = 618,
    Lily_2MP = 620,
    Lily_2HP = 622,
    Lily_2LK = 624,
    Lily_RC_2LK = 625,
    Lily_RC_2LK_2 = 626,
    Lily_2MK = 628,
    Lily_2HK = 630,
    Lily_8LP = 633,
    Lily_8MP = 635,
    Lily_TC_8MP_1 = 636,
    Lily_8HP = 638,
    Lily_8LK = 641,
    Lily_8MK = 643,
    Lily_8HK = 645,
    Lily_AIR_NORMAL_LAND = 648,
    Lily_3HP = 651,
    Lily_6HP = 653,
    Lily_TC_6HP_1 = 654,
    Lily_TC_6HP_2 = 655,
    Lily_4HP = 658,
    Lily_92HP = 660,
    Lily_92HP_LAND = 661,
    Lily_THROW_F = 715,
    Lily_THROW_B = 717,
    Lily_THROW_F_ATK = 720,
    Lily_THROW_B_ATK = 725,
    Lily_THROW_B_ATK_PUNISH = 727,
    Lily_NORMAL_CANCEL_DRIVE_RUSH = 739,
    Lily_RAW_DRIVE_RUSH = 740,
    Lily_DRIVE_REVERSAL = 850,
    Lily_DRIVE_REVERSAL_2 = 851,
    Lily_DRIVE_IMPACT = 855,
    Lily_DRIVE_IMPACT_COUNTER_HIT = 856,
    Lily_DRIVE_IMPACT_COUNTER = 857,
    Lily_WIND_L = 900,
    Lily_WIND_HOLD = 901,
    Lily_WIND_L_RELEASE = 902,
    Lily_WIND_HOLD_2 = 903,
    Lily_WIND_M = 905,
    Lily_WIND_M_HOLD = 906,
    Lily_WIND_M_RELEASE = 907,
    Lily_WIND_M_HOLD_2 = 908,
    Lily_WIND_H = 910,
    Lily_WIND_H_HOLD = 911,
    Lily_WIND_H_RELEASE = 912,
    Lily_WIND_H_HOLD_2 = 913,
    Lily_WIND_EX = 915,
    Lily_WIND_EX_RELEASE = 917,
    Lily_WIND_EX_HOLD = 918,
    Lily_SPIRE_L = 921,
    Lily_SPIRE_M = 922,
    Lily_SPIRE_H = 923,
    Lily_SPIRE_EX = 924,
    Lily_WIND_SPIRE_L = 927,
    Lily_WIND_SPIRE_M = 928,
    Lily_WIND_SPIRE_H = 929,
    Lily_WIND_SPIRE_EX = 930,
    Lily_TOMAHAWK_L = 934,
    Lily_TOMAHAWK_M = 935,
    Lily_TOMAHAWK_H = 936,
    Lily_TOMAHAWK_EX = 937,
    Lily_WIND_TOMAHAWK_L = 939,
    Lily_WIND_TOMAHAWK_M = 940,
    Lily_WIND_TOMAHAWK_H = 941,
    Lily_WIND_TOMAHAWK_EX = 942,
    Lily_TOMAHAWK_L_LAND = 944,
    Lily_TOMAHAWK_M_LAND = 945,
    Lily_TOMAHAWK_H_LAND = 946,
    Lily_TOMAHAWK_EX_LAND__1 = 947,
    Lily_WIND_TOMAHAWK_L_LAND = 949,
    Lily_WIND_TOMAHAWK_M_LAND = 950,
    Lily_WIND_TOMAHAWK_H_LAND = 951,
    Lily_TOMAHAWK_EX_LAND = 952,
    Lily_CONDOR_DIVE = 955,
    Lily_CONDOR_DIVE_LAND = 956,
    Lily_EX_CONDOR_DIVE = 958,
    Lily_TOMAHAWK_CANCEL_EX_CONDOR_DIVE = 959,
    Lily_EX_CONDOR_DIVE_LAND = 960,
    Lily_WIND_CONDOR_DIVE = 962,
    Lily_WIND_CONDOR_DIVE_GRD = 963,
    Lily_WIND_CONDOR_DIVE_LAND = 964,
    Lily_WIND_EX_CONDOR_DIVE = 967,
    Lily_WIND_EX_CONDOR_DIVE_HIT = 968,
    Lily_WIND_EX_CONDOR_DIVE_LAND = 970,
    Lily_CONDOR_DIVE_HIT = 974,
    Lily_CONDOR_DIVE_HIT_LAND = 975,
    Lily_CONDOR_DIVE_GRD = 976,
    Lily_EX_CONDOR_DIVE_GRD = 977,
    Lily_WIND_CONDOR_DIVE_GRD_2 = 978,
    Lily_WIND_EX_CONDOR_DIVE_GRD_2 = 979,
    Lily_CONDOR_DIVE_GRD_LAND = 980,
    Lily_TYPHOON_L = 987,
    Lily_TYPHOON_L_HIT = 988,
    Lily_TYPHOON_L_HIT_PUNISH = 990,
    Lily_TYPHOON_M = 992,
    Lily_TYPHOON_M_HIT = 993,
    Lily_TYPHOON_M_HIT_PUNISH = 995,
    Lily_TYPHOON_H = 997,
    Lily_TYPHOON_H_HIT = 998,
    Lily_TYPHOON_H_HIT_PUNISH = 1000,
    Lily_TYPHOON_EX = 1002,
    Lily_TYPHOON_EX_HIT = 1003,
    Lily_TYPHOON_EX_HIT_PUNISH = 1005,
    Lily_CA1 = 1200,
    Lily_CA1_GRD = 1201,
    Lily_CA1_HIT = 1202,
    Lily_CA2 = 1206,
    Lily_WIND_CA2 = 1207,
    Lily_CA3 = 1216,
    Lily_CA3_HIT = 1217,
    Lily_CA3_LOW_HP = 1220,
    Lily_CA3_LOW_HP_HIT = 1221,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum BlankaActions {
    #[default]
    Blanka_INVALID_ID = -1,
    Blanka_BACKSTAGE = 0,
    Blanka_FOOTWORK = 1,
    Blanka_FOOTWORK_IDLE = 2,
    Blanka_CROUCH = 4,
    Blanka_SIT_DOWN = 5,
    Blanka_STAND_UP = 6,
    Blanka_TURN_STAND = 7,
    Blanka_TURN_CROUCH = 8,
    Blanka_WALK_F_BGN = 9,
    Blanka_WALK_FORWARD = 10,
    Blanka_WALK_F_END = 11,
    Blanka_SLIDE_FEET_F = 12,
    Blanka_WALK_B_BGN = 13,
    Blanka_WALK_BACK = 14,
    Blanka_WALK_B_END = 15,
    Blanka_SLIDE_FEET_B = 16,
    Blanka_DASH_F = 17,
    Blanka_DASH_B = 18,
    Blanka_DASH_F_END = 19,
    Blanka_DASH_B_END = 20,
    Blanka_RUN_F_BGN = 21,
    Blanka_RUN_F = 22,
    Blanka_RUN_F_END = 23,
    Blanka_RUN_B_BGN = 24,
    Blanka_RUN_B = 25,
    Blanka_RUN_B_END = 26,
    Blanka_DUCK_WALK_F_BGN = 27,
    Blanka_DUCK_WALK_F = 28,
    Blanka_DUCK_WALK_F_END = 29,
    Blanka_DUCK_WALK_B_BGN = 30,
    Blanka_DUCK_WALK_B = 31,
    Blanka_DUCK_WALK_B_END = 32,
    Blanka_JUMP_V_BGN = 33,
    Blanka_JUMP_F_BGN = 34,
    Blanka_JUMP_B_BGN = 35,
    Blanka_JUMP_V = 36,
    Blanka_JUMP_F = 37,
    Blanka_JUMP_B = 38,
    Blanka_JUMP_V_END = 39,
    Blanka_JUMP_F_END = 40,
    Blanka_JUMP_B_END = 41,
    Blanka_JUMP_ATK_END = 42,
    Blanka_W_JUMP_V = 44,
    Blanka_W_JUMP_F = 45,
    Blanka_W_JUMP_B = 46,
    Blanka_T_JUMP_WALL = 47,
    Blanka_T_JUMP = 48,
    Blanka_L_JUMP_V_BGN = 54,
    Blanka_L_JUMP_F_BGN = 55,
    Blanka_L_JUMP_B_BGN = 56,
    Blanka_L_JUMP_V = 57,
    Blanka_L_JUMP_F = 58,
    Blanka_L_JUMP_B = 59,
    Blanka_H_JUMP_V_BGN = 60,
    Blanka_H_JUMP_F_BGN = 61,
    Blanka_H_JUMP_B_BGN = 62,
    Blanka_H_JUMP_V = 63,
    Blanka_H_JUMP_F = 64,
    Blanka_H_JUMP_B = 65,
    Blanka_FLY_BGN = 66,
    Blanka_FLY_END = 67,
    Blanka_FLY_BASE = 68,
    Blanka_FLY_UU = 69,
    Blanka_FLY_BU = 70,
    Blanka_FLY_BB = 71,
    Blanka_FLY_BD = 72,
    Blanka_FLY_DD = 73,
    Blanka_FLY_FD = 74,
    Blanka_FLY_FF = 75,
    Blanka_FLY_FU = 76,
    Blanka_FLY_UU_END = 77,
    Blanka_FLY_BU_END = 78,
    Blanka_FLY_BB_END = 79,
    Blanka_FLY_BD_END = 80,
    Blanka_FLY_DD_END = 81,
    Blanka_FLY_FD_END = 82,
    Blanka_FLY_FF_END = 83,
    Blanka_FLY_FU_END = 84,
    Blanka_AIR_DASH_U = 85,
    Blanka_AIR_DASH_BU = 86,
    Blanka_AIR_DASH_B = 87,
    Blanka_AIR_DASH_BD = 88,
    Blanka_AIR_DASH_D = 89,
    Blanka_AIR_DASH_FD = 90,
    Blanka_AIR_DASH_F = 91,
    Blanka_AIR_DASH_FU = 92,
    Blanka_FALL_V = 93,
    Blanka_GRD_STAND_H_BGN = 100,
    Blanka_GRD_STAND_H = 101,
    Blanka_GRD_STAND_H_END = 102,
    Blanka_GRD_STAND_H_DM_L = 103,
    Blanka_GRD_STAND_H_DM_M = 104,
    Blanka_GRD_STAND_H_DM_H = 105,
    Blanka_GRD_STAND_H_DM_S = 106,
    Blanka_GRD_STAND_M_BGN = 107,
    Blanka_GRD_STAND_M = 108,
    Blanka_GRD_STAND_M_END = 109,
    Blanka_GRD_STAND_M_DM_L = 110,
    Blanka_GRD_STAND_M_DM_M = 111,
    Blanka_GRD_STAND_M_DM_H = 112,
    Blanka_GRD_STAND_M_DM_S = 113,
    Blanka_GRD_STAND_L_BGN = 114,
    Blanka_GRD_STAND_L = 115,
    Blanka_GRD_STAND_L_END = 116,
    Blanka_GRD_STAND_L_DM_L = 117,
    Blanka_GRD_STAND_L_DM_M = 118,
    Blanka_GRD_STAND_L_DM_H = 119,
    Blanka_GRD_STAND_L_DM_S = 120,
    Blanka_GRD_CROUCH_H_BGN = 121,
    Blanka_GRD_CROUCH_H = 122,
    Blanka_GRD_CROUCH_H_END = 123,
    Blanka_GRD_CROUCH_H_DM_L = 124,
    Blanka_GRD_CROUCH_H_DM_M = 125,
    Blanka_GRD_CROUCH_H_DM_H = 126,
    Blanka_GRD_CROUCH_H_DM_S = 127,
    Blanka_GRD_CROUCH_L_BGN = 128,
    Blanka_GRD_CROUCH_L = 129,
    Blanka_GRD_CROUCH_L_END = 130,
    Blanka_GRD_CROUCH_L_DM_L = 131,
    Blanka_GRD_CROUCH_L_DM_M = 132,
    Blanka_GRD_CROUCH_L_DM_H = 133,
    Blanka_GRD_CROUCH_L_DM_S = 134,
    Blanka_GRD_AIR_BGN = 135,
    Blanka_GRD_AIR = 136,
    Blanka_GRD_AIR_END = 137,
    Blanka_GRD_AIR_DM_L = 138,
    Blanka_GRD_AIR_DM_M = 139,
    Blanka_GRD_AIR_DM_H = 140,
    Blanka_GRD_AIR_DM_S = 141,
    Blanka_GRD_ZUSA_STAND = 143,
    Blanka_GRD_ZUSA_CROUCH = 144,
    Blanka_GRD_ZUSA_WALL = 145,
    Blanka_DGD_STAND_H_BGN = 150,
    Blanka_DGD_STAND_H = 151,
    Blanka_DGD_STAND_H_END = 152,
    Blanka_DGD_STAND_H_DM_L = 153,
    Blanka_DGD_STAND_H_DM_M = 154,
    Blanka_DGD_STAND_H_DM_H = 155,
    Blanka_DGD_STAND_H_DM_S = 156,
    Blanka_DGD_STAND_M_BGN = 157,
    Blanka_DGD_STAND_M = 158,
    Blanka_DGD_STAND_M_END = 159,
    Blanka_DGD_STAND_M_DM_L = 160,
    Blanka_DGD_STAND_M_DM_M = 161,
    Blanka_DGD_STAND_M_DM_H = 162,
    Blanka_DGD_STAND_M_DM_S = 163,
    Blanka_DGD_STAND_L_BGN = 164,
    Blanka_DGD_STAND_L = 165,
    Blanka_DGD_STAND_L_END = 166,
    Blanka_DGD_STAND_L_DM_L = 167,
    Blanka_DGD_STAND_L_DM_M = 168,
    Blanka_DGD_STAND_L_DM_H = 169,
    Blanka_DGD_STAND_L_DM_S = 170,
    Blanka_DGD_CROUCH_H_BGN = 171,
    Blanka_DGD_CROUCH_H = 172,
    Blanka_DGD_CROUCH_H_END = 173,
    Blanka_DGD_CROUCH_H_DM_L = 174,
    Blanka_DGD_CROUCH_H_DM_M = 175,
    Blanka_DGD_CROUCH_H_DM_H = 176,
    Blanka_DGD_CROUCH_H_DM_S = 177,
    Blanka_DGD_CROUCH_L_BGN = 178,
    Blanka_DGD_CROUCH_L = 179,
    Blanka_DGD_CROUCH_L_END = 180,
    Blanka_DGD_CROUCH_L_DM_L = 181,
    Blanka_DGD_CROUCH_L_DM_M = 182,
    Blanka_DGD_CROUCH_L_DM_H = 183,
    Blanka_DGD_CROUCH_L_DM_S = 184,
    Blanka_DGD_AIR_BGN = 185,
    Blanka_DGD_AIR = 186,
    Blanka_DGD_AIR_END = 187,
    Blanka_DGD_AIR_DM_L = 188,
    Blanka_DGD_AIR_DM_M = 189,
    Blanka_DGD_AIR_DM_H = 190,
    Blanka_DGD_AIR_DM_S = 191,
    Blanka_DMG_STD_H_FR_L = 200,
    Blanka_DMG_STD_H_FR_M = 201,
    Blanka_DMG_STD_H_FR_H = 202,
    Blanka_DMG_CRT_STD_H_FR = 203,
    Blanka_DMG_STD_M_FR_L = 204,
    Blanka_DMG_STD_M_FR_M = 205,
    Blanka_DMG_STD_M_FR_H = 206,
    Blanka_DMG_CRT_STD_M_FR = 207,
    Blanka_DMG_STD_L_FR_L = 208,
    Blanka_DMG_STD_L_FR_M = 209,
    Blanka_DMG_STD_L_FR_H = 210,
    Blanka_DMG_CRT_STD_L_FR = 211,
    Blanka_DMG_CRO_H_FR_L = 212,
    Blanka_DMG_CRO_H_FR_M = 213,
    Blanka_DMG_CRO_H_FR_H = 214,
    Blanka_DMG_CRT_CRO_H_FR = 215,
    Blanka_DMG_CRO_L_FR_L = 216,
    Blanka_DMG_CRO_L_FR_M = 217,
    Blanka_DMG_CRO_L_FR_H = 218,
    Blanka_DMG_CRT_CRO_L_FR = 219,
    Blanka_DMG_AIR_FR_L = 220,
    Blanka_DMG_AIR_FR_M = 221,
    Blanka_DMG_AIR_FR_H = 222,
    Blanka_DMG_STD_BK = 224,
    Blanka_BUTT_RISE_90 = 230,
    Blanka_BUTT_RISE_45 = 231,
    Blanka_BUTT_RISE_00 = 232,
    Blanka_BUTT_RISE_45m = 233,
    Blanka_BUTT_RISE_90m = 234,
    Blanka_BUTT_RISE_BK = 235,
    Blanka_BUTT_RISE_BK_90m = 236,
    Blanka_BUTT_FALL_90 = 237,
    Blanka_BUTT_FALL_45 = 238,
    Blanka_BUTT_FALL_00 = 239,
    Blanka_BUTT_FALL_45m = 240,
    Blanka_BUTT_FALL_90m = 241,
    Blanka_BUTT_FALL_BK = 242,
    Blanka_BUTT_FALL_BK_90m = 243,
    Blanka_BUTT_H_START_90 = 244,
    Blanka_BUTT_H_START_45 = 245,
    Blanka_BUTT_H_START_00 = 246,
    Blanka_BUTT_H_START_45m = 247,
    Blanka_BUTT_H_START_90m = 248,
    Blanka_BUTT_H_START_BK = 249,
    Blanka_BUTT_H_START_BK_90m = 250,
    Blanka_BUTT_B_START_90 = 251,
    Blanka_BUTT_B_START_45 = 252,
    Blanka_BUTT_B_START_00 = 253,
    Blanka_BUTT_B_START_45m = 254,
    Blanka_BUTT_B_START_90m = 255,
    Blanka_BUTT_START_BK = 256,
    Blanka_BUTT_START_BK_90m = 257,
    Blanka_KNOCK_DOWN_BK = 258,
    Blanka_DMG_HL_DOWN = 260,
    Blanka_DMG_HM_DOWN = 261,
    Blanka_DMG_HH_DOWN = 262,
    Blanka_DMG_CL_DOWN = 263,
    Blanka_DMG_CM_DOWN = 264,
    Blanka_DMG_CH_DOWN = 265,
    Blanka_DMG_HL_UPPER = 266,
    Blanka_DMG_HM_UPPER = 267,
    Blanka_DMG_HH_UPPER = 268,
    Blanka_DMG_BL_UPPER = 269,
    Blanka_DMG_BM_UPPER = 270,
    Blanka_DMG_BH_UPPER = 271,
    Blanka_ASHIBARAI = 273,
    Blanka_ASHIBARAI_BACK = 274,
    Blanka_KUZURE = 276,
    Blanka_FLOP_DOWN = 277,
    Blanka_DMG_H_SPIN_GROUND = 279,
    Blanka_DMG_H_SPIN_AIR = 280,
    Blanka_DMG_V_SPIN_GROUND = 281,
    Blanka_DMG_V_SPIN_AIR = 282,
    Blanka_WALL_HIT_FR = 284,
    Blanka_WALL_HIT_BK = 285,
    Blanka_WALL_DOWN_FR = 286,
    Blanka_WALL_DOWN_BK = 287,
    Blanka_DMG_GORO_FR = 289,
    Blanka_DMG_GORO_DOWN_FR = 290,
    Blanka_WALL_GROUND_FR = 291,
    Blanka_WALL_PIYO_STOP = 293,
    Blanka_WALL_PIYO_DOWN = 294,
    Blanka_THROWBREAK_TO = 320,
    Blanka_THROWBREAK_DONE = 321,
    Blanka_GUARD_BREAK_STAND = 322,
    Blanka_GUARD_BREAK_CROUCH = 323,
    Blanka_HARDDOWN_FU = 330,
    Blanka_HARDDOWN_FD = 331,
    Blanka_SLIDEDOWN_FU = 332,
    Blanka_SLIDEDOWN_FU_CMN = 333,
    Blanka_SLIDEDOWN_FD = 334,
    Blanka_SLIDEDOWN_FD_CMN = 335,
    Blanka_LIE_DOWN_FU = 336,
    Blanka_LIE_DOWN_FD = 337,
    Blanka_DOWN_DMG_FU = 338,
    Blanka_DOWN_DMG_FD = 339,
    Blanka_WAKEUP_FU = 340,
    Blanka_WAKEUP_FD = 341,
    Blanka_WAKEUP_F_FU = 342,
    Blanka_WAKEUP_F_FD = 343,
    Blanka_WAKEUP_B_FU = 344,
    Blanka_WAKEUP_B_FD = 345,
    Blanka_BUTT_TAOREN = 346,
    Blanka_AIR_RECOVERY_BK = 347,
    Blanka_BOUND_FU = 350,
    Blanka_BOUND_FD = 351,
    Blanka_STUN = 353,
    Blanka_STUN_END = 354,
    Blanka_KUZURE_DIE = 356,
    Blanka_APPEAR = 400,
    Blanka_APPEAR_END = 401,
    Blanka_APPEAR_ARCADE = 402,
    Blanka_APPEAR_STORY = 403,
    Blanka_LOSE = 405,
    Blanka_MID_LOSE_FU = 407,
    Blanka_MID_LOSE_FD = 408,
    Blanka_DRAW = 410,
    Blanka_RESULT = 412,
    Blanka_WIN = 414,
    Blanka_WIN_STORY = 415,
    Blanka_WIN_PERFECT = 416,
    Blanka_WIN_HI = 417,
    Blanka_WIN_MID = 418,
    Blanka_WIN_LOW = 419,
    Blanka_MINION_ENTRY = 470,
    Blanka_V_TOUCH_ENTRY = 471,
    Blanka_V_TOUCH_STOP = 472,
    Blanka_V_TOUCH_EXIT = 473,
    Blanka_TOUCH_POSE = 474,
    Blanka_TOUCH_JUMP = 475,
    Blanka_TOUCH_SUKI = 476,
    Blanka_TOUCH_NOKI = 477,
    Blanka_ASSIST_SUKI = 478,
    Blanka_PARRY_BGN = 480,
    Blanka_PARRY_LOOP = 481,
    Blanka_PARRY_END = 482,
    Blanka_PARRY_HIT_H = 483,
    Blanka_PARRY_HIT_M = 484,
    Blanka_PARRY_HIT_L = 485,
    Blanka_PARRY_JUST_H = 486,
    Blanka_PARRY_JUST_M = 487,
    Blanka_PARRY_JUST_L = 488,
    Blanka_PARRY_CRO_BGN = 489,
    Blanka_RAW_DRIVE_RUSH = 500,
    Blanka_NORMAL_CANCEL_DRIVE_RUSH = 502,
    Blanka_T_FOOTWORK = 510,
    Blanka_T_CROUCH = 511,
    Blanka_T_SIT_DOWN = 512,
    Blanka_T_STAND_UP = 513,
    Blanka_T_TURN_STAND = 514,
    Blanka_T_TURN_CROUCH = 515,
    Blanka_T_WALK_F_BGN = 516,
    Blanka_T_WALK_FORWARD = 517,
    Blanka_T_WALK_F_END = 518,
    Blanka_T_WALK_B_BGN = 519,
    Blanka_T_WALK_BACK = 520,
    Blanka_T_WALK_B_END = 521,
    Blanka_CONTINUE_FU = 530,
    Blanka_CONTINUE_FD = 531,
    Blanka_CONTINUE_SUCCESS = 532,
    Blanka_CONTINUE_FAILURE = 533,
    Blanka_ADV_STAND = 570,
    Blanka_ADV_SIT = 571,
    Blanka_ADV_AIR = 572,
    Blanka_IMM_STAGE_INIT = 580,
    Blanka_IMM_ROUND_INIT = 581,
    Blanka_IMM_DAMAGE_INIT = 582,
    Blanka_IMM_DAMAGE_EXIT = 583,
    Blanka_IMM_TO_NORMAL = 584,
    Blanka_IMM_TOUCH_EXIT = 585,
    Blanka_IMM_TOUCH_ENTRY = 586,
    Blanka_IMM_LANDING = 587,
    Blanka_IMM_HOLD_EXIT = 588,
    Blanka_IMM_FRAME_OUT = 589,
    Blanka_IMM_APPEAR_END = 590,
    Blanka_IMM_RESULT_INIT = 591,
    Blanka_COMMON_END = 599,
    Blanka_5LP = 600,
    Blanka_5MP = 602,
    Blanka_5HP = 604,
    Blanka_5HP_GRD = 605,
    Blanka_5LK = 607,
    Blanka_RC_5LK = 608,
    Blanka_5MK = 609,
    Blanka_5MK_SWING = 610,
    Blanka_5HK = 611,
    Blanka_5HK_GRD = 612,
    Blanka_2LP = 613,
    Blanka_RC_2LP = 614,
    Blanka_2MP = 616,
    Blanka_2HP = 618,
    Blanka_2HP_GRD = 619,
    Blanka_2LK = 622,
    Blanka_RC_2LK = 623,
    Blanka_2MK = 625,
    Blanka_2HK = 627,
    Blanka_8LP = 630,
    Blanka_8MP = 631,
    Blanka_9HP = 632,
    Blanka_8HP = 633,
    Blanka_8LK = 634,
    Blanka_8MK = 635,
    Blanka_8HK = 636,
    Blanka_AIR_NORMAL_LAND = 637,
    Blanka_6MP = 639,
    Blanka_6MK = 640,
    Blanka_4MK = 642,
    Blanka_6HP = 644,
    Blanka_6HP_HIT = 645,
    Blanka_3HP = 646,
    Blanka_THROW_F = 715,
    Blanka_THROW_B = 717,
    Blanka_THROW_F_ATK = 719,
    Blanka_THROW_F_ATK_PUNISH = 721,
    Blanka_THROW_B_ATK = 725,
    Blanka_THROW_B_ATK_PUNISH = 727,
    Blanka_DRIVE_REVERSAL = 850,
    Blanka_DRIVE_REVERSAL_2 = 851,
    Blanka_DRIVE_IMPACT = 855,
    Blanka_DRIVE_IMPACT_COUNTER_HIT = 856,
    Blanka_DRIVE_IMPACT_COUNTER = 857,
    Blanka_ROLLING_L = 859,
    Blanka_ROLLING_L_2 = 860,
    Blanka_ROLLING_L_3 = 861,
    Blanka_ROLLING_L_GRD = 862,
    Blanka_ROLLING_L_GRD_LAND = 863,
    Blanka_ROLLING_L_HIT = 864,
    Blanka_ROLLING_LAND = 865,
    Blanka_ROLLING_M = 867,
    Blanka_ROLLING_M_2 = 868,
    Blanka_ROLLING_M_3 = 869,
    Blanka_ROLLING_M_GRD = 870,
    Blanka_ROLLING_M_GRD_LAND = 871,
    Blanka_ROLLING_H = 873,
    Blanka_ROLLING_H_2 = 874,
    Blanka_ROLLING_H_3 = 875,
    Blanka_ROLLING_H_GRD = 876,
    Blanka_ROLLING_H_GRD_LAND = 877,
    Blanka_ROLLING_H_HIT = 878,
    Blanka_ROLLING_CA2_GRD = 881,
    Blanka_ROLLING_EX = 885,
    Blanka_ROLLING_EX_2 = 886,
    Blanka_ROLLING_EX_HIT = 887,
    Blanka_ROLLING_EX_3 = 888,
    Blanka_ROLLING_EX_GRD = 890,
    Blanka_ROLLING_CA2_LAND = 891,
    Blanka_ROLLING_EX_CA2_GRD = 895,
    Blanka_ROLLING_EX_CA2_GRD_LAND = 896,
    Blanka_AIR_ROLLING_L = 900,
    Blanka_AIR_ROLLING_L_2 = 901,
    Blanka_AIR_ROLLING_LAND = 902,
    Blanka_AIR_ROLLING_M = 904,
    Blanka_AIR_ROLLING_M_2 = 905,
    Blanka_AIR_ROLLING_H = 907,
    Blanka_AIR_ROLLING_H_2 = 908,
    Blanka_AIR_ROLLING_EX = 910,
    Blanka_AIR_ROLLING_EX_1 = 911,
    Blanka_AIR_ROLLING_EX_LAND__1 = 912,
    Blanka_AIR_ROLLING_EX_HIT = 914,
    Blanka_AIR_ROLLING_EX_LAND = 915,
    Blanka_THUNDER_LMH_2 = 920,
    Blanka_THUNDER_LMH_HOLD = 921,
    Blanka_THUNDER_LMH_END = 922,
    Blanka_THUNDER_LMH = 924,
    Blanka_THUNDER_EX_2 = 928,
    Blanka_THUNDER_EX_HOLD = 929,
    Blanka_THUNDER_EX_HIT = 930,
    Blanka_THUNDER_EX = 931,
    Blanka_THUNDER_EX_END = 932,
    Blanka_DOLL_THROW = 935,
    Blanka_BACKSTEP_ROLLING_L = 954,
    Blanka_BACKSTEP_ROLLING_L_2 = 955,
    Blanka_BACKSTEP_ROLLING_L_LAND = 956,
    Blanka_BACKSTEP_ROLLING_M = 958,
    Blanka_BACKSTEP_ROLLING_M_2 = 959,
    Blanka_BACKSTEP_ROLLING_M_LAND = 960,
    Blanka_BACKSTEP_ROLLING_H = 962,
    Blanka_BACKSTEP_ROLLING_H_2 = 963,
    Blanka_BACKSTEP_ROLLING_H_LAND = 964,
    Blanka_BACKSTEP_ROLLING_EX = 966,
    Blanka_BACKSTEP_ROLLING_EX_2 = 967,
    Blanka_BACKSTEP_ROLLING_EX_LAND = 968,
    Blanka_VERTICAL_L = 971,
    Blanka_VERTICAL_L_1 = 972,
    Blanka_VERTICAL_L_2 = 973,
    Blanka_VERTICAL_M = 975,
    Blanka_VERTICAL_M_1 = 976,
    Blanka_VERTICAL_LMH_HIT = 977,
    Blanka_VERTICAL_L_LAND = 978,
    Blanka_VERTICAL_M_2 = 981,
    Blanka_VERTICAL_LMH_LAND = 982,
    Blanka_VERTICAL_H = 984,
    Blanka_VERTICAL_H_1 = 985,
    Blanka_VERTICAL_H_2 = 986,
    Blanka_VERTICAL_CA2_GRD = 988,
    Blanka_VERTICAL_EX = 990,
    Blanka_VERTICAL_EX_1 = 991,
    Blanka_VERTICAL_EX_2 = 993,
    Blanka_VERTICAL_EX_CA2_GRD = 996,
    Blanka_VERTICAL_EX_CA2_GRD_LAND = 997,
    Blanka_COWARD_CROUCH = 1001,
    Blanka_COWARD_CROUCH_HOLD = 1002,
    Blanka_COWARD_CROUCH_END = 1003,
    Blanka_COWARD_LIFT = 1004,
    Blanka_COWARD_JUMP = 1005,
    Blanka_COWARD_JUMP_LAND = 1006,
    Blanka_6KKK = 1009,
    Blanka_4KKK = 1010,
    Blanka_HUNT_L = 1012,
    Blanka_HUNT_L_JUMP = 1013,
    Blanka_HUNT_L_SWING = 1014,
    Blanka_HUNT_L_HIT = 1015,
    Blanka_HUNT_L_HIT_PUNISH = 1017,
    Blanka_HUNT_M = 1018,
    Blanka_HUNT_M_JUMP = 1019,
    Blanka_HUNT_M_SWING = 1020,
    Blanka_HUNT_M_HIT = 1021,
    Blanka_HUNT_M_HIT_PUNISH = 1022,
    Blanka_HUNT_H = 1023,
    Blanka_HUNT_H_JUMP = 1024,
    Blanka_HUNT_H_SWING = 1025,
    Blanka_HUNT_H_HIT = 1026,
    Blanka_HUNT_H_HIT_PUNISH = 1027,
    Blanka_HUNT_EX = 1028,
    Blanka_HUNT_EX_JUMP = 1029,
    Blanka_HUNT_EX_SWING = 1030,
    Blanka_HUNT_EX_HIT = 1031,
    Blanka_HUNT_EX_HIT_PUNISH = 1032,
    Blanka_CA2_6ROLLING_1 = 1075,
    Blanka_CA2_9ROLLING_1 = 1076,
    Blanka_CA2_8ROLLING_1 = 1077,
    Blanka_CA2_7ROLLING_1 = 1078,
    Blanka_CA2_4ROLLING_1 = 1079,
    Blanka_CA2_1ROLLING_1 = 1080,
    Blanka_CA2_2ROLLING_1 = 1081,
    Blanka_CA2_3ROLLING_1 = 1082,
    Blanka_CA2_6ROLLING_2 = 1084,
    Blanka_CA2_9ROLLING_2 = 1085,
    Blanka_CA2_8ROLLING_2 = 1086,
    Blanka_CA2_7ROLLING_2 = 1087,
    Blanka_CA2_1ROLLING_2 = 1089,
    Blanka_CA2_2ROLLING_2 = 1090,
    Blanka_CA2_3ROLLING_2 = 1091,
    Blanka_CA2_6ROLLING_3 = 1094,
    Blanka_CA2_8ROLLING_3 = 1095,
    Blanka_CA2_7ROLLING_3 = 1096,
    Blanka_CA2_4ROLLING_3 = 1097,
    Blanka_CA2_1ROLLING_3 = 1098,
    Blanka_CA2_2ROLLING_3 = 1099,
    Blanka_CA2_7ROLLING_3__1 = 1100,
    Blanka_CA2_6ROLLING_LAND = 1102,
    Blanka_CA2_8ROLLING_LAND = 1103,
    Blanka_CA2_BACKSTEP_6ROLLING_1 = 1106,
    Blanka_CA2_BACKSTEP_9ROLLING_1 = 1107,
    Blanka_CA2_BACKSTEP_8ROLLING_1 = 1108,
    Blanka_CA2_BACKSTEP_7ROLLING_1 = 1109,
    Blanka_CA2_BACKSTEP_4ROLLING_1 = 1110,
    Blanka_CA2_BACKSTEP_1ROLLING_1 = 1111,
    Blanka_CA2_BACKSTEP_2ROLLING_1 = 1112,
    Blanka_CA2_BACKSTEP_3ROLLING_1 = 1113,
    Blanka_CA2_BACKSTEP_6ROLLING_2 = 1115,
    Blanka_CA2_BACKSTEP_9ROLLING_2 = 1116,
    Blanka_CA2_BACKSTEP_8ROLLING_2 = 1117,
    Blanka_CA2_BACKSTEP_7ROLLING_2 = 1118,
    Blanka_CA2_BACKSTEP_4ROLLING_2 = 1119,
    Blanka_CA2_BACKSTEP_1ROLLING_2 = 1120,
    Blanka_CA2_BACKSTEP_2ROLLING_2 = 1121,
    Blanka_CA2_BACKSTEP_3ROLLING_2 = 1122,
    Blanka_CA2_BACKSTEP_6ROLLING_3 = 1124,
    Blanka_CA2_BACKSTEP_9ROLLING_3 = 1125,
    Blanka_CA2_BACKSTEP_8ROLLING_3 = 1126,
    Blanka_CA2_BACKSTEP_7ROLLING_3 = 1127,
    Blanka_CA2_BACKSTEP_4ROLLING_3 = 1128,
    Blanka_CA2_BACKSTEP_1ROLLING_3 = 1129,
    Blanka_CA2_BACKSTEP_2ROLLING_3 = 1130,
    Blanka_CA2_BACKSTEP_3ROLLING_3 = 1131,
    Blanka_CA2_BACKSTEP_6ROLLING_LAND = 1133,
    Blanka_CA2_BACKSTEP_4ROLLING_LAND = 1134,
    Blanka_CA1 = 1200,
    Blanka_CA2 = 1210,
    Blanka_CA3 = 1215,
    Blanka_CA3_HIT = 1217,
    Blanka_CA3_LOW_HP = 1220,
    Blanka_CA3_LOW_HP_HIT = 1221,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum JuriActions {
    #[default]
    Juri_INVALID_ID = -1,
    Juri_BACKSTAGE = 0,
    Juri_FOOTWORK = 1,
    Juri_FOOTWORK_IDLE = 2,
    Juri_CROUCH = 4,
    Juri_SIT_DOWN = 5,
    Juri_STAND_UP = 6,
    Juri_TURN_STAND = 7,
    Juri_TURN_CROUCH = 8,
    Juri_WALK_F_BGN = 9,
    Juri_WALK_FORWARD = 10,
    Juri_WALK_F_END = 11,
    Juri_SLIDE_FEET_F = 12,
    Juri_WALK_B_BGN = 13,
    Juri_WALK_BACK = 14,
    Juri_WALK_B_END = 15,
    Juri_SLIDE_FEET_B = 16,
    Juri_DASH_F = 17,
    Juri_DASH_B = 18,
    Juri_DASH_F_END = 19,
    Juri_DASH_B_END = 20,
    Juri_RUN_F_BGN = 21,
    Juri_RUN_F = 22,
    Juri_RUN_F_END = 23,
    Juri_RUN_B_BGN = 24,
    Juri_RUN_B = 25,
    Juri_RUN_B_END = 26,
    Juri_DUCK_WALK_F_BGN = 27,
    Juri_DUCK_WALK_F = 28,
    Juri_DUCK_WALK_F_END = 29,
    Juri_DUCK_WALK_B_BGN = 30,
    Juri_DUCK_WALK_B = 31,
    Juri_DUCK_WALK_B_END = 32,
    Juri_JUMP_V_BGN = 33,
    Juri_JUMP_F_BGN = 34,
    Juri_JUMP_B_BGN = 35,
    Juri_JUMP_V = 36,
    Juri_JUMP_F = 37,
    Juri_JUMP_B = 38,
    Juri_JUMP_V_END = 39,
    Juri_JUMP_F_END = 40,
    Juri_JUMP_B_END = 41,
    Juri_JUMP_ATK_END = 42,
    Juri_W_JUMP_V = 44,
    Juri_W_JUMP_F = 45,
    Juri_W_JUMP_B = 46,
    Juri_T_JUMP_WALL = 47,
    Juri_T_JUMP = 48,
    Juri_L_JUMP_V_BGN = 54,
    Juri_L_JUMP_F_BGN = 55,
    Juri_L_JUMP_B_BGN = 56,
    Juri_L_JUMP_V = 57,
    Juri_L_JUMP_F = 58,
    Juri_L_JUMP_B = 59,
    Juri_H_JUMP_V_BGN = 60,
    Juri_H_JUMP_F_BGN = 61,
    Juri_H_JUMP_B_BGN = 62,
    Juri_H_JUMP_V = 63,
    Juri_H_JUMP_F = 64,
    Juri_H_JUMP_B = 65,
    Juri_FLY_BGN = 66,
    Juri_FLY_END = 67,
    Juri_FLY_BASE = 68,
    Juri_FLY_UU = 69,
    Juri_FLY_BU = 70,
    Juri_FLY_BB = 71,
    Juri_FLY_BD = 72,
    Juri_FLY_DD = 73,
    Juri_FLY_FD = 74,
    Juri_FLY_FF = 75,
    Juri_FLY_FU = 76,
    Juri_FLY_UU_END = 77,
    Juri_FLY_BU_END = 78,
    Juri_FLY_BB_END = 79,
    Juri_FLY_BD_END = 80,
    Juri_FLY_DD_END = 81,
    Juri_FLY_FD_END = 82,
    Juri_FLY_FF_END = 83,
    Juri_FLY_FU_END = 84,
    Juri_AIR_DASH_U = 85,
    Juri_AIR_DASH_BU = 86,
    Juri_AIR_DASH_B = 87,
    Juri_AIR_DASH_BD = 88,
    Juri_AIR_DASH_D = 89,
    Juri_AIR_DASH_FD = 90,
    Juri_AIR_DASH_F = 91,
    Juri_AIR_DASH_FU = 92,
    Juri_FALL_V = 93,
    Juri_GRD_STAND_H_BGN = 100,
    Juri_GRD_STAND_H = 101,
    Juri_GRD_STAND_H_END = 102,
    Juri_GRD_STAND_H_DM_L = 103,
    Juri_GRD_STAND_H_DM_M = 104,
    Juri_GRD_STAND_H_DM_H = 105,
    Juri_GRD_STAND_H_DM_S = 106,
    Juri_GRD_STAND_M_BGN = 107,
    Juri_GRD_STAND_M = 108,
    Juri_GRD_STAND_M_END = 109,
    Juri_GRD_STAND_M_DM_L = 110,
    Juri_GRD_STAND_M_DM_M = 111,
    Juri_GRD_STAND_M_DM_H = 112,
    Juri_GRD_STAND_M_DM_S = 113,
    Juri_GRD_STAND_L_BGN = 114,
    Juri_GRD_STAND_L = 115,
    Juri_GRD_STAND_L_END = 116,
    Juri_GRD_STAND_L_DM_L = 117,
    Juri_GRD_STAND_L_DM_M = 118,
    Juri_GRD_STAND_L_DM_H = 119,
    Juri_GRD_STAND_L_DM_S = 120,
    Juri_GRD_CROUCH_H_BGN = 121,
    Juri_GRD_CROUCH_H = 122,
    Juri_GRD_CROUCH_H_END = 123,
    Juri_GRD_CROUCH_H_DM_L = 124,
    Juri_GRD_CROUCH_H_DM_M = 125,
    Juri_GRD_CROUCH_H_DM_H = 126,
    Juri_GRD_CROUCH_H_DM_S = 127,
    Juri_GRD_CROUCH_L_BGN = 128,
    Juri_GRD_CROUCH_L = 129,
    Juri_GRD_CROUCH_L_END = 130,
    Juri_GRD_CROUCH_L_DM_L = 131,
    Juri_GRD_CROUCH_L_DM_M = 132,
    Juri_GRD_CROUCH_L_DM_H = 133,
    Juri_GRD_CROUCH_L_DM_S = 134,
    Juri_GRD_AIR_BGN = 135,
    Juri_GRD_AIR = 136,
    Juri_GRD_AIR_END = 137,
    Juri_GRD_AIR_DM_L = 138,
    Juri_GRD_AIR_DM_M = 139,
    Juri_GRD_AIR_DM_H = 140,
    Juri_GRD_AIR_DM_S = 141,
    Juri_GRD_ZUSA_STAND = 143,
    Juri_GRD_ZUSA_CROUCH = 144,
    Juri_GRD_ZUSA_WALL = 145,
    Juri_DGD_STAND_H_BGN = 150,
    Juri_DGD_STAND_H = 151,
    Juri_DGD_STAND_H_END = 152,
    Juri_DGD_STAND_H_DM_L = 153,
    Juri_DGD_STAND_H_DM_M = 154,
    Juri_DGD_STAND_H_DM_H = 155,
    Juri_DGD_STAND_H_DM_S = 156,
    Juri_DGD_STAND_M_BGN = 157,
    Juri_DGD_STAND_M = 158,
    Juri_DGD_STAND_M_END = 159,
    Juri_DGD_STAND_M_DM_L = 160,
    Juri_DGD_STAND_M_DM_M = 161,
    Juri_DGD_STAND_M_DM_H = 162,
    Juri_DGD_STAND_M_DM_S = 163,
    Juri_DGD_STAND_L_BGN = 164,
    Juri_DGD_STAND_L = 165,
    Juri_DGD_STAND_L_END = 166,
    Juri_DGD_STAND_L_DM_L = 167,
    Juri_DGD_STAND_L_DM_M = 168,
    Juri_DGD_STAND_L_DM_H = 169,
    Juri_DGD_STAND_L_DM_S = 170,
    Juri_DGD_CROUCH_H_BGN = 171,
    Juri_DGD_CROUCH_H = 172,
    Juri_DGD_CROUCH_H_END = 173,
    Juri_DGD_CROUCH_H_DM_L = 174,
    Juri_DGD_CROUCH_H_DM_M = 175,
    Juri_DGD_CROUCH_H_DM_H = 176,
    Juri_DGD_CROUCH_H_DM_S = 177,
    Juri_DGD_CROUCH_L_BGN = 178,
    Juri_DGD_CROUCH_L = 179,
    Juri_DGD_CROUCH_L_END = 180,
    Juri_DGD_CROUCH_L_DM_L = 181,
    Juri_DGD_CROUCH_L_DM_M = 182,
    Juri_DGD_CROUCH_L_DM_H = 183,
    Juri_DGD_CROUCH_L_DM_S = 184,
    Juri_DGD_AIR_BGN = 185,
    Juri_DGD_AIR = 186,
    Juri_DGD_AIR_END = 187,
    Juri_DGD_AIR_DM_L = 188,
    Juri_DGD_AIR_DM_M = 189,
    Juri_DGD_AIR_DM_H = 190,
    Juri_DGD_AIR_DM_S = 191,
    Juri_DMG_STD_H_FR_L = 200,
    Juri_DMG_STD_H_FR_M = 201,
    Juri_DMG_STD_H_FR_H = 202,
    Juri_DMG_CRT_STD_H_FR = 203,
    Juri_DMG_STD_M_FR_L = 204,
    Juri_DMG_STD_M_FR_M = 205,
    Juri_DMG_STD_M_FR_H = 206,
    Juri_DMG_CRT_STD_M_FR = 207,
    Juri_DMG_STD_L_FR_L = 208,
    Juri_DMG_STD_L_FR_M = 209,
    Juri_DMG_STD_L_FR_H = 210,
    Juri_DMG_CRT_STD_L_FR = 211,
    Juri_DMG_CRO_H_FR_L = 212,
    Juri_DMG_CRO_H_FR_M = 213,
    Juri_DMG_CRO_H_FR_H = 214,
    Juri_DMG_CRT_CRO_H_FR = 215,
    Juri_DMG_CRO_L_FR_L = 216,
    Juri_DMG_CRO_L_FR_M = 217,
    Juri_DMG_CRO_L_FR_H = 218,
    Juri_DMG_CRT_CRO_L_FR = 219,
    Juri_DMG_AIR_FR_L = 220,
    Juri_DMG_AIR_FR_M = 221,
    Juri_DMG_AIR_FR_H = 222,
    Juri_DMG_STD_BK = 224,
    Juri_BUTT_RISE_90 = 230,
    Juri_BUTT_RISE_45 = 231,
    Juri_BUTT_RISE_00 = 232,
    Juri_BUTT_RISE_45m = 233,
    Juri_BUTT_RISE_90m = 234,
    Juri_BUTT_RISE_BK = 235,
    Juri_BUTT_RISE_BK_90m = 236,
    Juri_BUTT_FALL_90 = 237,
    Juri_BUTT_FALL_45 = 238,
    Juri_BUTT_FALL_00 = 239,
    Juri_BUTT_FALL_45m = 240,
    Juri_BUTT_FALL_90m = 241,
    Juri_BUTT_FALL_BK = 242,
    Juri_BUTT_FALL_BK_90m = 243,
    Juri_BUTT_H_START_90 = 244,
    Juri_BUTT_H_START_45 = 245,
    Juri_BUTT_H_START_00 = 246,
    Juri_BUTT_H_START_45m = 247,
    Juri_BUTT_H_START_90m = 248,
    Juri_BUTT_H_START_BK = 249,
    Juri_BUTT_H_START_BK_90m = 250,
    Juri_BUTT_B_START_90 = 251,
    Juri_BUTT_B_START_45 = 252,
    Juri_BUTT_B_START_00 = 253,
    Juri_BUTT_B_START_45m = 254,
    Juri_BUTT_B_START_90m = 255,
    Juri_BUTT_START_BK = 256,
    Juri_BUTT_START_BK_90m = 257,
    Juri_KNOCK_DOWN_BK = 258,
    Juri_DMG_HL_DOWN = 260,
    Juri_DMG_HM_DOWN = 261,
    Juri_DMG_HH_DOWN = 262,
    Juri_DMG_CL_DOWN = 263,
    Juri_DMG_CM_DOWN = 264,
    Juri_DMG_CH_DOWN = 265,
    Juri_DMG_HL_UPPER = 266,
    Juri_DMG_HM_UPPER = 267,
    Juri_DMG_HH_UPPER = 268,
    Juri_DMG_BL_UPPER = 269,
    Juri_DMG_BM_UPPER = 270,
    Juri_DMG_BH_UPPER = 271,
    Juri_ASHIBARAI = 273,
    Juri_ASHIBARAI_BACK = 274,
    Juri_KUZURE = 276,
    Juri_FLOP_DOWN = 277,
    Juri_DMG_H_SPIN_GROUND = 279,
    Juri_DMG_H_SPIN_AIR = 280,
    Juri_DMG_V_SPIN_GROUND = 281,
    Juri_DMG_V_SPIN_AIR = 282,
    Juri_WALL_HIT_FR = 284,
    Juri_WALL_HIT_BK = 285,
    Juri_WALL_DOWN_FR = 286,
    Juri_WALL_DOWN_BK = 287,
    Juri_DMG_GORO_FR = 289,
    Juri_DMG_GORO_DOWN_FR = 290,
    Juri_WALL_GROUND_FR = 291,
    Juri_WALL_PIYO_STOP = 293,
    Juri_WALL_PIYO_DOWN = 294,
    Juri_THROWBREAK_TO = 320,
    Juri_THROWBREAK_DONE = 321,
    Juri_GUARD_BREAK_STAND = 322,
    Juri_GUARD_BREAK_CROUCH = 323,
    Juri_HARDDOWN_FU = 330,
    Juri_HARDDOWN_FD = 331,
    Juri_SLIDEDOWN_FU = 332,
    Juri_SLIDEDOWN_FU_CMN = 333,
    Juri_SLIDEDOWN_FD = 334,
    Juri_SLIDEDOWN_FD_CMN = 335,
    Juri_LIE_DOWN_FU = 336,
    Juri_LIE_DOWN_FD = 337,
    Juri_DOWN_DMG_FU = 338,
    Juri_DOWN_DMG_FD = 339,
    Juri_WAKEUP_FU = 340,
    Juri_WAKEUP_FD = 341,
    Juri_WAKEUP_F_FU = 342,
    Juri_WAKEUP_F_FD = 343,
    Juri_WAKEUP_B_FU = 344,
    Juri_WAKEUP_B_FD = 345,
    Juri_BUTT_TAOREN = 346,
    Juri_AIR_RECOVERY_BK = 347,
    Juri_BOUND_FU = 350,
    Juri_BOUND_FD = 351,
    Juri_STUN = 353,
    Juri_STUN_END = 354,
    Juri_KUZURE_DIE = 356,
    Juri_APPEAR = 400,
    Juri_APPEAR_END = 401,
    Juri_APPEAR_ARCADE = 402,
    Juri_APPEAR_STORY = 403,
    Juri_LOSE = 405,
    Juri_MID_LOSE_FU = 407,
    Juri_MID_LOSE_FD = 408,
    Juri_DRAW = 410,
    Juri_RESULT = 412,
    Juri_WIN = 414,
    Juri_WIN_STORY = 415,
    Juri_WIN_PERFECT = 416,
    Juri_WIN_HI = 417,
    Juri_WIN_MID = 418,
    Juri_WIN_LOW = 419,
    Juri_MINION_ENTRY = 470,
    Juri_V_TOUCH_ENTRY = 471,
    Juri_V_TOUCH_STOP = 472,
    Juri_V_TOUCH_EXIT = 473,
    Juri_TOUCH_POSE = 474,
    Juri_TOUCH_JUMP = 475,
    Juri_TOUCH_SUKI = 476,
    Juri_TOUCH_NOKI = 477,
    Juri_ASSIST_SUKI = 478,
    Juri_PARRY_BGN = 480,
    Juri_PARRY_LOOP = 481,
    Juri_PARRY_END = 482,
    Juri_PARRY_HIT_H = 483,
    Juri_PARRY_HIT_M = 484,
    Juri_PARRY_HIT_L = 485,
    Juri_PARRY_JUST_H = 486,
    Juri_PARRY_JUST_M = 487,
    Juri_PARRY_JUST_L = 488,
    Juri_PARRY_CRO_BGN = 489,
    Juri_RAW_DRIVE_RUSH = 500,
    Juri_NORMAL_CANCEL_DRIVE_RUSH = 501,
    Juri_T_FOOTWORK = 510,
    Juri_T_CROUCH = 511,
    Juri_T_SIT_DOWN = 512,
    Juri_T_STAND_UP = 513,
    Juri_T_TURN_STAND = 514,
    Juri_T_TURN_CROUCH = 515,
    Juri_T_WALK_F_BGN = 516,
    Juri_T_WALK_FORWARD = 517,
    Juri_T_WALK_F_END = 518,
    Juri_T_WALK_B_BGN = 519,
    Juri_T_WALK_BACK = 520,
    Juri_T_WALK_B_END = 521,
    Juri_CONTINUE_FU = 530,
    Juri_CONTINUE_FD = 531,
    Juri_CONTINUE_SUCCESS = 532,
    Juri_CONTINUE_FAILURE = 533,
    Juri_NORMAL_IDLE_RECOVERY = 569,
    Juri_ADV_STAND = 570,
    Juri_ADV_SIT = 571,
    Juri_ADV_AIR = 572,
    Juri_IMM_STAGE_INIT = 580,
    Juri_IMM_ROUND_INIT = 581,
    Juri_IMM_DAMAGE_INIT = 582,
    Juri_IMM_DAMAGE_EXIT = 583,
    Juri_IMM_TO_NORMAL = 584,
    Juri_IMM_TOUCH_EXIT = 585,
    Juri_IMM_TOUCH_ENTRY = 586,
    Juri_IMM_LANDING = 587,
    Juri_IMM_HOLD_EXIT = 588,
    Juri_IMM_FRAME_OUT = 589,
    Juri_IMM_APPEAR_END = 590,
    Juri_IMM_RESULT_INIT = 591,
    Juri_COMMON_END = 599,
    Juri_5LP = 600,
    Juri_CA2_5LP = 601,
    Juri_RC_5LP = 602,
    Juri_5MP = 603,
    Juri_TC_4HP_1 = 604,
    Juri_TC_4HP_2 = 605,
    Juri_CA2_5MP = 606,
    Juri_5HP = 607,
    Juri_CA2_5HP = 608,
    Juri_5LK = 609,
    Juri_CA2_5LK = 610,
    Juri_5MK = 612,
    Juri_CA2_5MK = 613,
    Juri_5HK = 615,
    Juri_CA2_5HK = 616,
    Juri_2LP = 618,
    Juri_CA2_2LP = 619,
    Juri_RC_2LP = 620,
    Juri_2MP = 623,
    Juri_CA2_2MP = 624,
    Juri_2HP = 626,
    Juri_CA2_2HP = 627,
    Juri_2LK = 629,
    Juri_CA2_2LK = 630,
    Juri_RC_2LK = 631,
    Juri_2MK = 634,
    Juri_CA2_2MK = 635,
    Juri_2HK = 637,
    Juri_CA2_2HK = 638,
    Juri_8LP = 650,
    Juri_CA2_8LP = 651,
    Juri_8MP = 652,
    Juri_CA2_8MP = 653,
    Juri_8HP = 654,
    Juri_CA2_8HP = 655,
    Juri_8LK = 656,
    Juri_CA2_8LK = 657,
    Juri_8MK = 658,
    Juri_CA2_8MK = 659,
    Juri_9HK = 660,
    Juri_CA2_9HK = 661,
    Juri_8HK = 662,
    Juri_CA2_8HK = 663,
    Juri_AIR_NORMAL_LAND = 664,
    Juri_CA2_JC = 665,
    Juri_CA2_JC_2 = 666,
    Juri_6MP = 668,
    Juri_CA2_6MP = 669,
    Juri_6MK = 670,
    Juri_CA2_6MK = 672,
    Juri_6HP = 674,
    Juri_CA2_6HP = 675,
    Juri_4HK = 677,
    Juri_CA2_4HK = 678,
    Juri_THROW_F = 715,
    Juri_THROW_B = 717,
    Juri_THROW_F_ATK = 720,
    Juri_THROW_F_ATK_PUNISH = 722,
    Juri_THROW_B_ATK = 725,
    Juri_THROW_B_ATK_PUNISH = 727,
    Juri_THROW_A = 730,
    Juri_THROW_A_ATK = 731,
    Juri_THROW_A_LAND = 734,
    Juri_THROW_A_ATK_PUNISH = 735,
    Juri_DRIVE_REVERSAL = 850,
    Juri_DRIVE_REVERSAL_2 = 851,
    Juri_DRIVE_IMPACT = 855,
    Juri_DRIVE_IMPACT_COUNTER_HIT = 856,
    Juri_DRIVE_IMPACT_COUNTER = 857,
    Juri_FUHA_L_CHARGE_1 = 900,
    Juri_FUHA_L_CHARGE_2 = 901,
    Juri_FUHA_L_CHARGE_3 = 902,
    Juri_FUHA_L_CHARGE_RECOVERY = 903,
    Juri_FUHA_M_CHARGE_1 = 904,
    Juri_FUHA_M_CHARGE_2 = 905,
    Juri_FUHA_M_CHARGE_3 = 906,
    Juri_FUHA_H_CHARGE_1 = 907,
    Juri_FUHA_H_CHARGE_2 = 908,
    Juri_FUHA_H_CHARGE_3 = 909,
    Juri_FUHA_EX_CHARGE_1 = 911,
    Juri_FUHA_EX_CHARGE_2 = 912,
    Juri_FUHA_EX_CHARGE_3 = 913,
    Juri_236LK = 921,
    Juri_236KK_EX_LM_1 = 922,
    Juri_236KK_EX_C_M_LK_2 = 923,
    Juri_236KK_EX_C_H_LK_2 = 924,
    Juri_236KK_EX_C_H_M_LK_3 = 925,
    Juri_FUHA_236LK_1 = 926,
    Juri_FUHA_C_M_LK_2 = 927,
    Juri_FUHA_C_H_LK_2 = 928,
    Juri_FUHA_C_H_M_LK_3 = 929,
    Juri_236MK = 931,
    Juri_236KK_EX_LH_1 = 932,
    Juri_236KK_EX_C_L_M_2 = 934,
    Juri_236KK_EX_C_H_M_2 = 935,
    Juri_236KK_EX_C_MH_L_M_3 = 936,
    Juri_FUHA_236MK_1 = 937,
    Juri_FUHA_C_L_MK_2 = 938,
    Juri_FUHA_C_H_HK_2 = 939,
    Juri_FUHA_C_H_L_MK_3 = 940,
    Juri_236HK = 942,
    Juri_236KK_EX_MH_1 = 943,
    Juri_236KK_EX_C_L_H_2 = 944,
    Juri_236KK_EX_C_M_HK_2 = 945,
    Juri_236KK_EX_C_M_L_H_3 = 946,
    Juri_FUHA_236HK_1 = 955,
    Juri_FUHA_C_L_HK_2 = 956,
    Juri_FUHA_C_M_HK_2 = 957,
    Juri_FUHA_C_M_L_HK_3 = 958,
    Juri_SHIKU_LMH = 965,
    Juri_SHIKU_RAPID_PRESS = 968,
    Juri_SHIKU_EX = 978,
    Juri_SHIKU_EX_RAPID_PRESS = 981,
    Juri_SHIKU_LMH_LAND = 984,
    Juri_SHIKU_RAPID_PRESS_LAND = 985,
    Juri_SHIKU_EX_RAPID_PRESS_LAND = 986,
    Juri_TENSEN_L = 987,
    Juri_TENSEN_M = 988,
    Juri_TENSEN_H = 989,
    Juri_TENSEN_EX = 990,
    Juri_TENSEN_EX_MISS = 991,
    Juri_TENSEN_H_LAND = 992,
    Juri_TENSEN_M_LAND = 993,
    Juri_TENSEN_EX_LAND = 994,
    Juri_CA1_STAND_LOOP = 1201,
    Juri_CA1 = 1202,
    Juri_CA2_RELEASE = 1215,
    Juri_CA2 = 1216,
    Juri_CA2_HOLD = 1218,
    Juri_CA3 = 1221,
    Juri_CA3_HIT = 1222,
    Juri_CA3_LOW_HP = 1226,
    Juri_CA3_LOW_HP_HIT = 1227,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum MarisaActions {
    #[default]
    Marisa_INVALID_ID = -1,
    Marisa_BACKSTAGE = 0,
    Marisa_FOOTWORK = 1,
    Marisa_FOOTWORK_IDLE = 2,
    Marisa_CROUCH = 4,
    Marisa_SIT_DOWN = 5,
    Marisa_STAND_UP = 6,
    Marisa_TURN_STAND = 7,
    Marisa_TURN_CROUCH = 8,
    Marisa_WALK_F_BGN = 9,
    Marisa_WALK_FORWARD = 10,
    Marisa_WALK_F_END = 11,
    Marisa_SLIDE_FEET_F = 12,
    Marisa_WALK_B_BGN = 13,
    Marisa_WALK_BACK = 14,
    Marisa_WALK_B_END = 15,
    Marisa_SLIDE_FEET_B = 16,
    Marisa_DASH_F = 17,
    Marisa_DASH_B = 18,
    Marisa_DASH_F_END = 19,
    Marisa_DASH_B_END = 20,
    Marisa_RUN_F_BGN = 21,
    Marisa_RUN_F = 22,
    Marisa_RUN_F_END = 23,
    Marisa_RUN_B_BGN = 24,
    Marisa_RUN_B = 25,
    Marisa_RUN_B_END = 26,
    Marisa_DUCK_WALK_F_BGN = 27,
    Marisa_DUCK_WALK_F = 28,
    Marisa_DUCK_WALK_F_END = 29,
    Marisa_DUCK_WALK_B_BGN = 30,
    Marisa_DUCK_WALK_B = 31,
    Marisa_DUCK_WALK_B_END = 32,
    Marisa_JUMP_V_BGN = 33,
    Marisa_JUMP_F_BGN = 34,
    Marisa_JUMP_B_BGN = 35,
    Marisa_JUMP_V = 36,
    Marisa_JUMP_F = 37,
    Marisa_JUMP_B = 38,
    Marisa_JUMP_V_END = 39,
    Marisa_JUMP_F_END = 40,
    Marisa_JUMP_B_END = 41,
    Marisa_JUMP_ATK_END = 42,
    Marisa_W_JUMP_V = 44,
    Marisa_W_JUMP_F = 45,
    Marisa_W_JUMP_B = 46,
    Marisa_T_JUMP_WALL = 47,
    Marisa_T_JUMP = 48,
    Marisa_L_JUMP_V_BGN = 54,
    Marisa_L_JUMP_F_BGN = 55,
    Marisa_L_JUMP_B_BGN = 56,
    Marisa_L_JUMP_V = 57,
    Marisa_L_JUMP_F = 58,
    Marisa_L_JUMP_B = 59,
    Marisa_H_JUMP_V_BGN = 60,
    Marisa_H_JUMP_F_BGN = 61,
    Marisa_H_JUMP_B_BGN = 62,
    Marisa_H_JUMP_V = 63,
    Marisa_H_JUMP_F = 64,
    Marisa_H_JUMP_B = 65,
    Marisa_FLY_BGN = 66,
    Marisa_FLY_END = 67,
    Marisa_FLY_BASE = 68,
    Marisa_FLY_UU = 69,
    Marisa_FLY_BU = 70,
    Marisa_FLY_BB = 71,
    Marisa_FLY_BD = 72,
    Marisa_FLY_DD = 73,
    Marisa_FLY_FD = 74,
    Marisa_FLY_FF = 75,
    Marisa_FLY_FU = 76,
    Marisa_FLY_UU_END = 77,
    Marisa_FLY_BU_END = 78,
    Marisa_FLY_BB_END = 79,
    Marisa_FLY_BD_END = 80,
    Marisa_FLY_DD_END = 81,
    Marisa_FLY_FD_END = 82,
    Marisa_FLY_FF_END = 83,
    Marisa_FLY_FU_END = 84,
    Marisa_AIR_DASH_U = 85,
    Marisa_AIR_DASH_BU = 86,
    Marisa_AIR_DASH_B = 87,
    Marisa_AIR_DASH_BD = 88,
    Marisa_AIR_DASH_D = 89,
    Marisa_AIR_DASH_FD = 90,
    Marisa_AIR_DASH_F = 91,
    Marisa_AIR_DASH_FU = 92,
    Marisa_FALL_V = 93,
    Marisa_GRD_STAND_H_BGN = 100,
    Marisa_GRD_STAND_H = 101,
    Marisa_GRD_STAND_H_END = 102,
    Marisa_GRD_STAND_H_DM_L = 103,
    Marisa_GRD_STAND_H_DM_M = 104,
    Marisa_GRD_STAND_H_DM_H = 105,
    Marisa_GRD_STAND_H_DM_S = 106,
    Marisa_GRD_STAND_M_BGN = 107,
    Marisa_GRD_STAND_M = 108,
    Marisa_GRD_STAND_M_END = 109,
    Marisa_GRD_STAND_M_DM_L = 110,
    Marisa_GRD_STAND_M_DM_M = 111,
    Marisa_GRD_STAND_M_DM_H = 112,
    Marisa_GRD_STAND_M_DM_S = 113,
    Marisa_GRD_STAND_L_BGN = 114,
    Marisa_GRD_STAND_L = 115,
    Marisa_GRD_STAND_L_END = 116,
    Marisa_GRD_STAND_L_DM_L = 117,
    Marisa_GRD_STAND_L_DM_M = 118,
    Marisa_GRD_STAND_L_DM_H = 119,
    Marisa_GRD_STAND_L_DM_S = 120,
    Marisa_GRD_CROUCH_H_BGN = 121,
    Marisa_GRD_CROUCH_H = 122,
    Marisa_GRD_CROUCH_H_END = 123,
    Marisa_GRD_CROUCH_H_DM_L = 124,
    Marisa_GRD_CROUCH_H_DM_M = 125,
    Marisa_GRD_CROUCH_H_DM_H = 126,
    Marisa_GRD_CROUCH_H_DM_S = 127,
    Marisa_GRD_CROUCH_L_BGN = 128,
    Marisa_GRD_CROUCH_L = 129,
    Marisa_GRD_CROUCH_L_END = 130,
    Marisa_GRD_CROUCH_L_DM_L = 131,
    Marisa_GRD_CROUCH_L_DM_M = 132,
    Marisa_GRD_CROUCH_L_DM_H = 133,
    Marisa_GRD_CROUCH_L_DM_S = 134,
    Marisa_GRD_AIR_BGN = 135,
    Marisa_GRD_AIR = 136,
    Marisa_GRD_AIR_END = 137,
    Marisa_GRD_AIR_DM_L = 138,
    Marisa_GRD_AIR_DM_M = 139,
    Marisa_GRD_AIR_DM_H = 140,
    Marisa_GRD_AIR_DM_S = 141,
    Marisa_GRD_ZUSA_STAND = 143,
    Marisa_GRD_ZUSA_CROUCH = 144,
    Marisa_GRD_ZUSA_WALL = 145,
    Marisa_DGD_STAND_H_BGN = 150,
    Marisa_DGD_STAND_H = 151,
    Marisa_DGD_STAND_H_END = 152,
    Marisa_DGD_STAND_H_DM_L = 153,
    Marisa_DGD_STAND_H_DM_M = 154,
    Marisa_DGD_STAND_H_DM_H = 155,
    Marisa_DGD_STAND_H_DM_S = 156,
    Marisa_DGD_STAND_M_BGN = 157,
    Marisa_DGD_STAND_M = 158,
    Marisa_DGD_STAND_M_END = 159,
    Marisa_DGD_STAND_M_DM_L = 160,
    Marisa_DGD_STAND_M_DM_M = 161,
    Marisa_DGD_STAND_M_DM_H = 162,
    Marisa_DGD_STAND_M_DM_S = 163,
    Marisa_DGD_STAND_L_BGN = 164,
    Marisa_DGD_STAND_L = 165,
    Marisa_DGD_STAND_L_END = 166,
    Marisa_DGD_STAND_L_DM_L = 167,
    Marisa_DGD_STAND_L_DM_M = 168,
    Marisa_DGD_STAND_L_DM_H = 169,
    Marisa_DGD_STAND_L_DM_S = 170,
    Marisa_DGD_CROUCH_H_BGN = 171,
    Marisa_DGD_CROUCH_H = 172,
    Marisa_DGD_CROUCH_H_END = 173,
    Marisa_DGD_CROUCH_H_DM_L = 174,
    Marisa_DGD_CROUCH_H_DM_M = 175,
    Marisa_DGD_CROUCH_H_DM_H = 176,
    Marisa_DGD_CROUCH_H_DM_S = 177,
    Marisa_DGD_CROUCH_L_BGN = 178,
    Marisa_DGD_CROUCH_L = 179,
    Marisa_DGD_CROUCH_L_END = 180,
    Marisa_DGD_CROUCH_L_DM_L = 181,
    Marisa_DGD_CROUCH_L_DM_M = 182,
    Marisa_DGD_CROUCH_L_DM_H = 183,
    Marisa_DGD_CROUCH_L_DM_S = 184,
    Marisa_DGD_AIR_BGN = 185,
    Marisa_DGD_AIR = 186,
    Marisa_DGD_AIR_END = 187,
    Marisa_DGD_AIR_DM_L = 188,
    Marisa_DGD_AIR_DM_M = 189,
    Marisa_DGD_AIR_DM_H = 190,
    Marisa_DGD_AIR_DM_S = 191,
    Marisa_DMG_STD_H_FR_L = 200,
    Marisa_DMG_STD_H_FR_M = 201,
    Marisa_DMG_STD_H_FR_H = 202,
    Marisa_DMG_CRT_STD_H_FR = 203,
    Marisa_DMG_STD_M_FR_L = 204,
    Marisa_DMG_STD_M_FR_M = 205,
    Marisa_DMG_STD_M_FR_H = 206,
    Marisa_DMG_CRT_STD_M_FR = 207,
    Marisa_DMG_STD_L_FR_L = 208,
    Marisa_DMG_STD_L_FR_M = 209,
    Marisa_DMG_STD_L_FR_H = 210,
    Marisa_DMG_CRT_STD_L_FR = 211,
    Marisa_DMG_CRO_H_FR_L = 212,
    Marisa_DMG_CRO_H_FR_M = 213,
    Marisa_DMG_CRO_H_FR_H = 214,
    Marisa_DMG_CRT_CRO_H_FR = 215,
    Marisa_DMG_CRO_L_FR_L = 216,
    Marisa_DMG_CRO_L_FR_M = 217,
    Marisa_DMG_CRO_L_FR_H = 218,
    Marisa_DMG_CRT_CRO_L_FR = 219,
    Marisa_DMG_AIR_FR_L = 220,
    Marisa_DMG_AIR_FR_M = 221,
    Marisa_DMG_AIR_FR_H = 222,
    Marisa_DMG_STD_BK = 224,
    Marisa_BUTT_RISE_90 = 230,
    Marisa_BUTT_RISE_45 = 231,
    Marisa_BUTT_RISE_00 = 232,
    Marisa_BUTT_RISE_45m = 233,
    Marisa_BUTT_RISE_90m = 234,
    Marisa_BUTT_RISE_BK = 235,
    Marisa_BUTT_RISE_BK_90m = 236,
    Marisa_BUTT_FALL_90 = 237,
    Marisa_BUTT_FALL_45 = 238,
    Marisa_BUTT_FALL_00 = 239,
    Marisa_BUTT_FALL_45m = 240,
    Marisa_BUTT_FALL_90m = 241,
    Marisa_BUTT_FALL_BK = 242,
    Marisa_BUTT_FALL_BK_90m = 243,
    Marisa_BUTT_H_START_90 = 244,
    Marisa_BUTT_H_START_45 = 245,
    Marisa_BUTT_H_START_00 = 246,
    Marisa_BUTT_H_START_45m = 247,
    Marisa_BUTT_H_START_90m = 248,
    Marisa_BUTT_H_START_BK = 249,
    Marisa_BUTT_H_START_BK_90m = 250,
    Marisa_BUTT_B_START_90 = 251,
    Marisa_BUTT_B_START_45 = 252,
    Marisa_BUTT_B_START_00 = 253,
    Marisa_BUTT_B_START_45m = 254,
    Marisa_BUTT_B_START_90m = 255,
    Marisa_BUTT_START_BK = 256,
    Marisa_BUTT_START_BK_90m = 257,
    Marisa_KNOCK_DOWN_BK = 258,
    Marisa_DMG_HL_DOWN = 260,
    Marisa_DMG_HM_DOWN = 261,
    Marisa_DMG_HH_DOWN = 262,
    Marisa_DMG_CL_DOWN = 263,
    Marisa_DMG_CM_DOWN = 264,
    Marisa_DMG_CH_DOWN = 265,
    Marisa_DMG_HL_UPPER = 266,
    Marisa_DMG_HM_UPPER = 267,
    Marisa_DMG_HH_UPPER = 268,
    Marisa_DMG_BL_UPPER = 269,
    Marisa_DMG_BM_UPPER = 270,
    Marisa_DMG_BH_UPPER = 271,
    Marisa_ASHIBARAI = 273,
    Marisa_ASHIBARAI_BACK = 274,
    Marisa_KUZURE = 276,
    Marisa_FLOP_DOWN = 277,
    Marisa_DMG_H_SPIN_GROUND = 279,
    Marisa_DMG_H_SPIN_AIR = 280,
    Marisa_DMG_V_SPIN_GROUND = 281,
    Marisa_DMG_V_SPIN_AIR = 282,
    Marisa_WALL_HIT_FR = 284,
    Marisa_WALL_HIT_BK = 285,
    Marisa_WALL_DOWN_FR = 286,
    Marisa_WALL_DOWN_BK = 287,
    Marisa_DMG_GORO_FR = 289,
    Marisa_DMG_GORO_DOWN_FR = 290,
    Marisa_WALL_GROUND_FR = 291,
    Marisa_WALL_PIYO_STOP = 293,
    Marisa_WALL_PIYO_DOWN = 294,
    Marisa_THROWBREAK_TO = 320,
    Marisa_THROWBREAK_DONE = 321,
    Marisa_GUARD_BREAK_STAND = 322,
    Marisa_GUARD_BREAK_CROUCH = 323,
    Marisa_HARDDOWN_FU = 330,
    Marisa_HARDDOWN_FD = 331,
    Marisa_SLIDEDOWN_FU = 332,
    Marisa_SLIDEDOWN_FU_CMN = 333,
    Marisa_SLIDEDOWN_FD = 334,
    Marisa_SLIDEDOWN_FD_CMN = 335,
    Marisa_LIE_DOWN_FU = 336,
    Marisa_LIE_DOWN_FD = 337,
    Marisa_DOWN_DMG_FU = 338,
    Marisa_DOWN_DMG_FD = 339,
    Marisa_WAKEUP_FU = 340,
    Marisa_WAKEUP_FD = 341,
    Marisa_WAKEUP_F_FU = 342,
    Marisa_WAKEUP_F_FD = 343,
    Marisa_WAKEUP_B_FU = 344,
    Marisa_WAKEUP_B_FD = 345,
    Marisa_BUTT_TAOREN = 346,
    Marisa_AIR_RECOVERY_BK = 347,
    Marisa_BOUND_FU = 350,
    Marisa_BOUND_FD = 351,
    Marisa_STUN = 353,
    Marisa_STUN_END = 354,
    Marisa_KUZURE_DIE = 356,
    Marisa_APPEAR = 400,
    Marisa_APPEAR_END = 401,
    Marisa_APPEAR_ARCADE = 402,
    Marisa_APPEAR_STORY = 403,
    Marisa_LOSE = 405,
    Marisa_MID_LOSE_FU = 407,
    Marisa_MID_LOSE_FD = 408,
    Marisa_DRAW = 410,
    Marisa_RESULT = 412,
    Marisa_WIN = 414,
    Marisa_WIN_STORY = 415,
    Marisa_WIN_PERFECT = 416,
    Marisa_WIN_HI = 417,
    Marisa_WIN_MID = 418,
    Marisa_WIN_LOW = 419,
    Marisa_MINION_ENTRY = 470,
    Marisa_V_TOUCH_ENTRY = 471,
    Marisa_V_TOUCH_STOP = 472,
    Marisa_V_TOUCH_EXIT = 473,
    Marisa_TOUCH_POSE = 474,
    Marisa_TOUCH_JUMP = 475,
    Marisa_TOUCH_SUKI = 476,
    Marisa_TOUCH_NOKI = 477,
    Marisa_ASSIST_SUKI = 478,
    Marisa_PARRY_BGN = 480,
    Marisa_PARRY_LOOP = 481,
    Marisa_PARRY_END = 482,
    Marisa_PARRY_HIT_H = 483,
    Marisa_PARRY_HIT_M = 484,
    Marisa_PARRY_HIT_L = 485,
    Marisa_PARRY_JUST_H = 486,
    Marisa_PARRY_JUST_M = 487,
    Marisa_PARRY_JUST_L = 488,
    Marisa_PARRY_CRO_BGN = 489,
    Marisa_RAW_DRIVE_RUSH = 501,
    Marisa_NORMAL_CANCEL_DRIVE_RUSH = 504,
    Marisa_T_FOOTWORK = 510,
    Marisa_T_CROUCH = 511,
    Marisa_T_SIT_DOWN = 512,
    Marisa_T_STAND_UP = 513,
    Marisa_T_TURN_STAND = 514,
    Marisa_T_TURN_CROUCH = 515,
    Marisa_T_WALK_F_BGN = 516,
    Marisa_T_WALK_FORWARD = 517,
    Marisa_T_WALK_F_END = 518,
    Marisa_T_WALK_B_BGN = 519,
    Marisa_T_WALK_BACK = 520,
    Marisa_T_WALK_B_END = 521,
    Marisa_CONTINUE_FU = 530,
    Marisa_CONTINUE_FD = 531,
    Marisa_CONTINUE_SUCCESS = 532,
    Marisa_CONTINUE_FAILURE = 533,
    Marisa_ADV_STAND = 570,
    Marisa_ADV_SIT = 571,
    Marisa_ADV_AIR = 572,
    Marisa_IMM_STAGE_INIT = 580,
    Marisa_IMM_ROUND_INIT = 581,
    Marisa_IMM_DAMAGE_INIT = 582,
    Marisa_IMM_DAMAGE_EXIT = 583,
    Marisa_IMM_TO_NORMAL = 584,
    Marisa_IMM_TOUCH_EXIT = 585,
    Marisa_IMM_TOUCH_ENTRY = 586,
    Marisa_IMM_LANDING = 587,
    Marisa_IMM_HOLD_EXIT = 588,
    Marisa_IMM_FRAME_OUT = 589,
    Marisa_IMM_APPEAR_END = 590,
    Marisa_IMM_RESULT_INIT = 591,
    Marisa_COMMON_END = 599,
    Marisa_5LP = 600,
    Marisa_TC_5LP = 601,
    Marisa_5MP_HIT = 603,
    Marisa_5MP = 604,
    Marisa_5MP_TC = 605,
    Marisa_5HP = 608,
    Marisa_5HP_RELEASE = 609,
    Marisa_5HP_HOLD = 610,
    Marisa_5HP_5HP_TC = 611,
    Marisa_5LK = 613,
    Marisa_5MK = 615,
    Marisa_5HK = 617,
    Marisa_5HK_RELEASE = 618,
    Marisa_5HK_HOLD = 619,
    Marisa_2LP = 621,
    Marisa_RC_2LP = 622,
    Marisa_RC_2LP_2 = 623,
    Marisa_2MP = 625,
    Marisa_2HP = 627,
    Marisa_2HP_RELEASE = 628,
    Marisa_2HP_HOLD = 629,
    Marisa_2LK = 633,
    Marisa_RC_2LK = 634,
    Marisa_RC_2LK_2 = 635,
    Marisa_2MK = 637,
    Marisa_2HK = 639,
    Marisa_2HK_RELEASE = 640,
    Marisa_2HK_HOLD = 641,
    Marisa_8LP = 645,
    Marisa_8MP = 646,
    Marisa_8MP_TC = 647,
    Marisa_8HP = 648,
    Marisa_8HP_RELEASE = 649,
    Marisa_8HP_HOLD = 650,
    Marisa_8LK = 651,
    Marisa_8MK = 652,
    Marisa_8HK = 653,
    Marisa_8HK_RELEASE = 654,
    Marisa_8HK_HOLD = 655,
    Marisa_AIR_NORMAL_LAND = 661,
    Marisa_AIR_H_HOLD_LAND = 663,
    Marisa_6MP = 666,
    Marisa_6MP_5HK_TC = 667,
    Marisa_6MP_5HP_TC = 668,
    Marisa_6HK = 671,
    Marisa_6HK_RELEASE = 672,
    Marisa_6HK_HOLD = 673,
    Marisa_6HK_TC = 674,
    Marisa_3HP = 678,
    Marisa_3HP_RELEASE = 679,
    Marisa_3HP_HOLD = 680,
    Marisa_3HP_TC = 681,
    Marisa_4HP_RELEASE = 684,
    Marisa_4HP_WHIFF = 685,
    Marisa_4HP = 686,
    Marisa_4HP_HOLD = 687,
    Marisa_4HP_HOLD_HIT = 688,
    Marisa_4HP_HOLD_WHIFF = 689,
    Marisa_THROW_B = 715,
    Marisa_THROW_F = 717,
    Marisa_THROW_F_ATK = 735,
    Marisa_THROW_F_ATK_PUNISH = 737,
    Marisa_THROW_B_ATK = 739,
    Marisa_THROW_B_ATK_PUNISH = 741,
    Marisa_DRIVE_IMPACT = 854,
    Marisa_DRIVE_IMPACT_COUNTER_HIT = 855,
    Marisa_DRIVE_IMPACT_COUNTER = 856,
    Marisa_GLAD_L = 900,
    Marisa_GLAD_M = 901,
    Marisa_GLAD_H = 902,
    Marisa_GLAD_EX = 903,
    Marisa_GLAD_L_RELEASE = 905,
    Marisa_GLAD_M_RELEASE = 906,
    Marisa_GLAD_H_RELEASE = 907,
    Marisa_GLAD_EX_RELEASE = 908,
    Marisa_GLAD_L_HOLD = 910,
    Marisa_GLAD_M_HOLD = 911,
    Marisa_GLAD_H_HOLD = 912,
    Marisa_GLAD_EX_HOLD = 913,
    Marisa_GLAD_HOLD_HIT = 915,
    Marisa_GLAD_HOLD_HIT_2 = 916,
    Marisa_GLAD_EX_HOLD_HIT = 919,
    Marisa_GLAD_EX_HOLD_HIT_2 = 920,
    Marisa_DIMA_L = 923,
    Marisa_DIMA_L_PUNCH = 924,
    Marisa_DIMA_M = 926,
    Marisa_DIMA_M_PUNCH = 927,
    Marisa_DIMA_H = 929,
    Marisa_DIMA_H_PUNCH = 930,
    Marisa_DIMA_EX = 932,
    Marisa_DIMA_EX_PUNCH = 933,
    Marisa_PHAL_L = 936,
    Marisa_PHAL_M = 937,
    Marisa_PHAL_H = 938,
    Marisa_PHAL_EX = 939,
    Marisa_QUAD_L = 943,
    Marisa_QUAD_M = 944,
    Marisa_QUAD_H = 945,
    Marisa_QUAD_EX = 946,
    Marisa_SCUTUM = 952,
    Marisa_SCUTUM_1 = 953,
    Marisa_SCUTUM_2 = 954,
    Marisa_SCUTUM_PUNCH = 958,
    Marisa_SCUTUM_PUNCH_WHIFF = 959,
    Marisa_SCUTUM_PUNCH_PUNCH__1 = 960,
    Marisa_SCUTUM_PUNCH_PUNCH = 961,
    Marisa_SCUTUM_KICK = 962,
    Marisa_SCUTUM_THROW = 964,
    Marisa_SCUTUM_THROW_HIT = 965,
    Marisa_SCUTUM_THROW_HIT_PUNISH_COUNTER = 967,
    Marisa_SCUTUM_EX = 969,
    Marisa_SCUTUM_EX_1 = 970,
    Marisa_SCUTUM_EX_2 = 971,
    Marisa_CA1 = 1200,
    Marisa_CA1_RELEASE = 1201,
    Marisa_CA1_HOLD_COUNTER = 1202,
    Marisa_CA1_HOLD = 1203,
    Marisa_CA1_HOLD_HIT = 1204,
    Marisa_CA2 = 1208,
    Marisa_CA2_HIT = 1209,
    Marisa_CA3 = 1213,
    Marisa_CA3_HIT = 1214,
    Marisa_CA3_LOW_HP = 1217,
    Marisa_CA3_LOW_HP_HIT = 1218,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum GuileActions {
    #[default]
    Guile_INVALID_ID = -1,
    Guile_BACKSTAGE = 0,
    Guile_FOOTWORK = 1,
    Guile_FOOTWORK_IDLE = 2,
    Guile_CROUCH = 4,
    Guile_SIT_DOWN = 5,
    Guile_STAND_UP = 6,
    Guile_TURN_STAND = 7,
    Guile_TURN_CROUCH = 8,
    Guile_WALK_F_BGN = 9,
    Guile_WALK_FORWARD = 10,
    Guile_WALK_F_END = 11,
    Guile_SLIDE_FEET_F = 12,
    Guile_WALK_B_BGN = 13,
    Guile_WALK_BACK = 14,
    Guile_WALK_B_END = 15,
    Guile_SLIDE_FEET_B = 16,
    Guile_DASH_F = 17,
    Guile_DASH_B = 18,
    Guile_DASH_F_END = 19,
    Guile_DASH_B_END = 20,
    Guile_RUN_F_BGN = 21,
    Guile_RUN_F = 22,
    Guile_RUN_F_END = 23,
    Guile_RUN_B_BGN = 24,
    Guile_RUN_B = 25,
    Guile_RUN_B_END = 26,
    Guile_DUCK_WALK_F_BGN = 27,
    Guile_DUCK_WALK_F = 28,
    Guile_DUCK_WALK_F_END = 29,
    Guile_DUCK_WALK_B_BGN = 30,
    Guile_DUCK_WALK_B = 31,
    Guile_DUCK_WALK_B_END = 32,
    Guile_JUMP_V_BGN = 33,
    Guile_JUMP_F_BGN = 34,
    Guile_JUMP_B_BGN = 35,
    Guile_JUMP_V = 36,
    Guile_JUMP_F = 37,
    Guile_JUMP_B = 38,
    Guile_JUMP_V_END = 39,
    Guile_JUMP_F_END = 40,
    Guile_JUMP_B_END = 41,
    Guile_JUMP_ATK_END = 42,
    Guile_W_JUMP_V = 44,
    Guile_W_JUMP_F = 45,
    Guile_W_JUMP_B = 46,
    Guile_T_JUMP_WALL = 47,
    Guile_T_JUMP = 48,
    Guile_L_JUMP_V_BGN = 54,
    Guile_L_JUMP_F_BGN = 55,
    Guile_L_JUMP_B_BGN = 56,
    Guile_L_JUMP_V = 57,
    Guile_L_JUMP_F = 58,
    Guile_L_JUMP_B = 59,
    Guile_H_JUMP_V_BGN = 60,
    Guile_H_JUMP_F_BGN = 61,
    Guile_H_JUMP_B_BGN = 62,
    Guile_H_JUMP_V = 63,
    Guile_H_JUMP_F = 64,
    Guile_H_JUMP_B = 65,
    Guile_FLY_BGN = 66,
    Guile_FLY_END = 67,
    Guile_FLY_BASE = 68,
    Guile_FLY_UU = 69,
    Guile_FLY_BU = 70,
    Guile_FLY_BB = 71,
    Guile_FLY_BD = 72,
    Guile_FLY_DD = 73,
    Guile_FLY_FD = 74,
    Guile_FLY_FF = 75,
    Guile_FLY_FU = 76,
    Guile_FLY_UU_END = 77,
    Guile_FLY_BU_END = 78,
    Guile_FLY_BB_END = 79,
    Guile_FLY_BD_END = 80,
    Guile_FLY_DD_END = 81,
    Guile_FLY_FD_END = 82,
    Guile_FLY_FF_END = 83,
    Guile_FLY_FU_END = 84,
    Guile_AIR_DASH_U = 85,
    Guile_AIR_DASH_BU = 86,
    Guile_AIR_DASH_B = 87,
    Guile_AIR_DASH_BD = 88,
    Guile_AIR_DASH_D = 89,
    Guile_AIR_DASH_FD = 90,
    Guile_AIR_DASH_F = 91,
    Guile_AIR_DASH_FU = 92,
    Guile_FALL_V = 93,
    Guile_GRD_STAND_H_BGN = 100,
    Guile_GRD_STAND_H = 101,
    Guile_GRD_STAND_H_END = 102,
    Guile_GRD_STAND_H_DM_L = 103,
    Guile_GRD_STAND_H_DM_M = 104,
    Guile_GRD_STAND_H_DM_H = 105,
    Guile_GRD_STAND_H_DM_S = 106,
    Guile_GRD_STAND_M_BGN = 107,
    Guile_GRD_STAND_M = 108,
    Guile_GRD_STAND_M_END = 109,
    Guile_GRD_STAND_M_DM_L = 110,
    Guile_GRD_STAND_M_DM_M = 111,
    Guile_GRD_STAND_M_DM_H = 112,
    Guile_GRD_STAND_M_DM_S = 113,
    Guile_GRD_STAND_L_BGN = 114,
    Guile_GRD_STAND_L = 115,
    Guile_GRD_STAND_L_END = 116,
    Guile_GRD_STAND_L_DM_L = 117,
    Guile_GRD_STAND_L_DM_M = 118,
    Guile_GRD_STAND_L_DM_H = 119,
    Guile_GRD_STAND_L_DM_S = 120,
    Guile_GRD_CROUCH_H_BGN = 121,
    Guile_GRD_CROUCH_H = 122,
    Guile_GRD_CROUCH_H_END = 123,
    Guile_GRD_CROUCH_H_DM_L = 124,
    Guile_GRD_CROUCH_H_DM_M = 125,
    Guile_GRD_CROUCH_H_DM_H = 126,
    Guile_GRD_CROUCH_H_DM_S = 127,
    Guile_GRD_CROUCH_L_BGN = 128,
    Guile_GRD_CROUCH_L = 129,
    Guile_GRD_CROUCH_L_END = 130,
    Guile_GRD_CROUCH_L_DM_L = 131,
    Guile_GRD_CROUCH_L_DM_M = 132,
    Guile_GRD_CROUCH_L_DM_H = 133,
    Guile_GRD_CROUCH_L_DM_S = 134,
    Guile_GRD_AIR_BGN = 135,
    Guile_GRD_AIR = 136,
    Guile_GRD_AIR_END = 137,
    Guile_GRD_AIR_DM_L = 138,
    Guile_GRD_AIR_DM_M = 139,
    Guile_GRD_AIR_DM_H = 140,
    Guile_GRD_AIR_DM_S = 141,
    Guile_GRD_ZUSA_STAND = 143,
    Guile_GRD_ZUSA_CROUCH = 144,
    Guile_GRD_ZUSA_WALL = 145,
    Guile_DGD_STAND_H_BGN = 150,
    Guile_DGD_STAND_H = 151,
    Guile_DGD_STAND_H_END = 152,
    Guile_DGD_STAND_H_DM_L = 153,
    Guile_DGD_STAND_H_DM_M = 154,
    Guile_DGD_STAND_H_DM_H = 155,
    Guile_DGD_STAND_H_DM_S = 156,
    Guile_DGD_STAND_M_BGN = 157,
    Guile_DGD_STAND_M = 158,
    Guile_DGD_STAND_M_END = 159,
    Guile_DGD_STAND_M_DM_L = 160,
    Guile_DGD_STAND_M_DM_M = 161,
    Guile_DGD_STAND_M_DM_H = 162,
    Guile_DGD_STAND_M_DM_S = 163,
    Guile_DGD_STAND_L_BGN = 164,
    Guile_DGD_STAND_L = 165,
    Guile_DGD_STAND_L_END = 166,
    Guile_DGD_STAND_L_DM_L = 167,
    Guile_DGD_STAND_L_DM_M = 168,
    Guile_DGD_STAND_L_DM_H = 169,
    Guile_DGD_STAND_L_DM_S = 170,
    Guile_DGD_CROUCH_H_BGN = 171,
    Guile_DGD_CROUCH_H = 172,
    Guile_DGD_CROUCH_H_END = 173,
    Guile_DGD_CROUCH_H_DM_L = 174,
    Guile_DGD_CROUCH_H_DM_M = 175,
    Guile_DGD_CROUCH_H_DM_H = 176,
    Guile_DGD_CROUCH_H_DM_S = 177,
    Guile_DGD_CROUCH_L_BGN = 178,
    Guile_DGD_CROUCH_L = 179,
    Guile_DGD_CROUCH_L_END = 180,
    Guile_DGD_CROUCH_L_DM_L = 181,
    Guile_DGD_CROUCH_L_DM_M = 182,
    Guile_DGD_CROUCH_L_DM_H = 183,
    Guile_DGD_CROUCH_L_DM_S = 184,
    Guile_DGD_AIR_BGN = 185,
    Guile_DGD_AIR = 186,
    Guile_DGD_AIR_END = 187,
    Guile_DGD_AIR_DM_L = 188,
    Guile_DGD_AIR_DM_M = 189,
    Guile_DGD_AIR_DM_H = 190,
    Guile_DGD_AIR_DM_S = 191,
    Guile_DMG_STD_H_FR_L = 200,
    Guile_DMG_STD_H_FR_M = 201,
    Guile_DMG_STD_H_FR_H = 202,
    Guile_DMG_CRT_STD_H_FR = 203,
    Guile_DMG_STD_M_FR_L = 204,
    Guile_DMG_STD_M_FR_M = 205,
    Guile_DMG_STD_M_FR_H = 206,
    Guile_DMG_CRT_STD_M_FR = 207,
    Guile_DMG_STD_L_FR_L = 208,
    Guile_DMG_STD_L_FR_M = 209,
    Guile_DMG_STD_L_FR_H = 210,
    Guile_DMG_CRT_STD_L_FR = 211,
    Guile_DMG_CRO_H_FR_L = 212,
    Guile_DMG_CRO_H_FR_M = 213,
    Guile_DMG_CRO_H_FR_H = 214,
    Guile_DMG_CRT_CRO_H_FR = 215,
    Guile_DMG_CRO_L_FR_L = 216,
    Guile_DMG_CRO_L_FR_M = 217,
    Guile_DMG_CRO_L_FR_H = 218,
    Guile_DMG_CRT_CRO_L_FR = 219,
    Guile_DMG_AIR_FR_L = 220,
    Guile_DMG_AIR_FR_M = 221,
    Guile_DMG_AIR_FR_H = 222,
    Guile_DMG_STD_BK = 224,
    Guile_BUTT_RISE_90 = 230,
    Guile_BUTT_RISE_45 = 231,
    Guile_BUTT_RISE_00 = 232,
    Guile_BUTT_RISE_45m = 233,
    Guile_BUTT_RISE_90m = 234,
    Guile_BUTT_RISE_BK = 235,
    Guile_BUTT_RISE_BK_90m = 236,
    Guile_BUTT_FALL_90 = 237,
    Guile_BUTT_FALL_45 = 238,
    Guile_BUTT_FALL_00 = 239,
    Guile_BUTT_FALL_45m = 240,
    Guile_BUTT_FALL_90m = 241,
    Guile_BUTT_FALL_BK = 242,
    Guile_BUTT_FALL_BK_90m = 243,
    Guile_BUTT_H_START_90 = 244,
    Guile_BUTT_H_START_45 = 245,
    Guile_BUTT_H_START_00 = 246,
    Guile_BUTT_H_START_45m = 247,
    Guile_BUTT_H_START_90m = 248,
    Guile_BUTT_H_START_BK = 249,
    Guile_BUTT_H_START_BK_90m = 250,
    Guile_BUTT_B_START_90 = 251,
    Guile_BUTT_B_START_45 = 252,
    Guile_BUTT_B_START_00 = 253,
    Guile_BUTT_B_START_45m = 254,
    Guile_BUTT_B_START_90m = 255,
    Guile_BUTT_START_BK = 256,
    Guile_BUTT_START_BK_90m = 257,
    Guile_KNOCK_DOWN_BK = 258,
    Guile_DMG_HL_DOWN = 260,
    Guile_DMG_HM_DOWN = 261,
    Guile_DMG_HH_DOWN = 262,
    Guile_DMG_CL_DOWN = 263,
    Guile_DMG_CM_DOWN = 264,
    Guile_DMG_CH_DOWN = 265,
    Guile_DMG_HL_UPPER = 266,
    Guile_DMG_HM_UPPER = 267,
    Guile_DMG_HH_UPPER = 268,
    Guile_DMG_BL_UPPER = 269,
    Guile_DMG_BM_UPPER = 270,
    Guile_DMG_BH_UPPER = 271,
    Guile_ASHIBARAI = 273,
    Guile_ASHIBARAI_BACK = 274,
    Guile_KUZURE = 276,
    Guile_FLOP_DOWN = 277,
    Guile_DMG_H_SPIN_GROUND = 279,
    Guile_DMG_H_SPIN_AIR = 280,
    Guile_DMG_V_SPIN_GROUND = 281,
    Guile_DMG_V_SPIN_AIR = 282,
    Guile_WALL_HIT_FR = 284,
    Guile_WALL_HIT_BK = 285,
    Guile_WALL_DOWN_FR = 286,
    Guile_WALL_DOWN_BK = 287,
    Guile_DMG_GORO_FR = 289,
    Guile_DMG_GORO_DOWN_FR = 290,
    Guile_WALL_GROUND_FR = 291,
    Guile_WALL_PIYO_STOP = 293,
    Guile_WALL_PIYO_DOWN = 294,
    Guile_THROWBREAK_TO = 320,
    Guile_THROWBREAK_DONE = 321,
    Guile_GUARD_BREAK_STAND = 322,
    Guile_GUARD_BREAK_CROUCH = 323,
    Guile_HARDDOWN_FU = 330,
    Guile_HARDDOWN_FD = 331,
    Guile_SLIDEDOWN_FU = 332,
    Guile_SLIDEDOWN_FU_CMN = 333,
    Guile_SLIDEDOWN_FD = 334,
    Guile_SLIDEDOWN_FD_CMN = 335,
    Guile_LIE_DOWN_FU = 336,
    Guile_LIE_DOWN_FD = 337,
    Guile_DOWN_DMG_FU = 338,
    Guile_DOWN_DMG_FD = 339,
    Guile_WAKEUP_FU = 340,
    Guile_WAKEUP_FD = 341,
    Guile_WAKEUP_F_FU = 342,
    Guile_WAKEUP_F_FD = 343,
    Guile_WAKEUP_B_FU = 344,
    Guile_WAKEUP_B_FD = 345,
    Guile_BUTT_TAOREN = 346,
    Guile_AIR_RECOVERY_BK = 347,
    Guile_BOUND_FU = 350,
    Guile_BOUND_FD = 351,
    Guile_STUN = 353,
    Guile_STUN_END = 354,
    Guile_KUZURE_DIE = 356,
    Guile_APPEAR = 400,
    Guile_APPEAR_END = 401,
    Guile_APPEAR_ARCADE = 402,
    Guile_APPEAR_STORY = 403,
    Guile_LOSE = 405,
    Guile_MID_LOSE_FU = 407,
    Guile_MID_LOSE_FD = 408,
    Guile_DRAW = 410,
    Guile_RESULT = 412,
    Guile_WIN = 414,
    Guile_WIN_STORY = 415,
    Guile_WIN_PERFECT = 416,
    Guile_WIN_HI = 417,
    Guile_WIN_MID = 418,
    Guile_WIN_LOW = 419,
    Guile_MINION_ENTRY = 470,
    Guile_V_TOUCH_ENTRY = 471,
    Guile_V_TOUCH_STOP = 472,
    Guile_V_TOUCH_EXIT = 473,
    Guile_TOUCH_POSE = 474,
    Guile_TOUCH_JUMP = 475,
    Guile_TOUCH_SUKI = 476,
    Guile_TOUCH_NOKI = 477,
    Guile_ASSIST_SUKI = 478,
    Guile_PARRY_BGN = 480,
    Guile_PARRY_LOOP = 481,
    Guile_PARRY_END = 482,
    Guile_PARRY_HIT_H = 483,
    Guile_PARRY_HIT_M = 484,
    Guile_PARRY_HIT_L = 485,
    Guile_PARRY_JUST_H = 486,
    Guile_PARRY_JUST_M = 487,
    Guile_PARRY_JUST_L = 488,
    Guile_PARRY_CRO_BGN = 489,
    Guile_T_FOOTWORK = 510,
    Guile_T_CROUCH = 511,
    Guile_T_SIT_DOWN = 512,
    Guile_T_STAND_UP = 513,
    Guile_T_TURN_STAND = 514,
    Guile_T_TURN_CROUCH = 515,
    Guile_T_WALK_F_BGN = 516,
    Guile_T_WALK_FORWARD = 517,
    Guile_T_WALK_F_END = 518,
    Guile_T_WALK_B_BGN = 519,
    Guile_T_WALK_BACK = 520,
    Guile_T_WALK_B_END = 521,
    Guile_CONTINUE_FU = 530,
    Guile_CONTINUE_FD = 531,
    Guile_CONTINUE_SUCCESS = 532,
    Guile_CONTINUE_FAILURE = 533,
    Guile_ADV_STAND = 570,
    Guile_ADV_SIT = 571,
    Guile_ADV_AIR = 572,
    Guile_IMM_STAGE_INIT = 580,
    Guile_IMM_ROUND_INIT = 581,
    Guile_IMM_DAMAGE_INIT = 582,
    Guile_IMM_DAMAGE_EXIT = 583,
    Guile_IMM_TO_NORMAL = 584,
    Guile_IMM_TOUCH_EXIT = 585,
    Guile_IMM_TOUCH_ENTRY = 586,
    Guile_IMM_LANDING = 587,
    Guile_IMM_HOLD_EXIT = 588,
    Guile_IMM_FRAME_OUT = 589,
    Guile_IMM_APPEAR_END = 590,
    Guile_IMM_RESULT_INIT = 591,
    Guile_COMMON_END = 599,
    Guile_5LP = 600,
    Guile_RC_5LP = 601,
    Guile_RC_5LP_2 = 602,
    Guile_5MP = 605,
    Guile_TC_4HP = 607,
    Guile_5HP = 609,
    Guile_5LK = 612,
    Guile_5MK = 615,
    Guile_5HK = 618,
    Guile_2LP = 621,
    Guile_RC_2LP = 623,
    Guile_2MP = 626,
    Guile_TC_2MP = 627,
    Guile_2HP = 629,
    Guile_2LK = 632,
    Guile_RC_2LK = 634,
    Guile_2MK = 637,
    Guile_TC_6MP = 639,
    Guile_2HK = 641,
    Guile_8LK = 648,
    Guile_AIR_NORMAL_LAND = 651,
    Guile_3HK = 653,
    Guile_TC_3HK = 654,
    Guile_4HP = 656,
    Guile_4LK = 659,
    Guile_4MK = 662,
    Guile_6MP = 665,
    Guile_6HP = 668,
    Guile_6MK = 671,
    Guile_6HK = 674,
    Guile_THROW_F = 700,
    Guile_THROW_B = 701,
    Guile_THROW_F_A = 702,
    Guile_THROW_B_A = 703,
    Guile_THROW_F_ATK = 705,
    Guile_THROW_F_ATK_PUNISH = 707,
    Guile_THROW_B_ATK = 709,
    Guile_THROW_B_ATK_PUNISH = 711,
    Guile_THROW_F_A_ATK = 713,
    Guile_THROW_F_ATK_LAND = 715,
    Guile_THROW_F_A_ATK_PUNISH = 717,
    Guile_THROW_B_A_ATK = 720,
    Guile_THROW_F_A_ATK_LAND = 722,
    Guile_THROW_B_A_ATK_PUNISH = 724,
    Guile_THROW_B_A_ATK_PUNISH_LAND = 725,
    Guile_NORMAL_CANCEL_DRIVE_RUSH = 730,
    Guile_RAW_DRIVE_RUSH = 731,
    Guile_DRIVE_REVERSAL = 750,
    Guile_DRIVE_REVERSAL_2 = 751,
    Guile_DRIVE_IMPACT = 754,
    Guile_DRIVE_IMPACT_PUNISH_COUNTER = 755,
    Guile_DRIVE_IMPACT_ABSORB = 756,
    Guile_SONIC_L = 900,
    Guile_SONIC_L_PERFECT = 901,
    Guile_SONIC_M = 902,
    Guile_SONIC_M_PERFECT = 903,
    Guile_SONIC_H = 904,
    Guile_SONIC_H_PERFECT = 905,
    Guile_SONIC_EX = 906,
    Guile_BLADE_L = 918,
    Guile_BLADE_M = 919,
    Guile_BLADE_H = 920,
    Guile_BLADE_EX = 921,
    Guile_SONIC_CROSS_L_START = 930,
    Guile_SONIC_CROSS_L_START_PERFECT = 931,
    Guile_SONIC_CROSS_M_START = 932,
    Guile_SONIC_CROSS_M_START_PERFECT = 933,
    Guile_SONIC_CROSS_H_START = 934,
    Guile_SONIC_CROSS_H_START_PERFECT = 935,
    Guile_SONIC_CROSS_EX_START = 936,
    Guile_SONIC_CROSS_L = 938,
    Guile_SONIC_CROSS_L_PERFECT = 939,
    Guile_SONIC_CROSS_M = 940,
    Guile_SONIC_CROSS_M_PERFECT = 941,
    Guile_SONIC_CROSS_H = 942,
    Guile_SONIC_CROSS_H_PERFECT = 943,
    Guile_SONIC_CROSS_EX = 944,
    Guile_SOMER_L = 980,
    Guile_SOMER_L_PERFECT = 981,
    Guile_SOMER_M = 982,
    Guile_SOMER_M_PERFECT = 983,
    Guile_SOMER_H = 984,
    Guile_SOMER_H_PERFECT = 985,
    Guile_SOMER_EX = 986,
    Guile_SOMER_L_LAND = 989,
    Guile_SOMER_EX_LAND = 991,
    Guile_CA1_LM = 1200,
    Guile_CA1_H = 1201,
    Guile_CA2 = 1210,
    Guile_4BREAK_1 = 1212,
    Guile_BREAK_1 = 1213,
    Guile_6BREAK_1 = 1214,
    Guile_BREAK_L3 = 1215,
    Guile_BREAK_M3 = 1216,
    Guile_BREAK_R3 = 1217,
    Guile_BREAK_L2_L4 = 1218,
    Guile_BREAK_M2_M4 = 1219,
    Guile_BREAK_H2_H4 = 1220,
    Guile_SONIC_BREAK_EX_1 = 1221,
    Guile_SONIC_BREAK_EX_2 = 1222,
    Guile_BREAK_L5 = 1224,
    Guile_BREAK_M5 = 1225,
    Guile_BREAK_H5 = 1226,
    Guile_SONIC_C_BREAK_5 = 1227,
    Guile_SONIC_C_BREAK_M_5 = 1228,
    Guile_SONIC_C_BREAK_H_5 = 1229,
    Guile_CA3 = 1240,
    Guile_CA3_LOW_HP = 1241,
    Guile_CA3_LAND = 1242,
    Guile_CA3_SPECIAL_CANCEL = 1243,
    Guile_CA3_HIT = 1245,
    Guile_CA3_LOW_HP_HIT = 1248,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum EHondaActions {
    #[default]
    EHonda_INVALID_ID = -1,
    EHonda_BACKSTAGE = 0,
    EHonda_FOOTWORK = 1,
    EHonda_FOOTWORK_IDLE = 2,
    EHonda_CROUCH = 4,
    EHonda_SIT_DOWN = 5,
    EHonda_STAND_UP = 6,
    EHonda_TURN_STAND = 7,
    EHonda_TURN_CROUCH = 8,
    EHonda_WALK_F_BGN = 9,
    EHonda_WALK_FORWARD = 10,
    EHonda_WALK_F_END = 11,
    EHonda_SLIDE_FEET_F = 12,
    EHonda_WALK_B_BGN = 13,
    EHonda_WALK_BACK = 14,
    EHonda_WALK_B_END = 15,
    EHonda_SLIDE_FEET_B = 16,
    EHonda_DASH_F = 17,
    EHonda_DASH_B = 18,
    EHonda_DASH_F_END = 19,
    EHonda_DASH_B_END = 20,
    EHonda_RUN_F_BGN = 21,
    EHonda_RUN_F = 22,
    EHonda_RUN_F_END = 23,
    EHonda_RUN_B_BGN = 24,
    EHonda_RUN_B = 25,
    EHonda_RUN_B_END = 26,
    EHonda_DUCK_WALK_F_BGN = 27,
    EHonda_DUCK_WALK_F = 28,
    EHonda_DUCK_WALK_F_END = 29,
    EHonda_DUCK_WALK_B_BGN = 30,
    EHonda_DUCK_WALK_B = 31,
    EHonda_DUCK_WALK_B_END = 32,
    EHonda_JUMP_V_BGN = 33,
    EHonda_JUMP_F_BGN = 34,
    EHonda_JUMP_B_BGN = 35,
    EHonda_JUMP_V = 36,
    EHonda_JUMP_F = 37,
    EHonda_JUMP_B = 38,
    EHonda_JUMP_V_END = 39,
    EHonda_JUMP_F_END = 40,
    EHonda_JUMP_B_END = 41,
    EHonda_JUMP_ATK_END = 42,
    EHonda_W_JUMP_V = 44,
    EHonda_W_JUMP_F = 45,
    EHonda_W_JUMP_B = 46,
    EHonda_T_JUMP_WALL = 47,
    EHonda_T_JUMP = 48,
    EHonda_L_JUMP_V_BGN = 54,
    EHonda_L_JUMP_F_BGN = 55,
    EHonda_L_JUMP_B_BGN = 56,
    EHonda_L_JUMP_V = 57,
    EHonda_L_JUMP_F = 58,
    EHonda_L_JUMP_B = 59,
    EHonda_H_JUMP_V_BGN = 60,
    EHonda_H_JUMP_F_BGN = 61,
    EHonda_H_JUMP_B_BGN = 62,
    EHonda_H_JUMP_V = 63,
    EHonda_H_JUMP_F = 64,
    EHonda_H_JUMP_B = 65,
    EHonda_FLY_BGN = 66,
    EHonda_FLY_END = 67,
    EHonda_FLY_BASE = 68,
    EHonda_FLY_UU = 69,
    EHonda_FLY_BU = 70,
    EHonda_FLY_BB = 71,
    EHonda_FLY_BD = 72,
    EHonda_FLY_DD = 73,
    EHonda_FLY_FD = 74,
    EHonda_FLY_FF = 75,
    EHonda_FLY_FU = 76,
    EHonda_FLY_UU_END = 77,
    EHonda_FLY_BU_END = 78,
    EHonda_FLY_BB_END = 79,
    EHonda_FLY_BD_END = 80,
    EHonda_FLY_DD_END = 81,
    EHonda_FLY_FD_END = 82,
    EHonda_FLY_FF_END = 83,
    EHonda_FLY_FU_END = 84,
    EHonda_AIR_DASH_U = 85,
    EHonda_AIR_DASH_BU = 86,
    EHonda_AIR_DASH_B = 87,
    EHonda_AIR_DASH_BD = 88,
    EHonda_AIR_DASH_D = 89,
    EHonda_AIR_DASH_FD = 90,
    EHonda_AIR_DASH_F = 91,
    EHonda_AIR_DASH_FU = 92,
    EHonda_FALL_V = 93,
    EHonda_GRD_STAND_H_BGN = 100,
    EHonda_GRD_STAND_H = 101,
    EHonda_GRD_STAND_H_END = 102,
    EHonda_GRD_STAND_H_DM_L = 103,
    EHonda_GRD_STAND_H_DM_M = 104,
    EHonda_GRD_STAND_H_DM_H = 105,
    EHonda_GRD_STAND_H_DM_S = 106,
    EHonda_GRD_STAND_M_BGN = 107,
    EHonda_GRD_STAND_M = 108,
    EHonda_GRD_STAND_M_END = 109,
    EHonda_GRD_STAND_M_DM_L = 110,
    EHonda_GRD_STAND_M_DM_M = 111,
    EHonda_GRD_STAND_M_DM_H = 112,
    EHonda_GRD_STAND_M_DM_S = 113,
    EHonda_GRD_STAND_L_BGN = 114,
    EHonda_GRD_STAND_L = 115,
    EHonda_GRD_STAND_L_END = 116,
    EHonda_GRD_STAND_L_DM_L = 117,
    EHonda_GRD_STAND_L_DM_M = 118,
    EHonda_GRD_STAND_L_DM_H = 119,
    EHonda_GRD_STAND_L_DM_S = 120,
    EHonda_GRD_CROUCH_H_BGN = 121,
    EHonda_GRD_CROUCH_H = 122,
    EHonda_GRD_CROUCH_H_END = 123,
    EHonda_GRD_CROUCH_H_DM_L = 124,
    EHonda_GRD_CROUCH_H_DM_M = 125,
    EHonda_GRD_CROUCH_H_DM_H = 126,
    EHonda_GRD_CROUCH_H_DM_S = 127,
    EHonda_GRD_CROUCH_L_BGN = 128,
    EHonda_GRD_CROUCH_L = 129,
    EHonda_GRD_CROUCH_L_END = 130,
    EHonda_GRD_CROUCH_L_DM_L = 131,
    EHonda_GRD_CROUCH_L_DM_M = 132,
    EHonda_GRD_CROUCH_L_DM_H = 133,
    EHonda_GRD_CROUCH_L_DM_S = 134,
    EHonda_GRD_AIR_BGN = 135,
    EHonda_GRD_AIR = 136,
    EHonda_GRD_AIR_END = 137,
    EHonda_GRD_AIR_DM_L = 138,
    EHonda_GRD_AIR_DM_M = 139,
    EHonda_GRD_AIR_DM_H = 140,
    EHonda_GRD_AIR_DM_S = 141,
    EHonda_GRD_ZUSA_STAND = 143,
    EHonda_GRD_ZUSA_CROUCH = 144,
    EHonda_GRD_ZUSA_WALL = 145,
    EHonda_DGD_STAND_H_BGN = 150,
    EHonda_DGD_STAND_H = 151,
    EHonda_DGD_STAND_H_END = 152,
    EHonda_DGD_STAND_H_DM_L = 153,
    EHonda_DGD_STAND_H_DM_M = 154,
    EHonda_DGD_STAND_H_DM_H = 155,
    EHonda_DGD_STAND_H_DM_S = 156,
    EHonda_DGD_STAND_M_BGN = 157,
    EHonda_DGD_STAND_M = 158,
    EHonda_DGD_STAND_M_END = 159,
    EHonda_DGD_STAND_M_DM_L = 160,
    EHonda_DGD_STAND_M_DM_M = 161,
    EHonda_DGD_STAND_M_DM_H = 162,
    EHonda_DGD_STAND_M_DM_S = 163,
    EHonda_DGD_STAND_L_BGN = 164,
    EHonda_DGD_STAND_L = 165,
    EHonda_DGD_STAND_L_END = 166,
    EHonda_DGD_STAND_L_DM_L = 167,
    EHonda_DGD_STAND_L_DM_M = 168,
    EHonda_DGD_STAND_L_DM_H = 169,
    EHonda_DGD_STAND_L_DM_S = 170,
    EHonda_DGD_CROUCH_H_BGN = 171,
    EHonda_DGD_CROUCH_H = 172,
    EHonda_DGD_CROUCH_H_END = 173,
    EHonda_DGD_CROUCH_H_DM_L = 174,
    EHonda_DGD_CROUCH_H_DM_M = 175,
    EHonda_DGD_CROUCH_H_DM_H = 176,
    EHonda_DGD_CROUCH_H_DM_S = 177,
    EHonda_DGD_CROUCH_L_BGN = 178,
    EHonda_DGD_CROUCH_L = 179,
    EHonda_DGD_CROUCH_L_END = 180,
    EHonda_DGD_CROUCH_L_DM_L = 181,
    EHonda_DGD_CROUCH_L_DM_M = 182,
    EHonda_DGD_CROUCH_L_DM_H = 183,
    EHonda_DGD_CROUCH_L_DM_S = 184,
    EHonda_DGD_AIR_BGN = 185,
    EHonda_DGD_AIR = 186,
    EHonda_DGD_AIR_END = 187,
    EHonda_DGD_AIR_DM_L = 188,
    EHonda_DGD_AIR_DM_M = 189,
    EHonda_DGD_AIR_DM_H = 190,
    EHonda_DGD_AIR_DM_S = 191,
    EHonda_DMG_STD_H_FR_L = 200,
    EHonda_DMG_STD_H_FR_M = 201,
    EHonda_DMG_STD_H_FR_H = 202,
    EHonda_DMG_CRT_STD_H_FR = 203,
    EHonda_DMG_STD_M_FR_L = 204,
    EHonda_DMG_STD_M_FR_M = 205,
    EHonda_DMG_STD_M_FR_H = 206,
    EHonda_DMG_CRT_STD_M_FR = 207,
    EHonda_DMG_STD_L_FR_L = 208,
    EHonda_DMG_STD_L_FR_M = 209,
    EHonda_DMG_STD_L_FR_H = 210,
    EHonda_DMG_CRT_STD_L_FR = 211,
    EHonda_DMG_CRO_H_FR_L = 212,
    EHonda_DMG_CRO_H_FR_M = 213,
    EHonda_DMG_CRO_H_FR_H = 214,
    EHonda_DMG_CRT_CRO_H_FR = 215,
    EHonda_DMG_CRO_L_FR_L = 216,
    EHonda_DMG_CRO_L_FR_M = 217,
    EHonda_DMG_CRO_L_FR_H = 218,
    EHonda_DMG_CRT_CRO_L_FR = 219,
    EHonda_DMG_AIR_FR_L = 220,
    EHonda_DMG_AIR_FR_M = 221,
    EHonda_DMG_AIR_FR_H = 222,
    EHonda_DMG_STD_BK = 224,
    EHonda_BUTT_RISE_90 = 230,
    EHonda_BUTT_RISE_45 = 231,
    EHonda_BUTT_RISE_00 = 232,
    EHonda_BUTT_RISE_45m = 233,
    EHonda_BUTT_RISE_90m = 234,
    EHonda_BUTT_RISE_BK = 235,
    EHonda_BUTT_RISE_BK_90m = 236,
    EHonda_BUTT_FALL_90 = 237,
    EHonda_BUTT_FALL_45 = 238,
    EHonda_BUTT_FALL_00 = 239,
    EHonda_BUTT_FALL_45m = 240,
    EHonda_BUTT_FALL_90m = 241,
    EHonda_BUTT_FALL_BK = 242,
    EHonda_BUTT_FALL_BK_90m = 243,
    EHonda_BUTT_H_START_90 = 244,
    EHonda_BUTT_H_START_45 = 245,
    EHonda_BUTT_H_START_00 = 246,
    EHonda_BUTT_H_START_45m = 247,
    EHonda_BUTT_H_START_90m = 248,
    EHonda_BUTT_H_START_BK = 249,
    EHonda_BUTT_H_START_BK_90m = 250,
    EHonda_BUTT_B_START_90 = 251,
    EHonda_BUTT_B_START_45 = 252,
    EHonda_BUTT_B_START_00 = 253,
    EHonda_BUTT_B_START_45m = 254,
    EHonda_BUTT_B_START_90m = 255,
    EHonda_BUTT_START_BK = 256,
    EHonda_BUTT_START_BK_90m = 257,
    EHonda_KNOCK_DOWN_BK = 258,
    EHonda_DMG_HL_DOWN = 260,
    EHonda_DMG_HM_DOWN = 261,
    EHonda_DMG_HH_DOWN = 262,
    EHonda_DMG_CL_DOWN = 263,
    EHonda_DMG_CM_DOWN = 264,
    EHonda_DMG_CH_DOWN = 265,
    EHonda_DMG_HL_UPPER = 266,
    EHonda_DMG_HM_UPPER = 267,
    EHonda_DMG_HH_UPPER = 268,
    EHonda_DMG_BL_UPPER = 269,
    EHonda_DMG_BM_UPPER = 270,
    EHonda_DMG_BH_UPPER = 271,
    EHonda_ASHIBARAI = 273,
    EHonda_ASHIBARAI_BACK = 274,
    EHonda_KUZURE = 276,
    EHonda_FLOP_DOWN = 277,
    EHonda_DMG_H_SPIN_GROUND = 279,
    EHonda_DMG_H_SPIN_AIR = 280,
    EHonda_DMG_V_SPIN_GROUND = 281,
    EHonda_DMG_V_SPIN_AIR = 282,
    EHonda_WALL_HIT_FR = 284,
    EHonda_WALL_HIT_BK = 285,
    EHonda_WALL_DOWN_FR = 286,
    EHonda_WALL_DOWN_BK = 287,
    EHonda_DMG_GORO_FR = 289,
    EHonda_DMG_GORO_DOWN_FR = 290,
    EHonda_WALL_GROUND_FR = 291,
    EHonda_WALL_PIYO_STOP = 293,
    EHonda_WALL_PIYO_DOWN = 294,
    EHonda_THROWBREAK_TO = 320,
    EHonda_THROWBREAK_DONE = 321,
    EHonda_GUARD_BREAK_STAND = 322,
    EHonda_GUARD_BREAK_CROUCH = 323,
    EHonda_HARDDOWN_FU = 330,
    EHonda_HARDDOWN_FD = 331,
    EHonda_SLIDEDOWN_FU = 332,
    EHonda_SLIDEDOWN_FU_CMN = 333,
    EHonda_SLIDEDOWN_FD = 334,
    EHonda_SLIDEDOWN_FD_CMN = 335,
    EHonda_LIE_DOWN_FU = 336,
    EHonda_LIE_DOWN_FD = 337,
    EHonda_DOWN_DMG_FU = 338,
    EHonda_DOWN_DMG_FD = 339,
    EHonda_WAKEUP_FU = 340,
    EHonda_WAKEUP_FD = 341,
    EHonda_WAKEUP_F_FU = 342,
    EHonda_WAKEUP_F_FD = 343,
    EHonda_WAKEUP_B_FU = 344,
    EHonda_WAKEUP_B_FD = 345,
    EHonda_BUTT_TAOREN = 346,
    EHonda_AIR_RECOVERY_BK = 347,
    EHonda_BOUND_FU = 350,
    EHonda_BOUND_FD = 351,
    EHonda_STUN = 353,
    EHonda_STUN_END = 354,
    EHonda_KUZURE_DIE = 356,
    EHonda_APPEAR = 400,
    EHonda_APPEAR_END = 401,
    EHonda_APPEAR_ARCADE = 402,
    EHonda_APPEAR_STORY = 403,
    EHonda_LOSE = 405,
    EHonda_MID_LOSE_FU = 407,
    EHonda_MID_LOSE_FD = 408,
    EHonda_DRAW = 410,
    EHonda_RESULT = 412,
    EHonda_WIN = 414,
    EHonda_WIN_STORY = 415,
    EHonda_WIN_PERFECT = 416,
    EHonda_WIN_HI = 417,
    EHonda_WIN_MID = 418,
    EHonda_WIN_LOW = 419,
    EHonda_MINION_ENTRY = 470,
    EHonda_V_TOUCH_ENTRY = 471,
    EHonda_V_TOUCH_STOP = 472,
    EHonda_V_TOUCH_EXIT = 473,
    EHonda_TOUCH_POSE = 474,
    EHonda_TOUCH_JUMP = 475,
    EHonda_TOUCH_SUKI = 476,
    EHonda_TOUCH_NOKI = 477,
    EHonda_ASSIST_SUKI = 478,
    EHonda_PARRY_BGN = 480,
    EHonda_PARRY_LOOP = 481,
    EHonda_PARRY_END = 482,
    EHonda_PARRY_HIT_H = 483,
    EHonda_PARRY_HIT_M = 484,
    EHonda_PARRY_HIT_L = 485,
    EHonda_PARRY_JUST_H = 486,
    EHonda_PARRY_JUST_M = 487,
    EHonda_PARRY_JUST_L = 488,
    EHonda_PARRY_CRO_BGN = 489,
    EHonda_NORMAL_CANCEL_DRIVE_RUSH = 500,
    EHonda_RAW_DRIVE_RUSH = 501,
    EHonda_T_FOOTWORK = 510,
    EHonda_T_CROUCH = 511,
    EHonda_T_SIT_DOWN = 512,
    EHonda_T_STAND_UP = 513,
    EHonda_T_TURN_STAND = 514,
    EHonda_T_TURN_CROUCH = 515,
    EHonda_T_WALK_F_BGN = 516,
    EHonda_T_WALK_FORWARD = 517,
    EHonda_T_WALK_F_END = 518,
    EHonda_T_WALK_B_BGN = 519,
    EHonda_T_WALK_BACK = 520,
    EHonda_T_WALK_B_END = 521,
    EHonda_CONTINUE_FU = 530,
    EHonda_CONTINUE_FD = 531,
    EHonda_CONTINUE_SUCCESS = 532,
    EHonda_CONTINUE_FAILURE = 533,
    EHonda_ADV_STAND = 570,
    EHonda_ADV_SIT = 571,
    EHonda_ADV_AIR = 572,
    EHonda_IMM_STAGE_INIT = 580,
    EHonda_IMM_ROUND_INIT = 581,
    EHonda_IMM_DAMAGE_INIT = 582,
    EHonda_IMM_DAMAGE_EXIT = 583,
    EHonda_IMM_TO_NORMAL = 584,
    EHonda_IMM_TOUCH_EXIT = 585,
    EHonda_IMM_TOUCH_ENTRY = 586,
    EHonda_IMM_LANDING = 587,
    EHonda_IMM_HOLD_EXIT = 588,
    EHonda_IMM_FRAME_OUT = 589,
    EHonda_IMM_APPEAR_END = 590,
    EHonda_IMM_RESULT_INIT = 591,
    EHonda_COMMON_END = 599,
    EHonda_5LP = 600,
    EHonda_5MP = 603,
    EHonda_5HP = 605,
    EHonda_5HP__1 = 606,
    EHonda_5LK = 608,
    EHonda_5MK = 610,
    EHonda_5HK = 612,
    EHonda_2LP = 615,
    EHonda_RC_2LP = 616,
    EHonda_RC_2LP_2 = 617,
    EHonda_2MP = 619,
    EHonda_2HP = 622,
    EHonda_2HP_SWING = 623,
    EHonda_2HP__1 = 624,
    EHonda_2LK = 625,
    EHonda_RC_2LK = 626,
    EHonda_RC_2LK_2 = 627,
    EHonda_2MK = 629,
    EHonda_2HK = 631,
    EHonda_8LP = 648,
    EHonda_8MP = 649,
    EHonda_9HP = 650,
    EHonda_8HP = 651,
    EHonda_8LK = 654,
    EHonda_8MK = 655,
    EHonda_8HK = 656,
    EHonda_AIR_NORMAL_LAND = 657,
    EHonda_3HK = 660,
    EHonda_6HK = 663,
    EHonda_92MK = 665,
    EHonda_TC_5MP_1 = 667,
    EHonda_TC_3HK = 670,
    EHonda_THROW_F = 715,
    EHonda_THROW_B = 717,
    EHonda_THROW_F_ATK = 720,
    EHonda_THROW_F_ATK_PUNISH = 722,
    EHonda_THROW_B_ATK = 724,
    EHonda_THROW_B_ATK_PUNISH = 726,
    EHonda_DRIVE_REVERSAL = 850,
    EHonda_DRIVE_REVERSAL_2 = 851,
    EHonda_DRIVE_IMPACT = 855,
    EHonda_DRIVE_IMPACT_COUNTER_HIT = 856,
    EHonda_DRIVE_IMPACT_COUNTER = 857,
    EHonda_HEADBUTT_L = 900,
    EHonda_HEADBUTT_M = 901,
    EHonda_HEADBUTT_H = 902,
    EHonda_HEADBUTT_END = 905,
    EHonda_HEADBUTT_L_GRD = 906,
    EHonda_HEADBUTT_M_GRD = 907,
    EHonda_HEADBUTT_EX = 911,
    EHonda_HEADBUTT_EX_HIT = 913,
    EHonda_HEADBUTT_EX_GRD = 914,
    EHonda_HAND_L = 917,
    EHonda_HAND_M = 918,
    EHonda_HAND_H = 919,
    EHonda_HAND_EX = 920,
    EHonda_S_HAND_L = 922,
    EHonda_S_HAND_M = 923,
    EHonda_S_HAND_H = 924,
    EHonda_S_HAND_EX = 925,
    EHonda_S_HAND_L_HIT = 931,
    EHonda_S_HAND_M_HIT = 932,
    EHonda_S_HAND_H_HIT = 933,
    EHonda_S_HAND_EX_HIT = 934,
    EHonda_SMASH_L = 937,
    EHonda_SMASH_M = 938,
    EHonda_SMASH_H = 939,
    EHonda_SMASH_EX = 940,
    EHonda_SMASH_L_LAND = 942,
    EHonda_SMASH_M_LAND = 943,
    EHonda_SMASH_H_LAND = 944,
    EHonda_SMASH_EX_LAND = 945,
    EHonda_SUMO_DASH = 947,
    EHonda_SUMO_DASH_EX = 948,
    EHonda_SUMO_DASH_SLAP = 951,
    EHonda_SUMO_DASH_SLAP_RAPID = 952,
    EHonda_SUMO_DASH_LIFT = 953,
    EHonda_SUMO_DASH_LIFT_HIT = 954,
    EHonda_SUMO_DASH_EX_SLAP = 956,
    EHonda_SUMO_DASH_EX_SLAP_RAPID = 958,
    EHonda_SUMO_DASH_EX_LIFT = 959,
    EHonda_SUMO_DASH_EX_LIFT_HIT = 960,
    EHonda_22K_2 = 962,
    EHonda_22K = 963,
    EHonda_22P = 965,
    EHonda_SUMO_THROW_L = 967,
    EHonda_SUMO_THROW_L_ATK = 968,
    EHonda_SUMO_THROW_L_ATK_PUNISH = 970,
    EHonda_SUMO_THROW_M = 972,
    EHonda_SUMO_THROW_M_ATK = 973,
    EHonda_SUMO_THROW_M_ATK_PUNISH = 975,
    EHonda_SUMO_THROW_H = 977,
    EHonda_SUMO_THROW_H_ATK = 978,
    EHonda_SUMO_THROW_H_ATK_PUNISH = 980,
    EHonda_SUMO_THROW_EX = 982,
    EHonda_SUMO_THROW_EX_ATK = 983,
    EHonda_SUMO_THROW_EX_ATK_PUNISH = 985,
    EHonda_CA1 = 1200,
    EHonda_CA2 = 1203,
    EHonda_CA2_HIT = 1204,
    EHonda_CA2_CUTSCENE = 1205,
    EHonda_CA2_END = 1207,
    EHonda_CA3 = 1215,
    EHonda_CA3_HIT = 1216,
    EHonda_CA3_LOW_HP = 1221,
    EHonda_CA3_LOW_HP_HIT = 1222,
}

#[allow(non_camel_case_types)]
#[derive(Default, strum_macros::Display, FromPrimitive, PartialEq, Eq, Clone)]
pub enum JamieActions {
    #[default]
    Jamie_INVALID_ID = -1,
    Jamie_BACKSTAGE = 0,
    Jamie_FOOTWORK = 1,
    Jamie_FOOTWORK_IDLE = 2,
    Jamie_CROUCH = 4,
    Jamie_SIT_DOWN = 5,
    Jamie_STAND_UP = 6,
    Jamie_TURN_STAND = 7,
    Jamie_TURN_CROUCH = 8,
    Jamie_WALK_F_BGN = 9,
    Jamie_WALK_FORWARD = 10,
    Jamie_WALK_F_END = 11,
    Jamie_SLIDE_FEET_F = 12,
    Jamie_WALK_B_BGN = 13,
    Jamie_WALK_BACK = 14,
    Jamie_WALK_B_END = 15,
    Jamie_SLIDE_FEET_B = 16,
    Jamie_DASH_F = 17,
    Jamie_DASH_B = 18,
    Jamie_DASH_F_END = 19,
    Jamie_DASH_B_END = 20,
    Jamie_RUN_F_BGN = 21,
    Jamie_RUN_F = 22,
    Jamie_RUN_F_END = 23,
    Jamie_RUN_B_BGN = 24,
    Jamie_RUN_B = 25,
    Jamie_RUN_B_END = 26,
    Jamie_DUCK_WALK_F_BGN = 27,
    Jamie_DUCK_WALK_F = 28,
    Jamie_DUCK_WALK_F_END = 29,
    Jamie_DUCK_WALK_B_BGN = 30,
    Jamie_DUCK_WALK_B = 31,
    Jamie_DUCK_WALK_B_END = 32,
    Jamie_JUMP_V_BGN = 33,
    Jamie_JUMP_F_BGN = 34,
    Jamie_JUMP_B_BGN = 35,
    Jamie_JUMP_V = 36,
    Jamie_JUMP_F = 37,
    Jamie_JUMP_B = 38,
    Jamie_JUMP_V_END = 39,
    Jamie_JUMP_F_END = 40,
    Jamie_JUMP_B_END = 41,
    Jamie_JUMP_ATK_END = 42,
    Jamie_W_JUMP_V = 44,
    Jamie_W_JUMP_F = 45,
    Jamie_W_JUMP_B = 46,
    Jamie_T_JUMP_WALL = 47,
    Jamie_T_JUMP = 48,
    Jamie_L_JUMP_V_BGN = 54,
    Jamie_L_JUMP_F_BGN = 55,
    Jamie_L_JUMP_B_BGN = 56,
    Jamie_L_JUMP_V = 57,
    Jamie_L_JUMP_F = 58,
    Jamie_L_JUMP_B = 59,
    Jamie_H_JUMP_V_BGN = 60,
    Jamie_H_JUMP_F_BGN = 61,
    Jamie_H_JUMP_B_BGN = 62,
    Jamie_H_JUMP_V = 63,
    Jamie_H_JUMP_F = 64,
    Jamie_H_JUMP_B = 65,
    Jamie_FLY_BGN = 66,
    Jamie_FLY_END = 67,
    Jamie_FLY_BASE = 68,
    Jamie_FLY_UU = 69,
    Jamie_FLY_BU = 70,
    Jamie_FLY_BB = 71,
    Jamie_FLY_BD = 72,
    Jamie_FLY_DD = 73,
    Jamie_FLY_FD = 74,
    Jamie_FLY_FF = 75,
    Jamie_FLY_FU = 76,
    Jamie_FLY_UU_END = 77,
    Jamie_FLY_BU_END = 78,
    Jamie_FLY_BB_END = 79,
    Jamie_FLY_BD_END = 80,
    Jamie_FLY_DD_END = 81,
    Jamie_FLY_FD_END = 82,
    Jamie_FLY_FF_END = 83,
    Jamie_FLY_FU_END = 84,
    Jamie_AIR_DASH_U = 85,
    Jamie_AIR_DASH_BU = 86,
    Jamie_AIR_DASH_B = 87,
    Jamie_AIR_DASH_BD = 88,
    Jamie_AIR_DASH_D = 89,
    Jamie_AIR_DASH_FD = 90,
    Jamie_AIR_DASH_F = 91,
    Jamie_AIR_DASH_FU = 92,
    Jamie_FALL_V = 93,
    Jamie_GRD_STAND_H_BGN = 100,
    Jamie_GRD_STAND_H = 101,
    Jamie_GRD_STAND_H_END = 102,
    Jamie_GRD_STAND_H_DM_L = 103,
    Jamie_GRD_STAND_H_DM_M = 104,
    Jamie_GRD_STAND_H_DM_H = 105,
    Jamie_GRD_STAND_H_DM_S = 106,
    Jamie_GRD_STAND_M_BGN = 107,
    Jamie_GRD_STAND_M = 108,
    Jamie_GRD_STAND_M_END = 109,
    Jamie_GRD_STAND_M_DM_L = 110,
    Jamie_GRD_STAND_M_DM_M = 111,
    Jamie_GRD_STAND_M_DM_H = 112,
    Jamie_GRD_STAND_M_DM_S = 113,
    Jamie_GRD_STAND_L_BGN = 114,
    Jamie_GRD_STAND_L = 115,
    Jamie_GRD_STAND_L_END = 116,
    Jamie_GRD_STAND_L_DM_L = 117,
    Jamie_GRD_STAND_L_DM_M = 118,
    Jamie_GRD_STAND_L_DM_H = 119,
    Jamie_GRD_STAND_L_DM_S = 120,
    Jamie_GRD_CROUCH_H_BGN = 121,
    Jamie_GRD_CROUCH_H = 122,
    Jamie_GRD_CROUCH_H_END = 123,
    Jamie_GRD_CROUCH_H_DM_L = 124,
    Jamie_GRD_CROUCH_H_DM_M = 125,
    Jamie_GRD_CROUCH_H_DM_H = 126,
    Jamie_GRD_CROUCH_H_DM_S = 127,
    Jamie_GRD_CROUCH_L_BGN = 128,
    Jamie_GRD_CROUCH_L = 129,
    Jamie_GRD_CROUCH_L_END = 130,
    Jamie_GRD_CROUCH_L_DM_L = 131,
    Jamie_GRD_CROUCH_L_DM_M = 132,
    Jamie_GRD_CROUCH_L_DM_H = 133,
    Jamie_GRD_CROUCH_L_DM_S = 134,
    Jamie_GRD_AIR_BGN = 135,
    Jamie_GRD_AIR = 136,
    Jamie_GRD_AIR_END = 137,
    Jamie_GRD_AIR_DM_L = 138,
    Jamie_GRD_AIR_DM_M = 139,
    Jamie_GRD_AIR_DM_H = 140,
    Jamie_GRD_AIR_DM_S = 141,
    Jamie_GRD_ZUSA_STAND = 143,
    Jamie_GRD_ZUSA_CROUCH = 144,
    Jamie_GRD_ZUSA_WALL = 145,
    Jamie_DGD_STAND_H_BGN = 150,
    Jamie_DGD_STAND_H = 151,
    Jamie_DGD_STAND_H_END = 152,
    Jamie_DGD_STAND_H_DM_L = 153,
    Jamie_DGD_STAND_H_DM_M = 154,
    Jamie_DGD_STAND_H_DM_H = 155,
    Jamie_DGD_STAND_H_DM_S = 156,
    Jamie_DGD_STAND_M_BGN = 157,
    Jamie_DGD_STAND_M = 158,
    Jamie_DGD_STAND_M_END = 159,
    Jamie_DGD_STAND_M_DM_L = 160,
    Jamie_DGD_STAND_M_DM_M = 161,
    Jamie_DGD_STAND_M_DM_H = 162,
    Jamie_DGD_STAND_M_DM_S = 163,
    Jamie_DGD_STAND_L_BGN = 164,
    Jamie_DGD_STAND_L = 165,
    Jamie_DGD_STAND_L_END = 166,
    Jamie_DGD_STAND_L_DM_L = 167,
    Jamie_DGD_STAND_L_DM_M = 168,
    Jamie_DGD_STAND_L_DM_H = 169,
    Jamie_DGD_STAND_L_DM_S = 170,
    Jamie_DGD_CROUCH_H_BGN = 171,
    Jamie_DGD_CROUCH_H = 172,
    Jamie_DGD_CROUCH_H_END = 173,
    Jamie_DGD_CROUCH_H_DM_L = 174,
    Jamie_DGD_CROUCH_H_DM_M = 175,
    Jamie_DGD_CROUCH_H_DM_H = 176,
    Jamie_DGD_CROUCH_H_DM_S = 177,
    Jamie_DGD_CROUCH_L_BGN = 178,
    Jamie_DGD_CROUCH_L = 179,
    Jamie_DGD_CROUCH_L_END = 180,
    Jamie_DGD_CROUCH_L_DM_L = 181,
    Jamie_DGD_CROUCH_L_DM_M = 182,
    Jamie_DGD_CROUCH_L_DM_H = 183,
    Jamie_DGD_CROUCH_L_DM_S = 184,
    Jamie_DGD_AIR_BGN = 185,
    Jamie_DGD_AIR = 186,
    Jamie_DGD_AIR_END = 187,
    Jamie_DGD_AIR_DM_L = 188,
    Jamie_DGD_AIR_DM_M = 189,
    Jamie_DGD_AIR_DM_H = 190,
    Jamie_DGD_AIR_DM_S = 191,
    Jamie_DMG_STD_H_FR_L = 200,
    Jamie_DMG_STD_H_FR_M = 201,
    Jamie_DMG_STD_H_FR_H = 202,
    Jamie_DMG_CRT_STD_H_FR = 203,
    Jamie_DMG_STD_M_FR_L = 204,
    Jamie_DMG_STD_M_FR_M = 205,
    Jamie_DMG_STD_M_FR_H = 206,
    Jamie_DMG_CRT_STD_M_FR = 207,
    Jamie_DMG_STD_L_FR_L = 208,
    Jamie_DMG_STD_L_FR_M = 209,
    Jamie_DMG_STD_L_FR_H = 210,
    Jamie_DMG_CRT_STD_L_FR = 211,
    Jamie_DMG_CRO_H_FR_L = 212,
    Jamie_DMG_CRO_H_FR_M = 213,
    Jamie_DMG_CRO_H_FR_H = 214,
    Jamie_DMG_CRT_CRO_H_FR = 215,
    Jamie_DMG_CRO_L_FR_L = 216,
    Jamie_DMG_CRO_L_FR_M = 217,
    Jamie_DMG_CRO_L_FR_H = 218,
    Jamie_DMG_CRT_CRO_L_FR = 219,
    Jamie_DMG_AIR_FR_L = 220,
    Jamie_DMG_AIR_FR_M = 221,
    Jamie_DMG_AIR_FR_H = 222,
    Jamie_DMG_STD_BK = 224,
    Jamie_BUTT_RISE_90 = 230,
    Jamie_BUTT_RISE_45 = 231,
    Jamie_BUTT_RISE_00 = 232,
    Jamie_BUTT_RISE_45m = 233,
    Jamie_BUTT_RISE_90m = 234,
    Jamie_BUTT_RISE_BK = 235,
    Jamie_BUTT_RISE_BK_90m = 236,
    Jamie_BUTT_FALL_90 = 237,
    Jamie_BUTT_FALL_45 = 238,
    Jamie_BUTT_FALL_00 = 239,
    Jamie_BUTT_FALL_45m = 240,
    Jamie_BUTT_FALL_90m = 241,
    Jamie_BUTT_FALL_BK = 242,
    Jamie_BUTT_FALL_BK_90m = 243,
    Jamie_BUTT_H_START_90 = 244,
    Jamie_BUTT_H_START_45 = 245,
    Jamie_BUTT_H_START_00 = 246,
    Jamie_BUTT_H_START_45m = 247,
    Jamie_BUTT_H_START_90m = 248,
    Jamie_BUTT_H_START_BK = 249,
    Jamie_BUTT_H_START_BK_90m = 250,
    Jamie_BUTT_B_START_90 = 251,
    Jamie_BUTT_B_START_45 = 252,
    Jamie_BUTT_B_START_00 = 253,
    Jamie_BUTT_B_START_45m = 254,
    Jamie_BUTT_B_START_90m = 255,
    Jamie_BUTT_START_BK = 256,
    Jamie_BUTT_START_BK_90m = 257,
    Jamie_KNOCK_DOWN_BK = 258,
    Jamie_DMG_HL_DOWN = 260,
    Jamie_DMG_HM_DOWN = 261,
    Jamie_DMG_HH_DOWN = 262,
    Jamie_DMG_CL_DOWN = 263,
    Jamie_DMG_CM_DOWN = 264,
    Jamie_DMG_CH_DOWN = 265,
    Jamie_DMG_HL_UPPER = 266,
    Jamie_DMG_HM_UPPER = 267,
    Jamie_DMG_HH_UPPER = 268,
    Jamie_DMG_BL_UPPER = 269,
    Jamie_DMG_BM_UPPER = 270,
    Jamie_DMG_BH_UPPER = 271,
    Jamie_ASHIBARAI = 273,
    Jamie_ASHIBARAI_BACK = 274,
    Jamie_KUZURE = 276,
    Jamie_FLOP_DOWN = 277,
    Jamie_DMG_H_SPIN_GROUND = 279,
    Jamie_DMG_H_SPIN_AIR = 280,
    Jamie_DMG_V_SPIN_GROUND = 281,
    Jamie_DMG_V_SPIN_AIR = 282,
    Jamie_WALL_HIT_FR = 284,
    Jamie_WALL_HIT_BK = 285,
    Jamie_WALL_DOWN_FR = 286,
    Jamie_WALL_DOWN_BK = 287,
    Jamie_DMG_GORO_FR = 289,
    Jamie_DMG_GORO_DOWN_FR = 290,
    Jamie_WALL_GROUND_FR = 291,
    Jamie_WALL_PIYO_STOP = 293,
    Jamie_WALL_PIYO_DOWN = 294,
    Jamie_THROWBREAK_TO = 320,
    Jamie_THROWBREAK_DONE = 321,
    Jamie_GUARD_BREAK_STAND = 322,
    Jamie_GUARD_BREAK_CROUCH = 323,
    Jamie_HARDDOWN_FU = 330,
    Jamie_HARDDOWN_FD = 331,
    Jamie_SLIDEDOWN_FU = 332,
    Jamie_SLIDEDOWN_FU_CMN = 333,
    Jamie_SLIDEDOWN_FD = 334,
    Jamie_SLIDEDOWN_FD_CMN = 335,
    Jamie_LIE_DOWN_FU = 336,
    Jamie_LIE_DOWN_FD = 337,
    Jamie_DOWN_DMG_FU = 338,
    Jamie_DOWN_DMG_FD = 339,
    Jamie_WAKEUP_FU = 340,
    Jamie_WAKEUP_FD = 341,
    Jamie_WAKEUP_F_FU = 342,
    Jamie_WAKEUP_F_FD = 343,
    Jamie_WAKEUP_B_FU = 344,
    Jamie_WAKEUP_B_FD = 345,
    Jamie_BUTT_TAOREN = 346,
    Jamie_AIR_RECOVERY_BK = 347,
    Jamie_BOUND_FU = 350,
    Jamie_BOUND_FD = 351,
    Jamie_STUN = 353,
    Jamie_STUN_END = 354,
    Jamie_KUZURE_DIE = 356,
    Jamie_APPEAR = 400,
    Jamie_APPEAR_END = 401,
    Jamie_APPEAR_ARCADE = 402,
    Jamie_APPEAR_STORY = 403,
    Jamie_LOSE = 405,
    Jamie_MID_LOSE_FU = 407,
    Jamie_MID_LOSE_FD = 408,
    Jamie_DRAW = 410,
    Jamie_RESULT = 412,
    Jamie_WIN = 414,
    Jamie_WIN_STORY = 415,
    Jamie_WIN_PERFECT = 416,
    Jamie_WIN_HI = 417,
    Jamie_WIN_MID = 418,
    Jamie_WIN_LOW = 419,
    Jamie_MINION_ENTRY = 470,
    Jamie_V_TOUCH_ENTRY = 471,
    Jamie_V_TOUCH_STOP = 472,
    Jamie_V_TOUCH_EXIT = 473,
    Jamie_TOUCH_POSE = 474,
    Jamie_TOUCH_JUMP = 475,
    Jamie_TOUCH_SUKI = 476,
    Jamie_TOUCH_NOKI = 477,
    Jamie_ASSIST_SUKI = 478,
    Jamie_PARRY_BGN = 480,
    Jamie_PARRY_LOOP = 481,
    Jamie_PARRY_END = 482,
    Jamie_PARRY_HIT_H = 483,
    Jamie_PARRY_HIT_M = 484,
    Jamie_PARRY_HIT_L = 485,
    Jamie_PARRY_JUST_H = 486,
    Jamie_PARRY_JUST_M = 487,
    Jamie_PARRY_JUST_L = 488,
    Jamie_PARRY_CRO_BGN = 489,
    Jamie_T_FOOTWORK = 510,
    Jamie_T_CROUCH = 511,
    Jamie_T_SIT_DOWN = 512,
    Jamie_T_STAND_UP = 513,
    Jamie_T_TURN_STAND = 514,
    Jamie_T_TURN_CROUCH = 515,
    Jamie_T_WALK_F_BGN = 516,
    Jamie_T_WALK_FORWARD = 517,
    Jamie_T_WALK_F_END = 518,
    Jamie_T_WALK_B_BGN = 519,
    Jamie_T_WALK_BACK = 520,
    Jamie_T_WALK_B_END = 521,
    Jamie_CONTINUE_FU = 530,
    Jamie_CONTINUE_FD = 531,
    Jamie_CONTINUE_SUCCESS = 532,
    Jamie_CONTINUE_FAILURE = 533,
    Jamie_ADV_STAND = 570,
    Jamie_ADV_SIT = 571,
    Jamie_ADV_AIR = 572,
    Jamie_IMM_STAGE_INIT = 580,
    Jamie_IMM_ROUND_INIT = 581,
    Jamie_IMM_DAMAGE_INIT = 582,
    Jamie_IMM_DAMAGE_EXIT = 583,
    Jamie_IMM_TO_NORMAL = 584,
    Jamie_IMM_TOUCH_EXIT = 585,
    Jamie_IMM_TOUCH_ENTRY = 586,
    Jamie_IMM_LANDING = 587,
    Jamie_IMM_HOLD_EXIT = 588,
    Jamie_IMM_FRAME_OUT = 589,
    Jamie_IMM_APPEAR_END = 590,
    Jamie_IMM_RESULT_INIT = 591,
    Jamie_COMMON_END = 599,
    Jamie_5LP = 600,
    Jamie_LV1_5LP = 603,
    Jamie_LV1_TC_5LK = 604,
    Jamie_LV1_TC_5MP = 605,
    Jamie_5MP = 608,
    Jamie_5HP = 610,
    Jamie_5LK = 612,
    Jamie_5LK_2 = 613,
    Jamie_5LK_3 = 614,
    Jamie_5LK_4 = 615,
    Jamie_5MK = 617,
    Jamie_5HK = 620,
    Jamie_2LP = 622,
    Jamie_RC_2LP = 624,
    Jamie_2MP = 626,
    Jamie_2HP = 628,
    Jamie_2LK = 630,
    Jamie_RC_2LK = 632,
    Jamie_2MK = 635,
    Jamie_2HK = 638,
    Jamie_2HK_TC = 639,
    Jamie_2HK_TC_DRINK = 640,
    Jamie_8LP = 650,
    Jamie_8MP = 651,
    Jamie_8HP = 652,
    Jamie_8LK = 653,
    Jamie_8MK = 654,
    Jamie_8HK = 655,
    Jamie_AIR_NORMAL_LAND = 657,
    Jamie_6MK = 659,
    Jamie_LV2_6MK = 660,
    Jamie_LV2_TC_6MK = 661,
    Jamie_LV2_TC_6MK_DRINK = 662,
    Jamie_LV4_TC_6MK_6MK_DRINK = 663,
    Jamie_22KK = 666,
    Jamie_4HP = 673,
    Jamie_LV3_4HP = 674,
    Jamie_LV3_TC_4HP = 675,
    Jamie_LV3_TC_4HK = 676,
    Jamie_LV3_4HP_HIT = 677,
    Jamie_6HK = 679,
    Jamie_LV4_6HK = 680,
    Jamie_LV4_6HK_4HK = 681,
    Jamie_LV4_6HK_5HP = 682,
    Jamie_LV4_6HK_4HK_HP = 683,
    Jamie_LV4_6HK_DRINK = 684,
    Jamie_THROW_F = 715,
    Jamie_THROW_B = 717,
    Jamie_THROW_F_ATK = 720,
    Jamie_THROW_F_ATK_PUNISH_COUNTER = 722,
    Jamie_THROW_B_ATK = 724,
    Jamie_THROW_B_ATK_PUNISH_COUNTER = 726,
    Jamie_NORMAL_CANCEL_DRIVE_RUSH = 739,
    Jamie_RAW_DRIVE_RUSH = 740,
    Jamie_DRIVE_REVERSAL_2 = 849,
    Jamie_DRIVE_REVERSAL = 850,
    Jamie_DRIVE_IMPACT = 856,
    Jamie_DRIVE_IMPACT_COUNTER_HIT = 857,
    Jamie_DRIVE_IMPACT_COUNTER = 858,
    Jamie_236LP = 900,
    Jamie_236LP_2 = 901,
    Jamie_236LP_3 = 902,
    Jamie_236MP = 904,
    Jamie_236MP_2 = 905,
    Jamie_236MP_3 = 906,
    Jamie_236HP = 908,
    Jamie_236HP_2 = 909,
    Jamie_236HP_3 = 910,
    Jamie_236PP_EX = 912,
    Jamie_236PP_EX_P_2 = 913,
    Jamie_236PP_EX_P_3 = 914,
    Jamie_236LP_K_2 = 917,
    Jamie_236LP_K_3 = 918,
    Jamie_LV4_236LP_K_3 = 919,
    Jamie_236MP_K_2 = 921,
    Jamie_236MP_K_3 = 922,
    Jamie_LV4_236MP_K3 = 923,
    Jamie_236HP_K_2 = 925,
    Jamie_236HP_K_3 = 926,
    Jamie_LV4_236HP_K3 = 927,
    Jamie_LV4_236PP_EX_K_2 = 929,
    Jamie_236PP_EX_K_3 = 930,
    Jamie_LV4_236PP_EX_K_3 = 931,
    Jamie_LV4_236LP = 934,
    Jamie_LV4_236MP = 935,
    Jamie_LV4_236HP = 936,
    Jamie_LV4_236P_2 = 938,
    Jamie_LV4_236P_3 = 939,
    Jamie_LV4_236PP_EX = 941,
    Jamie_LV4_236PP_EX_P_2 = 942,
    Jamie_LV4_236PP_EX_P_3 = 943,
    Jamie_214LP = 951,
    Jamie_214MP = 952,
    Jamie_214HP = 953,
    Jamie_214PP_EX = 954,
    Jamie_LV4_214PP_6P = 958,
    Jamie_DIVE_KICK_L = 962,
    Jamie_DIVE_KICK_M = 963,
    Jamie_DIVE_KICK_H = 964,
    Jamie_DIVE_KICK_EX = 965,
    Jamie_DIVE_KICK_LAND = 966,
    Jamie_DIVE_KICK_M_LAND = 967,
    Jamie_DIVE_KICK_H_LAND = 968,
    Jamie_DIVE_KICK_EX_LAND = 969,
    Jamie_623K_LAND = 973,
    Jamie_623LK = 974,
    Jamie_623MK = 975,
    Jamie_623HK = 976,
    Jamie_623KK_EX = 977,
    Jamie_LV4_63214LK = 981,
    Jamie_LV3_63214LK__2 = 982,
    Jamie_LV3_63214LK = 983,
    Jamie_LV3_63214LK__1 = 984,
    Jamie_LV3_63214LK_HIT = 985,
    Jamie_LV3_63214KK_EX = 989,
    Jamie_LV3_63214KK_EX__1 = 990,
    Jamie_LV3_63214KK_EX__2 = 991,
    Jamie_LV3_63214KK_EX__3 = 992,
    Jamie_LV3_63214KK_EX_HIT = 993,
    Jamie_LV3_63214KK_EX_HIT_PUNISH_COUNTER = 996,
    Jamie_LV2_236LK = 999,
    Jamie_LV2_236MK = 1000,
    Jamie_LV2_236HK = 1001,
    Jamie_LV2_236KK_EX = 1002,
    Jamie_DRINK = 1010,
    Jamie_DRINK_HOLD = 1011,
    Jamie_DRINK_HOLD_2 = 1012,
    Jamie_LV4 = 1013,
    Jamie_LV3_TO_LV4_DRINK = 1014,
    Jamie_CA1 = 1200,
    Jamie_CA1_HOLD_DOWN = 1201,
    Jamie_CA2 = 1205,
    Jamie_CA3 = 1211,
    Jamie_CA3_HIT = 1212,
    Jamie_CA3_LOW_HP = 1215,
    Jamie_CA3_LOW_HP_HIT = 1216,
}
